﻿/*Agnitio security code review tool.
Copyright (C) 2011 David Rook

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.*/

using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Xml;
using System.Windows.Forms;
using System.Text.RegularExpressions;
using System.Data.SQLite;
using System.IO;
using System.Security.Cryptography;
using System.Diagnostics;
using GoogleChartSharp;

namespace Agnitio
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        public static string rPath = "";
        public static string dPath = "";
        public static string progPath = "";

        public void Form1_Load(object sender, EventArgs e)
        {
            progPath = (Environment.GetFolderPath(Environment.SpecialFolder.ProgramFiles).ToString());

            try
            {
                SQLiteConnection ObjConnection = new SQLiteConnection("Data Source="+progPath+"\\Agnitio\\configuration.s3db;Version=3;New=False;Compress=True");
                SQLiteCommand ObjCommand = new SQLiteCommand("SELECT reportpath FROM path", ObjConnection);
                SQLiteCommand ObjCommand1 = new SQLiteCommand("SELECT databasepath FROM path", ObjConnection);

                try
                {
                    ObjConnection.Open();
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Unable to open a connection to the database");
                }

                try
                {
                    rPath = ObjCommand.ExecuteScalar().ToString();
                    dPath = ObjCommand1.ExecuteScalar().ToString();

                    if(rPath == "" + progPath + "\\Agnitio\\Reports")
                    {
                        SQLiteCommand sqlite_cmd;
                        SQLiteParameter reportPath;
                        sqlite_cmd = ObjConnection.CreateCommand();
                        sqlite_cmd.CommandText = ("UPDATE path SET reportpath = @reportPath ");

                        reportPath = new SQLiteParameter();
                        reportPath.ParameterName = "@reportPath";
                        reportPath.DbType = DbType.String;
                        reportPath.Size = 255;
                        reportPath.Direction = ParameterDirection.Input;
                        reportPath.Value = ""+progPath+"\\Agnitio\\Reports";

                        sqlite_cmd.Parameters.Add(reportPath);

                        sqlite_cmd.ExecuteNonQuery();

                        rPath = ObjCommand.ExecuteScalar().ToString();
                    }

                    if (dPath == "" + progPath + "\\Agnitio\\checklist.s3db")
                    {
                        SQLiteCommand sqlite_cmd;
                        SQLiteParameter dataPath;
                        sqlite_cmd = ObjConnection.CreateCommand();
                        sqlite_cmd.CommandText = ("UPDATE path SET databasepath = @dataPath ");

                        dataPath = new SQLiteParameter();
                        dataPath.ParameterName = "@dataPath";
                        dataPath.DbType = DbType.String;
                        dataPath.Size = 255;
                        dataPath.Direction = ParameterDirection.Input;
                        dataPath.Value = "" + progPath + "\\Agnitio\\checklist.s3db";

                        sqlite_cmd.Parameters.Add(dataPath);

                        sqlite_cmd.ExecuteNonQuery();

                        dPath = ObjCommand1.ExecuteScalar().ToString();
                    }
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Unable to load the report and database paths from the database");
                }

                ObjConnection.Close();
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to load configuration data, please restart Agnitio");
            }

            if (Directory.Exists(@"C:\Windows\SysWOW64"))
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("64bit Windows is not currently supported");
                Close();
            }

            else
            {
                if (!File.Exists("" + dPath + ""))
                {
                    try
                    {
                        string newCheck = "" + progPath + "\\Agnitio\\new_checklist.s3db";
                        string checkNewName = "" + dPath + "";
                        File.Move(newCheck, checkNewName);
                    }

                    catch
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("Unable to setup the Agnitio database");
                    }
                }

                if (File.Exists("" + dPath + "") && File.Exists("" + progPath + "\\Agnitio\\new_checklist.s3db"))
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Your Agnitio installation directory contains a version\nof the checklist database from v1.x and v2.0 of Agnitio.\n\nIf you want to use the new functionality in v2.0 please\nuse the Agnitio Data Migration Tool to migrate your\ndata into the new database.");
                }

                SQLiteConnection ObjConnection = new SQLiteConnection("Data Source="+dPath+";Version=3;New=False;Compress=True");

                try
                {
                    ObjConnection.Open(); //Open the SQL connection we defined above
                    SQLiteDataReader rdr = null;
                    AppProf.Properties.Items.Clear(); //Clear combos if anything in them
                    vAppProf.Properties.Items.Clear(); //Clear combos if anything in them
                    rAppProf.Properties.Items.Clear(); //Clear combos if anything in them
                    amAppProf.Properties.Items.Clear(); //Clear combos if anything in them
                    SQLiteCommand cmd = new SQLiteCommand("SELECT ApplicationName FROM profiles", ObjConnection); //The SQL query
                    rdr = cmd.ExecuteReader(); //Will retrieve the Application Names and stick them in the combo boxes
                    {
                        while (rdr.Read())
                        {
                            for (int i = 0; i < rdr.FieldCount; i++)
                            {
                                AppProf.Properties.Items.Add(rdr.GetValue(i).ToString()); //Populate the combo boxes with the Application Names
                                vAppProf.Properties.Items.Add(rdr.GetValue(i).ToString()); //Populate the combo boxes with the Application Names
                                rAppProf.Properties.Items.Add(rdr.GetValue(i).ToString()); //Populate the combo boxes with the Application Names
                                amAppProf.Properties.Items.Add(rdr.GetValue(i).ToString()); //Populate the combo boxes with the Application Names
                            }
                        }
                    }
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Unable to retrieve Application Names from the database"); //If the above fails throw an error
                }

                try
                {
                    SQLiteDataReader rdr2 = null;
                    languageCombo.Properties.Items.Clear();
                    SQLiteCommand cmd2 = new SQLiteCommand("SELECT DISTINCT language FROM reviewrules", ObjConnection);
                    rdr2 = cmd2.ExecuteReader();

                    {
                        while (rdr2.Read())
                        {
                            for (int i = 0; i < rdr2.FieldCount; i++)
                            {
                                languageCombo.Properties.Items.Add(rdr2.GetValue(i).ToString());
                            }
                        }
                    }
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Unable to retrieve languages from the database");
                }

                finally
                {
                    ObjConnection.Close(); //When we are finished close the connection, if we don't do this we can run into problems with later SQLlite datareader usage
                }

                loadPrinciples();
                loadQuestions();
            }

            kryptonDataGridView1.Columns[0].ReadOnly = true;
            kryptonDataGridView1.Columns[1].ReadOnly = true;
            kryptonDataGridView1.Columns[2].ReadOnly = true;
            kryptonDataGridView1.Columns[0].HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter;
            kryptonDataGridView1.Columns[0].DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;
            kryptonDataGridView1.Columns[1].HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter;
            kryptonDataGridView1.Columns[2].HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter;
            kryptonDataGridView1.Columns[3].HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter;
            kryptonDataGridView1.Columns[4].HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter;
            kryptonDataGridView1.Columns[5].HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter;

            kryptonDataGridView2.Columns[0].ReadOnly = true;
            kryptonDataGridView2.Columns[0].HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter;
            kryptonDataGridView2.Columns[0].DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleLeft;
            kryptonDataGridView2.Columns[0].DefaultCellStyle.BackColor = System.Drawing.Color.White;

            kryptonDataGridView3.Columns[0].ReadOnly = true;
            kryptonDataGridView3.Columns[1].ReadOnly = true;
            kryptonDataGridView3.Columns[2].ReadOnly = true;
            kryptonDataGridView3.Columns[0].HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter;
            kryptonDataGridView3.Columns[0].DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;
            kryptonDataGridView3.Columns[1].HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter;
            kryptonDataGridView3.Columns[2].HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter;
            kryptonDataGridView3.Columns[3].HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter;
            kryptonDataGridView3.Columns[4].HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter;
            kryptonDataGridView3.Columns[5].HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter;
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void Reviewer_KeyPress(object sender, KeyPressEventArgs e) //Regex for keypress event on Reviewer Name textbox
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,\b\s]$"))
                e.Handled = true;
        }

        private void Developer_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,\b\s]$"))
                e.Handled = true;
        }

        private void AppProf_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void Version_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_0-9\.\b\s]$"))
                e.Handled = true;
        }

        private void LoadQuestions() //Function to load checklist items from the questions table, this is a very ugly way of doing this I will agree. Future versions need to do this better
        {
            SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True;FailIfMissing=True");
            string commandtext = ("SELECT question, Principle, QNo FROM questions"); //SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT Principle FROM questions WHERE QNo = 1 ORDER BY QNO asc", ObjConnection); SQLiteCommand ObjCommand3 = new SQLiteCommand("SELECT question FROM questions WHERE QNo = 1 ORDER BY QNO asc", ObjConnection);
            
            try
            {
                ObjConnection.Open();
            }
                
            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to load questions from the database");
            }

            try
            {
                SQLiteDataAdapter dataAdapter = new SQLiteDataAdapter(commandtext, ObjConnection);
                DataSet ds = new DataSet();
                dataAdapter.Fill(ds);
                kryptonDataGridView1.DataSource = ds.Tables[0];
                kryptonDataGridView1.Columns["QNo"].DisplayIndex = 0;
                kryptonDataGridView1.Columns["Principle"].DisplayIndex = 1;
                kryptonDataGridView1.Columns["question"].DisplayIndex = 2;
                kryptonDataGridView1.Columns["YES"].DisplayIndex = 3;
                kryptonDataGridView1.Columns["NO"].DisplayIndex = 4;
                kryptonDataGridView1.Columns["NA"].DisplayIndex = 5;
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to populate the checklist grid");
            }
            ObjConnection.Close();
        }

        private void Start_Click(object sender, EventArgs e) //This button checks that all of the textboxes have values entered in them, if they do execute the two SQL functions defined above
        {
            if (Reviewer.Text.Trim().Length == 0 || Developer.Text.Trim().Length == 0 || AppProf.Text.Trim().Length == 0 || Version.Text.Trim().Length == 0 || Date.Text.Trim().Length == 0)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("All fields must be completed");
                Reviewer.Focus();
            }

            else
            {
                LoadQuestions();
            }
        }

        private void Clear_Click(object sender, EventArgs e) //Clear the textboxes
        {
            Reviewer.Text = "";
            Developer.Text = "";
            AppProf.Text = "";
            Version.Text = "";
            Date.Text = "";
        }

        private void Notes_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,*?¡¿%{}()\[\]\\\/$:;#""!&=<>\b\s]$"))
                e.Handled = true;
        }

        private void LOCBox_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[0-9\b]$"))
                e.Handled = true;
        }

        private void LOCBox_Leave(object sender, EventArgs e)
        {
            if (LOCBox.Text == "") LOCBox.Text = "0";
        }

        private void BugBox_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[0-9\b]$"))
                e.Handled = true;
        }

        private void BugBox_Leave(object sender, EventArgs e)
        {
            if (BugBox.Text == "") BugBox.Text = "0";
        }

        private void DefectBox_Click(object sender, EventArgs e) //There has to be a easier way to do this lot, for now it works so I will leave it
        {
            {
                if (LOCBox.Text == "" && BugBox.Text == "") //If both are empty throw an error
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("No values entered for either LOC or Bugs");
                }

                if (LOCBox.Text != "" && BugBox.Text == "") //If LOC isn't empty and Bug is put a 0 in the DD box
                {
                    DefectBox.Text = ("0");
                }

                if (LOCBox.Text == "" && BugBox.Text != "") //If Bug isn't empty and LOC is put a 0 in the DD box
                {
                    DefectBox.Text = ("0");
                }

                if (LOCBox.Text == "0" && BugBox.Text == "0") //If both are 0 then put a 0 in DD to avoid a divide by 0 exception   
                {
                    DefectBox.Text = ("0");
                }

                else
                {
                    float locNumber = 0;
                    float bugNumber = 0;
                    float dd = 0;

                    try
                    {
                        locNumber = float.Parse(LOCBox.Text);
                        bugNumber = float.Parse(BugBox.Text);
                    }

                    catch
                    {
                        if (LOCBox.Text == "") LOCBox.Text = "0"; //If the LOC and Bug boxes are empty stick a 0 in them
                        if (BugBox.Text == "") BugBox.Text = "0"; //If the LOC and Bug boxes are empty stick a 0 in them
                    }

                    dd = bugNumber / locNumber; //Divide the bugs by the lines of code

                    DefectBox.Text = (dd.ToString()); //Enter the result into the DD box

                    if (DefectBox.Text == "Infinity") //Horrible little fix this is, if the value equates to "Infinity" make it look "ok" by replacing the text with a 0, so horrible it makes me die a little inside
                    {
                        DefectBox.Text = ("0");
                    }

                    if (DefectBox.Text == "NaN") //Horrible little fix this is, if the value equates to "Infinity" make it look "ok" by replacing the text with a 0, so horrible it makes me die a little inside
                    {
                        DefectBox.Text = ("0");
                    }
                }
            }
        }

        //Create DB record for the review

        private void createReviewRecord() //When you click the start button this function inserts the reviewer names, developer name etc into the reviews table
        {
            string QNo1 = null; string QNo2 = null; string QNo3 = null; string QNo4 = null; string QNo5 = null; string QNo6 = null; string QNo7 = null; string QNo8 = null; string QNo9 = null; string QNo10 = null; string QNo11 = null; string QNo12 = null; string QNo13 = null; string QNo14 = null; string QNo15 = null; string QNo16 = null; string QNo17 = null; string QNo18 = null; string QNo19 = null; string QNo20 = null; string QNo21 = null; string QNo22 = null;
            string QNo23 = null; string QNo24 = null; string QNo25 = null; string QNo26 = null; string QNo27 = null; string QNo28 = null; string QNo29 = null; string QNo30 = null; string QNo31 = null; string QNo32 = null; string QNo33 = null; string QNo34 = null; string QNo35 = null; string QNo36 = null; string QNo37 = null; string QNo38 = null; string QNo39 = null; string QNo40 = null; string QNo41 = null; string QNo42 = null; string QNo43 = null; string QNo44 = null;
            string QNo45 = null; string QNo46 = null; string QNo47 = null; string QNo48 = null; string QNo49 = null; string QNo50 = null; string QNo51 = null; string QNo52 = null; string QNo53 = null; string QNo54 = null; string QNo55 = null; string QNo56 = null; string QNo57 = null; string QNo58 = null; string QNo59 = null; string QNo60 = null; string QNo61 = null; string QNo62 = null; string QNo63 = null; string QNo64 = null; string QNo65 = null; string QNo66 = null;

            List<string> numList = new List<string>();

            foreach (DataGridViewRow row in kryptonDataGridView1.Rows)
            {
                DataGridViewCell cell = row.Cells["QNo"];
                numList.Add(cell.FormattedValue.ToString());
            }

            QNo1 = numList[0]; QNo2 = numList[1]; QNo3 = numList[2]; QNo4 = numList[3]; QNo5 = numList[4]; QNo6 = numList[5]; QNo7 = numList[6]; QNo8 = numList[7]; QNo9 = numList[8]; QNo10 = numList[9]; QNo11 = numList[10]; QNo12 = numList[11]; QNo13 = numList[12]; QNo14 = numList[13]; QNo15 = numList[14]; QNo16 = numList[15]; QNo17 = numList[16]; QNo18 = numList[17]; QNo19 = numList[18]; QNo20 = numList[19]; QNo21 = numList[20]; QNo22 = numList[21];
            QNo23 = numList[22]; QNo24 = numList[23]; QNo25 = numList[24]; QNo26 = numList[25]; QNo27 = numList[26]; QNo28 = numList[27]; QNo29 = numList[28]; QNo30 = numList[29]; QNo31 = numList[30]; QNo32 = numList[31]; QNo33 = numList[32]; QNo34 = numList[33]; QNo35 = numList[34]; QNo36 = numList[35]; QNo37 = numList[36]; QNo38 = numList[37]; QNo39 = numList[38]; QNo40 = numList[39]; QNo41 = numList[40]; QNo42 = numList[41]; QNo43 = numList[42]; QNo44 = numList[43];
            QNo45 = numList[44]; QNo46 = numList[45]; QNo47 = numList[46]; QNo48 = numList[47]; QNo49 = numList[48]; QNo50 = numList[49]; QNo51 = numList[50]; QNo52 = numList[51]; QNo53 = numList[52]; QNo54 = numList[53]; QNo55 = numList[54]; QNo56 = numList[55]; QNo57 = numList[56]; QNo58 = numList[57]; QNo59 = numList[58]; QNo60 = numList[59]; QNo61 = numList[60]; QNo62 = numList[61]; QNo63 = numList[62]; QNo64 = numList[63]; QNo65 = numList[64]; QNo66 = numList[65];

            string Yes1 = null; string Yes2 = null; string Yes3 = null; string Yes4 = null; string Yes5 = null; string Yes6 = null; string Yes7 = null; string Yes8 = null; string Yes9 = null; string Yes10 = null; string Yes11 = null; string Yes12 = null; string Yes13 = null; string Yes14 = null; string Yes15 = null; string Yes16 = null; string Yes17 = null; string Yes18 = null; string Yes19 = null; string Yes20 = null; string Yes21 = null; string Yes22 = null;
            string Yes23 = null; string Yes24 = null; string Yes25 = null; string Yes26 = null; string Yes27 = null; string Yes28 = null; string Yes29 = null; string Yes30 = null; string Yes31 = null; string Yes32 = null; string Yes33 = null; string Yes34 = null; string Yes35 = null; string Yes36 = null; string Yes37 = null; string Yes38 = null; string Yes39 = null; string Yes40 = null; string Yes41 = null; string Yes42 = null; string Yes43 = null; string Yes44 = null;
            string Yes45 = null; string Yes46 = null; string Yes47 = null; string Yes48 = null; string Yes49 = null; string Yes50 = null; string Yes51 = null; string Yes52 = null; string Yes53 = null; string Yes54 = null; string Yes55 = null; string Yes56 = null; string Yes57 = null; string Yes58 = null; string Yes59 = null; string Yes60 = null; string Yes61 = null; string Yes62 = null; string Yes63 = null; string Yes64 = null; string Yes65 = null; string Yes66 = null;

            List<string> yesList = new List<string>();

            foreach (DataGridViewRow row in kryptonDataGridView1.Rows)
            {
                DataGridViewCell cell = row.Cells["YES"];
                yesList.Add(cell.FormattedValue.ToString());
            }

            Yes1 = yesList[0]; Yes2 = yesList[1]; Yes3 = yesList[2]; Yes4 = yesList[3]; Yes5 = yesList[4]; Yes6 = yesList[5]; Yes7 = yesList[6]; Yes8 = yesList[7]; Yes9 = yesList[8]; Yes10 = yesList[9]; Yes11 = yesList[10]; Yes12 = yesList[11]; Yes13 = yesList[12]; Yes14 = yesList[13]; Yes15 = yesList[14]; Yes16 = yesList[15]; Yes17 = yesList[16]; Yes18 = yesList[17]; Yes19 = yesList[18]; Yes20 = yesList[19]; Yes21 = yesList[20]; Yes22 = yesList[21];
            Yes23 = yesList[22]; Yes24 = yesList[23]; Yes25 = yesList[24]; Yes26 = yesList[25]; Yes27 = yesList[26]; Yes28 = yesList[27]; Yes29 = yesList[28]; Yes30 = yesList[29]; Yes31 = yesList[30]; Yes32 = yesList[31]; Yes33 = yesList[32]; Yes34 = yesList[33]; Yes35 = yesList[34]; Yes36 = yesList[35]; Yes37 = yesList[36]; Yes38 = yesList[37]; Yes39 = yesList[38]; Yes40 = yesList[39]; Yes41 = yesList[40]; Yes42 = yesList[41]; Yes43 = yesList[42]; Yes44 = yesList[43];
            Yes45 = yesList[44]; Yes46 = yesList[45]; Yes47 = yesList[46]; Yes48 = yesList[47]; Yes49 = yesList[48]; Yes50 = yesList[49]; Yes51 = yesList[50]; Yes52 = yesList[51]; Yes53 = yesList[52]; Yes54 = yesList[53]; Yes55 = yesList[54]; Yes56 = yesList[55]; Yes57 = yesList[56]; Yes58 = yesList[57]; Yes59 = yesList[58]; Yes60 = yesList[59]; Yes61 = yesList[60]; Yes62 = yesList[61]; Yes63 = yesList[62]; Yes64 = yesList[63]; Yes65 = yesList[64]; Yes66 = yesList[65];

            string No1 = null; string No2 = null; string No3 = null; string No4 = null; string No5 = null; string No6 = null; string No7 = null; string No8 = null; string No9 = null; string No10 = null; string No11 = null; string No12 = null; string No13 = null; string No14 = null; string No15 = null; string No16 = null; string No17 = null; string No18 = null; string No19 = null; string No20 = null; string No21 = null; string No22 = null;
            string No23 = null; string No24 = null; string No25 = null; string No26 = null; string No27 = null; string No28 = null; string No29 = null; string No30 = null; string No31 = null; string No32 = null; string No33 = null; string No34 = null; string No35 = null; string No36 = null; string No37 = null; string No38 = null; string No39 = null; string No40 = null; string No41 = null; string No42 = null; string No43 = null; string No44 = null;
            string No45 = null; string No46 = null; string No47 = null; string No48 = null; string No49 = null; string No50 = null; string No51 = null; string No52 = null; string No53 = null; string No54 = null; string No55 = null; string No56 = null; string No57 = null; string No58 = null; string No59 = null; string No60 = null; string No61 = null; string No62 = null; string No63 = null; string No64 = null; string No65 = null; string No66 = null;

            List<string> noList = new List<string>();

            foreach (DataGridViewRow row in kryptonDataGridView1.Rows)
            {
                DataGridViewCell cell = row.Cells["NO"];
                noList.Add(cell.FormattedValue.ToString());
            }

            No1 = noList[0]; No2 = noList[1]; No3 = noList[2]; No4 = noList[3]; No5 = noList[4]; No6 = noList[5]; No7 = noList[6]; No8 = noList[7]; No9 = noList[8]; No10 = noList[9]; No11 = noList[10]; No12 = noList[11]; No13 = noList[12]; No14 = noList[13]; No15 = noList[14]; No16 = noList[15]; No17 = noList[16]; No18 = noList[17]; No19 = noList[18]; No20 = noList[19]; No21 = noList[20]; No22 = noList[21];
            No23 = noList[22]; No24 = noList[23]; No25 = noList[24]; No26 = noList[25]; No27 = noList[26]; No28 = noList[27]; No29 = noList[28]; No30 = noList[29]; No31 = noList[30]; No32 = noList[31]; No33 = noList[32]; No34 = noList[33]; No35 = noList[34]; No36 = noList[35]; No37 = noList[36]; No38 = noList[37]; No39 = noList[38]; No40 = noList[39]; No41 = noList[40]; No42 = noList[41]; No43 = noList[42]; No44 = noList[43];
            No45 = noList[44]; No46 = noList[45]; No47 = noList[46]; No48 = noList[47]; No49 = noList[48]; No50 = noList[49]; No51 = noList[50]; No52 = noList[51]; No53 = noList[52]; No54 = noList[53]; No55 = noList[54]; No56 = noList[55]; No57 = noList[56]; No58 = noList[57]; No59 = noList[58]; No60 = noList[59]; No61 = noList[60]; No62 = noList[61]; No63 = noList[62]; No64 = noList[63]; No65 = noList[64]; No66 = noList[65];

            string Na1 = null; string Na2 = null; string Na3 = null; string Na4 = null; string Na5 = null; string Na6 = null; string Na7 = null; string Na8 = null; string Na9 = null; string Na10 = null; string Na11 = null; string Na12 = null; string Na13 = null; string Na14 = null; string Na15 = null; string Na16 = null; string Na17 = null; string Na18 = null; string Na19 = null; string Na20 = null; string Na21 = null; string Na22 = null;
            string Na23 = null; string Na24 = null; string Na25 = null; string Na26 = null; string Na27 = null; string Na28 = null; string Na29 = null; string Na30 = null; string Na31 = null; string Na32 = null; string Na33 = null; string Na34 = null; string Na35 = null; string Na36 = null; string Na37 = null; string Na38 = null; string Na39 = null; string Na40 = null; string Na41 = null; string Na42 = null; string Na43 = null; string Na44 = null;
            string Na45 = null; string Na46 = null; string Na47 = null; string Na48 = null; string Na49 = null; string Na50 = null; string Na51 = null; string Na52 = null; string Na53 = null; string Na54 = null; string Na55 = null; string Na56 = null; string Na57 = null; string Na58 = null; string Na59 = null; string Na60 = null; string Na61 = null; string Na62 = null; string Na63 = null; string Na64 = null; string Na65 = null; string Na66 = null;

            List<string> naList = new List<string>();

            foreach (DataGridViewRow row in kryptonDataGridView1.Rows)
            {
                DataGridViewCell cell = row.Cells["NA"];
                naList.Add(cell.FormattedValue.ToString());
            }

            Na1 = naList[0]; Na2 = naList[1]; Na3 = naList[2]; Na4 = naList[3]; Na5 = naList[4]; Na6 = naList[5]; Na7 = naList[6]; Na8 = naList[7]; Na9 = naList[8]; Na10 = naList[9]; Na11 = naList[10]; Na12 = naList[11]; Na13 = naList[12]; Na14 = naList[13]; Na15 = naList[14]; Na16 = naList[15]; Na17 = naList[16]; Na18 = naList[17]; Na19 = naList[18]; Na20 = naList[19]; Na21 = naList[20]; Na22 = naList[21];
            Na23 = naList[22]; Na24 = naList[23]; Na25 = naList[24]; Na26 = naList[25]; Na27 = naList[26]; Na28 = naList[27]; Na29 = naList[28]; Na30 = naList[29]; Na31 = naList[30]; Na32 = naList[31]; Na33 = naList[32]; Na34 = naList[33]; Na35 = naList[34]; Na36 = naList[35]; Na37 = naList[36]; Na38 = naList[37]; Na39 = naList[38]; Na40 = naList[39]; Na41 = naList[40]; Na42 = naList[41]; Na43 = naList[42]; Na44 = naList[43];
            Na45 = naList[44]; Na46 = naList[45]; Na47 = naList[46]; Na48 = naList[47]; Na49 = naList[48]; Na50 = naList[49]; Na51 = naList[50]; Na52 = naList[51]; Na53 = naList[52]; Na54 = naList[53]; Na55 = naList[54]; Na56 = naList[55]; Na57 = naList[56]; Na58 = naList[57]; Na59 = naList[58]; Na60 = naList[59]; Na61 = naList[60]; Na62 = naList[61]; Na63 = naList[62]; Na64 = naList[63]; Na65 = naList[64]; Na66 = naList[65];

            SQLiteConnection sqlite_conn;
            SQLiteCommand sqlite_cmd;
            sqlite_conn = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True;FailIfMissing=True");
            sqlite_cmd = sqlite_conn.CreateCommand();
            sqlite_cmd.CommandText = "INSERT INTO reviews (Reviewer, Developer, Application, Version, Date, Notes, LinesOfCode, NumberOfBugs, DefectDensity, QNo1, YES1, NO1, NA1, QNo2, YES2, NO2, NA2, QNo3, YES3, NO3, NA3, QNo4, YES4, NO4, NA4, QNo5, YES5, NO5, NA5, QNo6, YES6, NO6, NA6, QNo7, YES7, NO7, NA7, QNo8, YES8, NO8, NA8, QNo9, YES9, NO9, NA9, QNo10, YES10, NO10, NA10, QNo11, YES11, NO11, NA11, QNo12, YES12, NO12, NA12, QNo13, YES13, NO13, NA13, QNo14, YES14, NO14, NA14, QNo15, YES15, NO15, NA15, QNo16, YES16, NO16, NA16, QNo17, YES17, NO17, NA17, QNo18, YES18, NO18, NA18, QNo19, YES19, NO19, NA19, QNo20, YES20, NO20, NA20, QNo21, YES21, NO21, NA21, QNo22, YES22, NO22, NA22, QNo23, YES23, NO23, NA23, QNo24, YES24, NO24, NA24, QNo25, YES25, NO25, NA25, QNo26, YES26, NO26, NA26, QNo27, YES27, NO27, NA27, QNo28, YES28, NO28, NA28, QNo29, YES29, NO29, NA29, QNo30, YES30, NO30, NA30, QNo31, YES31, NO31, NA31, QNo32, YES32, NO32, NA32, QNo33, YES33, NO33, NA33, QNo34, YES34, NO34, NA34, QNo35, YES35, NO35, NA35, QNo36, YES36, NO36, NA36, QNo37, YES37, NO37, NA37, QNo38, YES38, NO38, NA38, QNo39, YES39, NO39, NA39, QNo40, YES40, NO40, NA40, QNo41, YES41, NO41, NA41, QNo42, YES42, NO42, NA42, QNo43, YES43, NO43, NA43, QNo44, YES44, NO44, NA44, QNo45, YES45, NO45, NA45, QNo46, YES46, NO46, NA46, QNo47, YES47, NO47, NA47, QNo48, YES48, NO48, NA48, QNo49, YES49, NO49, NA49, QNo50, YES50, NO50, NA50, QNo51, YES51, NO51, NA51, QNo52, YES52, NO52, NA52, QNo53, YES53, NO53, NA53, QNo54, YES54, NO54, NA54, QNo55, YES55, NO55, NA55, QNo56, YES56, NO56, NA56, QNo57, YES57, NO57, NA57, QNo58, YES58, NO58, NA58, QNo59, YES59, NO59, NA59, QNo60, YES60, NO60, NA60, QNo61, YES61, NO61, NA61, QNo62, YES62, NO62, NA62, QNo63, YES63, NO63, NA63, QNo64, YES64, NO64, NA64, QNo65, YES65, NO65, NA65, QNo66, YES66, NO66, NA66) VALUES ('" + Reviewer.Text.ToString() + "', '" + Developer.Text.ToString() + "', '" + AppProf.Text.ToString() + "', '" + Version.Text.ToString() + "', '" + Date.Text.ToString() + "', '" + Notes.Text.ToString() + "', '" + LOCBox.Text.ToString() + "', '" + BugBox.Text.ToString() + "', '" + DefectBox.Text.ToString() + "', '" + QNo1 + "', '" + Yes1 + "', '" + No1 + "', '" + Na1 + "', '" + QNo2 + "', '" + Yes2 + "', '" + No2 + "', '" + Na2 + "', '" + QNo3 + "', '" + Yes3 + "', '" + No3 + "', '" + Na3 + "', '" + QNo4 + "', '" + Yes4 + "', '" + No4 + "', '" + Na4 + "', '" + QNo5 + "', '" + Yes5 + "', '" + No5 + "', '" + Na5 + "', '" + QNo6 + "', '" + Yes6 + "', '" + No6 + "', '" + Na6 + "', '" + QNo7 + "', '" + Yes7 + "', '" + No7 + "', '" + Na7 + "', '" + QNo8 + "', '" + Yes8 + "', '" + No8 + "', '" + Na8 + "', '" + QNo9 + "', '" + Yes9 + "', '" + No9 + "', '" + Na9 + "', '" + QNo10 + "', '" + Yes10 + "', '" + No10 + "', '" + Na10 + "', '" + QNo11 + "', '" + Yes11 + "', '" + No11 + "', '" + Na11 + "', '" + QNo12 + "', '" + Yes12 + "', '" + No12 + "', '" + Na12 + "', '" + QNo13 + "', '" + Yes13 + "', '" + No13 + "', '" + Na13 + "', '" + QNo14 + "', '" + Yes14 + "', '" + No14 + "', '" + Na14 + "', '" + QNo15 + "', '" + Yes15 + "', '" + No15 + "', '" + Na15 + "', '" + QNo16 + "', '" + Yes16 + "', '" + No16 + "', '" + Na16 + "', '" + QNo17 + "', '" + Yes17 + "', '" + No17 + "', '" + Na17 + "', '" + QNo18 + "', '" + Yes18 + "', '" + No18 + "', '" + Na18 + "', '" + QNo19 + "', '" + Yes19 + "', '" + No19 + "', '" + Na19 + "', '" + QNo20 + "', '" + Yes20 + "', '" + No20 + "', '" + Na20 + "', '" + QNo21 + "', '" + Yes21 + "', '" + No21 + "', '" + Na21 + "', '" + QNo22 + "', '" + Yes22 + "', '" + No22 + "', '" + Na22 + "', '" + QNo23 + "', '" + Yes23 + "', '" + No23 + "', '" + Na23 + "', '" + QNo24 + "', '" + Yes24 + "', '" + No24 + "', '" + Na24 + "', '" + QNo25 + "', '" + Yes25 + "', '" + No25 + "', '" + Na25 + "', '" + QNo26 + "', '" + Yes26 + "', '" + No26 + "', '" + Na26 + "', '" + QNo27 + "', '" + Yes27 + "', '" + No27 + "', '" + Na27 + "', '" + QNo28 + "', '" + Yes28 + "', '" + No28 + "', '" + Na28 + "', '" + QNo29 + "', '" + Yes29 + "', '" + No29 + "', '" + Na29 + "', '" + QNo30 + "', '" + Yes30 + "', '" + No30 + "', '" + Na30 + "', '" + QNo31 + "', '" + Yes31 + "', '" + No31 + "', '" + Na31 + "', '" + QNo32 + "', '" + Yes32 + "', '" + No32 + "', '" + Na32 + "', '" + QNo33 + "', '" + Yes33 + "', '" + No33 + "', '" + Na33 + "', '" + QNo34 + "', '" + Yes34 + "', '" + No34 + "', '" + Na34 + "', '" + QNo35 + "', '" + Yes35 + "', '" + No35 + "', '" + Na35 + "', '" + QNo36 + "', '" + Yes36 + "', '" + No36 + "', '" + Na36 + "', '" + QNo37 + "', '" + Yes37 + "', '" + No37 + "', '" + Na37 + "', '" + QNo38 + "', '" + Yes38 + "', '" + No38 + "', '" + Na38 + "', '" + QNo39 + "', '" + Yes39 + "', '" + No39 + "', '" + Na39 + "', '" + QNo40 + "', '" + Yes40 + "', '" + No40 + "', '" + Na40 + "', '" + QNo41 + "', '" + Yes41 + "', '" + No41 + "', '" + Na41 + "', '" + QNo42 + "', '" + Yes42 + "', '" + No42 + "', '" + Na42 + "', '" + QNo43 + "', '" + Yes43 + "', '" + No43 + "', '" + Na43 + "', '" + QNo44 + "', '" + Yes44 + "', '" + No44 + "', '" + Na44 + "', '" + QNo45 + "', '" + Yes45 + "', '" + No45 + "', '" + Na45 + "', '" + QNo46 + "', '" + Yes46 + "', '" + No46 + "', '" + Na46 + "', '" + QNo47 + "', '" + Yes47 + "', '" + No47 + "', '" + Na47 + "', '" + QNo48 + "', '" + Yes48 + "', '" + No48 + "', '" + Na48 + "', '" + QNo49 + "', '" + Yes49 + "', '" + No49 + "', '" + Na49 + "', '" + QNo50 + "', '" + Yes50 + "', '" + No50 + "', '" + Na50 + "', '" + QNo51 + "', '" + Yes51 + "', '" + No51 + "', '" + Na51 + "', '" + QNo52 + "', '" + Yes52 + "', '" + No52 + "', '" + Na52 + "', '" + QNo53 + "', '" + Yes53 + "', '" + No53 + "', '" + Na53 + "', '" + QNo54 + "', '" + Yes54 + "', '" + No54 + "', '" + Na54 + "', '" + QNo55 + "', '" + Yes55 + "', '" + No55 + "', '" + Na55 + "', '" + QNo56 + "', '" + Yes56 + "', '" + No56 + "', '" + Na56 + "', '" + QNo57 + "', '" + Yes57 + "', '" + No57 + "', '" + Na57 + "', '" + QNo58 + "', '" + Yes58 + "', '" + No58 + "', '" + Na58 + "', '" + QNo59 + "', '" + Yes59 + "', '" + No59 + "', '" + Na59 + "', '" + QNo60 + "', '" + Yes60 + "', '" + No60 + "', '" + Na60 + "', '" + QNo61 + "', '" + Yes61 + "', '" + No61 + "', '" + Na61 + "', '" + QNo62 + "', '" + Yes62 + "', '" + No62 + "', '" + Na62 + "', '" + QNo63 + "', '" + Yes63 + "', '" + No63 + "', '" + Na63 + "', '" + QNo64 + "', '" + Yes64 + "', '" + No64 + "', '" + Na64 + "', '" + QNo65 + "', '" + Yes65 + "', '" + No65 + "', '" + Na65 + "', '" + QNo66 + "', '" + Yes66 + "', '" + No66 + "', '" + Na66 + "')";

            try
            {
                sqlite_conn.Open();
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the checklist database");
            }

            int executed = 0;

            try
            {
                executed = sqlite_cmd.ExecuteNonQuery();
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to insert data into reviews table");
            }

            sqlite_conn.Close();

            //If connection and Insert == successful popup a message and clear the form

            if (executed == 1)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Record created for this review");
                Reviewer.Text = "";
                Developer.Text = "";
                AppProf.Text = "";
                Version.Text = "";
                Date.Text = "";
                Notes.Text = "";
                LOCBox.Text = "0";
                BugBox.Text = "0";
                DefectBox.Text = "0";

                foreach (DataGridViewRow row in kryptonDataGridView1.Rows)
                {
                    DataGridViewCell cell = row.Cells["YES"];
                    cell.Value = false;
                    DataGridViewCell cell1 = row.Cells["NO"];
                    cell1.Value = false;
                    DataGridViewCell cell2 = row.Cells["NA"];
                    cell2.Value = false;
                    DataGridViewCell cell3 = row.Cells["QNo"];
                    DataGridViewCell cell4 = row.Cells["Principle"];
                    DataGridViewCell cell5 = row.Cells["question"];

                    cell.Style.BackColor = System.Drawing.Color.White;
                    cell1.Style.BackColor = System.Drawing.Color.White;
                    cell2.Style.BackColor = System.Drawing.Color.White;
                    cell3.Style.BackColor = System.Drawing.Color.White;
                    cell4.Style.BackColor = System.Drawing.Color.White;
                    cell5.Style.BackColor = System.Drawing.Color.White;
                }
            }
        }

        private void numberBoxMagic()
        {
            if (LOCBox.Text != "" && BugBox.Text == "") //If LOC isn't empty and Bug is put a 0 in the DD box
            {
                DefectBox.Text = ("0");
            }

            if (LOCBox.Text == "" && BugBox.Text != "") //If Bug isn't empty and LOC is put a 0 in the DD box
            {
                DefectBox.Text = ("0");
            }

            if (LOCBox.Text == "0" && BugBox.Text == "0") //If both are 0 then put a 0 in DD to avoid a divide by 0 exception   
            {
                DefectBox.Text = ("0");
            }

            else
            {
                float locNumber = 0;
                float bugNumber = 0;
                float dd = 0;

                try
                {
                    locNumber = float.Parse(LOCBox.Text);
                    bugNumber = float.Parse(BugBox.Text);
                }

                catch
                {
                    if (LOCBox.Text == "") LOCBox.Text = "0"; //If the LOC and Bug boxes are empty stick a 0 in them
                    if (BugBox.Text == "") BugBox.Text = "0"; //If the LOC and Bug boxes are empty stick a 0 in them
                }

                dd = bugNumber / locNumber; //Divide the bugs by the lines of code
                DefectBox.Text = (dd.ToString()); //Enter the result into the DD box

                if (DefectBox.Text == "Infinity") //Horrible little fix this is, if the value equates to "Infinity" make it look "ok" by replacing the text with a 0, so horrible it makes me die a little inside
                {
                    DefectBox.Text = ("0");
                }

                if (DefectBox.Text == "NaN") //Horrible little fix this is, if the value equates to "Infinity" make it look "ok" by replacing the text with a 0, so horrible it makes me die a little inside
                {
                    DefectBox.Text = ("0");
                }
        }
    }

        public void SaveReport_Click(object sender, EventArgs e)
        {
            numberBoxMagic();

            try
            {
                if (!Regex.IsMatch(Reviewer.Text, @"^[a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,\b\s]*$"))
                    throw new Exception("Invalid characters in Reviewer field");

                if (!Regex.IsMatch(Developer.Text, @"^[a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,\b\s]*$"))
                    throw new Exception("Invalid characters in Developer field");

                if (!Regex.IsMatch(AppProf.Text, @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.\b\s]*$"))
                    throw new Exception("Invalid characters in Application Name field");

                if (!Regex.IsMatch(Version.Text, @"^[a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_0-9\.\b\s]*$"))
                    throw new Exception("Invalid characters in Version number field");

                if (!Regex.IsMatch(Date.Text, @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-/\b\s]*$"))
                    throw new Exception("Invalid characters in Date field");

                if (!Regex.IsMatch(Notes.Text, @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,*?¡¿%{}()\[\]\\\/$:;#""!&=<>\b\s]*$"))
                    throw new Exception("Invalid characters in Notes box");

                if (!Regex.IsMatch(LOCBox.Text, @"^[0-9\b]*$"))
                    throw new Exception("Invalid characters in Lines of Code field");

                if (!Regex.IsMatch(DefectBox.Text, @"^[0-9\.,]*$"))
                    throw new Exception("Invalid characters in Defect Density field");
            }

            catch (Exception ex)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show(ex.Message);
                return;
            }

            if (Reviewer.Text.Trim().Length == 0)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("The reviewer field has been left blank");
                return;
            }

            if (Developer.Text.Trim().Length == 0)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("The developer field has been left blank");
                return;
            }

            if (AppProf.Text.Trim().Length == 0)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("The profile name field has been left blank");
                return;
            }

            if (Version.Text.Trim().Length == 0)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("The version field has been left blank");
                return;
            }

            if (Date.Text.Trim().Length == 0)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("The date field has been left blank");
                return;
            }

            if (Notes.Text.Trim().Length == 0)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("The notes field has been left blank");
                return;
            }

            if (LOCBox.Text == "0" || LOCBox.Text.Trim().Length == 0)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("The lines of code field has been left blank");
                return;
            }

            int Rowsi = 0;

            foreach (DataGridViewRow row in kryptonDataGridView1.Rows)
            {
                DataGridViewCell cell = row.Cells["QNo"];
                DataGridViewCell cell1 = row.Cells["Principle"];
                DataGridViewCell cell2 = row.Cells["question"];
                DataGridViewCell cell3 = row.Cells["YES"];
                DataGridViewCell cell4 = row.Cells["NO"];
                DataGridViewCell cell5 = row.Cells["NA"];

                if (cell3.Value == null && cell4.Value == null && cell5.Value == null)
                {
                    cell.Style.BackColor = System.Drawing.Color.FromArgb(255, 80, 80);
                    cell1.Style.BackColor = System.Drawing.Color.FromArgb(255, 80, 80);
                    cell2.Style.BackColor = System.Drawing.Color.FromArgb(255, 80, 80);
                    cell3.Style.BackColor = System.Drawing.Color.FromArgb(255, 80, 80);
                    cell4.Style.BackColor = System.Drawing.Color.FromArgb(255, 80, 80);
                    cell5.Style.BackColor = System.Drawing.Color.FromArgb(255, 80, 80);
                    Rowsi++;
                }
            }

            if (Rowsi > 0)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Please provide an answer for all of the checklist items");
                return;
            }

            else
            {
                createReviewRecord();
            }
        }

        /* ================================================
         * This is the start of the code for the create
         * an application profile tab
         * ================================================
         */

        private void ApplicationName_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.\b\s]$"))
                e.Handled = true;
        }

        private void ApplicationDescription_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,*?¡¿%{}()\[\]\\\/$:;#""!&=<>\b\s]$"))
                e.Handled = true;
        }

        private void DesignedByCombo_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void DevelopedBy_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void HostedLoc_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_,.\b\s]$"))
                e.Handled = true;
        }

        private void FacingCombo_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void BusImpCombo_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void DataImpCombo_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void DataSenCombo_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void Otherbox_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_,.\b\s]$"))
                e.Handled = true;
        }

        private void Framework_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_,.\b\s]$"))
                e.Handled = true;
        }

        private void Database_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_,.\b\s]$"))
                e.Handled = true;
        }

        private void NotesBox_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,*?¡¿%{}()\[\]\\\/$:;#""!&=<>\b\s]$"))
                e.Handled = true;
        }

        //Create DB record for the profile

        private void createApplicationProfile() //When you click the save button this function inserts the application profile into the profiles table
        {
            SQLiteConnection sqlite_conn;
            SQLiteCommand sqlite_cmd;
            sqlite_conn = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True;FailIfMissing=True");
            sqlite_cmd = sqlite_conn.CreateCommand();
            sqlite_cmd.CommandText = "INSERT INTO profiles (ApplicationName, ApplicationDescription, DesignedByCombo, DevelopedBy, HostedLoc, FacingCombo, PIIcheck, CCcheck, BankingCheck, Healthcheck, HRcheck, Companycheck, BusImpCombo, DataImpCombo, DataSenCombo, ASPcheck, ASPNETcheck, CSharpcheck, Javacheck, JScheck, Perlcheck, PHPcheck, Pythoncheck, Rubycheck, VBNETcheck, XMLcheck, Othercheck, Otherbox, Framework, Database, NotesBox) VALUES ('" + ApplicationName.Text.ToString() + "', '" + ApplicationDescription.Text.ToString() + "', '" + DesignedByCombo.Text.ToString() + "', '" + DevelopedBy.Text.ToString() + "', '" + HostedLoc.Text.ToString() + "', '" + FacingCombo.Text.ToString() + "', '" + PIIcheck.Checked.ToString() + "', '" + CCcheck.Checked.ToString() + "', '" + BankingCheck.Checked.ToString() + "', '" + Healthcheck.Checked.ToString() + "', '" + HRcheck.Checked.ToString() + "', '" + Companycheck.Checked.ToString() + "', '" + BusImpCombo.Text.ToString() + "', '" + DataImpCombo.Text.ToString() + "', '" + DataSenCombo.Text.ToString() + "', '" + ASPcheck.Checked.ToString() + "', '" + ASPNETcheck.Checked.ToString() + "', '" + CSharpcheck.Checked.ToString() + "', '" + Javacheck.Checked.ToString() + "', '" + JScheck.Checked.ToString() + "', '" + Perlcheck.Checked.ToString() + "', '" + PHPcheck.Checked.ToString() + "', '" + Pythoncheck.Checked.ToString() + "', '" + Rubycheck.Checked.ToString() + "', '" + VBNETcheck.Checked.ToString() + "', '" + XMLcheck.Checked.ToString() + "', '" + Othercheck.Checked.ToString() + "', '" + Otherbox.Text.ToString() + "', '" + Framework.Text.ToString() + "', '" + Database.Text.ToString() + "', '" + NotesBox.Text.ToString() + "')";

            try //Try to connect to the checklist DB, if we can't then let the user know
            {
                sqlite_conn.Open();
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the checklist database");
            }

            int executed = 0;

            try //Try to insert the profile data into the profiles table, if we can't then let the user know
            {
                executed = sqlite_cmd.ExecuteNonQuery();
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to insert data into profiles table");
            }

            sqlite_conn.Close();

            //If connection and Insert == successful popup a message

            if (executed == 1)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("New application profile created");

                ApplicationName.Text = "";
                ApplicationDescription.Text = "";
                DesignedByCombo.Text = "";
                DevelopedBy.Text = "";
                HostedLoc.Text = "";
                FacingCombo.Text = "";
                PIIcheck.Checked = false;
                CCcheck.Checked = false;
                BankingCheck.Checked = false;
                Healthcheck.Checked = false;
                HRcheck.Checked = false;
                Companycheck.Checked = false;
                BusImpCombo.Text = "";
                DataImpCombo.Text = "";
                DataSenCombo.Text = "";
                ASPcheck.Checked = false;
                ASPNETcheck.Checked = false;
                CSharpcheck.Checked = false;
                Javacheck.Checked = false;
                JScheck.Checked = false;
                Perlcheck.Checked = false;
                PHPcheck.Checked = false;
                Pythoncheck.Checked = false;
                Rubycheck.Checked = false;
                VBNETcheck.Checked = false;
                XMLcheck.Checked = false;
                Othercheck.Checked = false;
                Otherbox.Text = "";
                Otherbox.BackColor = Color.White;
                Framework.Text = "";
                Database.Text = "";
                NotesBox.Text = "";
            }
        }

        private void SaveAppProf_Click(object sender, EventArgs e)
        {
            //This lot is just a bunch of "final" input validation checks, compliments the keypress regexs
            try
            {
                if (ApplicationName.Text.Trim().Length == 0) //Check if any of the *mandatory* boxes have text in them
                    throw new Exception("Application name field cannot be left blank");

                if (ApplicationDescription.Text.Trim().Length == 0)
                    throw new Exception("Application description field cannot be left blank");

                if (DesignedByCombo.Text.Trim().Length == 0)
                    throw new Exception("Designed by field cannot be left blank");

                if (DevelopedBy.Text.Trim().Length == 0)
                    throw new Exception("Developed by field cannot be left blank");

                if (HostedLoc.Text.Trim().Length == 0)
                    throw new Exception("Hosted location field cannot be left blank");

                if (FacingCombo.Text.Trim().Length == 0)
                    throw new Exception("Internal or external facing field cannot be left blank");

                if (BusImpCombo.Text.Trim().Length == 0)
                    throw new Exception("Business importance field cannot be left blank");

                if (DataImpCombo.Text.Trim().Length == 0)
                    throw new Exception("Data importance field cannot be left blank");

                if (DataSenCombo.Text.Trim().Length == 0)
                    throw new Exception("Data sensitivity field cannot be left blank");

                if (Framework.Text.Trim().Length == 0)
                    throw new Exception("Framework field cannot be left blank");

                if (Database.Text.Trim().Length == 0)
                    throw new Exception("Database field cannot be left blank");

                if (NotesBox.Text.Trim().Length == 0)
                    throw new Exception("Notes field cannot be left blank");

                if (PIIcheck.Checked == false && CCcheck.Checked == false && BankingCheck.Checked == false && Healthcheck.Checked == false && HRcheck.Checked == false && Companycheck.Checked == false)
                    throw new Exception("Please select one or more data type");

                if (ASPcheck.Checked == false && ASPNETcheck.Checked == false && CSharpcheck.Checked == false && Javacheck.Checked == false && JScheck.Checked == false && Perlcheck.Checked == false && PHPcheck.Checked == false && Pythoncheck.Checked == false && Rubycheck.Checked == false && VBNETcheck.Checked == false && XMLcheck.Checked == false && Othercheck.Checked == false)
                    throw new Exception("Please select one or more language");

                if (Othercheck.Checked == true && Otherbox.Text.Trim().Length == 0)
                    Otherbox.BackColor = Color.FromArgb(255, 80, 80);

                if (Othercheck.Checked == true && Otherbox.Text.Trim().Length == 0)
                    throw new Exception("Other language check box has been ticked but no language has been entered in the other language field");

                if (!Regex.IsMatch(ApplicationName.Text, @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.\b\s]*$"))
                    throw new Exception("Invalid characters in Application Name field");

                if (!Regex.IsMatch(ApplicationDescription.Text, @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,*?¡¿%{}()\[\]\\\/$:;#""!&=<>\b\s]*$"))
                    throw new Exception("Invalid characters in Application Description field");

                if (!Regex.IsMatch(DesignedByCombo.Text, @"^(Internal|External)*$"))
                    throw new Exception("Invalid characters in Designed By field");

                if (!Regex.IsMatch(DevelopedBy.Text, @"^(Internal|External)*$"))
                    throw new Exception("Invalid characters in Developed By field");

                if (!Regex.IsMatch(HostedLoc.Text, @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_,.\b\s]*$"))
                    throw new Exception("Invalid characters in Hosted Location field");

                if (!Regex.IsMatch(FacingCombo.Text, @"^(Internal|External)*$"))
                    throw new Exception("Invalid characters in Facing field");

                if (!Regex.IsMatch(BusImpCombo.Text, @"^(High|Medium|Low)*$"))
                    throw new Exception("Invalid characters in Facing field");

                if (!Regex.IsMatch(DataImpCombo.Text, @"^(High|Medium|Low)*$"))
                    throw new Exception("Invalid characters in Data Importance field");

                if (!Regex.IsMatch(DataSenCombo.Text, @"^(High|Medium|Low)*$"))
                    throw new Exception("Invalid characters in Data Importance field");

                if (!Regex.IsMatch(Otherbox.Text, @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_,.\b\s]*$"))
                    throw new Exception("Invalid characters in Other Language field");

                if (!Regex.IsMatch(Framework.Text, @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_,.\b\s]*$"))
                    throw new Exception("Invalid characters in Framework field");

                if (!Regex.IsMatch(Database.Text, @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_,.\b\s]*$"))
                    throw new Exception("Invalid characters in Database field");

                if (!Regex.IsMatch(NotesBox.Text, @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,*?¡¿%{}()\[\]\\\/$:;#""!&=<>\b\s]*$"))
                    throw new Exception("Invalid characters in Notes field");

                if (!Regex.IsMatch(PIIcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in PII check field");

                if (!Regex.IsMatch(CCcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Payment Card check field");

                if (!Regex.IsMatch(BankingCheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Financial check field");

                if (!Regex.IsMatch(Healthcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Health check field");

                if (!Regex.IsMatch(HRcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in HR check field");

                if (!Regex.IsMatch(Companycheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Business check field");

                if (!Regex.IsMatch(ASPcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in ASP check field");

                if (!Regex.IsMatch(ASPNETcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in ASP.NET check field");

                if (!Regex.IsMatch(CSharpcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in C# check field");

                if (!Regex.IsMatch(Javacheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Java check field");

                if (!Regex.IsMatch(JScheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Javascript check field");

                if (!Regex.IsMatch(Perlcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Perl check field");

                if (!Regex.IsMatch(PHPcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in PHP check field");

                if (!Regex.IsMatch(Pythoncheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Python check field");

                if (!Regex.IsMatch(Rubycheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Ruby check field");

                if (!Regex.IsMatch(VBNETcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in VB.NET check field");

                if (!Regex.IsMatch(XMLcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in XML check field");
            }

            catch (Exception ex)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show(ex.Message);
                return;
            }

            createApplicationProfile(); //All checks passed so insert the review record into the reviews database

            SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");

            //Populate the application profiles dropdown box

            try
            {
                ObjConnection.Open();
                SQLiteDataReader rdr = null;
                AppProf.Properties.Items.Clear();
                vAppProf.Properties.Items.Clear();
                rAppProf.Properties.Items.Clear();
                amAppProf.Properties.Items.Clear();
                SQLiteCommand cmd = new SQLiteCommand("SELECT ApplicationName FROM profiles", ObjConnection);
                rdr = cmd.ExecuteReader();
                {
                    while (rdr.Read())
                    {
                        for (int i = 0; i < rdr.FieldCount; i++)
                        {
                            AppProf.Properties.Items.Add(rdr.GetValue(i).ToString());
                            vAppProf.Properties.Items.Add(rdr.GetValue(i).ToString());
                            rAppProf.Properties.Items.Add(rdr.GetValue(i).ToString());
                            amAppProf.Properties.Items.Add(rdr.GetValue(i).ToString());
                        }
                    }
                }
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to retrieve Application Names from the database");
            }

            finally
            {
                ObjConnection.Close();
            }
        }

        private void ClearAppProf_Click(object sender, EventArgs e)
        {
            //Clear all text boxes and check boxes 
            ApplicationName.Text = "";
            ApplicationDescription.Text = "";
            DesignedByCombo.Text = "";
            DevelopedBy.Text = "";
            HostedLoc.Text = "";
            FacingCombo.Text = "";
            PIIcheck.Checked = false;
            CCcheck.Checked = false;
            BankingCheck.Checked = false;
            Healthcheck.Checked = false;
            HRcheck.Checked = false;
            Companycheck.Checked = false;
            BusImpCombo.Text = "";
            DataImpCombo.Text = "";
            DataSenCombo.Text = "";
            ASPcheck.Checked = false;
            ASPNETcheck.Checked = false;
            CSharpcheck.Checked = false;
            Javacheck.Checked = false;
            JScheck.Checked = false;
            Perlcheck.Checked = false;
            PHPcheck.Checked = false;
            Pythoncheck.Checked = false;
            Rubycheck.Checked = false;
            VBNETcheck.Checked = false;
            XMLcheck.Checked = false;
            Othercheck.Checked = false;
            Otherbox.Text = "";
            Otherbox.BackColor = Color.White;
            Framework.Text = "";
            Database.Text = "";
            NotesBox.Text = "";
        }

        /* ================================================
         * This is the start of the code for the view
         * an application profile tab
         * ================================================
         */

        private void ReadOnlyTrue() //Function to "disable" all fields on the form
        {
            vApplicationName.Properties.ReadOnly = true;
            vApplicationDescription.Properties.ReadOnly = true;
            vDesignedByCombo.Enabled = false;
            vDevelopedBy.Enabled = false;
            vHostedLoc.Properties.ReadOnly = true;
            vFacingCombo.Enabled = false;
            vPIIcheck.Enabled = false;
            vCCcheck.Enabled = false;
            vBankingCheck.Enabled = false;
            vHealthcheck.Enabled = false;
            vHRcheck.Enabled = false;
            vCompanycheck.Enabled = false;
            vBusImpCombo.Enabled = false;
            vDataImpCombo.Enabled = false;
            vDataSenCombo.Enabled = false;
            vASPcheck.Enabled = false;
            vASPNETcheck.Enabled = false;
            vCSharpcheck.Enabled = false;
            vJavacheck.Enabled = false;
            vJScheck.Enabled = false;
            vPerlcheck.Enabled = false;
            vPHPcheck.Enabled = false;
            vPythoncheck.Enabled = false;
            vRubycheck.Enabled = false;
            vVBNETcheck.Enabled = false;
            vXMLcheck.Enabled = false;
            vOthercheck.Enabled = false;
            vOtherbox.Properties.ReadOnly = true;
            vFramework.Properties.ReadOnly = true;
            vDatabase.Properties.ReadOnly = true;
            vNotesBox.Properties.ReadOnly = true;
        }

        private void ReadOnlyFalse() //Function to "enable" all fields on the form
        {
            vApplicationDescription.Properties.ReadOnly = false;
            vDesignedByCombo.Enabled = true;
            vDevelopedBy.Enabled = true;
            vHostedLoc.Properties.ReadOnly = false;
            vFacingCombo.Enabled = true;
            vPIIcheck.Enabled = true;
            vCCcheck.Enabled = true;
            vBankingCheck.Enabled = true;
            vHealthcheck.Enabled = true;
            vHRcheck.Enabled = true;
            vCompanycheck.Enabled = true;
            vBusImpCombo.Enabled = true;
            vDataImpCombo.Enabled = true;
            vDataSenCombo.Enabled = true;
            vASPcheck.Enabled = true;
            vASPNETcheck.Enabled = true;
            vCSharpcheck.Enabled = true;
            vJavacheck.Enabled = true;
            vJScheck.Enabled = true;
            vPerlcheck.Enabled = true;
            vPHPcheck.Enabled = true;
            vPythoncheck.Enabled = true;
            vRubycheck.Enabled = true;
            vVBNETcheck.Enabled = true;
            vXMLcheck.Enabled = true;
            vOthercheck.Enabled = true;
            vOtherbox.Properties.ReadOnly = false;
            vFramework.Properties.ReadOnly = false;
            vDatabase.Properties.ReadOnly = false;
            vNotesBox.Properties.ReadOnly = false;
        }

        private void vAppProf_Enter(object sender, EventArgs e)
        {
            ReadOnlyTrue();
        }

        private void vAppProf_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void vApplicationName_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.\b\s]$"))
                e.Handled = true;
        }

        private void vApplicationDescription_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,*?¡¿%{}()\[\]\\\/$:;#""!&=<>\b\s]$"))
                e.Handled = true;
        }

        private void vDesignedByCombo_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void vDevelopedBy_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void vHostedLoc_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_,.\b\s]$"))
                e.Handled = true;
        }

        private void vFacingCombo_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void vBusImpCombo_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void vDataImpCombo_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void vDataSenCombo_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void vOtherbox_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_,.\b\s]$"))
                e.Handled = true;
        }

        private void vFramework_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_,.\b\s]$"))
                e.Handled = true;
        }

        private void vDatabase_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_,.\b\s]$"))
                e.Handled = true;
        }

        private void vNotesBox_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,*?¡¿%{}()\[\]\\\/$:;#""!&=<>\b\s]$"))
                e.Handled = true;
        }

        private void GetProfName() //Function to get the name of the app selected from the AppProf combo and put it into the Application Name text box
        {
            try
            {
                vApplicationName.Text = vAppProf.SelectedItem.ToString();
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to retrieve profile name");
            }
        }

        private void fillCombo()
        {
            if (vAppProf.Text.Trim().Length == 0)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("No profile selected");
            }

            else if (vAppProf.Text.Trim().Length != 0)
            {
                GetProfName();
                ReadOnlyTrue();

                string va = vAppProf.Text.ToString();
                SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");

                SQLiteCommand ObjCommand = new SQLiteCommand("SELECT ApplicationDescription FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT DesignedByCombo FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand3 = new SQLiteCommand("SELECT DevelopedBy FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand4 = new SQLiteCommand("SELECT HostedLoc FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand5 = new SQLiteCommand("SELECT FacingCombo FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand6 = new SQLiteCommand("SELECT PIIcheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand7 = new SQLiteCommand("SELECT CCcheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand8 = new SQLiteCommand("SELECT BankingCheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand9 = new SQLiteCommand("SELECT Healthcheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand10 = new SQLiteCommand("SELECT HRcheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand11 = new SQLiteCommand("SELECT Companycheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand12 = new SQLiteCommand("SELECT BusImpCombo FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand13 = new SQLiteCommand("SELECT DataImpCombo FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand14 = new SQLiteCommand("SELECT DataSenCombo FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand15 = new SQLiteCommand("SELECT ASPcheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand16 = new SQLiteCommand("SELECT ASPNETcheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand17 = new SQLiteCommand("SELECT CSharpcheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand18 = new SQLiteCommand("SELECT Javacheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand19 = new SQLiteCommand("SELECT JScheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand20 = new SQLiteCommand("SELECT Perlcheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand21 = new SQLiteCommand("SELECT PHPcheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand22 = new SQLiteCommand("SELECT Pythoncheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand23 = new SQLiteCommand("SELECT Rubycheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand24 = new SQLiteCommand("SELECT VBNETcheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand25 = new SQLiteCommand("SELECT XMLcheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand26 = new SQLiteCommand("SELECT Othercheck FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand27 = new SQLiteCommand("SELECT Otherbox FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand28 = new SQLiteCommand("SELECT Framework FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand29 = new SQLiteCommand("SELECT Database FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);
                SQLiteCommand ObjCommand30 = new SQLiteCommand("SELECT NotesBox FROM profiles WHERE ApplicationName = '" + vApplicationName.Text + "' ", ObjConnection);


                try
                {
                    ObjConnection.Open(); //Open the SQL connection we defined above
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the database");
                }

                try //Populate all fields on the form with the values retrieved by the above SQL
                {
                    vApplicationDescription.Text = ObjCommand.ExecuteScalar().ToString();
                    vDesignedByCombo.Text = ObjCommand2.ExecuteScalar().ToString();
                    vDevelopedBy.Text = ObjCommand3.ExecuteScalar().ToString();
                    vHostedLoc.Text = ObjCommand4.ExecuteScalar().ToString();
                    vFacingCombo.Text = ObjCommand5.ExecuteScalar().ToString();
                    vPIIcheck.Checked = Convert.ToBoolean(ObjCommand6.ExecuteScalar().ToString());
                    vCCcheck.Checked = Convert.ToBoolean(ObjCommand7.ExecuteScalar().ToString());
                    vBankingCheck.Checked = Convert.ToBoolean(ObjCommand8.ExecuteScalar().ToString());
                    vHealthcheck.Checked = Convert.ToBoolean(ObjCommand9.ExecuteScalar().ToString());
                    vHRcheck.Checked = Convert.ToBoolean(ObjCommand10.ExecuteScalar().ToString());
                    vCompanycheck.Checked = Convert.ToBoolean(ObjCommand11.ExecuteScalar().ToString());
                    vBusImpCombo.Text = ObjCommand12.ExecuteScalar().ToString();
                    vDataImpCombo.Text = ObjCommand13.ExecuteScalar().ToString();
                    vDataSenCombo.Text = ObjCommand14.ExecuteScalar().ToString();
                    vASPcheck.Checked = Convert.ToBoolean(ObjCommand15.ExecuteScalar().ToString());
                    vASPNETcheck.Checked = Convert.ToBoolean(ObjCommand16.ExecuteScalar().ToString());
                    vCSharpcheck.Checked = Convert.ToBoolean(ObjCommand17.ExecuteScalar().ToString());
                    vJavacheck.Checked = Convert.ToBoolean(ObjCommand18.ExecuteScalar().ToString());
                    vJScheck.Checked = Convert.ToBoolean(ObjCommand19.ExecuteScalar().ToString());
                    vPerlcheck.Checked = Convert.ToBoolean(ObjCommand20.ExecuteScalar().ToString());
                    vPHPcheck.Checked = Convert.ToBoolean(ObjCommand21.ExecuteScalar().ToString());
                    vPythoncheck.Checked = Convert.ToBoolean(ObjCommand22.ExecuteScalar().ToString());
                    vRubycheck.Checked = Convert.ToBoolean(ObjCommand23.ExecuteScalar().ToString());
                    vVBNETcheck.Checked = Convert.ToBoolean(ObjCommand24.ExecuteScalar().ToString());
                    vXMLcheck.Checked = Convert.ToBoolean(ObjCommand25.ExecuteScalar().ToString());
                    vOthercheck.Checked = Convert.ToBoolean(ObjCommand26.ExecuteScalar().ToString());
                    vOtherbox.Text = ObjCommand27.ExecuteScalar().ToString();
                    vFramework.Text = ObjCommand28.ExecuteScalar().ToString();
                    vDatabase.Text = ObjCommand29.ExecuteScalar().ToString();
                    vNotesBox.Text = ObjCommand30.ExecuteScalar().ToString();
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Unable to retrieve profile details from the database");
                }

                finally
                {
                    ObjConnection.Close(); //When we are finished close the connection, if we don't do this we can run into problems with later SQLlite datareader usage
                }
            }
        }

        private void vAppProf_TextChanged(object sender, EventArgs e)
        {
            fillCombo();
        }

        private void UpdateProfile() //Function to update Application Profile based on any changes made when loaded
        {
            try
            {
                if (vApplicationName.Text.Trim().Length == 0) //Check if any of the *mandatory* boxes have text in them
                    throw new Exception("Application name field cannot be left blank");

                if (vApplicationDescription.Text.Trim().Length == 0)
                    throw new Exception("Application description field cannot be left blank");

                if (vDesignedByCombo.Text.Trim().Length == 0)
                    throw new Exception("Designed by field cannot be left blank");

                if (vDevelopedBy.Text.Trim().Length == 0)
                    throw new Exception("Developed by field cannot be left blank");

                if (vHostedLoc.Text.Trim().Length == 0)
                    throw new Exception("Hosted location field cannot be left blank");

                if (vFacingCombo.Text.Trim().Length == 0)
                    throw new Exception("Internal or external facing field cannot be left blank");

                if (vBusImpCombo.Text.Trim().Length == 0)
                    throw new Exception("Business importance field cannot be left blank");

                if (vDataImpCombo.Text.Trim().Length == 0)
                    throw new Exception("Data importance field cannot be left blank");

                if (vDataSenCombo.Text.Trim().Length == 0)
                    throw new Exception("Data sensitivity field cannot be left blank");

                if (vFramework.Text.Trim().Length == 0)
                    throw new Exception("Framework field cannot be left blank");

                if (vDatabase.Text.Trim().Length == 0)
                    throw new Exception("Database field cannot be left blank");

                if (vNotesBox.Text.Trim().Length == 0)
                    throw new Exception("Notes field cannot be left blank");

                if (vPIIcheck.Checked == false && vCCcheck.Checked == false && vBankingCheck.Checked == false && vHealthcheck.Checked == false && vHRcheck.Checked == false && vCompanycheck.Checked == false)
                    throw new Exception("Please select one or more data type");

                if (vASPcheck.Checked == false && vASPNETcheck.Checked == false && vCSharpcheck.Checked == false && vJavacheck.Checked == false && vJScheck.Checked == false && vPerlcheck.Checked == false && vPHPcheck.Checked == false && vPythoncheck.Checked == false && vRubycheck.Checked == false && vVBNETcheck.Checked == false && vXMLcheck.Checked == false && vOthercheck.Checked == false)
                    throw new Exception("Please select one or more language");

                if (vOthercheck.Checked == true && vOtherbox.Text.Trim().Length == 0)
                    vOtherbox.BackColor = Color.FromArgb(255, 80, 80);

                if (vOthercheck.Checked == true && vOtherbox.Text.Trim().Length == 0)
                    throw new Exception("Other language check box has been ticked but no language has been entered in the other language field");

                if (!Regex.IsMatch(vApplicationName.Text, @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.\b\s]*$"))
                    throw new Exception("Invalid characters in Application Name field");

                if (!Regex.IsMatch(vApplicationDescription.Text, @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,*?¡¿%{}()\[\]\\\/$:;#""!&=<>\b\s]*$"))
                    throw new Exception("Invalid characters in Application Description field");

                if (!Regex.IsMatch(vDesignedByCombo.Text, @"^(Internal|External)*$"))
                    throw new Exception("Invalid characters in Designed By field");

                if (!Regex.IsMatch(vDevelopedBy.Text, @"^(Internal|External)*$"))
                    throw new Exception("Invalid characters in Developed By field");

                if (!Regex.IsMatch(vHostedLoc.Text, @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_,.\b\s]*$"))
                    throw new Exception("Invalid characters in Hosted Location field");

                if (!Regex.IsMatch(vFacingCombo.Text, @"^(Internal|External)*$"))
                    throw new Exception("Invalid characters in Facing field");

                if (!Regex.IsMatch(vBusImpCombo.Text, @"^(High|Medium|Low)*$"))
                    throw new Exception("Invalid characters in Facing field");

                if (!Regex.IsMatch(vDataImpCombo.Text, @"^(High|Medium|Low)*$"))
                    throw new Exception("Invalid characters in Data Importance field");

                if (!Regex.IsMatch(vDataSenCombo.Text, @"^(High|Medium|Low)*$"))
                    throw new Exception("Invalid characters in Data Importance field");

                if (!Regex.IsMatch(vOtherbox.Text, @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_,.\b\s]*$"))
                    throw new Exception("Invalid characters in Other Language field");

                if (!Regex.IsMatch(vFramework.Text, @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_,.\b\s]*$"))
                    throw new Exception("Invalid characters in Framework field");

                if (!Regex.IsMatch(vDatabase.Text, @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_,.\b\s]*$"))
                    throw new Exception("Invalid characters in Database field");

                if (!Regex.IsMatch(vNotesBox.Text, @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,*?¡¿%{}()\[\]\\\/$:;#""!&=<>\b\s]*$"))
                    throw new Exception("Invalid characters in Notes field");

                if (!Regex.IsMatch(vPIIcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in PII check field");

                if (!Regex.IsMatch(vCCcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Payment Card check field");

                if (!Regex.IsMatch(vBankingCheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Financial check field");

                if (!Regex.IsMatch(vHealthcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Health check field");

                if (!Regex.IsMatch(vHRcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in HR check field");

                if (!Regex.IsMatch(vCompanycheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Business check field");

                if (!Regex.IsMatch(vASPcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in ASP check field");

                if (!Regex.IsMatch(vASPNETcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in ASP.NET check field");

                if (!Regex.IsMatch(vCSharpcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in C# check field");

                if (!Regex.IsMatch(vJavacheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Java check field");

                if (!Regex.IsMatch(vJScheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Javascript check field");

                if (!Regex.IsMatch(vPerlcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Perl check field");

                if (!Regex.IsMatch(vPHPcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in PHP check field");

                if (!Regex.IsMatch(vPythoncheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Python check field");

                if (!Regex.IsMatch(vRubycheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in Ruby check field");

                if (!Regex.IsMatch(vVBNETcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in VB.NET check field");

                if (!Regex.IsMatch(vXMLcheck.Checked.ToString(), @"^(True|False)*$"))
                    throw new Exception("Invalid data in XML check field");
            }

            catch (Exception ex)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show(ex.Message);
                return;
            }

            SQLiteConnection sqlite_conn;
            SQLiteCommand sqlite_cmd;
            sqlite_conn = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True;FailIfMissing=True");
            sqlite_cmd = sqlite_conn.CreateCommand();
            sqlite_cmd.CommandText = ("UPDATE profiles SET ApplicationDescription = '" + vApplicationDescription.Text + "', DesignedByCombo = '" + vDesignedByCombo.Text + "', DevelopedBy = '" + vDevelopedBy.Text + "', HostedLoc = '" + vHostedLoc.Text + "', FacingCombo = '" + vFacingCombo.Text + "', PIIcheck = '" + vPIIcheck.Checked.ToString() + "', CCcheck = '" + vCCcheck.Checked.ToString() + "', BankingCheck = '" + vBankingCheck.Checked.ToString() + "', Healthcheck = '" + vHealthcheck.Checked.ToString() + "', HRcheck = '" + vHRcheck.Checked.ToString() + "', Companycheck = '" + vCompanycheck.Checked.ToString() + "', BusImpCombo = '" + vBusImpCombo.Text + "', DataImpCombo = '" + vDataImpCombo.Text + "', DataSenCombo = '" + vDataSenCombo.Text + "', ASPcheck = '" + vASPcheck.Checked.ToString() + "', ASPNETcheck = '" + vASPNETcheck.Checked.ToString() + "', CSharpcheck = '" + vCSharpcheck.Checked.ToString() + "', Javacheck = '" + vJavacheck.Checked.ToString() + "', JScheck = '" + vJScheck.Checked.ToString() + "', Perlcheck = '" + vPerlcheck.Checked.ToString() + "', PHPcheck = '" + vPHPcheck.Checked.ToString() + "', Pythoncheck = '" + vPythoncheck.Checked.ToString() + "', Rubycheck = '" + vRubycheck.Checked.ToString() + "', VBNETcheck = '" + vVBNETcheck.Checked.ToString() + "', XMLcheck = '" + vXMLcheck.Checked.ToString() + "', Othercheck = '" + vOthercheck.Checked.ToString() + "', Otherbox = '" + vOtherbox.Text + "', Framework = '" + vFramework.Text + "', Database = '" + vDatabase.Text + "', NotesBox = '" + vNotesBox.Text + "' WHERE ApplicationName = '" + vApplicationName.Text + "' ");
            
            try //Try to connect to the checklist DB, if we can't then let the user know
            {
                sqlite_conn.Open();
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the checklist database");
            }

            int executed = 0;

            try //Try to insert the profile data into the profiles table, if we can't then let the user know
            {
                executed = sqlite_cmd.ExecuteNonQuery();
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to insert data into profiles table");
            }

            sqlite_conn.Close();

            if (executed == 1)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Profile updated");

                vApplicationName.Text = "";
                vApplicationDescription.Text = "";
                vDesignedByCombo.Text = "";
                vDevelopedBy.Text = "";
                vHostedLoc.Text = "";
                vFacingCombo.Text = "";
                vPIIcheck.Checked = false;
                vCCcheck.Checked = false;
                vBankingCheck.Checked = false;
                vHealthcheck.Checked = false;
                vHRcheck.Checked = false;
                vCompanycheck.Checked = false;
                vBusImpCombo.Text = "";
                vDataImpCombo.Text = "";
                vDataSenCombo.Text = "";
                vASPcheck.Checked = false;
                vASPNETcheck.Checked = false;
                vCSharpcheck.Checked = false;
                vJavacheck.Checked = false;
                vJScheck.Checked = false;
                vPerlcheck.Checked = false;
                vPHPcheck.Checked = false;
                vPythoncheck.Checked = false;
                vRubycheck.Checked = false;
                vVBNETcheck.Checked = false;
                vXMLcheck.Checked = false;
                vOthercheck.Checked = false;
                vOtherbox.Text = "";
                vOtherbox.BackColor = Color.White;
                vFramework.Text = "";
                vDatabase.Text = "";
                vNotesBox.Text = "";
            }
        }

        private void Modify_Click(object sender, EventArgs e)
        {
            if (vAppProf.Text.Trim().Length == 0)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("No profile selected");
            }

            else if (vAppProf.Text.Trim().Length != 0)
            {
                fillCombo();
                GetProfName();
                ReadOnlyFalse();
            }
        }

        private void Delete_Click(object sender, EventArgs e)
        {
            GetProfName();

            string profName = vApplicationName.Text.ToString();
            
            try //SQL to delete the selected profile from the DB
            {
                SQLiteConnection sqlite_conn;
                SQLiteCommand sqlite_cmd;
                sqlite_conn = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True;FailIfMissing=True");
                sqlite_cmd = sqlite_conn.CreateCommand();
                sqlite_cmd.CommandText = ("DELETE FROM profiles WHERE ApplicationName = '" + profName + "'");

                try //Try to connect to the checklist DB, if we can't then let the user know
                {
                    sqlite_conn.Open();
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the checklist database");
                }

                int executed = 0;

                try //Try to insert the profile data into the profiles table, if we can't then let the user know
                {
                    executed = sqlite_cmd.ExecuteNonQuery();
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Unable to delete data from the profiles table");
                }

                sqlite_conn.Close();

                if (executed == 1)
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Profile deleted from the profiles table");

                    vAppProf.Text = "";
                    vApplicationName.Text = "";
                    vApplicationDescription.Text = "";
                    vDesignedByCombo.Text = "";
                    vDevelopedBy.Text = "";
                    vHostedLoc.Text = "";
                    vFacingCombo.Text = "";
                    vPIIcheck.Checked = false;
                    vCCcheck.Checked = false;
                    vBankingCheck.Checked = false;
                    vHealthcheck.Checked = false;
                    vHRcheck.Checked = false;
                    vCompanycheck.Checked = false;
                    vBusImpCombo.Text = "";
                    vDataImpCombo.Text = "";
                    vDataSenCombo.Text = "";
                    vASPcheck.Checked = false;
                    vASPNETcheck.Checked = false;
                    vCSharpcheck.Checked = false;
                    vJavacheck.Checked = false;
                    vJScheck.Checked = false;
                    vPerlcheck.Checked = false;
                    vPHPcheck.Checked = false;
                    vPythoncheck.Checked = false;
                    vRubycheck.Checked = false;
                    vVBNETcheck.Checked = false;
                    vXMLcheck.Checked = false;
                    vOthercheck.Checked = false;
                    vOtherbox.Text = "";
                    vFramework.Text = "";
                    vDatabase.Text = "";
                    vNotesBox.Text = "";

                    ReadOnlyTrue();
                }

                try
                {
                    sqlite_conn.Open();
                    SQLiteDataReader rdr = null;
                    AppProf.Properties.Items.Clear();
                    vAppProf.Properties.Items.Clear();
                    rAppProf.Properties.Items.Clear();
                    amAppProf.Properties.Items.Clear();
                    SQLiteCommand cmd = new SQLiteCommand("SELECT ApplicationName FROM profiles", sqlite_conn);
                    rdr = cmd.ExecuteReader();
                    {
                        while (rdr.Read())
                        {
                            for (int i = 0; i < rdr.FieldCount; i++)
                            {
                                AppProf.Properties.Items.Add(rdr.GetValue(i).ToString());
                                vAppProf.Properties.Items.Add(rdr.GetValue(i).ToString());
                                rAppProf.Properties.Items.Add(rdr.GetValue(i).ToString());
                                amAppProf.Properties.Items.Add(rdr.GetValue(i).ToString());
                            }
                        }
                    }
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Unable to retrieve Application Names from the database");
                }
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to delete selected profile");
            }
        }

        private void Save_Click(object sender, EventArgs e)
        {
            UpdateProfile();
            ReadOnlyTrue();
        }

        /* ================================================
         * This is the start of the code for the reporting
         * tab
         * ================================================
         */

        private void loadAppVersions()
        {
            SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");

            try
            {
                ObjConnection.Open(); //Open the SQL connection we defined above
                SQLiteDataReader rdr = null;
                rVersion.Properties.Items.Clear(); //Clear Version box if anything in them
                SQLiteCommand cmd = new SQLiteCommand("SELECT Version FROM reviews WHERE Application= '" + rAppProf.Text + "'", ObjConnection); //The SQL query
                rdr = cmd.ExecuteReader(); //Will retrieve the Application Names and stick them in the combo boxes
                {
                    while (rdr.Read())
                    {
                        for (int i = 0; i < rdr.FieldCount; i++)
                        {
                            rVersion.Properties.Items.Add(rdr.GetValue(i).ToString());
                        }
                    }
                }
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to retrieve Application Versions from the database"); //If the above fails throw an error
            }

            finally
            {
                ObjConnection.Close(); //When we are finished close the connection, if we don't do this we can run into problems with later SQLlite datareader usage
            }

        }

        private void rVersion_Enter(object sender, EventArgs e)
        {
            loadAppVersions();
        }

        private void rAppProf_Enter(object sender, EventArgs e)
        {
            rVersion.Text = "";
        }

        private void rAppProf_Leave(object sender, EventArgs e)
        {
            loadAppVersions();
        }

        private void rReviewer_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[ ]$"))
                e.Handled = true;
        }

        private void rDeveloper_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[ ]$"))
                e.Handled = true;
        }

        private void rAppProf_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void rVersion_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[ ]$"))
                e.Handled = true;
        }

        private void rDate_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[ ]$"))
                e.Handled = true;
        }

        private void rNotes_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[ ]$"))
                e.Handled = true;
        }

        DataTable reportTable = new DataTable();

        public void viewReport_Click(object sender, EventArgs e)
        {
            reportTable.Clear();

            DataColumn col0 = new DataColumn("QNo");
            col0.DataType = System.Type.GetType("System.String");
            DataColumn col1 = new DataColumn("Principle");
            col1.DataType = System.Type.GetType("System.String");
            DataColumn col2 = new DataColumn("question");
            col2.DataType = System.Type.GetType("System.String");
            DataColumn col3 = new DataColumn("YES");
            col3.DataType = System.Type.GetType("System.String");
            DataColumn col4 = new DataColumn("NO");
            col4.DataType = System.Type.GetType("System.String");
            DataColumn col5 = new DataColumn("NA");
            col5.DataType = System.Type.GetType("System.String");

            try
            {
                if (reportTable.Columns["QNo"] == null)
                {
                    reportTable.Columns.Add(col0);
                }

                if (reportTable.Columns["Principle"] == null)
                {
                    reportTable.Columns.Add(col1);
                }

                if (reportTable.Columns["question"] == null)
                {
                    reportTable.Columns.Add(col2);
                }

                if (reportTable.Columns["YES"] == null)
                {
                    reportTable.Columns.Add(col3);
                }

                if (reportTable.Columns["NO"] == null)
                {
                    reportTable.Columns.Add(col4);
                }

                if (reportTable.Columns["NA"] == null)
                {
                    reportTable.Columns.Add(col5);
                }
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create report data table");
                return;
            }

            if (rVersion.Text.Trim().Length == 0 || rAppProf.Text.Trim().Length == 0)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("No application or version number selected");
            }

            else if (rVersion.Text.Trim().Length != 0 && rAppProf.Text.Trim().Length != 0)
            {
                SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True;FailIfMissing=True");
                string counttext = ("SELECT COUNT(*) FROM questions");
                SQLiteCommand countcommand = new SQLiteCommand(counttext, ObjConnection);
                string getReviewer = ("SELECT Reviewer FROM reviews WHERE Application = '" + rAppProf.Text.ToString() + "' AND Version = '" + rVersion.Text.ToString() + "'");
                SQLiteCommand reviewerCommand = new SQLiteCommand(getReviewer, ObjConnection);
                string getDeveloper = ("SELECT Developer FROM reviews WHERE Application = '" + rAppProf.Text.ToString() + "' AND Version = '" + rVersion.Text.ToString() + "'");
                SQLiteCommand developerCommand = new SQLiteCommand(getDeveloper, ObjConnection);
                string getDate = ("SELECT Date FROM reviews WHERE Application = '" + rAppProf.Text.ToString() + "' AND Version = '" + rVersion.Text.ToString() + "'");
                SQLiteCommand dateCommand = new SQLiteCommand(getDate, ObjConnection);
                string getLOC = ("SELECT LinesOfCode FROM reviews WHERE Application = '" + rAppProf.Text.ToString() + "' AND Version = '" + rVersion.Text.ToString() + "'");
                SQLiteCommand locCommand = new SQLiteCommand(getLOC, ObjConnection);
                string getBug = ("SELECT NumberOfBugs FROM reviews WHERE Application = '" + rAppProf.Text.ToString() + "' AND Version = '" + rVersion.Text.ToString() + "'");
                SQLiteCommand bugCommand = new SQLiteCommand(getBug, ObjConnection);
                string getDefect = ("SELECT DefectDensity FROM reviews WHERE Application = '" + rAppProf.Text.ToString() + "' AND Version = '" + rVersion.Text.ToString() + "'");
                SQLiteCommand defectCommand = new SQLiteCommand(getDefect, ObjConnection);
                string getNotes = ("SELECT Notes FROM reviews WHERE Application = '" + rAppProf.Text.ToString() + "' AND Version = '" + rVersion.Text.ToString() + "'");
                SQLiteCommand notesCommand = new SQLiteCommand(getNotes, ObjConnection);

                try
                {
                    ObjConnection.Open();
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Unable to open connection to the database");
                }

                string rowCount = countcommand.ExecuteScalar().ToString();
                int num = Convert.ToInt32(rowCount);
                string rReviewerResult = reviewerCommand.ExecuteScalar().ToString();
                rReviewer.Text = rReviewerResult;
                string rDeveloperResult = developerCommand.ExecuteScalar().ToString();
                rDeveloper.Text = rDeveloperResult;
                string rDateResult = dateCommand.ExecuteScalar().ToString();
                rDate.Text = rDateResult;
                string rLOCResult = locCommand.ExecuteScalar().ToString();
                rLOCBox.Text = rLOCResult;
                string rBugResult = bugCommand.ExecuteScalar().ToString();
                rBugBox.Text = rBugResult;
                string rDefectResult = defectCommand.ExecuteScalar().ToString();
                rDefectBox.Text = rDefectResult;
                string rNotesResult = notesCommand.ExecuteScalar().ToString();
                rNotes.Text = rNotesResult;

                try
                {
                    for (int i = 1; i <= num; i++)
                    {
                        DataRow row = reportTable.NewRow();

                        string QNo = "QNo" + i + "";
                        string Principle = "principle" + i + "";
                        string Question = "question" + i + "";
                        string YES = "YES" + i + "";
                        string NO = "NO" + i + "";
                        string NA = "NA" + i + "";

                        string commandtext = ("SELECT " + QNo + " FROM reviews WHERE Application = '" + rAppProf.Text.ToString() + "' AND Version = '" + rVersion.Text.ToString() + "' ");
                        SQLiteCommand command = new SQLiteCommand(commandtext, ObjConnection);
                        string commandtext2 = ("SELECT Principle FROM questions WHERE QNo = "+ i +"");
                        SQLiteCommand command2 = new SQLiteCommand(commandtext2, ObjConnection);
                        string commandtext3 = ("SELECT question FROM questions WHERE QNo = " + i + "");
                        SQLiteCommand command3 = new SQLiteCommand(commandtext3, ObjConnection);
                        string commandtext4 = ("SELECT " + YES + " FROM reviews WHERE Application = '" + rAppProf.Text.ToString() + "' AND Version = '" + rVersion.Text.ToString() + "' ");
                        SQLiteCommand command4 = new SQLiteCommand(commandtext4, ObjConnection);
                        string commandtext5 = ("SELECT " + NO + " FROM reviews WHERE Application = '" + rAppProf.Text.ToString() + "' AND Version = '" + rVersion.Text.ToString() + "' ");
                        SQLiteCommand command5 = new SQLiteCommand(commandtext5, ObjConnection);
                        string commandtext6 = ("SELECT " + NA + " FROM reviews WHERE Application = '" + rAppProf.Text.ToString() + "' AND Version = '" + rVersion.Text.ToString() + "' ");
                        SQLiteCommand command6 = new SQLiteCommand(commandtext6, ObjConnection);

                        row["QNo"] = command.ExecuteScalar().ToString();
                        row["Principle"] = command2.ExecuteScalar().ToString();
                        row["question"] = command3.ExecuteScalar().ToString();
                        row["YES"] = command4.ExecuteScalar().ToString();
                        row["NO"] = command5.ExecuteScalar().ToString();
                        row["NA"] = command6.ExecuteScalar().ToString();

                        reportTable.Rows.Add(row);
                    }

                    kryptonDataGridView3.DataSource = reportTable;
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Unable to load review from the database");
                }

                ObjConnection.Close();
            }
        }

        private void createReport()
        {
            if (rAppProf.Text.Trim().Length == 0 || rReviewer.Text.Trim().Length == 0 || rVersion.Text.Trim().Length == 0)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("No application, reviewer or version number selected");
                return;
            }

            if (!Directory.Exists(@"" + rPath + ""))
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Report directory does not exist");
                return;
            }

            else
            {
                reportTable.TableName = "reportTable";

                //This lot is here so we can strip the "."s from the version number and use it in the file name
                string input = rVersion.Text;
                string pattern = "\\.";
                string replacement = "_";
                Regex rgx = new Regex(pattern);
                string result = rgx.Replace(input, replacement);

                if (!Regex.IsMatch(rAppProf.Text, @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.\b\s]*$"))
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Invalid characters in Application Name field");
                    return;
                }

                if (!Regex.IsMatch(rReviewer.Text, @"^[a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,\b\s]*$"))
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Invalid characters in Reviewer Name field");
                    return;
                }

                if (!Regex.IsMatch(result, @"^[a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_0-9\b\s]*$"))
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Invalid characters in Version Number field");
                    return;
                }

                else
                {
                    try
                    {
                        reportTable.WriteXml("" + rPath + "\\Security Code Review " + rAppProf.Text + " " + rReviewer.Text + " " + result + ".xml");
                    }

                    catch
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("Unable to save security code review report");
                    }

                    if (File.Exists("" + rPath + "\\Security Code Review " + rAppProf.Text + " " + rReviewer.Text + " " + result + ".xml"))
                    {
                        string pORf = "";

                        if (rResult.Text == "Passed")
                        {
                            pORf = "This application has passed its security code review";
                        }

                        else
                        {
                            pORf = "This application has failed its security code review";
                        }

                        try
                        {
                            FileStream fs = new FileStream(@"" + rPath + "\\Security Code Review " + rAppProf.Text + " " + rReviewer.Text + " " + result + ".xml", FileMode.Open, FileAccess.ReadWrite);
                            XmlDocument xmldoc = new XmlDocument();
                            xmldoc.Load(fs);
                            fs.Close();

                            XmlNode root = xmldoc.DocumentElement;

                            XmlNode titleNode = xmldoc.CreateNode(XmlNodeType.Element, "ReportTitle", null);
                            XmlNode titleTextNode = xmldoc.CreateNode(XmlNodeType.Element, "TitleText", null);

                            XmlNode reviewDetailNode = xmldoc.CreateNode(XmlNodeType.Element, "ReviewDetails", null);
                            XmlNode reviewerNode = xmldoc.CreateNode(XmlNodeType.Element, "Reviewer", null);
                            XmlNode developerNode = xmldoc.CreateNode(XmlNodeType.Element, "Developer", null);
                            XmlNode locNode = xmldoc.CreateNode(XmlNodeType.Element, "LinesofCode", null);
                            XmlNode bugsNode = xmldoc.CreateNode(XmlNodeType.Element, "Bugs", null);
                            XmlNode defectNode = xmldoc.CreateNode(XmlNodeType.Element, "DefectDensity", null);
                            XmlNode dateNode = xmldoc.CreateNode(XmlNodeType.Element, "Date", null);
                            XmlNode resultNode = xmldoc.CreateNode(XmlNodeType.Element, "Result", null);
                            XmlNode notesNode = xmldoc.CreateNode(XmlNodeType.Element, "Notes", null);

                            titleTextNode.InnerText = "Security Code Review Report for " + rAppProf.Text + " v" + rVersion.Text + " ";
                            reviewerNode.InnerText = "" + rReviewer.Text + "";
                            developerNode.InnerText = ""+ rDeveloper.Text +"";
                            locNode.InnerText = ""+ rLOCBox.Text +"";
                            bugsNode.InnerText = ""+ rBugBox.Text +"";
                            defectNode.InnerText = ""+ rDefectBox.Text +"";
                            dateNode.InnerText = ""+ rDate.Text +"";
                            resultNode.InnerText = ""+ pORf +"";
                            notesNode.InnerText = "" + rNotes.Text + "";

                            titleNode.AppendChild(titleTextNode);

                            reviewDetailNode.AppendChild(resultNode);
                            reviewDetailNode.AppendChild(reviewerNode);
                            reviewDetailNode.AppendChild(developerNode);
                            reviewDetailNode.AppendChild(locNode);
                            reviewDetailNode.AppendChild(bugsNode);
                            reviewDetailNode.AppendChild(defectNode);
                            reviewDetailNode.AppendChild(notesNode);

                            xmldoc.DocumentElement.InsertBefore(reviewDetailNode, root.FirstChild);
                            xmldoc.DocumentElement.InsertBefore(titleNode, root.FirstChild);
                            xmldoc.Save(@"" + rPath + "\\Security Code Review " + rAppProf.Text + " " + rReviewer.Text + " " + result + ".xml");

                            FileStream fStream = File.Open("" + rPath + "\\Security Code Review " + rAppProf.Text + " " + rReviewer.Text + " " + result + ".html", FileMode.OpenOrCreate);
                            StreamWriter sw = new StreamWriter(fStream);

                            try
                            {
                                SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");

                                string counttext = ("SELECT COUNT(*) FROM questions");
                                SQLiteCommand countcommand = new SQLiteCommand(counttext, ObjConnection);
                                ObjConnection.Open();
                                string rowCount = countcommand.ExecuteScalar().ToString();
                                int num = Convert.ToInt32(rowCount);

                                sw.WriteLine("<HTML>");
                                sw.WriteLine("<HEAD>");
                                sw.WriteLine("<TITLE>");
                                sw.WriteLine("Security Code Review Report for " + rAppProf.Text + " v" + rVersion.Text + " ");
                                sw.WriteLine("</TITLE>");
                                sw.WriteLine("</HEAD>");
                                sw.WriteLine("<BODY BGCOLOR='White'>");
                                sw.WriteLine("<CENTER>");
                                sw.WriteLine("<font color='black' face='arial'><H2>Security code review report for " + rAppProf.Text + " v" + rVersion.Text + "</H2> </font>");
                                sw.WriteLine("</CENTER>");
                                sw.WriteLine("<CENTER>");
                                sw.WriteLine("<font color='black' face='arial'><H3>" + pORf + "</H3> </font>");
                                sw.WriteLine("<CENTER>");
                                sw.WriteLine("<table>");
                                sw.WriteLine("<table width='1000' border='2' cellspacing='0' style='table-layout:fixed'> ");
                                sw.WriteLine("<td colspan='2'> <CENTER> <b> <font size='4' face='arial'> Security Code Review Details </font> </b> </CENTER></td>");
                                sw.WriteLine("<tr>");
                                sw.WriteLine("<td><font color='black' face='arial' size='4'> <b> &nbsp; Reviewer name </b> </font> </td><td><font color='black' face='arial' size='2'> &nbsp; " + rReviewer.Text + " </font> </td>");
                                sw.WriteLine("</tr>");
                                sw.WriteLine("<tr>");
                                sw.WriteLine("<td><font color='black' face='arial' size='4'> <b> &nbsp; Developer name </b> </font> </td><td><font color='black' face='arial' size='2'> &nbsp; " + rDeveloper.Text + " </font> </td>");
                                sw.WriteLine("</tr>");
                                sw.WriteLine("<tr>");
                                sw.WriteLine("<td><font color='black' face='arial' size='4'> <b> &nbsp; Lines of code </b> </font> </td><td><font color='black' face='arial' size='2'> &nbsp; " + rLOCBox.Text + " </font> </td>");
                                sw.WriteLine("</tr>");
                                sw.WriteLine("<tr>");
                                sw.WriteLine("<td><font color='black' face='arial' size='4'> <b> &nbsp; Bugs </b> </font> </td><td><font color='black' face='arial' size='2'> &nbsp; " + rBugBox.Text + " </font> </td>");
                                sw.WriteLine("</tr>");
                                sw.WriteLine("<tr>");
                                sw.WriteLine("<td><font color='black' face='arial' size='4'> <b> &nbsp; Defect density </b> </font> </td><td><font color='black' face='arial' size='2'> &nbsp; " + rDefectBox.Text + " </font> </td>");
                                sw.WriteLine("</tr>");
                                sw.WriteLine("<tr>");
                                sw.WriteLine("<td><font color='black' face='arial' size='4'> <b> &nbsp; Date of review </b> </font> </td><td><font color='black' face='arial' size='2'> &nbsp; " + rDate.Text + " </font> </td>");
                                sw.WriteLine("</tr>");
                                sw.WriteLine("</table>");
                                sw.WriteLine("</CENTER>");

                                sw.WriteLine("<br>");

                                sw.WriteLine("<table>");
                                sw.WriteLine("<table width='996' border='2' cellspacing='0' style='table-layout:fixed'> ");
                                sw.WriteLine("<col width=996>");
                                sw.WriteLine("<tr>");
                                sw.WriteLine("<td colspan='4'> <CENTER> <b> <font size='4' face='arial'> Notes </font> </b> </CENTER></td>");
                                sw.WriteLine("</tr>");
                                sw.WriteLine("<tr>");
                                sw.WriteLine("<td align='left'>");
                                sw.WriteLine(" <font size='2' face='arial'> " + rNotes.Text + " </font> </td>");
                                sw.WriteLine("</td>");
                                sw.WriteLine("</table>");
                                sw.WriteLine("<br>");

                                sw.WriteLine("<CENTER>");
                                sw.WriteLine("<table width='1000' border='2' cellspacing='0' cellpadding='7'> ");
                                sw.WriteLine("<tr>");
                                sw.WriteLine("<th><font color='black' face='arial' size='4'>Number</font></th>");
                                sw.WriteLine("<th><font color='black' face='arial' size='4'>Principle/s</font></th>");
                                sw.WriteLine("<th><font color='black' face='arial' size='4'>Questions</font></th>");
                                sw.WriteLine("<th><font color='black' face='arial' size='4'>Yes</font></th>");
                                sw.WriteLine("<th><font color='black' face='arial' size='4'>No</font></th>");
                                sw.WriteLine("<th><font color='black' face='arial' size='4'>NA</font></th>");
                                sw.WriteLine("</tr>");

                                foreach (DataGridViewRow row in kryptonDataGridView3.Rows)
                                {
                                    string str = row.Cells[3].Value.ToString(); if (str == "True") { str = "checked=\"yes\""; } else { str = ""; }
                                    string str1 = row.Cells[4].Value.ToString(); if (str1 == "True") { str1 = "checked=\"yes\""; } else { str1 = ""; }
                                    string str2 = row.Cells[5].Value.ToString(); if (str2 == "True") { str2 = "checked=\"yes\""; } else { str2 = ""; }

                                    sw.WriteLine("<tr>");
                                    sw.WriteLine("<td align='center'>");
                                    sw.WriteLine(" <font color='black' face='arial' size='2'> " + row.Cells[0].Value.ToString() + " </font> </td>");
                                    sw.WriteLine("</td>");
                                    sw.WriteLine("<td align='left'>");
                                    sw.WriteLine(" <font color='black' face='arial' size='2'> " + row.Cells[1].Value.ToString() + " </font> </td>");
                                    sw.WriteLine("</td>");
                                    sw.WriteLine("<td align='left'>");
                                    sw.WriteLine(" <font color='black' face='arial' size='2'> " + row.Cells[2].Value.ToString() + " </font> </td>");
                                    sw.WriteLine("</td>");
                                    sw.WriteLine("<td align='center'>");
                                    sw.WriteLine(" <INPUT TYPE=CHECKBOX NAME='yes' " + str + " DISABLED>");
                                    sw.WriteLine("</td>");
                                    sw.WriteLine("<td align='center'>");
                                    sw.WriteLine(" <INPUT TYPE=CHECKBOX NAME='no' " + str1 + " DISABLED>");
                                    sw.WriteLine("</td>");
                                    sw.WriteLine("<td align='center'>");
                                    sw.WriteLine(" <INPUT TYPE=CHECKBOX NAME='na' " + str2 + " DISABLED>");
                                    sw.WriteLine("</td>");
                                }

                                sw.WriteLine("<table>");
                                sw.WriteLine("<table width='1000' border='2' cellspacing='0' style='table-layout:fixed'> ");
                                sw.WriteLine("<td colspan='4'> <CENTER> <b> <font size='4' face='arial'> Sign Off </font> </b> </CENTER></td>");
                                sw.WriteLine("<tr>");
                                sw.WriteLine("<th><font face='arial' size='2'> Print name </font></th>");
                                sw.WriteLine("<th><font face='arial' size='2'> Signature </font></th>");
                                sw.WriteLine("<th><font face='arial' size='2'> Role </font></th>");
                                sw.WriteLine("<th><font face='arial' size='2'> Date </font></th>");
                                sw.WriteLine("</tr>");
                                sw.WriteLine("<tr>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("</tr>");
                                sw.WriteLine("<tr>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("</tr>");
                                sw.WriteLine("<tr>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("</tr>");
                                sw.WriteLine("<tr>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("</tr>");
                                sw.WriteLine("<tr>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("<td>&nbsp;</td>");
                                sw.WriteLine("</tr>");
                                sw.WriteLine("</table>");

                                sw.WriteLine("</CENTER>");
                                sw.WriteLine("</BODY>");
                                sw.WriteLine("</HTML>");
                            }

                            catch
                            {
                                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create the security code review report PDF");
                            }

                            finally
                            {
                                if (sw != null) { sw.Close(); }
                                DevExpress.XtraEditors.XtraMessageBox.Show("Security code review export completed successfully");
                            }
                        }

                        catch
                        {
                            DevExpress.XtraEditors.XtraMessageBox.Show("Unable to add additional data to the security code review report");
                        }
                    }

                    else
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("Unable to add additional data to the security code review report");
                    }
                }
            }
        }

        public void CreateFileHash()
        {
            try
            {
                //First part checks in the Reports directory exists and checks whether the report being viewed already has a verification hash in the DB
                if (!Directory.Exists(@""+rPath+""))
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Report directory does not exist");

                    return;
                }

                SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");
                string queryString = "SELECT count(*) FROM verifyReport WHERE ApplicationName = '" + rAppProf.Text + "' AND AppVersion = '" + rVersion.Text + "' AND ReportDate = '" + rDate.Text + "' ";

                using (ObjConnection)
                {
                    SQLiteCommand command = new SQLiteCommand(queryString, ObjConnection);

                    try
                    {
                        ObjConnection.Open();
                    }

                    catch
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the report verification database");
                    }

                    Int64 count = (Int64)command.ExecuteScalar();

                    if (count >= 1)
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("Verification hash already exists for this application and version number, no new verification hash needed.");
                    }

                    else
                    {

                        //This lot is here so we can strip the "."s from the version number and use it in the file name
                        string input = rVersion.Text;
                        string pattern = "\\.";
                        string replacement = "_";
                        Regex rgx = new Regex(pattern);
                        string result = rgx.Replace(input, replacement);

                        //Read in the right report file and hash the contents, insert the hash and other details into the DB

                        using (HashAlgorithm hashAlg = new SHA1Managed())
                        {
                            using (Stream file = new FileStream(""+rPath+"\\Security Code Review " + rAppProf.Text + " " + rReviewer.Text + " " + result + ".html", FileMode.Open, FileAccess.Read))
                            {
                                byte[] hash = hashAlg.ComputeHash(file);
                                string blah = BitConverter.ToString(hash);
                                SQLiteConnection sqlite_conn;
                                SQLiteCommand sqlite_cmd;
                                sqlite_conn = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True;FailIfMissing=True");
                                sqlite_cmd = sqlite_conn.CreateCommand();

                                if (!Regex.IsMatch(rAppProf.Text, @"^[0-9a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.\b\s]*$"))
                                {
                                    DevExpress.XtraEditors.XtraMessageBox.Show("Invalid characters in Application Name field");
                                    return;
                                }

                                if (!Regex.IsMatch(rReviewer.Text, @"^[a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,\b\s]*$"))
                                {
                                    DevExpress.XtraEditors.XtraMessageBox.Show("Invalid characters in Reviewer Name field");
                                    return;
                                }

                                if (!Regex.IsMatch(rVersion.Text, @"^[a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_0-9\.\b\s]*$"))
                                {
                                    DevExpress.XtraEditors.XtraMessageBox.Show("Invalid characters in Version Number field");
                                    return;
                                }

                                if (!Regex.IsMatch(rDate.Text, @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-/\b\s]*$"))
                                {
                                    DevExpress.XtraEditors.XtraMessageBox.Show("Invalid characters in Date field");
                                    return;
                                }

                                if (!Regex.IsMatch(blah, @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-/\b\s]*$"))
                                {
                                    DevExpress.XtraEditors.XtraMessageBox.Show("Invalid characters in Report Hash field");
                                    return;
                                }

                                sqlite_cmd.CommandText = "INSERT INTO verifyReport (ApplicationName, ReviewerName, AppVersion, ReportDate, ReportHash) VALUES ('" + rAppProf.Text.ToString() + "', '" + rReviewer.Text.ToString() + "', '" + rVersion.Text.ToString() + "', '" + rDate.Text.ToString() + "', '" + blah.ToString() + "')";

                                try
                                {
                                    sqlite_conn.Open();
                                }

                                catch
                                {
                                    DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the report verification database");
                                }

                                int executed = 0;

                                try
                                {
                                    executed = sqlite_cmd.ExecuteNonQuery();
                                }

                                catch
                                {
                                    DevExpress.XtraEditors.XtraMessageBox.Show("Unable to insert data into report verification table");
                                }

                                sqlite_conn.Close();

                                //If connection and Insert == successful popup a message

                                if (executed == 1)
                                {
                                    DevExpress.XtraEditors.XtraMessageBox.Show("Verification record created for this review");

                                    return;
                                }

                            }
                        }
                    }
                }
            }
            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create report verification hash");
            }
        }

        private void pdfReport_Click(object sender, EventArgs e)
        {
            if (rResult.Text == "")
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Please state whether this application passed or failed its review");
            }

            else
            {
                createReport();
                CreateFileHash();
            }
        }

        private void loadReportVerify()
        {
            try
            {
                //This opens the "browse for report" dialog box, restricts it to html only, goes straight to reports directory

                OpenFileDialog fDialog = new OpenFileDialog();
                fDialog.Title = "Please select a report file";
                fDialog.Filter = "HTML Files|*.html";
                fDialog.InitialDirectory = @""+rPath+"";
                fDialog.AddExtension = true;
                fDialog.CheckFileExists = true;
                fDialog.CheckPathExists = true;

                if (fDialog.ShowDialog() == DialogResult.OK)
                {
                    if (!Regex.IsMatch(fDialog.FileName.ToString(), @"^(([a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ]\:)|(\\))(\\{1}|((\\{1})[^\\]([^/:*?<>""|]*))+)$"))
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("Invalid characters in Report Path field");
                        return;
                    }

                    else
                    {

                        reportPath.Text = fDialog.FileName.ToString();
                    }
                }
            }

            catch

            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to open file dialog box");
            }
        }

        private void CreateVerifyHash()
        {
            if (reportPath.Text == "")
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Please select a report to verify");
            }

            else
            {

                /* Almost the same as the initial report and hash creation
                 * but this reads in the file selected above and does a 
                 * check against the DB based on the hash of the selected
                 * files contents*/

                using (HashAlgorithm hashAlg = new SHA1Managed())
                {
                    if (!Regex.IsMatch(reportPath.Text, @"^(([a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ]\:)|(\\))(\\{1}|((\\{1})[^\\]([^/:*?<>""|]*))+)$"))
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("Invalid characters in Report Path field");
                        return;
                    }

                    else
                    {

                        using (Stream file = new FileStream(" " + reportPath.Text + " ", FileMode.Open, FileAccess.Read))
                        {
                            byte[] hash = hashAlg.ComputeHash(file);
                            string blah = BitConverter.ToString(hash);
                            SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");
                            string queryString = "SELECT count(*) FROM verifyReport WHERE ReportHash = '" + blah.ToString() + "' ";

                            using (ObjConnection)
                            {
                                SQLiteCommand command = new SQLiteCommand(queryString, ObjConnection);

                                try
                                {
                                    ObjConnection.Open();
                                }

                                catch
                                {
                                    DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the report verification database");
                                }

                                Int64 count = (Int64)command.ExecuteScalar();

                                if (count == 0)
                                {
                                    DevExpress.XtraEditors.XtraMessageBox.Show("Report hash doesn't match any of the report hashes in the database");
                                }

                                else
                                {
                                    try
                                    {
                                        //If the hash created above matches one in the DB get the other info and stick it in the text boxes

                                        string queryString2 = "SELECT ApplicationName FROM verifyReport WHERE ReportHash = '" + blah.ToString() + "' ";
                                        string queryString3 = "SELECT ReviewerName FROM verifyReport WHERE ReportHash = '" + blah.ToString() + "' ";
                                        string queryString4 = "SELECT AppVersion FROM verifyReport WHERE ReportHash = '" + blah.ToString() + "' ";
                                        string queryString5 = "SELECT ReportDate FROM verifyReport WHERE ReportHash = '" + blah.ToString() + "' ";
                                        SQLiteCommand command2 = new SQLiteCommand(queryString2, ObjConnection);
                                        vrAppProf.Text = command2.ExecuteScalar().ToString();
                                        SQLiteCommand command3 = new SQLiteCommand(queryString3, ObjConnection);
                                        vrReviewer.Text = command3.ExecuteScalar().ToString();
                                        SQLiteCommand command4 = new SQLiteCommand(queryString4, ObjConnection);
                                        vrVersion.Text = command4.ExecuteScalar().ToString();
                                        SQLiteCommand command5 = new SQLiteCommand(queryString5, ObjConnection);
                                        vrDate.Text = command5.ExecuteScalar().ToString();
                                    }

                                    catch
                                    {
                                        DevExpress.XtraEditors.XtraMessageBox.Show("Unable to retrieve report data from the database");
                                    }

                                    ObjConnection.Close();
                                }
                            }
                        }
                    }
                }
            }
        }

        private void BrowseButton_Click(object sender, EventArgs e)
        {
            reportPath.Text = "";
            vrVersion.Text = "";
            vrReviewer.Text = "";
            vrDate.Text = "";
            vrAppProf.Text = "";
            loadReportVerify();
        }

        private void VerifyButton_Click(object sender, EventArgs e)
        {
            CreateVerifyHash();
        }

        /* ================================================
         * This is the start of the code for the application
         * metrics tab
         * ================================================
         */

        private void amAppProf_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void loadGraph1()
        {
            SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");

            if (amAppProf.Text == "")
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Please select an application first");
                return;
            }

            else
            {
                string blankURL = "" + rPath + "\\blank.html";
                webBrowser1.Url = new System.Uri(blankURL);
                string appName = amAppProf.Text;

                try
                {
                    ObjConnection.Open();
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the database");
                }

                try
                {
                    SQLiteCommand ObjCommand = new SQLiteCommand("SELECT LinesOfCode FROM reviews WHERE Application = '" + appName.ToString() + "' ORDER BY Version DESC LIMIT 5", ObjConnection);
                    SQLiteDataAdapter myGraphAdapter = new SQLiteDataAdapter(ObjCommand);
                    DataSet graphDataSet = new DataSet();
                    myGraphAdapter.Fill(graphDataSet, "Data");
                    int rowscount = graphDataSet.Tables[0].Rows.Count;

                    if (rowscount == 0)
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("At least two reviews need to be completed for this application");
                        return;
                        appVText1.Visible = false;
                        appVNoText1.Visible = false;
                        appVNoText1.Text = "";
                        appVText2.Visible = false;
                        appVText2.Text = "";
                        appVNoText2.Visible = false;
                        appVNoText2.Text = "";
                        appVText3.Visible = false;
                        appVText3.Text = "";
                        appVNoText3.Visible = false;
                        appVNoText3.Text = "";
                        appVText4.Visible = false;
                        appVText4.Text = "";
                        appVNoText4.Visible = false;
                        appVNoText4.Text = "";
                        appVText5.Visible = false;
                        appVText5.Text = "";
                        appVNoText5.Visible = false;
                        appVNoText5.Text = "";
                    }

                    else if (rowscount < 2)
                    {
                        appVText1.Visible = false;
                        appVNoText1.Visible = false;
                        appVNoText1.Text = "";
                        appVText2.Visible = false;
                        appVText2.Text = "";
                        appVNoText2.Visible = false;
                        appVNoText2.Text = "";
                        appVText3.Visible = false;
                        appVText3.Text = "";
                        appVNoText3.Visible = false;
                        appVNoText3.Text = "";
                        appVText4.Visible = false;
                        appVText4.Text = "";
                        appVNoText4.Visible = false;
                        appVNoText4.Text = "";
                        appVText5.Visible = false;
                        appVText5.Text = "";
                        appVNoText5.Visible = false;
                        appVNoText5.Text = "";
                        DevExpress.XtraEditors.XtraMessageBox.Show("At least two reviews need to be completed for this application");
                        return;
                    }

                    else if (rowscount == 2)
                    {
                        string dataPoint1 = graphDataSet.Tables[0].Rows[1].ItemArray[0].ToString();
                        string dataPoint2 = graphDataSet.Tables[0].Rows[0].ItemArray[0].ToString();
                        SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT Version FROM reviews WHERE Application = '" + appName.ToString() + "' ORDER BY Version DESC LIMIT 5", ObjConnection);
                        SQLiteDataAdapter myGraphAdapter2 = new SQLiteDataAdapter(ObjCommand2);
                        DataSet graphDataSet2 = new DataSet();
                        myGraphAdapter2.Fill(graphDataSet2, "Data2");
                        string secondDataPoint1 = graphDataSet2.Tables[0].Rows[1].ItemArray[0].ToString();
                        string secondDataPoint2 = graphDataSet2.Tables[0].Rows[0].ItemArray[0].ToString();

                        if (dataPoint2 != "" && dataPoint1 != "")
                        {
                            int datapoint1 = Convert.ToInt32(dataPoint1);
                            int datapoint2 = Convert.ToInt32(dataPoint2);

                            int[] data = new int[] { datapoint1, datapoint2 };

                            LineChart chart = new LineChart(352, 118);

                            ChartAxis bottomAxis = new ChartAxis(ChartAxisType.Bottom);
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint1, 0));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint2, 100));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "836FFF", 0, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "836FFF", 0, 1, 8));
                            chart.SetDatasetColors(new string[] { "836FFF" });
                            chart.AddAxis(bottomAxis);

                            chart.SetData(data);

                            string imageUrl = chart.GetUrl();

                            webBrowser1.Navigate(new Uri(imageUrl));

                            appVText1.Visible = true;
                            appVText1.Text = "v" + secondDataPoint1.ToString() + "";
                            appVNoText1.Visible = true;
                            appVNoText1.Text = "" + datapoint1.ToString() + "";
                            appVText2.Visible = true;
                            appVText2.Text = "v" + secondDataPoint2.ToString() + "";
                            appVNoText2.Visible = true;
                            appVNoText2.Text = "" + datapoint2.ToString() + "";
                            appVText3.Visible = false;
                            appVText3.Text = "";
                            appVNoText3.Visible = false;
                            appVNoText3.Text = "";
                            appVText4.Visible = false;
                            appVText4.Text = "";
                            appVNoText4.Visible = false;
                            appVNoText4.Text = "";
                            appVText5.Visible = false;
                            appVText5.Text = "";
                            appVNoText5.Visible = false;
                            appVNoText5.Text = "";
                        }

                        else
                        {
                            DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create the graphs for this application, please try again");
                            return;
                        }
                    }

                    else if (rowscount == 3)
                    {
                        string dataPoint1 = graphDataSet.Tables[0].Rows[2].ItemArray[0].ToString();
                        string dataPoint2 = graphDataSet.Tables[0].Rows[1].ItemArray[0].ToString();
                        string dataPoint3 = graphDataSet.Tables[0].Rows[0].ItemArray[0].ToString();

                        SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT Version FROM reviews WHERE Application = '" + appName.ToString() + "' ORDER BY Version DESC LIMIT 5", ObjConnection);
                        SQLiteDataAdapter myGraphAdapter2 = new SQLiteDataAdapter(ObjCommand2);

                        DataSet graphDataSet2 = new DataSet();
                        myGraphAdapter2.Fill(graphDataSet2, "Data2");

                        string secondDataPoint1 = graphDataSet2.Tables[0].Rows[2].ItemArray[0].ToString();
                        string secondDataPoint2 = graphDataSet2.Tables[0].Rows[1].ItemArray[0].ToString();
                        string secondDataPoint3 = graphDataSet2.Tables[0].Rows[0].ItemArray[0].ToString();

                        if (dataPoint3 != "" && dataPoint2 != "" && dataPoint1 != "")
                        {
                            int datapoint1 = Convert.ToInt32(dataPoint1);
                            int datapoint2 = Convert.ToInt32(dataPoint2);
                            int datapoint3 = Convert.ToInt32(dataPoint3);

                            int[] data = new int[] { datapoint1, datapoint2, datapoint3 };

                            LineChart chart = new LineChart(352, 118);

                            ChartAxis bottomAxis = new ChartAxis(ChartAxisType.Bottom);
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint1, 0));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint2, 50));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint3, 100));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "836FFF", 0, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "836FFF", 0, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "836FFF", 0, 2, 8));
                            chart.SetDatasetColors(new string[] { "836FFF" });
                            chart.AddAxis(bottomAxis);

                            chart.SetData(data);

                            string imageUrl = chart.GetUrl();

                            webBrowser1.Navigate(new Uri(imageUrl));

                            appVText1.Visible = true;
                            appVText1.Text = "v" + secondDataPoint1.ToString() + "";
                            appVNoText1.Visible = true;
                            appVNoText1.Text = "" + datapoint1.ToString() + "";
                            appVText2.Visible = true;
                            appVText2.Text = "v" + secondDataPoint2.ToString() + "";
                            appVNoText2.Visible = true;
                            appVNoText2.Text = "" + datapoint2.ToString() + "";
                            appVText3.Visible = true;
                            appVText3.Text = "v" + secondDataPoint3.ToString() + "";
                            appVNoText3.Visible = true;
                            appVNoText3.Text = "" + datapoint3.ToString() + "";
                            appVText4.Visible = false;
                            appVText4.Text = "";
                            appVNoText4.Visible = false;
                            appVNoText4.Text = "";
                            appVText5.Visible = false;
                            appVText5.Text = "";
                            appVNoText5.Visible = false;
                            appVNoText5.Text = "";
                        }

                        else
                        {
                            DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create the graphs for this application, please try again");
                            return;
                        }
                    }

                    else if (rowscount == 4)
                    {
                        string dataPoint1 = graphDataSet.Tables[0].Rows[3].ItemArray[0].ToString();
                        string dataPoint2 = graphDataSet.Tables[0].Rows[2].ItemArray[0].ToString();
                        string dataPoint3 = graphDataSet.Tables[0].Rows[1].ItemArray[0].ToString();
                        string dataPoint4 = graphDataSet.Tables[0].Rows[0].ItemArray[0].ToString();

                        SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT Version FROM reviews WHERE Application = '" + appName.ToString() + "' ORDER BY Version DESC LIMIT 5", ObjConnection);
                        SQLiteDataAdapter myGraphAdapter2 = new SQLiteDataAdapter(ObjCommand2);

                        DataSet graphDataSet2 = new DataSet();
                        myGraphAdapter2.Fill(graphDataSet2, "Data2");

                        string secondDataPoint1 = graphDataSet2.Tables[0].Rows[3].ItemArray[0].ToString();
                        string secondDataPoint2 = graphDataSet2.Tables[0].Rows[2].ItemArray[0].ToString();
                        string secondDataPoint3 = graphDataSet2.Tables[0].Rows[1].ItemArray[0].ToString();
                        string secondDataPoint4 = graphDataSet2.Tables[0].Rows[0].ItemArray[0].ToString();

                        if (dataPoint4 != "" && dataPoint3 != "" && dataPoint2 != "" && dataPoint1 != "")
                        {
                            int datapoint1 = Convert.ToInt32(dataPoint1);
                            int datapoint2 = Convert.ToInt32(dataPoint2);
                            int datapoint3 = Convert.ToInt32(dataPoint3);
                            int datapoint4 = Convert.ToInt32(dataPoint4);

                            int[] data = new int[] { datapoint1, datapoint2, datapoint3, datapoint4 };

                            LineChart chart = new LineChart(352, 118);

                            ChartAxis bottomAxis = new ChartAxis(ChartAxisType.Bottom);
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint1, 0));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint2, (float)33.33));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint3, (float)66.66));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint4, 100));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "836FFF", 0, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "836FFF", 0, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "836FFF", 0, 2, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "836FFF", 0, 3, 8));
                            chart.SetDatasetColors(new string[] { "836FFF" });
                            chart.AddAxis(bottomAxis);

                            chart.SetData(data);

                            string imageUrl = chart.GetUrl();

                            webBrowser1.Navigate(new Uri(imageUrl));

                            appVText1.Visible = true;
                            appVText1.Text = "v" + secondDataPoint1.ToString() + "";
                            appVNoText1.Visible = true;
                            appVNoText1.Text = "" + datapoint1.ToString() + "";
                            appVText2.Visible = true;
                            appVText2.Text = "v" + secondDataPoint2.ToString() + "";
                            appVNoText2.Visible = true;
                            appVNoText2.Text = "" + datapoint2.ToString() + "";
                            appVText3.Visible = true;
                            appVText3.Text = "v" + secondDataPoint3.ToString() + "";
                            appVNoText3.Visible = true;
                            appVNoText3.Text = "" + datapoint3.ToString() + "";
                            appVText4.Visible = true;
                            appVText4.Text = "v" + secondDataPoint4.ToString() + "";
                            appVNoText4.Visible = true;
                            appVNoText4.Text = "" + datapoint4.ToString() + "";
                            appVText5.Visible = false;
                            appVText5.Text = "";
                            appVNoText5.Visible = false;
                            appVNoText5.Text = "";
                        }

                        else
                        {
                            DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create the graphs for this application, please try again");
                            return;
                        }
                    }

                    else if (rowscount == 5)
                    {
                        string dataPoint1 = graphDataSet.Tables[0].Rows[4].ItemArray[0].ToString();
                        string dataPoint2 = graphDataSet.Tables[0].Rows[3].ItemArray[0].ToString();
                        string dataPoint3 = graphDataSet.Tables[0].Rows[2].ItemArray[0].ToString();
                        string dataPoint4 = graphDataSet.Tables[0].Rows[1].ItemArray[0].ToString();
                        string dataPoint5 = graphDataSet.Tables[0].Rows[0].ItemArray[0].ToString();

                        SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT Version FROM reviews WHERE Application = '" + appName.ToString() + "' ORDER BY Version DESC LIMIT 5", ObjConnection);
                        SQLiteDataAdapter myGraphAdapter2 = new SQLiteDataAdapter(ObjCommand2);

                        DataSet graphDataSet2 = new DataSet();
                        myGraphAdapter2.Fill(graphDataSet2, "Data2");

                        string secondDataPoint1 = graphDataSet2.Tables[0].Rows[4].ItemArray[0].ToString();
                        string secondDataPoint2 = graphDataSet2.Tables[0].Rows[3].ItemArray[0].ToString();
                        string secondDataPoint3 = graphDataSet2.Tables[0].Rows[2].ItemArray[0].ToString();
                        string secondDataPoint4 = graphDataSet2.Tables[0].Rows[1].ItemArray[0].ToString();
                        string secondDataPoint5 = graphDataSet2.Tables[0].Rows[0].ItemArray[0].ToString();

                        if (dataPoint5 != "" && dataPoint4 != "" && dataPoint3 != "" && dataPoint2 != "" && dataPoint1 != "")
                        {
                            int datapoint1 = Convert.ToInt32(dataPoint1);
                            int datapoint2 = Convert.ToInt32(dataPoint2);
                            int datapoint3 = Convert.ToInt32(dataPoint3);
                            int datapoint4 = Convert.ToInt32(dataPoint4);
                            int datapoint5 = Convert.ToInt32(dataPoint5);

                            int[] data = new int[] { datapoint1, datapoint2, datapoint3, datapoint4, datapoint5 };

                            LineChart chart = new LineChart(352, 118);

                            ChartAxis bottomAxis = new ChartAxis(ChartAxisType.Bottom);
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint1, 0));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint2, 25));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint3, 50));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint4, 75));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint5, 100));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "836FFF", 0, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "836FFF", 0, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "836FFF", 0, 2, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "836FFF", 0, 3, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "836FFF", 0, 4, 8));
                            chart.SetDatasetColors(new string[] { "836FFF" });
                            chart.AddAxis(bottomAxis);

                            chart.SetData(data);

                            string imageUrl = chart.GetUrl();

                            webBrowser1.Url = new Uri(imageUrl);

                            appVText1.Visible = true;
                            appVText1.Text = "v" + secondDataPoint1.ToString() + "";
                            appVNoText1.Visible = true;
                            appVNoText1.Text = "" + datapoint1.ToString() + "";
                            appVText2.Visible = true;
                            appVText2.Text = "v" + secondDataPoint2.ToString() + "";
                            appVNoText2.Visible = true;
                            appVNoText2.Text = "" + datapoint2.ToString() + "";
                            appVText3.Visible = true;
                            appVText3.Text = "v" + secondDataPoint3.ToString() + "";
                            appVNoText3.Visible = true;
                            appVNoText3.Text = "" + datapoint3.ToString() + "";
                            appVText4.Visible = true;
                            appVText4.Text = "v" + secondDataPoint4.ToString() + "";
                            appVNoText4.Visible = true;
                            appVNoText4.Text = "" + datapoint4.ToString() + "";
                            appVText5.Visible = true;
                            appVText5.Text = "v" + secondDataPoint5.ToString() + "";
                            appVNoText5.Visible = true;
                            appVNoText5.Text = "" + datapoint5.ToString() + "";

                            appDText1.Visible = true;
                            appDNoText1.Visible = true;
                            appDNoText1.Text = "v" + secondDataPoint1.ToString() + "";
                            appDNoText5.Visible = true;
                            appDNoText5.Text = "v" + secondDataPoint2.ToString() + "";
                            appDNoText9.Visible = true;
                            appDNoText9.Text = "v" + secondDataPoint3.ToString() + "";
                            appDNoText13.Visible = true;
                            appDNoText13.Text = "v" + secondDataPoint4.ToString() + "";
                            appDNoText17.Visible = true;
                            appDNoText17.Text = "v" + secondDataPoint5.ToString() + "";
                        }

                        else
                        {
                            DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create the graphs for this application, please try again");
                            return;
                        }
                    }

                    else
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create the graphs for this application, please try again");
                        return;
                    }
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Unable to retrieve values from the database");
                }
            }
        }

        private void loadGraph2()
        {
            if (amAppProf.Text == "")
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Please select an application first");
            }

            else
            {
                string blankURL = ""+rPath+"\\blank.html";

                webBrowser2.Url = new System.Uri(blankURL);

                string appName = amAppProf.Text;

                SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");

                try
                {
                    ObjConnection.Open();
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the database");
                }

                try
                {
                    SQLiteCommand ObjCommand = new SQLiteCommand("SELECT NumberOfBugs FROM reviews WHERE Application = '" + appName.ToString() + "' ORDER BY Version DESC LIMIT 5", ObjConnection);
                    SQLiteDataAdapter myGraphAdapter = new SQLiteDataAdapter(ObjCommand);

                    DataSet graphDataSet = new DataSet();
                    myGraphAdapter.Fill(graphDataSet, "Data");

                    int rowscount = graphDataSet.Tables[0].Rows.Count;

                    if(rowscount == 0)
                    {
                        appBText1.Visible = false;
                        appBNoText1.Visible = false;
                        appBNoText1.Text = "";
                        appBText2.Visible = false;
                        appBText2.Text = "";
                        appBNoText2.Visible = false;
                        appBNoText2.Text = "";
                        appBText3.Visible = false;
                        appBText3.Text = "";
                        appBNoText3.Visible = false;
                        appBNoText3.Text = "";
                        appBText4.Visible = false;
                        appBText4.Text = "";
                        appBNoText4.Visible = false;
                        appBNoText4.Text = "";
                        appBText5.Visible = false;
                        appBText5.Text = "";
                        appBNoText5.Visible = false;
                        appBNoText5.Text = "";
                        DevExpress.XtraEditors.XtraMessageBox.Show("At least two reviews need to be completed for this application");
                        return;
                    }

                    else if (rowscount < 2)
                    {
                        appBText1.Visible = false;
                        appBNoText1.Visible = false;
                        appBNoText1.Text = "";
                        appBText2.Visible = false;
                        appBText2.Text = "";
                        appBNoText2.Visible = false;
                        appBNoText2.Text = "";
                        appBText3.Visible = false;
                        appBText3.Text = "";
                        appBNoText3.Visible = false;
                        appBNoText3.Text = "";
                        appBText4.Visible = false;
                        appBText4.Text = "";
                        appBNoText4.Visible = false;
                        appBNoText4.Text = "";
                        appBText5.Visible = false;
                        appBText5.Text = "";
                        appBNoText5.Visible = false;
                        appBNoText5.Text = "";
                        DevExpress.XtraEditors.XtraMessageBox.Show("At least two reviews need to be completed for this application");
                        return;
                    }

                    else if (rowscount == 2)
                    {
                        string dataPoint1 = graphDataSet.Tables[0].Rows[1].ItemArray[0].ToString();
                        string dataPoint2 = graphDataSet.Tables[0].Rows[0].ItemArray[0].ToString();

                        SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT Version FROM reviews WHERE Application = '" + appName.ToString() + "' ORDER BY Version DESC LIMIT 5", ObjConnection);
                        SQLiteDataAdapter myGraphAdapter2 = new SQLiteDataAdapter(ObjCommand2);

                        DataSet graphDataSet2 = new DataSet();
                        myGraphAdapter2.Fill(graphDataSet2, "Data2");

                        string secondDataPoint1 = graphDataSet2.Tables[0].Rows[1].ItemArray[0].ToString();
                        string secondDataPoint2 = graphDataSet2.Tables[0].Rows[0].ItemArray[0].ToString();

                        if (dataPoint2 != "" && dataPoint1 != "")
                        {
                            int datapoint1 = Convert.ToInt32(dataPoint1);
                            int datapoint2 = Convert.ToInt32(dataPoint2);

                            int[] data = new int[] { datapoint1, datapoint2 };

                            LineChart chart = new LineChart(352, 118);

                            ChartAxis bottomAxis = new ChartAxis(ChartAxisType.Bottom);
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint1, 0));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint2, 100));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EB5E66", 0, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EB5E66", 0, 1, 8));
                            chart.SetDatasetColors(new string[] { "EB5E66" });
                            chart.AddAxis(bottomAxis);

                            chart.SetData(data);

                            string imageUrl = chart.GetUrl();

                            webBrowser2.Navigate(new Uri(imageUrl));

                            appBText1.Visible = true;
                            appBText1.Text = "v" + secondDataPoint1.ToString() + "";
                            appBNoText1.Visible = true;
                            appBNoText1.Text = "" + datapoint1.ToString() + "";
                            appBText2.Visible = true;
                            appBText2.Text = "v" + secondDataPoint2.ToString() + "";
                            appBNoText2.Visible = true;
                            appBNoText2.Text = "" + datapoint2.ToString() + "";
                            appBText3.Visible = false;
                            appBText3.Text = "";
                            appBNoText3.Visible = false;
                            appBNoText3.Text = "";
                            appBText4.Visible = false;
                            appBText4.Text = "";
                            appBNoText4.Visible = false;
                            appBNoText4.Text = "";
                            appBText5.Visible = false;
                            appBText5.Text = "";
                            appBNoText5.Visible = false;
                            appBNoText5.Text = "";
                        }

                        else
                        {
                            DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create the graphs for this application, please try again");
                            return;
                        }
                    }

                    else if (rowscount == 3)
                    {
                        string dataPoint1 = graphDataSet.Tables[0].Rows[2].ItemArray[0].ToString();
                        string dataPoint2 = graphDataSet.Tables[0].Rows[1].ItemArray[0].ToString();
                        string dataPoint3 = graphDataSet.Tables[0].Rows[0].ItemArray[0].ToString();

                        SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT Version FROM reviews WHERE Application = '" + appName.ToString() + "' ORDER BY Version DESC LIMIT 5", ObjConnection);
                        SQLiteDataAdapter myGraphAdapter2 = new SQLiteDataAdapter(ObjCommand2);

                        DataSet graphDataSet2 = new DataSet();
                        myGraphAdapter2.Fill(graphDataSet2, "Data2");

                        string secondDataPoint1 = graphDataSet2.Tables[0].Rows[2].ItemArray[0].ToString();
                        string secondDataPoint2 = graphDataSet2.Tables[0].Rows[1].ItemArray[0].ToString();
                        string secondDataPoint3 = graphDataSet2.Tables[0].Rows[0].ItemArray[0].ToString();

                        if (dataPoint3 != "" && dataPoint2 != "" && dataPoint1 != "")
                        {
                            int datapoint1 = Convert.ToInt32(dataPoint1);
                            int datapoint2 = Convert.ToInt32(dataPoint2);
                            int datapoint3 = Convert.ToInt32(dataPoint3);

                            int[] data = new int[] { datapoint1, datapoint2, datapoint3 };

                            LineChart chart = new LineChart(352, 118);

                            ChartAxis bottomAxis = new ChartAxis(ChartAxisType.Bottom);
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint1, 0));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint2, 50));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint3, 100));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EB5E66", 0, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EB5E66", 0, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EB5E66", 0, 2, 8));
                            chart.SetDatasetColors(new string[] { "EB5E66" });
                            chart.AddAxis(bottomAxis);

                            chart.SetData(data);

                            string imageUrl = chart.GetUrl();

                            webBrowser2.Navigate(new Uri(imageUrl));

                            appBText1.Visible = true;
                            appBText1.Text = "v" + secondDataPoint1.ToString() + "";
                            appBNoText1.Visible = true;
                            appBNoText1.Text = "" + datapoint1.ToString() + "";
                            appBText2.Visible = true;
                            appBText2.Text = "v" + secondDataPoint2.ToString() + "";
                            appBNoText2.Visible = true;
                            appBNoText2.Text = "" + datapoint2.ToString() + "";
                            appBText3.Visible = true;
                            appBText3.Text = "v" + secondDataPoint3.ToString() + "";
                            appBNoText3.Visible = true;
                            appBNoText3.Text = "" + datapoint3.ToString() + "";
                            appBText4.Visible = false;
                            appBText4.Text = "";
                            appBNoText4.Visible = false;
                            appBNoText4.Text = "";
                            appBText5.Visible = false;
                            appBText5.Text = "";
                            appBNoText5.Visible = false;
                            appBNoText5.Text = "";
                        }

                        else
                        {
                            DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create the graphs for this application, please try again");
                            return;
                        }
                    }

                    else if (rowscount == 4)
                    {
                        string dataPoint1 = graphDataSet.Tables[0].Rows[3].ItemArray[0].ToString();
                        string dataPoint2 = graphDataSet.Tables[0].Rows[2].ItemArray[0].ToString();
                        string dataPoint3 = graphDataSet.Tables[0].Rows[1].ItemArray[0].ToString();
                        string dataPoint4 = graphDataSet.Tables[0].Rows[0].ItemArray[0].ToString();

                        SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT Version FROM reviews WHERE Application = '" + appName.ToString() + "' ORDER BY Version DESC LIMIT 5", ObjConnection);
                        SQLiteDataAdapter myGraphAdapter2 = new SQLiteDataAdapter(ObjCommand2);

                        DataSet graphDataSet2 = new DataSet();
                        myGraphAdapter2.Fill(graphDataSet2, "Data2");

                        string secondDataPoint1 = graphDataSet2.Tables[0].Rows[3].ItemArray[0].ToString();
                        string secondDataPoint2 = graphDataSet2.Tables[0].Rows[2].ItemArray[0].ToString();
                        string secondDataPoint3 = graphDataSet2.Tables[0].Rows[1].ItemArray[0].ToString();
                        string secondDataPoint4 = graphDataSet2.Tables[0].Rows[0].ItemArray[0].ToString();

                        if (dataPoint4 != "" && dataPoint3 != "" && dataPoint2 != "" && dataPoint1 != "")
                        {
                            int datapoint1 = Convert.ToInt32(dataPoint1);
                            int datapoint2 = Convert.ToInt32(dataPoint2);
                            int datapoint3 = Convert.ToInt32(dataPoint3);
                            int datapoint4 = Convert.ToInt32(dataPoint4);

                            int[] data = new int[] { datapoint1, datapoint2, datapoint3, datapoint4 };

                            LineChart chart = new LineChart(352, 118);

                            ChartAxis bottomAxis = new ChartAxis(ChartAxisType.Bottom);
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint1, 0));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint2, (float)33.33));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint3, (float)66.66));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint4, 100));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EB5E66", 0, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EB5E66", 0, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EB5E66", 0, 2, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EB5E66", 0, 3, 8));
                            chart.SetDatasetColors(new string[] { "EB5E66" });
                            chart.AddAxis(bottomAxis);

                            chart.SetData(data);

                            string imageUrl = chart.GetUrl();
                            
                            webBrowser2.Navigate(new Uri(imageUrl));

                            appBText1.Visible = true;
                            appBText1.Text = "v" + secondDataPoint1.ToString() + "";
                            appBNoText1.Visible = true;
                            appBNoText1.Text = "" + datapoint1.ToString() + "";
                            appBText2.Visible = true;
                            appBText2.Text = "v" + secondDataPoint2.ToString() + "";
                            appBNoText2.Visible = true;
                            appBNoText2.Text = "" + datapoint2.ToString() + "";
                            appBText3.Visible = true;
                            appBText3.Text = "v" + secondDataPoint3.ToString() + "";
                            appBNoText3.Visible = true;
                            appBNoText3.Text = "" + datapoint3.ToString() + "";
                            appBText4.Visible = true;
                            appBText4.Text = "v" + secondDataPoint4.ToString() + "";
                            appBNoText4.Visible = true;
                            appBNoText4.Text = "" + datapoint4.ToString() + "";
                            appBText5.Visible = false;
                            appBText5.Text = "";
                            appBNoText5.Visible = false;
                            appBNoText5.Text = "";
                        }

                        else
                        {
                            DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create the graphs for this application, please try again");
                            return;
                        }
                    }

                    else if (rowscount == 5)
                    {
                        string dataPoint1 = graphDataSet.Tables[0].Rows[4].ItemArray[0].ToString();
                        string dataPoint2 = graphDataSet.Tables[0].Rows[3].ItemArray[0].ToString();
                        string dataPoint3 = graphDataSet.Tables[0].Rows[2].ItemArray[0].ToString();
                        string dataPoint4 = graphDataSet.Tables[0].Rows[1].ItemArray[0].ToString();
                        string dataPoint5 = graphDataSet.Tables[0].Rows[0].ItemArray[0].ToString();

                        SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT Version FROM reviews WHERE Application = '" + appName.ToString() + "' ORDER BY Version DESC LIMIT 5", ObjConnection);
                        SQLiteDataAdapter myGraphAdapter2 = new SQLiteDataAdapter(ObjCommand2);

                        DataSet graphDataSet2 = new DataSet();
                        myGraphAdapter2.Fill(graphDataSet2, "Data2");

                        string secondDataPoint1 = graphDataSet2.Tables[0].Rows[4].ItemArray[0].ToString();
                        string secondDataPoint2 = graphDataSet2.Tables[0].Rows[3].ItemArray[0].ToString();
                        string secondDataPoint3 = graphDataSet2.Tables[0].Rows[2].ItemArray[0].ToString();
                        string secondDataPoint4 = graphDataSet2.Tables[0].Rows[1].ItemArray[0].ToString();
                        string secondDataPoint5 = graphDataSet2.Tables[0].Rows[0].ItemArray[0].ToString();

                        if (dataPoint5 != "" && dataPoint4 != "" && dataPoint3 != "" && dataPoint2 != "" && dataPoint1 != "")
                        {
                            int datapoint1 = Convert.ToInt32(dataPoint1);
                            int datapoint2 = Convert.ToInt32(dataPoint2);
                            int datapoint3 = Convert.ToInt32(dataPoint3);
                            int datapoint4 = Convert.ToInt32(dataPoint4);
                            int datapoint5 = Convert.ToInt32(dataPoint5);

                            int[] data = new int[] { datapoint1, datapoint2, datapoint3, datapoint4, datapoint5 };

                            LineChart chart = new LineChart(352, 118);

                            ChartAxis bottomAxis = new ChartAxis(ChartAxisType.Bottom);
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint1, 0));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint2, 25));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint3, 50));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint4, 75));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint5, 100));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EB5E66", 0, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EB5E66", 0, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EB5E66", 0, 2, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EB5E66", 0, 3, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EB5E66", 0, 4, 8));
                            chart.SetDatasetColors(new string[] { "EB5E66" });
                            chart.AddAxis(bottomAxis);

                            chart.SetData(data);

                            string imageUrl = chart.GetUrl();
  
                            webBrowser2.Url = new Uri(imageUrl);

                            appBText1.Visible = true;
                            appBText1.Text = "v" + secondDataPoint1.ToString() + "";
                            appBNoText1.Visible = true;
                            appBNoText1.Text = "" + datapoint1.ToString() + "";
                            appBText2.Visible = true;
                            appBText2.Text = "v" + secondDataPoint2.ToString() + "";
                            appBNoText2.Visible = true;
                            appBNoText2.Text = "" + datapoint2.ToString() + "";
                            appBText3.Visible = true;
                            appBText3.Text = "v" + secondDataPoint3.ToString() + "";
                            appBNoText3.Visible = true;
                            appBNoText3.Text = "" + datapoint3.ToString() + "";
                            appBText4.Visible = true;
                            appBText4.Text = "v" + secondDataPoint4.ToString() + "";
                            appBNoText4.Visible = true;
                            appBNoText4.Text = "" + datapoint4.ToString() + "";
                            appBText5.Visible = true;
                            appBText5.Text = "v" + secondDataPoint5.ToString() + "";
                            appBNoText5.Visible = true;
                            appBNoText5.Text = "" + datapoint5.ToString() + "";
                        }

                        else
                        {
                            DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create the graphs for this application, please try again");
                            return;
                        }
                    }

                    else
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create the graphs for this application, please try again");
                        return;
                    }
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Unable to retrieve values from the database");
                }
            }
        }

        private void loadGraph3()
        {
            if (amAppProf.Text == "")
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Please select an application first");
            }

            else
            {
                string blankURL = ""+rPath+"\\blank.html";

                webBrowser3.Url = new System.Uri(blankURL);
                webBrowser4.Url = new System.Uri(blankURL);

                string appName = amAppProf.Text;

                SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");

                try
                {
                    ObjConnection.Open();
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the database");
                }

                try
                {
                    SQLiteCommand ObjCommand = new SQLiteCommand("SELECT YES1, YES2, YES3, YES4, YES5, YES6, YES7, YES8, YES9, YES10, YES11, YES12, YES13, YES14, YES15, YES16, YES17, YES18, YES19, YES20, YES21, YES22, YES23, YES24, YES25, YES26, YES27, YES28, YES29, YES30, YES31, YES32, YES33, YES34, YES35, YES36, YES37, YES38, YES39, YES40, YES41, YES42, YES43, YES44, YES45, YES46, YES47, YES48, YES49, YES50, YES51, YES52, YES53, YES54, YES55, YES56, YES57, YES58, YES59, YES60, YES61, YES62, YES63, YES64, YES65, YES66, NO1, NO2, NO3, NO4, NO5, NO6, NO7, NO8, NO9, NO10, NO11, NO12, NO13, NO14, NO15, NO16, NO17, NO18, NO19, NO20, NO21, NO22, NO23, NO24, NO25, NO26, NO27, NO28, NO29, NO30, NO31, NO32, NO33, NO34, NO35, NO36, NO37, NO38, NO39, NO40, NO41, NO42, NO43, NO44, NO45, NO46, NO47, NO48, NO49, NO50, NO51, NO52, NO53, NO54, NO55, NO56, NO57, NO58, NO59, NO60, NO61, NO62, NO63, NO64, NO65, NO66, NA1, NA2, NA3, NA4, NA5, NA6, NA7, NA8, NA9, NA10, NA11, NA12, NA13, NA14, NA15, NA16, NA17, NA18, NA19, NA20, NA21, NA22, NA23, NA24, NA25, NA26, NA27, NA28, NA29, NA30, NA31, NA32, NA33, NA34, NA35, NA36, NA37, NA38, NA39, NA40, NA41, NA42, NA43, NA44, NA45, NA46, NA47, NA48, NA49, NA50, NA51, NA52, NA53, NA54, NA55, NA56, NA57, NA58, NA59, NA60, NA61, NA62, NA63, NA64, NA65, NA66 FROM reviews WHERE Application = '" + appName.ToString() + "' ORDER BY Version DESC LIMIT 5", ObjConnection);

                    SQLiteDataAdapter myGraphAdapter = new SQLiteDataAdapter(ObjCommand);

                    DataSet graphDataSet = new DataSet();
                    myGraphAdapter.Fill(graphDataSet, "Data");

                    DataTable myDataTable = graphDataSet.Tables["data"];

                    int rowscount = graphDataSet.Tables[0].Rows.Count;

                    if(rowscount == 0)
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("At least two reviews need to be completed for this application");
                        return;
                    }

                    else if (rowscount < 2)
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("At least two reviews need to be completed for this application");
                        return;
                    }

                    else if (rowscount == 2)
                    {
                        string dataPoint1 = graphDataSet.Tables["data"].Rows[0]["YES1"].ToString(); string dataPoint2 = graphDataSet.Tables["data"].Rows[0]["YES2"].ToString(); string dataPoint3 = graphDataSet.Tables["data"].Rows[0]["YES3"].ToString(); string dataPoint4 = graphDataSet.Tables["data"].Rows[0]["YES4"].ToString(); string dataPoint5 = graphDataSet.Tables["data"].Rows[0]["YES5"].ToString(); string dataPoint6 = graphDataSet.Tables["data"].Rows[0]["YES6"].ToString(); string dataPoint7 = graphDataSet.Tables["data"].Rows[0]["YES7"].ToString(); string dataPoint8 = graphDataSet.Tables["data"].Rows[0]["YES8"].ToString(); string dataPoint9 = graphDataSet.Tables["data"].Rows[0]["YES9"].ToString(); string dataPoint10 = graphDataSet.Tables["data"].Rows[0]["YES10"].ToString();
                        string dataPoint11 = graphDataSet.Tables["data"].Rows[0]["YES11"].ToString(); string dataPoint12 = graphDataSet.Tables["data"].Rows[0]["YES12"].ToString(); string dataPoint13 = graphDataSet.Tables["data"].Rows[0]["YES13"].ToString(); string dataPoint14 = graphDataSet.Tables["data"].Rows[0]["YES14"].ToString(); string dataPoint15 = graphDataSet.Tables["data"].Rows[0]["YES15"].ToString(); string dataPoint16 = graphDataSet.Tables["data"].Rows[0]["YES16"].ToString(); string dataPoint17 = graphDataSet.Tables["data"].Rows[0]["YES17"].ToString(); string dataPoint18 = graphDataSet.Tables["data"].Rows[0]["YES18"].ToString(); string dataPoint19 = graphDataSet.Tables["data"].Rows[0]["YES19"].ToString(); string dataPoint20 = graphDataSet.Tables["data"].Rows[0]["YES20"].ToString();
                        string dataPoint21 = graphDataSet.Tables["data"].Rows[0]["YES21"].ToString(); string dataPoint22 = graphDataSet.Tables["data"].Rows[0]["YES22"].ToString(); string dataPoint23 = graphDataSet.Tables["data"].Rows[0]["YES23"].ToString(); string dataPoint24 = graphDataSet.Tables["data"].Rows[0]["YES24"].ToString(); string dataPoint25 = graphDataSet.Tables["data"].Rows[0]["YES25"].ToString(); string dataPoint26 = graphDataSet.Tables["data"].Rows[0]["YES26"].ToString(); string dataPoint27 = graphDataSet.Tables["data"].Rows[0]["YES27"].ToString(); string dataPoint28 = graphDataSet.Tables["data"].Rows[0]["YES28"].ToString(); string dataPoint29 = graphDataSet.Tables["data"].Rows[0]["YES29"].ToString(); string dataPoint30 = graphDataSet.Tables["data"].Rows[0]["YES30"].ToString();
                        string dataPoint31 = graphDataSet.Tables["data"].Rows[0]["YES31"].ToString(); string dataPoint32 = graphDataSet.Tables["data"].Rows[0]["YES32"].ToString(); string dataPoint33 = graphDataSet.Tables["data"].Rows[0]["YES33"].ToString(); string dataPoint34 = graphDataSet.Tables["data"].Rows[0]["YES34"].ToString(); string dataPoint35 = graphDataSet.Tables["data"].Rows[0]["YES35"].ToString(); string dataPoint36 = graphDataSet.Tables["data"].Rows[0]["YES36"].ToString(); string dataPoint37 = graphDataSet.Tables["data"].Rows[0]["YES37"].ToString(); string dataPoint38 = graphDataSet.Tables["data"].Rows[0]["YES38"].ToString(); string dataPoint39 = graphDataSet.Tables["data"].Rows[0]["YES39"].ToString(); string dataPoint40 = graphDataSet.Tables["data"].Rows[0]["YES40"].ToString();
                        string dataPoint41 = graphDataSet.Tables["data"].Rows[0]["YES41"].ToString(); string dataPoint42 = graphDataSet.Tables["data"].Rows[0]["YES42"].ToString(); string dataPoint43 = graphDataSet.Tables["data"].Rows[0]["YES43"].ToString(); string dataPoint44 = graphDataSet.Tables["data"].Rows[0]["YES44"].ToString(); string dataPoint45 = graphDataSet.Tables["data"].Rows[0]["YES45"].ToString(); string dataPoint46 = graphDataSet.Tables["data"].Rows[0]["YES46"].ToString(); string dataPoint47 = graphDataSet.Tables["data"].Rows[0]["YES47"].ToString(); string dataPoint48 = graphDataSet.Tables["data"].Rows[0]["YES48"].ToString(); string dataPoint49 = graphDataSet.Tables["data"].Rows[0]["YES49"].ToString(); string dataPoint50 = graphDataSet.Tables["data"].Rows[0]["YES50"].ToString();
                        string dataPoint51 = graphDataSet.Tables["data"].Rows[0]["YES51"].ToString(); string dataPoint52 = graphDataSet.Tables["data"].Rows[0]["YES52"].ToString(); string dataPoint53 = graphDataSet.Tables["data"].Rows[0]["YES53"].ToString(); string dataPoint54 = graphDataSet.Tables["data"].Rows[0]["YES54"].ToString(); string dataPoint55 = graphDataSet.Tables["data"].Rows[0]["YES55"].ToString(); string dataPoint56 = graphDataSet.Tables["data"].Rows[0]["YES56"].ToString(); string dataPoint57 = graphDataSet.Tables["data"].Rows[0]["YES57"].ToString(); string dataPoint58 = graphDataSet.Tables["data"].Rows[0]["YES58"].ToString(); string dataPoint59 = graphDataSet.Tables["data"].Rows[0]["YES59"].ToString(); string dataPoint60 = graphDataSet.Tables["data"].Rows[0]["YES60"].ToString();
                        string dataPoint61 = graphDataSet.Tables["data"].Rows[0]["YES61"].ToString(); string dataPoint62 = graphDataSet.Tables["data"].Rows[0]["YES62"].ToString(); string dataPoint63 = graphDataSet.Tables["data"].Rows[0]["YES63"].ToString(); string dataPoint64 = graphDataSet.Tables["data"].Rows[0]["YES64"].ToString(); string dataPoint65 = graphDataSet.Tables["data"].Rows[0]["YES65"].ToString(); string dataPoint66 = graphDataSet.Tables["data"].Rows[0]["YES66"].ToString();

                        int Yes1; int Yes2; int Yes3; int Yes4; int Yes5; int Yes6; int Yes7; int Yes8; int Yes9; int Yes10; int Yes11; int Yes12; int Yes13; int Yes14; int Yes15; int Yes16; int Yes17; int Yes18; int Yes19; int Yes20; int Yes21; int Yes22; int Yes23; int Yes24; int Yes25; int Yes26; int Yes27; int Yes28; int Yes29; int Yes30; int Yes31; int Yes32; int Yes33; int Yes34; int Yes35; int Yes36; int Yes37; int Yes38; int Yes39; int Yes40; int Yes41; int Yes42; int Yes43; int Yes44; int Yes45; int Yes46; int Yes47; int Yes48; int Yes49; int Yes50; int Yes51; int Yes52; int Yes53; int Yes54; int Yes55; int Yes56; int Yes57; int Yes58; int Yes59; int Yes60; int Yes61; int Yes62; int Yes63; int Yes64; int Yes65; int Yes66;

                        if (dataPoint1 == "True") { Yes1 = 1; } else { Yes1 = 0; } if (dataPoint2 == "True") { Yes2 = 1; } else { Yes2 = 0; } if (dataPoint3 == "True") { Yes3 = 1; } else { Yes3 = 0; } if (dataPoint4 == "True") { Yes4 = 1; } else { Yes4 = 0; } if (dataPoint5 == "True") { Yes5 = 1; } else { Yes5 = 0; } if (dataPoint6 == "True") { Yes6 = 1; } else { Yes6 = 0; } if (dataPoint7 == "True") { Yes7 = 1; } else { Yes7 = 0; } if (dataPoint8 == "True") { Yes8 = 1; } else { Yes8 = 0; } if (dataPoint9 == "True") { Yes9 = 1; } else { Yes9 = 0; } if (dataPoint10 == "True") { Yes10 = 1; } else { Yes10 = 0; }
                        if (dataPoint11 == "True") { Yes11 = 1; } else { Yes11 = 0; } if (dataPoint12 == "True") { Yes12 = 1; } else { Yes12 = 0; } if (dataPoint13 == "True") { Yes13 = 1; } else { Yes13 = 0; } if (dataPoint14 == "True") { Yes14 = 1; } else { Yes14 = 0; } if (dataPoint15 == "True") { Yes15 = 1; } else { Yes15 = 0; } if (dataPoint16 == "True") { Yes16 = 1; } else { Yes16 = 0; } if (dataPoint17 == "True") { Yes17 = 1; } else { Yes17 = 0; } if (dataPoint18 == "True") { Yes18 = 1; } else { Yes18 = 0; } if (dataPoint19 == "True") { Yes19 = 1; } else { Yes19 = 0; } if (dataPoint20 == "True") { Yes20 = 1; } else { Yes20 = 0; }
                        if (dataPoint21 == "True") { Yes21 = 1; } else { Yes21 = 0; } if (dataPoint22 == "True") { Yes22 = 1; } else { Yes22 = 0; } if (dataPoint23 == "True") { Yes23 = 1; } else { Yes23 = 0; } if (dataPoint24 == "True") { Yes24 = 1; } else { Yes24 = 0; } if (dataPoint25 == "True") { Yes25 = 1; } else { Yes25 = 0; } if (dataPoint26 == "True") { Yes26 = 1; } else { Yes26 = 0; } if (dataPoint27 == "True") { Yes27 = 1; } else { Yes27 = 0; } if (dataPoint28 == "True") { Yes28 = 1; } else { Yes28 = 0; } if (dataPoint29 == "True") { Yes29 = 1; } else { Yes29 = 0; } if (dataPoint30 == "True") { Yes30 = 1; } else { Yes30 = 0; }
                        if (dataPoint31 == "True") { Yes31 = 1; } else { Yes31 = 0; } if (dataPoint32 == "True") { Yes32 = 1; } else { Yes32 = 0; } if (dataPoint33 == "True") { Yes33 = 1; } else { Yes33 = 0; } if (dataPoint34 == "True") { Yes34 = 1; } else { Yes34 = 0; } if (dataPoint35 == "True") { Yes35 = 1; } else { Yes35 = 0; } if (dataPoint36 == "True") { Yes36 = 1; } else { Yes36 = 0; } if (dataPoint37 == "True") { Yes37 = 1; } else { Yes37 = 0; } if (dataPoint38 == "True") { Yes38 = 1; } else { Yes38 = 0; } if (dataPoint39 == "True") { Yes39 = 1; } else { Yes39 = 0; } if (dataPoint40 == "True") { Yes40 = 1; } else { Yes40 = 0; }
                        if (dataPoint41 == "True") { Yes41 = 1; } else { Yes41 = 0; } if (dataPoint42 == "True") { Yes42 = 1; } else { Yes42 = 0; } if (dataPoint43 == "True") { Yes43 = 1; } else { Yes43 = 0; } if (dataPoint44 == "True") { Yes44 = 1; } else { Yes44 = 0; } if (dataPoint45 == "True") { Yes45 = 1; } else { Yes45 = 0; } if (dataPoint46 == "True") { Yes46 = 1; } else { Yes46 = 0; } if (dataPoint47 == "True") { Yes47 = 1; } else { Yes47 = 0; } if (dataPoint48 == "True") { Yes48 = 1; } else { Yes48 = 0; } if (dataPoint49 == "True") { Yes49 = 1; } else { Yes49 = 0; } if (dataPoint50 == "True") { Yes50 = 1; } else { Yes50 = 0; }
                        if (dataPoint51 == "True") { Yes51 = 1; } else { Yes51 = 0; } if (dataPoint52 == "True") { Yes52 = 1; } else { Yes52 = 0; } if (dataPoint53 == "True") { Yes53 = 1; } else { Yes53 = 0; } if (dataPoint54 == "True") { Yes54 = 1; } else { Yes54 = 0; } if (dataPoint55 == "True") { Yes55 = 1; } else { Yes55 = 0; } if (dataPoint56 == "True") { Yes56 = 1; } else { Yes56 = 0; } if (dataPoint57 == "True") { Yes57 = 1; } else { Yes57 = 0; } if (dataPoint58 == "True") { Yes58 = 1; } else { Yes58 = 0; } if (dataPoint59 == "True") { Yes59 = 1; } else { Yes59 = 0; } if (dataPoint60 == "True") { Yes60 = 1; } else { Yes60 = 0; }
                        if (dataPoint61 == "True") { Yes61 = 1; } else { Yes61 = 0; } if (dataPoint62 == "True") { Yes62 = 1; } else { Yes62 = 0; } if (dataPoint63 == "True") { Yes63 = 1; } else { Yes63 = 0; } if (dataPoint64 == "True") { Yes64 = 1; } else { Yes64 = 0; } if (dataPoint65 == "True") { Yes65 = 1; } else { Yes65 = 0; } if (dataPoint66 == "True") { Yes66 = 1; } else { Yes66 = 0; }

                        int totalYes = Yes1 + Yes2 + Yes3 + Yes4 + Yes5 + Yes6 + Yes7 + Yes8 + Yes9 + Yes10 + Yes11 + Yes12 + Yes13 + Yes14 + Yes15 + Yes16 + Yes17 + Yes18 + Yes19 + Yes20 + Yes21 + Yes22 + Yes23 + Yes24 + Yes25 + Yes26 + Yes27 + Yes28 + Yes29 + Yes30 + Yes31 + Yes32 + Yes33 + Yes34 + Yes35 + Yes36 + Yes37 + Yes38 + Yes39 + Yes40 + Yes41 + Yes42 + Yes43 + Yes44 + Yes45 + Yes46 + Yes47 + Yes48 + Yes49 + Yes50 + Yes51 + Yes52 + Yes53 + Yes54 + Yes55 + Yes56 + Yes57 + Yes58 + Yes59 + Yes60 + Yes61 + Yes62 + Yes63 + Yes64 + Yes65 + Yes66;

                        string dataPoint67 = graphDataSet.Tables["data"].Rows[0]["NO1"].ToString(); string dataPoint68 = graphDataSet.Tables["data"].Rows[0]["NO2"].ToString(); string dataPoint69 = graphDataSet.Tables["data"].Rows[0]["NO3"].ToString(); string dataPoint70 = graphDataSet.Tables["data"].Rows[0]["NO4"].ToString(); string dataPoint71 = graphDataSet.Tables["data"].Rows[0]["NO5"].ToString(); string dataPoint72 = graphDataSet.Tables["data"].Rows[0]["NO6"].ToString(); string dataPoint73 = graphDataSet.Tables["data"].Rows[0]["NO7"].ToString(); string dataPoint74 = graphDataSet.Tables["data"].Rows[0]["NO8"].ToString(); string dataPoint75 = graphDataSet.Tables["data"].Rows[0]["NO9"].ToString(); string dataPoint76 = graphDataSet.Tables["data"].Rows[0]["NO10"].ToString();
                        string dataPoint77 = graphDataSet.Tables["data"].Rows[0]["NO11"].ToString(); string dataPoint78 = graphDataSet.Tables["data"].Rows[0]["NO12"].ToString(); string dataPoint79 = graphDataSet.Tables["data"].Rows[0]["NO13"].ToString(); string dataPoint80 = graphDataSet.Tables["data"].Rows[0]["NO14"].ToString(); string dataPoint81 = graphDataSet.Tables["data"].Rows[0]["NO15"].ToString(); string dataPoint82 = graphDataSet.Tables["data"].Rows[0]["NO16"].ToString(); string dataPoint83 = graphDataSet.Tables["data"].Rows[0]["NO17"].ToString(); string dataPoint84 = graphDataSet.Tables["data"].Rows[0]["NO18"].ToString(); string dataPoint85 = graphDataSet.Tables["data"].Rows[0]["NO19"].ToString(); string dataPoint86 = graphDataSet.Tables["data"].Rows[0]["NO20"].ToString();
                        string dataPoint87 = graphDataSet.Tables["data"].Rows[0]["NO21"].ToString(); string dataPoint88 = graphDataSet.Tables["data"].Rows[0]["NO22"].ToString(); string dataPoint89 = graphDataSet.Tables["data"].Rows[0]["NO23"].ToString(); string dataPoint90 = graphDataSet.Tables["data"].Rows[0]["NO24"].ToString(); string dataPoint91 = graphDataSet.Tables["data"].Rows[0]["NO25"].ToString(); string dataPoint92 = graphDataSet.Tables["data"].Rows[0]["NO26"].ToString(); string dataPoint93 = graphDataSet.Tables["data"].Rows[0]["NO27"].ToString(); string dataPoint94 = graphDataSet.Tables["data"].Rows[0]["NO28"].ToString(); string dataPoint95 = graphDataSet.Tables["data"].Rows[0]["NO29"].ToString(); string dataPoint96 = graphDataSet.Tables["data"].Rows[0]["NO30"].ToString();
                        string dataPoint97 = graphDataSet.Tables["data"].Rows[0]["NO31"].ToString(); string dataPoint98 = graphDataSet.Tables["data"].Rows[0]["NO32"].ToString(); string dataPoint99 = graphDataSet.Tables["data"].Rows[0]["NO33"].ToString(); string dataPoint100 = graphDataSet.Tables["data"].Rows[0]["NO34"].ToString(); string dataPoint101 = graphDataSet.Tables["data"].Rows[0]["NO35"].ToString(); string dataPoint102 = graphDataSet.Tables["data"].Rows[0]["NO36"].ToString(); string dataPoint103 = graphDataSet.Tables["data"].Rows[0]["NO37"].ToString(); string dataPoint104 = graphDataSet.Tables["data"].Rows[0]["NO38"].ToString(); string dataPoint105 = graphDataSet.Tables["data"].Rows[0]["NO39"].ToString(); string dataPoint106 = graphDataSet.Tables["data"].Rows[0]["NO40"].ToString();
                        string dataPoint107 = graphDataSet.Tables["data"].Rows[0]["NO41"].ToString(); string dataPoint108 = graphDataSet.Tables["data"].Rows[0]["NO42"].ToString(); string dataPoint109 = graphDataSet.Tables["data"].Rows[0]["NO43"].ToString(); string dataPoint110 = graphDataSet.Tables["data"].Rows[0]["NO44"].ToString(); string dataPoint111 = graphDataSet.Tables["data"].Rows[0]["NO45"].ToString(); string dataPoint112 = graphDataSet.Tables["data"].Rows[0]["NO46"].ToString(); string dataPoint113 = graphDataSet.Tables["data"].Rows[0]["NO47"].ToString(); string dataPoint114 = graphDataSet.Tables["data"].Rows[0]["NO48"].ToString(); string dataPoint115 = graphDataSet.Tables["data"].Rows[0]["NO49"].ToString(); string dataPoint116 = graphDataSet.Tables["data"].Rows[0]["NO50"].ToString();
                        string dataPoint117 = graphDataSet.Tables["data"].Rows[0]["NO51"].ToString(); string dataPoint118 = graphDataSet.Tables["data"].Rows[0]["NO52"].ToString(); string dataPoint119 = graphDataSet.Tables["data"].Rows[0]["NO53"].ToString(); string dataPoint120 = graphDataSet.Tables["data"].Rows[0]["NO54"].ToString(); string dataPoint121 = graphDataSet.Tables["data"].Rows[0]["NO55"].ToString(); string dataPoint122 = graphDataSet.Tables["data"].Rows[0]["NO56"].ToString(); string dataPoint123 = graphDataSet.Tables["data"].Rows[0]["NO57"].ToString(); string dataPoint124 = graphDataSet.Tables["data"].Rows[0]["NO58"].ToString(); string dataPoint125 = graphDataSet.Tables["data"].Rows[0]["NO59"].ToString(); string dataPoint126 = graphDataSet.Tables["data"].Rows[0]["NO60"].ToString();
                        string dataPoint127 = graphDataSet.Tables["data"].Rows[0]["NO61"].ToString(); string dataPoint128 = graphDataSet.Tables["data"].Rows[0]["NO62"].ToString(); string dataPoint129 = graphDataSet.Tables["data"].Rows[0]["NO63"].ToString(); string dataPoint130 = graphDataSet.Tables["data"].Rows[0]["NO64"].ToString(); string dataPoint131 = graphDataSet.Tables["data"].Rows[0]["NO65"].ToString(); string dataPoint132 = graphDataSet.Tables["data"].Rows[0]["NO66"].ToString();

                        int No1; int No2; int No3; int No4; int No5; int No6; int No7; int No8; int No9; int No10; int No11; int No12; int No13; int No14; int No15; int No16; int No17; int No18; int No19; int No20; int No21; int No22; int No23; int No24; int No25; int No26; int No27; int No28; int No29; int No30; int No31; int No32; int No33; int No34; int No35; int No36; int No37; int No38; int No39; int No40; int No41; int No42; int No43; int No44; int No45; int No46; int No47; int No48; int No49; int No50; int No51; int No52; int No53; int No54; int No55; int No56; int No57; int No58; int No59; int No60; int No61; int No62; int No63; int No64; int No65; int No66;

                        if (dataPoint67 == "True") { No1 = 1; } else { No1 = 0; } if (dataPoint68 == "True") { No2 = 1; } else { No2 = 0; } if (dataPoint69 == "True") { No3 = 1; } else { No3 = 0; } if (dataPoint70 == "True") { No4 = 1; } else { No4 = 0; } if (dataPoint71 == "True") { No5 = 1; } else { No5 = 0; } if (dataPoint72 == "True") { No6 = 1; } else { No6 = 0; } if (dataPoint73 == "True") { No7 = 1; } else { No7 = 0; } if (dataPoint74 == "True") { No8 = 1; } else { No8 = 0; } if (dataPoint75 == "True") { No9 = 1; } else { No9 = 0; } if (dataPoint76 == "True") { No10 = 1; } else { No10 = 0; }
                        if (dataPoint77 == "True") { No11 = 1; } else { No11 = 0; } if (dataPoint78 == "True") { No12 = 1; } else { No12 = 0; } if (dataPoint79 == "True") { No13 = 1; } else { No13 = 0; } if (dataPoint80 == "True") { No14 = 1; } else { No14 = 0; } if (dataPoint81 == "True") { No15 = 1; } else { No15 = 0; } if (dataPoint82 == "True") { No16 = 1; } else { No16 = 0; } if (dataPoint83 == "True") { No17 = 1; } else { No17 = 0; } if (dataPoint84 == "True") { No18 = 1; } else { No18 = 0; } if (dataPoint85 == "True") { No19 = 1; } else { No19 = 0; } if (dataPoint86 == "True") { No20 = 1; } else { No20 = 0; }
                        if (dataPoint87 == "True") { No21 = 1; } else { No21 = 0; } if (dataPoint88 == "True") { No22 = 1; } else { No22 = 0; } if (dataPoint89 == "True") { No23 = 1; } else { No23 = 0; } if (dataPoint90 == "True") { No24 = 1; } else { No24 = 0; } if (dataPoint91 == "True") { No25 = 1; } else { No25 = 0; } if (dataPoint92 == "True") { No26 = 1; } else { No26 = 0; } if (dataPoint93 == "True") { No27 = 1; } else { No27 = 0; } if (dataPoint94 == "True") { No28 = 1; } else { No28 = 0; } if (dataPoint95 == "True") { No29 = 1; } else { No29 = 0; } if (dataPoint96 == "True") { No30 = 1; } else { No30 = 0; }
                        if (dataPoint97 == "True") { No31 = 1; } else { No31 = 0; } if (dataPoint98 == "True") { No32 = 1; } else { No32 = 0; } if (dataPoint99 == "True") { No33 = 1; } else { No33 = 0; } if (dataPoint100 == "True") { No34 = 1; } else { No34 = 0; } if (dataPoint101 == "True") { No35 = 1; } else { No35 = 0; } if (dataPoint102 == "True") { No36 = 1; } else { No36 = 0; } if (dataPoint103 == "True") { No37 = 1; } else { No37 = 0; } if (dataPoint104 == "True") { No38 = 1; } else { No38 = 0; } if (dataPoint105 == "True") { No39 = 1; } else { No39 = 0; } if (dataPoint106 == "True") { No40 = 1; } else { No40 = 0; }
                        if (dataPoint107 == "True") { No41 = 1; } else { No41 = 0; } if (dataPoint108 == "True") { No42 = 1; } else { No42 = 0; } if (dataPoint109 == "True") { No43 = 1; } else { No43 = 0; } if (dataPoint110 == "True") { No44 = 1; } else { No44 = 0; } if (dataPoint111 == "True") { No45 = 1; } else { No45 = 0; } if (dataPoint112 == "True") { No46 = 1; } else { No46 = 0; } if (dataPoint113 == "True") { No47 = 1; } else { No47 = 0; } if (dataPoint114 == "True") { No48 = 1; } else { No48 = 0; } if (dataPoint115 == "True") { No49 = 1; } else { No49 = 0; } if (dataPoint116 == "True") { No50 = 1; } else { No50 = 0; }
                        if (dataPoint117 == "True") { No51 = 1; } else { No51 = 0; } if (dataPoint118 == "True") { No52 = 1; } else { No52 = 0; } if (dataPoint119 == "True") { No53 = 1; } else { No53 = 0; } if (dataPoint120 == "True") { No54 = 1; } else { No54 = 0; } if (dataPoint121 == "True") { No55 = 1; } else { No55 = 0; } if (dataPoint122 == "True") { No56 = 1; } else { No56 = 0; } if (dataPoint123 == "True") { No57 = 1; } else { No57 = 0; } if (dataPoint124 == "True") { No58 = 1; } else { No58 = 0; } if (dataPoint125 == "True") { No59 = 1; } else { No59 = 0; } if (dataPoint126 == "True") { No60 = 1; } else { No60 = 0; }
                        if (dataPoint127 == "True") { No61 = 1; } else { No61 = 0; } if (dataPoint128 == "True") { No62 = 1; } else { No62 = 0; } if (dataPoint129 == "True") { No63 = 1; } else { No63 = 0; } if (dataPoint130 == "True") { No64 = 1; } else { No64 = 0; } if (dataPoint131 == "True") { No65 = 1; } else { No65 = 0; } if (dataPoint132 == "True") { No66 = 1; } else { No66 = 0; }

                        int totalNo = No1 + No2 + No3 + No4 + No5 + No6 + No7 + No8 + No9 + No10 + No11 + No12 + No13 + No14 + No15 + No16 + No17 + No18 + No19 + No20 + No21 + No22 + No23 + No24 + No25 + No26 + No27 + No28 + No29 + No30 + No31 + No32 + No33 + No34 + No35 + No36 + No37 + No38 + No39 + No40 + No41 + No42 + No43 + No44 + No45 + No46 + No47 + No48 + No49 + No50 + No51 + No52 + No53 + No54 + No55 + No56 + No57 + No58 + No59 + No60 + No61 + No62 + No63 + No64 + No65 + No66;

                        string dataPoint133 = graphDataSet.Tables["data"].Rows[0]["NA1"].ToString(); string dataPoint134 = graphDataSet.Tables["data"].Rows[0]["NA2"].ToString(); string dataPoint135 = graphDataSet.Tables["data"].Rows[0]["NA3"].ToString(); string dataPoint136 = graphDataSet.Tables["data"].Rows[0]["NA4"].ToString(); string dataPoint137 = graphDataSet.Tables["data"].Rows[0]["NA5"].ToString(); string dataPoint138 = graphDataSet.Tables["data"].Rows[0]["NA6"].ToString(); string dataPoint139 = graphDataSet.Tables["data"].Rows[0]["NA7"].ToString(); string dataPoint140 = graphDataSet.Tables["data"].Rows[0]["NA8"].ToString(); string dataPoint141 = graphDataSet.Tables["data"].Rows[0]["NA9"].ToString(); string dataPoint142 = graphDataSet.Tables["data"].Rows[0]["NA10"].ToString();
                        string dataPoint143 = graphDataSet.Tables["data"].Rows[0]["NA11"].ToString(); string dataPoint144 = graphDataSet.Tables["data"].Rows[0]["NA12"].ToString(); string dataPoint145 = graphDataSet.Tables["data"].Rows[0]["NA13"].ToString(); string dataPoint146 = graphDataSet.Tables["data"].Rows[0]["NA14"].ToString(); string dataPoint147 = graphDataSet.Tables["data"].Rows[0]["NA15"].ToString(); string dataPoint148 = graphDataSet.Tables["data"].Rows[0]["NA16"].ToString(); string dataPoint149 = graphDataSet.Tables["data"].Rows[0]["NA17"].ToString(); string dataPoint150 = graphDataSet.Tables["data"].Rows[0]["NA18"].ToString(); string dataPoint151 = graphDataSet.Tables["data"].Rows[0]["NA19"].ToString(); string dataPoint152 = graphDataSet.Tables["data"].Rows[0]["NA20"].ToString();
                        string dataPoint153 = graphDataSet.Tables["data"].Rows[0]["NA21"].ToString(); string dataPoint154 = graphDataSet.Tables["data"].Rows[0]["NA22"].ToString(); string dataPoint155 = graphDataSet.Tables["data"].Rows[0]["NA23"].ToString(); string dataPoint156 = graphDataSet.Tables["data"].Rows[0]["NA24"].ToString(); string dataPoint157 = graphDataSet.Tables["data"].Rows[0]["NA25"].ToString(); string dataPoint158 = graphDataSet.Tables["data"].Rows[0]["NA26"].ToString(); string dataPoint159 = graphDataSet.Tables["data"].Rows[0]["NA27"].ToString(); string dataPoint160 = graphDataSet.Tables["data"].Rows[0]["NA28"].ToString(); string dataPoint161 = graphDataSet.Tables["data"].Rows[0]["NA29"].ToString(); string dataPoint162 = graphDataSet.Tables["data"].Rows[0]["NA30"].ToString();
                        string dataPoint163 = graphDataSet.Tables["data"].Rows[0]["NA31"].ToString(); string dataPoint164 = graphDataSet.Tables["data"].Rows[0]["NA32"].ToString(); string dataPoint165 = graphDataSet.Tables["data"].Rows[0]["NA33"].ToString(); string dataPoint166 = graphDataSet.Tables["data"].Rows[0]["NA34"].ToString(); string dataPoint167 = graphDataSet.Tables["data"].Rows[0]["NA35"].ToString(); string dataPoint168 = graphDataSet.Tables["data"].Rows[0]["NA36"].ToString(); string dataPoint169 = graphDataSet.Tables["data"].Rows[0]["NA37"].ToString(); string dataPoint170 = graphDataSet.Tables["data"].Rows[0]["NA38"].ToString(); string dataPoint171 = graphDataSet.Tables["data"].Rows[0]["NA39"].ToString(); string dataPoint172 = graphDataSet.Tables["data"].Rows[0]["NA40"].ToString();
                        string dataPoint173 = graphDataSet.Tables["data"].Rows[0]["NA41"].ToString(); string dataPoint174 = graphDataSet.Tables["data"].Rows[0]["NA42"].ToString(); string dataPoint175 = graphDataSet.Tables["data"].Rows[0]["NA43"].ToString(); string dataPoint176 = graphDataSet.Tables["data"].Rows[0]["NA44"].ToString(); string dataPoint177 = graphDataSet.Tables["data"].Rows[0]["NA45"].ToString(); string dataPoint178 = graphDataSet.Tables["data"].Rows[0]["NA46"].ToString(); string dataPoint179 = graphDataSet.Tables["data"].Rows[0]["NA47"].ToString(); string dataPoint180 = graphDataSet.Tables["data"].Rows[0]["NA48"].ToString(); string dataPoint181 = graphDataSet.Tables["data"].Rows[0]["NA49"].ToString(); string dataPoint182 = graphDataSet.Tables["data"].Rows[0]["NA50"].ToString();
                        string dataPoint183 = graphDataSet.Tables["data"].Rows[0]["NA51"].ToString(); string dataPoint184 = graphDataSet.Tables["data"].Rows[0]["NA52"].ToString(); string dataPoint185 = graphDataSet.Tables["data"].Rows[0]["NA53"].ToString(); string dataPoint186 = graphDataSet.Tables["data"].Rows[0]["NA54"].ToString(); string dataPoint187 = graphDataSet.Tables["data"].Rows[0]["NA55"].ToString(); string dataPoint188 = graphDataSet.Tables["data"].Rows[0]["NA56"].ToString(); string dataPoint189 = graphDataSet.Tables["data"].Rows[0]["NA57"].ToString(); string dataPoint190 = graphDataSet.Tables["data"].Rows[0]["NA58"].ToString(); string dataPoint191 = graphDataSet.Tables["data"].Rows[0]["NA59"].ToString(); string dataPoint192 = graphDataSet.Tables["data"].Rows[0]["NA60"].ToString();
                        string dataPoint193 = graphDataSet.Tables["data"].Rows[0]["NA61"].ToString(); string dataPoint194 = graphDataSet.Tables["data"].Rows[0]["NA62"].ToString(); string dataPoint195 = graphDataSet.Tables["data"].Rows[0]["NA63"].ToString(); string dataPoint196 = graphDataSet.Tables["data"].Rows[0]["NA64"].ToString(); string dataPoint197 = graphDataSet.Tables["data"].Rows[0]["NA65"].ToString(); string dataPoint198 = graphDataSet.Tables["data"].Rows[0]["NA66"].ToString();

                        int Na1; int Na2; int Na3; int Na4; int Na5; int Na6; int Na7; int Na8; int Na9; int Na10; int Na11; int Na12; int Na13; int Na14; int Na15; int Na16; int Na17; int Na18; int Na19; int Na20; int Na21; int Na22; int Na23; int Na24; int Na25; int Na26; int Na27; int Na28; int Na29; int Na30; int Na31; int Na32; int Na33; int Na34; int Na35; int Na36; int Na37; int Na38; int Na39; int Na40; int Na41; int Na42; int Na43; int Na44; int Na45; int Na46; int Na47; int Na48; int Na49; int Na50; int Na51; int Na52; int Na53; int Na54; int Na55; int Na56; int Na57; int Na58; int Na59; int Na60; int Na61; int Na62; int Na63; int Na64; int Na65; int Na66;

                        if (dataPoint133 == "True") { Na1 = 1; } else { Na1 = 0; } if (dataPoint134 == "True") { Na2 = 1; } else { Na2 = 0; } if (dataPoint135 == "True") { Na3 = 1; } else { Na3 = 0; } if (dataPoint136 == "True") { Na4 = 1; } else { Na4 = 0; } if (dataPoint137 == "True") { Na5 = 1; } else { Na5 = 0; } if (dataPoint138 == "True") { Na6 = 1; } else { Na6 = 0; } if (dataPoint139 == "True") { Na7 = 1; } else { Na7 = 0; } if (dataPoint140 == "True") { Na8 = 1; } else { Na8 = 0; } if (dataPoint141 == "True") { Na9 = 1; } else { Na9 = 0; } if (dataPoint142 == "True") { Na10 = 1; } else { Na10 = 0; }
                        if (dataPoint143 == "True") { Na11 = 1; } else { Na11 = 0; } if (dataPoint144 == "True") { Na12 = 1; } else { Na12 = 0; } if (dataPoint145 == "True") { Na13 = 1; } else { Na13 = 0; } if (dataPoint146 == "True") { Na14 = 1; } else { Na14 = 0; } if (dataPoint147 == "True") { Na15 = 1; } else { Na15 = 0; } if (dataPoint148 == "True") { Na16 = 1; } else { Na16 = 0; } if (dataPoint149 == "True") { Na17 = 1; } else { Na17 = 0; } if (dataPoint150 == "True") { Na18 = 1; } else { Na18 = 0; } if (dataPoint151 == "True") { Na19 = 1; } else { Na19 = 0; } if (dataPoint152 == "True") { Na20 = 1; } else { Na20 = 0; }
                        if (dataPoint153 == "True") { Na21 = 1; } else { Na21 = 0; } if (dataPoint154 == "True") { Na22 = 1; } else { Na22 = 0; } if (dataPoint155 == "True") { Na23 = 1; } else { Na23 = 0; } if (dataPoint156 == "True") { Na24 = 1; } else { Na24 = 0; } if (dataPoint157 == "True") { Na25 = 1; } else { Na25 = 0; } if (dataPoint158 == "True") { Na26 = 1; } else { Na26 = 0; } if (dataPoint159 == "True") { Na27 = 1; } else { Na27 = 0; } if (dataPoint160 == "True") { Na28 = 1; } else { Na28 = 0; } if (dataPoint161 == "True") { Na29 = 1; } else { Na29 = 0; } if (dataPoint162 == "True") { Na30 = 1; } else { Na30 = 0; }
                        if (dataPoint163 == "True") { Na31 = 1; } else { Na31 = 0; } if (dataPoint164 == "True") { Na32 = 1; } else { Na32 = 0; } if (dataPoint165 == "True") { Na33 = 1; } else { Na33 = 0; } if (dataPoint166 == "True") { Na34 = 1; } else { Na34 = 0; } if (dataPoint167 == "True") { Na35 = 1; } else { Na35 = 0; } if (dataPoint168 == "True") { Na36 = 1; } else { Na36 = 0; } if (dataPoint169 == "True") { Na37 = 1; } else { Na37 = 0; } if (dataPoint170 == "True") { Na38 = 1; } else { Na38 = 0; } if (dataPoint171 == "True") { Na39 = 1; } else { Na39 = 0; } if (dataPoint172 == "True") { Na40 = 1; } else { Na40 = 0; }
                        if (dataPoint173 == "True") { Na41 = 1; } else { Na41 = 0; } if (dataPoint174 == "True") { Na42 = 1; } else { Na42 = 0; } if (dataPoint175 == "True") { Na43 = 1; } else { Na43 = 0; } if (dataPoint176 == "True") { Na44 = 1; } else { Na44 = 0; } if (dataPoint177 == "True") { Na45 = 1; } else { Na45 = 0; } if (dataPoint178 == "True") { Na46 = 1; } else { Na46 = 0; } if (dataPoint179 == "True") { Na47 = 1; } else { Na47 = 0; } if (dataPoint180 == "True") { Na48 = 1; } else { Na48 = 0; } if (dataPoint181 == "True") { Na49 = 1; } else { Na49 = 0; } if (dataPoint182 == "True") { Na50 = 1; } else { Na50 = 0; }
                        if (dataPoint183 == "True") { Na51 = 1; } else { Na51 = 0; } if (dataPoint184 == "True") { Na52 = 1; } else { Na52 = 0; } if (dataPoint185 == "True") { Na53 = 1; } else { Na53 = 0; } if (dataPoint186 == "True") { Na54 = 1; } else { Na54 = 0; } if (dataPoint187 == "True") { Na55 = 1; } else { Na55 = 0; } if (dataPoint188 == "True") { Na56 = 1; } else { Na56 = 0; } if (dataPoint189 == "True") { Na57 = 1; } else { Na57 = 0; } if (dataPoint190 == "True") { Na58 = 1; } else { Na58 = 0; } if (dataPoint191 == "True") { Na59 = 1; } else { Na59 = 0; } if (dataPoint192 == "True") { Na60 = 1; } else { Na60 = 0; }
                        if (dataPoint193 == "True") { Na61 = 1; } else { Na61 = 0; } if (dataPoint194 == "True") { Na62 = 1; } else { Na62 = 0; } if (dataPoint195 == "True") { Na63 = 1; } else { Na63 = 0; } if (dataPoint196 == "True") { Na64 = 1; } else { Na64 = 0; } if (dataPoint197 == "True") { Na65 = 1; } else { Na65 = 0; } if (dataPoint198 == "True") { Na66 = 1; } else { Na66 = 0; }

                        int totalNa = Na1 + Na2 + Na3 + Na4 + Na5 + Na6 + Na7 + Na8 + Na9 + Na10 + Na11 + Na12 + Na13 + Na14 + Na15 + Na16 + Na17 + Na18 + Na19 + Na20 + Na21 + Na22 + Na23 + Na24 + Na25 + Na26 + Na27 + Na28 + Na29 + Na30 + Na31 + Na32 + Na33 + Na34 + Na35 + Na36 + Na37 + Na38 + Na39 + Na40 + Na41 + Na42 + Na43 + Na44 + Na45 + Na46 + Na47 + Na48 + Na49 + Na50 + Na51 + Na52 + Na53 + Na54 + Na55 + Na56 + Na57 + Na58 + Na59 + Na60 + Na61 + Na62 + Na63 + Na64 + Na65 + Na66;

                        string dataPoint199 = graphDataSet.Tables["data"].Rows[1]["Yes1"].ToString(); string dataPoint200 = graphDataSet.Tables["data"].Rows[1]["Yes2"].ToString(); string dataPoint201 = graphDataSet.Tables["data"].Rows[1]["Yes3"].ToString(); string dataPoint202 = graphDataSet.Tables["data"].Rows[1]["Yes4"].ToString(); string dataPoint203 = graphDataSet.Tables["data"].Rows[1]["Yes5"].ToString(); string dataPoint204 = graphDataSet.Tables["data"].Rows[1]["Yes6"].ToString(); string dataPoint205 = graphDataSet.Tables["data"].Rows[1]["Yes7"].ToString(); string dataPoint206 = graphDataSet.Tables["data"].Rows[1]["Yes8"].ToString(); string dataPoint207 = graphDataSet.Tables["data"].Rows[1]["Yes9"].ToString(); string dataPoint208 = graphDataSet.Tables["data"].Rows[1]["Yes10"].ToString();
                        string dataPoint209 = graphDataSet.Tables["data"].Rows[1]["Yes11"].ToString(); string dataPoint210 = graphDataSet.Tables["data"].Rows[1]["Yes12"].ToString(); string dataPoint211 = graphDataSet.Tables["data"].Rows[1]["Yes13"].ToString(); string dataPoint212 = graphDataSet.Tables["data"].Rows[1]["Yes14"].ToString(); string dataPoint213 = graphDataSet.Tables["data"].Rows[1]["Yes15"].ToString(); string dataPoint214 = graphDataSet.Tables["data"].Rows[1]["Yes16"].ToString(); string dataPoint215 = graphDataSet.Tables["data"].Rows[1]["Yes17"].ToString(); string dataPoint216 = graphDataSet.Tables["data"].Rows[1]["Yes18"].ToString(); string dataPoint217 = graphDataSet.Tables["data"].Rows[1]["Yes19"].ToString(); string dataPoint218 = graphDataSet.Tables["data"].Rows[1]["Yes20"].ToString();
                        string dataPoint219 = graphDataSet.Tables["data"].Rows[1]["Yes21"].ToString(); string dataPoint220 = graphDataSet.Tables["data"].Rows[1]["Yes22"].ToString(); string dataPoint221 = graphDataSet.Tables["data"].Rows[1]["Yes23"].ToString(); string dataPoint222 = graphDataSet.Tables["data"].Rows[1]["Yes24"].ToString(); string dataPoint223 = graphDataSet.Tables["data"].Rows[1]["Yes25"].ToString(); string dataPoint224 = graphDataSet.Tables["data"].Rows[1]["Yes26"].ToString(); string dataPoint225 = graphDataSet.Tables["data"].Rows[1]["Yes27"].ToString(); string dataPoint226 = graphDataSet.Tables["data"].Rows[1]["Yes28"].ToString(); string dataPoint227 = graphDataSet.Tables["data"].Rows[1]["Yes29"].ToString(); string dataPoint228 = graphDataSet.Tables["data"].Rows[1]["Yes30"].ToString();
                        string dataPoint229 = graphDataSet.Tables["data"].Rows[1]["Yes31"].ToString(); string dataPoint230 = graphDataSet.Tables["data"].Rows[1]["Yes32"].ToString(); string dataPoint231 = graphDataSet.Tables["data"].Rows[1]["Yes33"].ToString(); string dataPoint232 = graphDataSet.Tables["data"].Rows[1]["Yes34"].ToString(); string dataPoint233 = graphDataSet.Tables["data"].Rows[1]["Yes35"].ToString(); string dataPoint234 = graphDataSet.Tables["data"].Rows[1]["Yes36"].ToString(); string dataPoint235 = graphDataSet.Tables["data"].Rows[1]["Yes37"].ToString(); string dataPoint236 = graphDataSet.Tables["data"].Rows[1]["Yes38"].ToString(); string dataPoint237 = graphDataSet.Tables["data"].Rows[1]["Yes39"].ToString(); string dataPoint238 = graphDataSet.Tables["data"].Rows[1]["Yes40"].ToString();
                        string dataPoint239 = graphDataSet.Tables["data"].Rows[1]["Yes41"].ToString(); string dataPoint240 = graphDataSet.Tables["data"].Rows[1]["Yes42"].ToString(); string dataPoint241 = graphDataSet.Tables["data"].Rows[1]["Yes43"].ToString(); string dataPoint242 = graphDataSet.Tables["data"].Rows[1]["Yes44"].ToString(); string dataPoint243 = graphDataSet.Tables["data"].Rows[1]["Yes45"].ToString(); string dataPoint244 = graphDataSet.Tables["data"].Rows[1]["Yes46"].ToString(); string dataPoint245 = graphDataSet.Tables["data"].Rows[1]["Yes47"].ToString(); string dataPoint246 = graphDataSet.Tables["data"].Rows[1]["Yes48"].ToString(); string dataPoint247 = graphDataSet.Tables["data"].Rows[1]["Yes49"].ToString(); string dataPoint248 = graphDataSet.Tables["data"].Rows[1]["Yes50"].ToString();
                        string dataPoint249 = graphDataSet.Tables["data"].Rows[1]["Yes51"].ToString(); string dataPoint250 = graphDataSet.Tables["data"].Rows[1]["Yes52"].ToString(); string dataPoint251 = graphDataSet.Tables["data"].Rows[1]["Yes53"].ToString(); string dataPoint252 = graphDataSet.Tables["data"].Rows[1]["Yes54"].ToString(); string dataPoint253 = graphDataSet.Tables["data"].Rows[1]["Yes55"].ToString(); string dataPoint254 = graphDataSet.Tables["data"].Rows[1]["Yes56"].ToString(); string dataPoint255 = graphDataSet.Tables["data"].Rows[1]["Yes57"].ToString(); string dataPoint256 = graphDataSet.Tables["data"].Rows[1]["Yes58"].ToString(); string dataPoint257 = graphDataSet.Tables["data"].Rows[1]["Yes59"].ToString(); string dataPoint258 = graphDataSet.Tables["data"].Rows[1]["Yes60"].ToString();
                        string dataPoint259 = graphDataSet.Tables["data"].Rows[1]["Yes61"].ToString(); string dataPoint260 = graphDataSet.Tables["data"].Rows[1]["Yes62"].ToString(); string dataPoint261 = graphDataSet.Tables["data"].Rows[1]["Yes63"].ToString(); string dataPoint262 = graphDataSet.Tables["data"].Rows[1]["Yes64"].ToString(); string dataPoint263 = graphDataSet.Tables["data"].Rows[1]["Yes65"].ToString(); string dataPoint264 = graphDataSet.Tables["data"].Rows[1]["Yes66"].ToString();

                        int aYes1; int aYes2; int aYes3; int aYes4; int aYes5; int aYes6; int aYes7; int aYes8; int aYes9; int aYes10; int aYes11; int aYes12; int aYes13; int aYes14; int aYes15; int aYes16; int aYes17; int aYes18; int aYes19; int aYes20; int aYes21; int aYes22; int aYes23; int aYes24; int aYes25; int aYes26; int aYes27; int aYes28; int aYes29; int aYes30; int aYes31; int aYes32; int aYes33; int aYes34; int aYes35; int aYes36; int aYes37; int aYes38; int aYes39; int aYes40; int aYes41; int aYes42; int aYes43; int aYes44; int aYes45; int aYes46; int aYes47; int aYes48; int aYes49; int aYes50; int aYes51; int aYes52; int aYes53; int aYes54; int aYes55; int aYes56; int aYes57; int aYes58; int aYes59; int aYes60; int aYes61; int aYes62; int aYes63; int aYes64; int aYes65; int aYes66;

                        if (dataPoint199 == "True") { aYes1 = 1; } else { aYes1 = 0; } if (dataPoint200 == "True") { aYes2 = 1; } else { aYes2 = 0; } if (dataPoint201 == "True") { aYes3 = 1; } else { aYes3 = 0; } if (dataPoint202 == "True") { aYes4 = 1; } else { aYes4 = 0; } if (dataPoint203 == "True") { aYes5 = 1; } else { aYes5 = 0; } if (dataPoint204 == "True") { aYes6 = 1; } else { aYes6 = 0; } if (dataPoint205 == "True") { aYes7 = 1; } else { aYes7 = 0; } if (dataPoint206 == "True") { aYes8 = 1; } else { aYes8 = 0; } if (dataPoint207 == "True") { aYes9 = 1; } else { aYes9 = 0; } if (dataPoint208 == "True") { aYes10 = 1; } else { aYes10 = 0; }
                        if (dataPoint209 == "True") { aYes11 = 1; } else { aYes11 = 0; } if (dataPoint210 == "True") { aYes12 = 1; } else { aYes12 = 0; } if (dataPoint211 == "True") { aYes13 = 1; } else { aYes13 = 0; } if (dataPoint212 == "True") { aYes14 = 1; } else { aYes14 = 0; } if (dataPoint213 == "True") { aYes15 = 1; } else { aYes15 = 0; } if (dataPoint214 == "True") { aYes16 = 1; } else { aYes16 = 0; } if (dataPoint215 == "True") { aYes17 = 1; } else { aYes17 = 0; } if (dataPoint216 == "True") { aYes18 = 1; } else { aYes18 = 0; } if (dataPoint217 == "True") { aYes19 = 1; } else { aYes19 = 0; } if (dataPoint218 == "True") { aYes20 = 1; } else { aYes20 = 0; }
                        if (dataPoint219 == "True") { aYes21 = 1; } else { aYes21 = 0; } if (dataPoint220 == "True") { aYes22 = 1; } else { aYes22 = 0; } if (dataPoint221 == "True") { aYes23 = 1; } else { aYes23 = 0; } if (dataPoint222 == "True") { aYes24 = 1; } else { aYes24 = 0; } if (dataPoint223 == "True") { aYes25 = 1; } else { aYes25 = 0; } if (dataPoint224 == "True") { aYes26 = 1; } else { aYes26 = 0; } if (dataPoint225 == "True") { aYes27 = 1; } else { aYes27 = 0; } if (dataPoint226 == "True") { aYes28 = 1; } else { aYes28 = 0; } if (dataPoint227 == "True") { aYes29 = 1; } else { aYes29 = 0; } if (dataPoint228 == "True") { aYes30 = 1; } else { aYes30 = 0; }
                        if (dataPoint229 == "True") { aYes31 = 1; } else { aYes31 = 0; } if (dataPoint230 == "True") { aYes32 = 1; } else { aYes32 = 0; } if (dataPoint231 == "True") { aYes33 = 1; } else { aYes33 = 0; } if (dataPoint232 == "True") { aYes34 = 1; } else { aYes34 = 0; } if (dataPoint233 == "True") { aYes35 = 1; } else { aYes35 = 0; } if (dataPoint234 == "True") { aYes36 = 1; } else { aYes36 = 0; } if (dataPoint235 == "True") { aYes37 = 1; } else { aYes37 = 0; } if (dataPoint236 == "True") { aYes38 = 1; } else { aYes38 = 0; } if (dataPoint237 == "True") { aYes39 = 1; } else { aYes39 = 0; } if (dataPoint238 == "True") { aYes40 = 1; } else { aYes40 = 0; }
                        if (dataPoint239 == "True") { aYes41 = 1; } else { aYes41 = 0; } if (dataPoint240 == "True") { aYes42 = 1; } else { aYes42 = 0; } if (dataPoint241 == "True") { aYes43 = 1; } else { aYes43 = 0; } if (dataPoint242 == "True") { aYes44 = 1; } else { aYes44 = 0; } if (dataPoint243 == "True") { aYes45 = 1; } else { aYes45 = 0; } if (dataPoint244 == "True") { aYes46 = 1; } else { aYes46 = 0; } if (dataPoint245 == "True") { aYes47 = 1; } else { aYes47 = 0; } if (dataPoint246 == "True") { aYes48 = 1; } else { aYes48 = 0; } if (dataPoint247 == "True") { aYes49 = 1; } else { aYes49 = 0; } if (dataPoint248 == "True") { aYes50 = 1; } else { aYes50 = 0; }
                        if (dataPoint249 == "True") { aYes51 = 1; } else { aYes51 = 0; } if (dataPoint250 == "True") { aYes52 = 1; } else { aYes52 = 0; } if (dataPoint251 == "True") { aYes53 = 1; } else { aYes53 = 0; } if (dataPoint252 == "True") { aYes54 = 1; } else { aYes54 = 0; } if (dataPoint253 == "True") { aYes55 = 1; } else { aYes55 = 0; } if (dataPoint254 == "True") { aYes56 = 1; } else { aYes56 = 0; } if (dataPoint255 == "True") { aYes57 = 1; } else { aYes57 = 0; } if (dataPoint256 == "True") { aYes58 = 1; } else { aYes58 = 0; } if (dataPoint257 == "True") { aYes59 = 1; } else { aYes59 = 0; } if (dataPoint258 == "True") { aYes60 = 1; } else { aYes60 = 0; }
                        if (dataPoint259 == "True") { aYes61 = 1; } else { aYes61 = 0; } if (dataPoint260 == "True") { aYes62 = 1; } else { aYes62 = 0; } if (dataPoint261 == "True") { aYes63 = 1; } else { aYes63 = 0; } if (dataPoint262 == "True") { aYes64 = 1; } else { aYes64 = 0; } if (dataPoint263 == "True") { aYes65 = 1; } else { aYes65 = 0; } if (dataPoint264 == "True") { aYes66 = 1; } else { aYes66 = 0; }

                        int atotalYes = aYes1 + aYes2 + aYes3 + aYes4 + aYes5 + aYes6 + aYes7 + aYes8 + aYes9 + aYes10 + aYes11 + aYes12 + aYes13 + aYes14 + aYes15 + aYes16 + aYes17 + aYes18 + aYes19 + aYes20 + aYes21 + aYes22 + aYes23 + aYes24 + aYes25 + aYes26 + aYes27 + aYes28 + aYes29 + aYes30 + aYes31 + aYes32 + aYes33 + aYes34 + aYes35 + aYes36 + aYes37 + aYes38 + aYes39 + aYes40 + aYes41 + aYes42 + aYes43 + aYes44 + aYes45 + aYes46 + aYes47 + aYes48 + aYes49 + aYes50 + aYes51 + aYes52 + aYes53 + aYes54 + aYes55 + aYes56 + aYes57 + aYes58 + aYes59 + aYes60 + aYes61 + aYes62 + aYes63 + aYes64 + aYes65 + aYes66;

                        string dataPoint265 = graphDataSet.Tables["data"].Rows[1]["No1"].ToString(); string dataPoint266 = graphDataSet.Tables["data"].Rows[1]["No2"].ToString(); string dataPoint267 = graphDataSet.Tables["data"].Rows[1]["No3"].ToString(); string dataPoint268 = graphDataSet.Tables["data"].Rows[1]["No4"].ToString(); string dataPoint269 = graphDataSet.Tables["data"].Rows[1]["No5"].ToString(); string dataPoint270 = graphDataSet.Tables["data"].Rows[1]["No6"].ToString(); string dataPoint271 = graphDataSet.Tables["data"].Rows[1]["No7"].ToString(); string dataPoint272 = graphDataSet.Tables["data"].Rows[1]["No8"].ToString(); string dataPoint273 = graphDataSet.Tables["data"].Rows[1]["No9"].ToString(); string dataPoint274 = graphDataSet.Tables["data"].Rows[1]["No10"].ToString();
                        string dataPoint275 = graphDataSet.Tables["data"].Rows[1]["No11"].ToString(); string dataPoint276 = graphDataSet.Tables["data"].Rows[1]["No12"].ToString(); string dataPoint277 = graphDataSet.Tables["data"].Rows[1]["No13"].ToString(); string dataPoint278 = graphDataSet.Tables["data"].Rows[1]["No14"].ToString(); string dataPoint279 = graphDataSet.Tables["data"].Rows[1]["No15"].ToString(); string dataPoint280 = graphDataSet.Tables["data"].Rows[1]["No16"].ToString(); string dataPoint281 = graphDataSet.Tables["data"].Rows[1]["No17"].ToString(); string dataPoint282 = graphDataSet.Tables["data"].Rows[1]["No18"].ToString(); string dataPoint283 = graphDataSet.Tables["data"].Rows[1]["No19"].ToString(); string dataPoint284 = graphDataSet.Tables["data"].Rows[1]["No20"].ToString();
                        string dataPoint285 = graphDataSet.Tables["data"].Rows[1]["No21"].ToString(); string dataPoint286 = graphDataSet.Tables["data"].Rows[1]["No22"].ToString(); string dataPoint287 = graphDataSet.Tables["data"].Rows[1]["No23"].ToString(); string dataPoint288 = graphDataSet.Tables["data"].Rows[1]["No24"].ToString(); string dataPoint289 = graphDataSet.Tables["data"].Rows[1]["No25"].ToString(); string dataPoint290 = graphDataSet.Tables["data"].Rows[1]["No26"].ToString(); string dataPoint291 = graphDataSet.Tables["data"].Rows[1]["No27"].ToString(); string dataPoint292 = graphDataSet.Tables["data"].Rows[1]["No28"].ToString(); string dataPoint293 = graphDataSet.Tables["data"].Rows[1]["No29"].ToString(); string dataPoint294 = graphDataSet.Tables["data"].Rows[1]["No30"].ToString();
                        string dataPoint295 = graphDataSet.Tables["data"].Rows[1]["No31"].ToString(); string dataPoint296 = graphDataSet.Tables["data"].Rows[1]["No32"].ToString(); string dataPoint297 = graphDataSet.Tables["data"].Rows[1]["No33"].ToString(); string dataPoint298 = graphDataSet.Tables["data"].Rows[1]["No34"].ToString(); string dataPoint299 = graphDataSet.Tables["data"].Rows[1]["No35"].ToString(); string dataPoint300 = graphDataSet.Tables["data"].Rows[1]["No36"].ToString(); string dataPoint301 = graphDataSet.Tables["data"].Rows[1]["No37"].ToString(); string dataPoint302 = graphDataSet.Tables["data"].Rows[1]["No38"].ToString(); string dataPoint303 = graphDataSet.Tables["data"].Rows[1]["No39"].ToString(); string dataPoint304 = graphDataSet.Tables["data"].Rows[1]["No40"].ToString();
                        string dataPoint305 = graphDataSet.Tables["data"].Rows[1]["No41"].ToString(); string dataPoint306 = graphDataSet.Tables["data"].Rows[1]["No42"].ToString(); string dataPoint307 = graphDataSet.Tables["data"].Rows[1]["No43"].ToString(); string dataPoint308 = graphDataSet.Tables["data"].Rows[1]["No44"].ToString(); string dataPoint309 = graphDataSet.Tables["data"].Rows[1]["No45"].ToString(); string dataPoint310 = graphDataSet.Tables["data"].Rows[1]["No46"].ToString(); string dataPoint311 = graphDataSet.Tables["data"].Rows[1]["No47"].ToString(); string dataPoint312 = graphDataSet.Tables["data"].Rows[1]["No48"].ToString(); string dataPoint313 = graphDataSet.Tables["data"].Rows[1]["No49"].ToString(); string dataPoint314 = graphDataSet.Tables["data"].Rows[1]["No50"].ToString();
                        string dataPoint315 = graphDataSet.Tables["data"].Rows[1]["No51"].ToString(); string dataPoint316 = graphDataSet.Tables["data"].Rows[1]["No52"].ToString(); string dataPoint317 = graphDataSet.Tables["data"].Rows[1]["No53"].ToString(); string dataPoint318 = graphDataSet.Tables["data"].Rows[1]["No54"].ToString(); string dataPoint319 = graphDataSet.Tables["data"].Rows[1]["No55"].ToString(); string dataPoint320 = graphDataSet.Tables["data"].Rows[1]["No56"].ToString(); string dataPoint321 = graphDataSet.Tables["data"].Rows[1]["No57"].ToString(); string dataPoint322 = graphDataSet.Tables["data"].Rows[1]["No58"].ToString(); string dataPoint323 = graphDataSet.Tables["data"].Rows[1]["No59"].ToString(); string dataPoint324 = graphDataSet.Tables["data"].Rows[1]["No60"].ToString();
                        string dataPoint325 = graphDataSet.Tables["data"].Rows[1]["No61"].ToString(); string dataPoint326 = graphDataSet.Tables["data"].Rows[1]["No62"].ToString(); string dataPoint327 = graphDataSet.Tables["data"].Rows[1]["No63"].ToString(); string dataPoint328 = graphDataSet.Tables["data"].Rows[1]["No64"].ToString(); string dataPoint329 = graphDataSet.Tables["data"].Rows[1]["No65"].ToString(); string dataPoint330 = graphDataSet.Tables["data"].Rows[1]["No66"].ToString();

                        int aNo1; int aNo2; int aNo3; int aNo4; int aNo5; int aNo6; int aNo7; int aNo8; int aNo9; int aNo10; int aNo11; int aNo12; int aNo13; int aNo14; int aNo15; int aNo16; int aNo17; int aNo18; int aNo19; int aNo20; int aNo21; int aNo22; int aNo23; int aNo24; int aNo25; int aNo26; int aNo27; int aNo28; int aNo29; int aNo30; int aNo31; int aNo32; int aNo33; int aNo34; int aNo35; int aNo36; int aNo37; int aNo38; int aNo39; int aNo40; int aNo41; int aNo42; int aNo43; int aNo44; int aNo45; int aNo46; int aNo47; int aNo48; int aNo49; int aNo50; int aNo51; int aNo52; int aNo53; int aNo54; int aNo55; int aNo56; int aNo57; int aNo58; int aNo59; int aNo60; int aNo61; int aNo62; int aNo63; int aNo64; int aNo65; int aNo66;

                        if (dataPoint265 == "True") { aNo1 = 1; } else { aNo1 = 0; } if (dataPoint266 == "True") { aNo2 = 1; } else { aNo2 = 0; } if (dataPoint267 == "True") { aNo3 = 1; } else { aNo3 = 0; } if (dataPoint268 == "True") { aNo4 = 1; } else { aNo4 = 0; } if (dataPoint269 == "True") { aNo5 = 1; } else { aNo5 = 0; } if (dataPoint270 == "True") { aNo6 = 1; } else { aNo6 = 0; } if (dataPoint271 == "True") { aNo7 = 1; } else { aNo7 = 0; } if (dataPoint272 == "True") { aNo8 = 1; } else { aNo8 = 0; } if (dataPoint273 == "True") { aNo9 = 1; } else { aNo9 = 0; } if (dataPoint274 == "True") { aNo10 = 1; } else { aNo10 = 0; }
                        if (dataPoint275 == "True") { aNo11 = 1; } else { aNo11 = 0; } if (dataPoint276 == "True") { aNo12 = 1; } else { aNo12 = 0; } if (dataPoint277 == "True") { aNo13 = 1; } else { aNo13 = 0; } if (dataPoint278 == "True") { aNo14 = 1; } else { aNo14 = 0; } if (dataPoint279 == "True") { aNo15 = 1; } else { aNo15 = 0; } if (dataPoint280 == "True") { aNo16 = 1; } else { aNo16 = 0; } if (dataPoint281 == "True") { aNo17 = 1; } else { aNo17 = 0; } if (dataPoint282 == "True") { aNo18 = 1; } else { aNo18 = 0; } if (dataPoint283 == "True") { aNo19 = 1; } else { aNo19 = 0; } if (dataPoint284 == "True") { aNo20 = 1; } else { aNo20 = 0; }
                        if (dataPoint285 == "True") { aNo21 = 1; } else { aNo21 = 0; } if (dataPoint286 == "True") { aNo22 = 1; } else { aNo22 = 0; } if (dataPoint287 == "True") { aNo23 = 1; } else { aNo23 = 0; } if (dataPoint288 == "True") { aNo24 = 1; } else { aNo24 = 0; } if (dataPoint289 == "True") { aNo25 = 1; } else { aNo25 = 0; } if (dataPoint290 == "True") { aNo26 = 1; } else { aNo26 = 0; } if (dataPoint291 == "True") { aNo27 = 1; } else { aNo27 = 0; } if (dataPoint292 == "True") { aNo28 = 1; } else { aNo28 = 0; } if (dataPoint293 == "True") { aNo29 = 1; } else { aNo29 = 0; } if (dataPoint294 == "True") { aNo30 = 1; } else { aNo30 = 0; }
                        if (dataPoint295 == "True") { aNo31 = 1; } else { aNo31 = 0; } if (dataPoint296 == "True") { aNo32 = 1; } else { aNo32 = 0; } if (dataPoint297 == "True") { aNo33 = 1; } else { aNo33 = 0; } if (dataPoint298 == "True") { aNo34 = 1; } else { aNo34 = 0; } if (dataPoint299 == "True") { aNo35 = 1; } else { aNo35 = 0; } if (dataPoint300 == "True") { aNo36 = 1; } else { aNo36 = 0; } if (dataPoint301 == "True") { aNo37 = 1; } else { aNo37 = 0; } if (dataPoint302 == "True") { aNo38 = 1; } else { aNo38 = 0; } if (dataPoint303 == "True") { aNo39 = 1; } else { aNo39 = 0; } if (dataPoint304 == "True") { aNo40 = 1; } else { aNo40 = 0; }
                        if (dataPoint305 == "True") { aNo41 = 1; } else { aNo41 = 0; } if (dataPoint306 == "True") { aNo42 = 1; } else { aNo42 = 0; } if (dataPoint307 == "True") { aNo43 = 1; } else { aNo43 = 0; } if (dataPoint308 == "True") { aNo44 = 1; } else { aNo44 = 0; } if (dataPoint309 == "True") { aNo45 = 1; } else { aNo45 = 0; } if (dataPoint310 == "True") { aNo46 = 1; } else { aNo46 = 0; } if (dataPoint311 == "True") { aNo47 = 1; } else { aNo47 = 0; } if (dataPoint312 == "True") { aNo48 = 1; } else { aNo48 = 0; } if (dataPoint313 == "True") { aNo49 = 1; } else { aNo49 = 0; } if (dataPoint314 == "True") { aNo50 = 1; } else { aNo50 = 0; }
                        if (dataPoint315 == "True") { aNo51 = 1; } else { aNo51 = 0; } if (dataPoint316 == "True") { aNo52 = 1; } else { aNo52 = 0; } if (dataPoint317 == "True") { aNo53 = 1; } else { aNo53 = 0; } if (dataPoint318 == "True") { aNo54 = 1; } else { aNo54 = 0; } if (dataPoint319 == "True") { aNo55 = 1; } else { aNo55 = 0; } if (dataPoint320 == "True") { aNo56 = 1; } else { aNo56 = 0; } if (dataPoint321 == "True") { aNo57 = 1; } else { aNo57 = 0; } if (dataPoint322 == "True") { aNo58 = 1; } else { aNo58 = 0; } if (dataPoint323 == "True") { aNo59 = 1; } else { aNo59 = 0; } if (dataPoint324 == "True") { aNo60 = 1; } else { aNo60 = 0; }
                        if (dataPoint325 == "True") { aNo61 = 1; } else { aNo61 = 0; } if (dataPoint326 == "True") { aNo62 = 1; } else { aNo62 = 0; } if (dataPoint327 == "True") { aNo63 = 1; } else { aNo63 = 0; } if (dataPoint328 == "True") { aNo64 = 1; } else { aNo64 = 0; } if (dataPoint329 == "True") { aNo65 = 1; } else { aNo65 = 0; } if (dataPoint330 == "True") { aNo66 = 1; } else { aNo66 = 0; }

                        int atotalNo = aNo1 + aNo2 + aNo3 + aNo4 + aNo5 + aNo6 + aNo7 + aNo8 + aNo9 + aNo10 + aNo11 + aNo12 + aNo13 + aNo14 + aNo15 + aNo16 + aNo17 + aNo18 + aNo19 + aNo20 + aNo21 + aNo22 + aNo23 + aNo24 + aNo25 + aNo26 + aNo27 + aNo28 + aNo29 + aNo30 + aNo31 + aNo32 + aNo33 + aNo34 + aNo35 + aNo36 + aNo37 + aNo38 + aNo39 + aNo40 + aNo41 + aNo42 + aNo43 + aNo44 + aNo45 + aNo46 + aNo47 + aNo48 + aNo49 + aNo50 + aNo51 + aNo52 + aNo53 + aNo54 + aNo55 + aNo56 + aNo57 + aNo58 + aNo59 + aNo60 + aNo61 + aNo62 + aNo63 + aNo64 + aNo65 + aNo66;

                        string dataPoint331 = graphDataSet.Tables["data"].Rows[1]["Na1"].ToString(); string dataPoint332 = graphDataSet.Tables["data"].Rows[1]["Na2"].ToString(); string dataPoint333 = graphDataSet.Tables["data"].Rows[1]["Na3"].ToString(); string dataPoint334 = graphDataSet.Tables["data"].Rows[1]["Na4"].ToString(); string dataPoint335 = graphDataSet.Tables["data"].Rows[1]["Na5"].ToString(); string dataPoint336 = graphDataSet.Tables["data"].Rows[1]["Na6"].ToString(); string dataPoint337 = graphDataSet.Tables["data"].Rows[1]["Na7"].ToString(); string dataPoint338 = graphDataSet.Tables["data"].Rows[1]["Na8"].ToString(); string dataPoint339 = graphDataSet.Tables["data"].Rows[1]["Na9"].ToString(); string dataPoint340 = graphDataSet.Tables["data"].Rows[1]["Na10"].ToString();
                        string dataPoint341 = graphDataSet.Tables["data"].Rows[1]["Na11"].ToString(); string dataPoint342 = graphDataSet.Tables["data"].Rows[1]["Na12"].ToString(); string dataPoint343 = graphDataSet.Tables["data"].Rows[1]["Na13"].ToString(); string dataPoint344 = graphDataSet.Tables["data"].Rows[1]["Na14"].ToString(); string dataPoint345 = graphDataSet.Tables["data"].Rows[1]["Na15"].ToString(); string dataPoint346 = graphDataSet.Tables["data"].Rows[1]["Na16"].ToString(); string dataPoint347 = graphDataSet.Tables["data"].Rows[1]["Na17"].ToString(); string dataPoint348 = graphDataSet.Tables["data"].Rows[1]["Na18"].ToString(); string dataPoint349 = graphDataSet.Tables["data"].Rows[1]["Na19"].ToString(); string dataPoint350 = graphDataSet.Tables["data"].Rows[1]["Na20"].ToString();
                        string dataPoint351 = graphDataSet.Tables["data"].Rows[1]["Na21"].ToString(); string dataPoint352 = graphDataSet.Tables["data"].Rows[1]["Na22"].ToString(); string dataPoint353 = graphDataSet.Tables["data"].Rows[1]["Na23"].ToString(); string dataPoint354 = graphDataSet.Tables["data"].Rows[1]["Na24"].ToString(); string dataPoint355 = graphDataSet.Tables["data"].Rows[1]["Na25"].ToString(); string dataPoint356 = graphDataSet.Tables["data"].Rows[1]["Na26"].ToString(); string dataPoint357 = graphDataSet.Tables["data"].Rows[1]["Na27"].ToString(); string dataPoint358 = graphDataSet.Tables["data"].Rows[1]["Na28"].ToString(); string dataPoint359 = graphDataSet.Tables["data"].Rows[1]["Na29"].ToString(); string dataPoint360 = graphDataSet.Tables["data"].Rows[1]["Na30"].ToString();
                        string dataPoint361 = graphDataSet.Tables["data"].Rows[1]["Na31"].ToString(); string dataPoint362 = graphDataSet.Tables["data"].Rows[1]["Na32"].ToString(); string dataPoint363 = graphDataSet.Tables["data"].Rows[1]["Na33"].ToString(); string dataPoint364 = graphDataSet.Tables["data"].Rows[1]["Na34"].ToString(); string dataPoint365 = graphDataSet.Tables["data"].Rows[1]["Na35"].ToString(); string dataPoint366 = graphDataSet.Tables["data"].Rows[1]["Na36"].ToString(); string dataPoint367 = graphDataSet.Tables["data"].Rows[1]["Na37"].ToString(); string dataPoint368 = graphDataSet.Tables["data"].Rows[1]["Na38"].ToString(); string dataPoint369 = graphDataSet.Tables["data"].Rows[1]["Na39"].ToString(); string dataPoint370 = graphDataSet.Tables["data"].Rows[1]["Na40"].ToString();
                        string dataPoint371 = graphDataSet.Tables["data"].Rows[1]["Na41"].ToString(); string dataPoint372 = graphDataSet.Tables["data"].Rows[1]["Na42"].ToString(); string dataPoint373 = graphDataSet.Tables["data"].Rows[1]["Na43"].ToString(); string dataPoint374 = graphDataSet.Tables["data"].Rows[1]["Na44"].ToString(); string dataPoint375 = graphDataSet.Tables["data"].Rows[1]["Na45"].ToString(); string dataPoint376 = graphDataSet.Tables["data"].Rows[1]["Na46"].ToString(); string dataPoint377 = graphDataSet.Tables["data"].Rows[1]["Na47"].ToString(); string dataPoint378 = graphDataSet.Tables["data"].Rows[1]["Na48"].ToString(); string dataPoint379 = graphDataSet.Tables["data"].Rows[1]["Na49"].ToString(); string dataPoint380 = graphDataSet.Tables["data"].Rows[1]["Na50"].ToString();
                        string dataPoint381 = graphDataSet.Tables["data"].Rows[1]["Na51"].ToString(); string dataPoint382 = graphDataSet.Tables["data"].Rows[1]["Na52"].ToString(); string dataPoint383 = graphDataSet.Tables["data"].Rows[1]["Na53"].ToString(); string dataPoint384 = graphDataSet.Tables["data"].Rows[1]["Na54"].ToString(); string dataPoint385 = graphDataSet.Tables["data"].Rows[1]["Na55"].ToString(); string dataPoint386 = graphDataSet.Tables["data"].Rows[1]["Na56"].ToString(); string dataPoint387 = graphDataSet.Tables["data"].Rows[1]["Na57"].ToString(); string dataPoint388 = graphDataSet.Tables["data"].Rows[1]["Na58"].ToString(); string dataPoint389 = graphDataSet.Tables["data"].Rows[1]["Na59"].ToString(); string dataPoint390 = graphDataSet.Tables["data"].Rows[1]["Na60"].ToString();
                        string dataPoint391 = graphDataSet.Tables["data"].Rows[1]["Na61"].ToString(); string dataPoint392 = graphDataSet.Tables["data"].Rows[1]["Na62"].ToString(); string dataPoint393 = graphDataSet.Tables["data"].Rows[1]["Na63"].ToString(); string dataPoint394 = graphDataSet.Tables["data"].Rows[1]["Na64"].ToString(); string dataPoint395 = graphDataSet.Tables["data"].Rows[1]["Na65"].ToString(); string dataPoint396 = graphDataSet.Tables["data"].Rows[1]["Na66"].ToString();

                        int aNa1; int aNa2; int aNa3; int aNa4; int aNa5; int aNa6; int aNa7; int aNa8; int aNa9; int aNa10; int aNa11; int aNa12; int aNa13; int aNa14; int aNa15; int aNa16; int aNa17; int aNa18; int aNa19; int aNa20; int aNa21; int aNa22; int aNa23; int aNa24; int aNa25; int aNa26; int aNa27; int aNa28; int aNa29; int aNa30; int aNa31; int aNa32; int aNa33; int aNa34; int aNa35; int aNa36; int aNa37; int aNa38; int aNa39; int aNa40; int aNa41; int aNa42; int aNa43; int aNa44; int aNa45; int aNa46; int aNa47; int aNa48; int aNa49; int aNa50; int aNa51; int aNa52; int aNa53; int aNa54; int aNa55; int aNa56; int aNa57; int aNa58; int aNa59; int aNa60; int aNa61; int aNa62; int aNa63; int aNa64; int aNa65; int aNa66;

                        if (dataPoint331 == "True") { aNa1 = 1; } else { aNa1 = 0; } if (dataPoint332 == "True") { aNa2 = 1; } else { aNa2 = 0; } if (dataPoint333 == "True") { aNa3 = 1; } else { aNa3 = 0; } if (dataPoint334 == "True") { aNa4 = 1; } else { aNa4 = 0; } if (dataPoint335 == "True") { aNa5 = 1; } else { aNa5 = 0; } if (dataPoint336 == "True") { aNa6 = 1; } else { aNa6 = 0; } if (dataPoint337 == "True") { aNa7 = 1; } else { aNa7 = 0; } if (dataPoint338 == "True") { aNa8 = 1; } else { aNa8 = 0; } if (dataPoint339 == "True") { aNa9 = 1; } else { aNa9 = 0; } if (dataPoint340 == "True") { aNa10 = 1; } else { aNa10 = 0; }
                        if (dataPoint341 == "True") { aNa11 = 1; } else { aNa11 = 0; } if (dataPoint342 == "True") { aNa12 = 1; } else { aNa12 = 0; } if (dataPoint343 == "True") { aNa13 = 1; } else { aNa13 = 0; } if (dataPoint344 == "True") { aNa14 = 1; } else { aNa14 = 0; } if (dataPoint345 == "True") { aNa15 = 1; } else { aNa15 = 0; } if (dataPoint346 == "True") { aNa16 = 1; } else { aNa16 = 0; } if (dataPoint347 == "True") { aNa17 = 1; } else { aNa17 = 0; } if (dataPoint348 == "True") { aNa18 = 1; } else { aNa18 = 0; } if (dataPoint349 == "True") { aNa19 = 1; } else { aNa19 = 0; } if (dataPoint350 == "True") { aNa20 = 1; } else { aNa20 = 0; }
                        if (dataPoint351 == "True") { aNa21 = 1; } else { aNa21 = 0; } if (dataPoint352 == "True") { aNa22 = 1; } else { aNa22 = 0; } if (dataPoint353 == "True") { aNa23 = 1; } else { aNa23 = 0; } if (dataPoint354 == "True") { aNa24 = 1; } else { aNa24 = 0; } if (dataPoint355 == "True") { aNa25 = 1; } else { aNa25 = 0; } if (dataPoint356 == "True") { aNa26 = 1; } else { aNa26 = 0; } if (dataPoint357 == "True") { aNa27 = 1; } else { aNa27 = 0; } if (dataPoint358 == "True") { aNa28 = 1; } else { aNa28 = 0; } if (dataPoint359 == "True") { aNa29 = 1; } else { aNa29 = 0; } if (dataPoint360 == "True") { aNa30 = 1; } else { aNa30 = 0; }
                        if (dataPoint361 == "True") { aNa31 = 1; } else { aNa31 = 0; } if (dataPoint362 == "True") { aNa32 = 1; } else { aNa32 = 0; } if (dataPoint363 == "True") { aNa33 = 1; } else { aNa33 = 0; } if (dataPoint364 == "True") { aNa34 = 1; } else { aNa34 = 0; } if (dataPoint365 == "True") { aNa35 = 1; } else { aNa35 = 0; } if (dataPoint366 == "True") { aNa36 = 1; } else { aNa36 = 0; } if (dataPoint367 == "True") { aNa37 = 1; } else { aNa37 = 0; } if (dataPoint368 == "True") { aNa38 = 1; } else { aNa38 = 0; } if (dataPoint369 == "True") { aNa39 = 1; } else { aNa39 = 0; } if (dataPoint370 == "True") { aNa40 = 1; } else { aNa40 = 0; }
                        if (dataPoint371 == "True") { aNa41 = 1; } else { aNa41 = 0; } if (dataPoint372 == "True") { aNa42 = 1; } else { aNa42 = 0; } if (dataPoint373 == "True") { aNa43 = 1; } else { aNa43 = 0; } if (dataPoint374 == "True") { aNa44 = 1; } else { aNa44 = 0; } if (dataPoint375 == "True") { aNa45 = 1; } else { aNa45 = 0; } if (dataPoint376 == "True") { aNa46 = 1; } else { aNa46 = 0; } if (dataPoint377 == "True") { aNa47 = 1; } else { aNa47 = 0; } if (dataPoint378 == "True") { aNa48 = 1; } else { aNa48 = 0; } if (dataPoint379 == "True") { aNa49 = 1; } else { aNa49 = 0; } if (dataPoint380 == "True") { aNa50 = 1; } else { aNa50 = 0; }
                        if (dataPoint381 == "True") { aNa51 = 1; } else { aNa51 = 0; } if (dataPoint382 == "True") { aNa52 = 1; } else { aNa52 = 0; } if (dataPoint383 == "True") { aNa53 = 1; } else { aNa53 = 0; } if (dataPoint384 == "True") { aNa54 = 1; } else { aNa54 = 0; } if (dataPoint385 == "True") { aNa55 = 1; } else { aNa55 = 0; } if (dataPoint386 == "True") { aNa56 = 1; } else { aNa56 = 0; } if (dataPoint387 == "True") { aNa57 = 1; } else { aNa57 = 0; } if (dataPoint388 == "True") { aNa58 = 1; } else { aNa58 = 0; } if (dataPoint389 == "True") { aNa59 = 1; } else { aNa59 = 0; } if (dataPoint390 == "True") { aNa60 = 1; } else { aNa60 = 0; }
                        if (dataPoint391 == "True") { aNa61 = 1; } else { aNa61 = 0; } if (dataPoint392 == "True") { aNa62 = 1; } else { aNa62 = 0; } if (dataPoint393 == "True") { aNa63 = 1; } else { aNa63 = 0; } if (dataPoint394 == "True") { aNa64 = 1; } else { aNa64 = 0; } if (dataPoint395 == "True") { aNa65 = 1; } else { aNa65 = 0; } if (dataPoint396 == "True") { aNa66 = 1; } else { aNa66 = 0; }

                        int atotalNa = aNa1 + aNa2 + aNa3 + aNa4 + aNa5 + aNa6 + aNa7 + aNa8 + aNa9 + aNa10 + aNa11 + aNa12 + aNa13 + aNa14 + aNa15 + aNa16 + aNa17 + aNa18 + aNa19 + aNa20 + aNa21 + aNa22 + aNa23 + aNa24 + aNa25 + aNa26 + aNa27 + aNa28 + aNa29 + aNa30 + aNa31 + aNa32 + aNa33 + aNa34 + aNa35 + aNa36 + aNa37 + aNa38 + aNa39 + aNa40 + aNa41 + aNa42 + aNa43 + aNa44 + aNa45 + aNa46 + aNa47 + aNa48 + aNa49 + aNa50 + aNa51 + aNa52 + aNa53 + aNa54 + aNa55 + aNa56 + aNa57 + aNa58 + aNa59 + aNa60 + aNa61 + aNa62 + aNa63 + aNa64 + aNa65 + aNa66;

                        if (totalYes >= 0 && atotalYes >= 0 && totalNo >= 0 && atotalNo >= 0 && totalNa >= 0 && atotalNa >= 0)
                        {

                            SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT Version FROM reviews WHERE Application = '" + appName.ToString() + "' ORDER BY Version DESC LIMIT 5", ObjConnection);
                            SQLiteDataAdapter myGraphAdapter2 = new SQLiteDataAdapter(ObjCommand2);

                            DataSet graphDataSet2 = new DataSet();
                            myGraphAdapter2.Fill(graphDataSet2, "Data2");

                            string secondDataPoint1 = graphDataSet2.Tables[0].Rows[1].ItemArray[0].ToString();
                            string secondDataPoint2 = graphDataSet2.Tables[0].Rows[0].ItemArray[0].ToString();

                            int totalYesAll = totalYes + atotalYes;

                            int avgYes = (totalYesAll / 2);

                            int totalNoAll = totalNo + atotalNo;

                            int avgNo = (totalNoAll / 2);

                            int totalNaAll = totalNa + atotalNa;

                            int avgNa = (totalNaAll / 2);

                            float[] data1X = new float[] { 0, 60 };
                            float[] data1 = new float[] { atotalYes, totalYes };
                            float[] data2X = new float[] { 0, 60 };
                            float[] data2 = new float[] { atotalNo, totalNo };
                            float[] data3X = new float[] { 0, 60 };
                            float[] data3 = new float[] { atotalNa, totalNa };

                            List<float[]> datasets = new List<float[]>();
                            datasets.Add(data1X);
                            datasets.Add(data1);
                            datasets.Add(data2X);
                            datasets.Add(data2);
                            datasets.Add(data3X);
                            datasets.Add(data3);

                            LineChart chart = new LineChart(734, 120, LineChartType.MultiDataSet);

                            ChartAxis bottomAxis = new ChartAxis(ChartAxisType.Bottom);
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint1, 0));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint2, 60));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EEAD0E", 0, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EEAD0E", 0, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "007FFF", 1, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "007FFF", 1, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "00CD00", 2, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "00CD00", 2, 1, 8));
                            chart.SetDatasetColors(new string[] { "EEAD0E", "007FFF", "00CD00" });
                            chart.SetLegend(new string[] { "Yes", "No", "NA" });
                            chart.AddAxis(bottomAxis);

                            chart.SetData(datasets);

                            string imageUrl = chart.GetUrl();

                            webBrowser3.Url = new Uri(imageUrl);

                            appCText1.Visible = true;
                            appCText1.Text = "v" + secondDataPoint1.ToString() + "";
                            appCNoText1.Visible = true;
                            appCNoText1.Text = "Yes:" + atotalYes.ToString() + "  No:" + atotalNo.ToString() + "  NA:" + atotalNa.ToString() + "";
                            appCText2.Visible = true;
                            appCText2.Text = "v" + secondDataPoint2.ToString() + "";
                            appCNoText2.Visible = true;
                            appCNoText2.Text = "Yes:" + totalYes.ToString() + "  No:" + totalNo.ToString() + "  NA:" + totalNa.ToString() + "";

                            int[] data = new int[] { avgYes, avgNo, avgNa };
                            PieChart pieChart = new PieChart(260, 135);
                            pieChart.SetData(data);
                            pieChart.SetDatasetColors(new string[] { "EEAD0E", "007FFF", "00CD00" });
                            string imageUrl2 = pieChart.GetUrl();

                            pieLeg1.Visible = true;
                            pieLeg1.BackColor = System.Drawing.Color.FromArgb(238, 173, 14);
                            pieLeg2.Visible = true;
                            pieLeg2.BackColor = System.Drawing.Color.FromArgb(0, 127, 255);
                            pieLeg3.Visible = true;
                            pieLeg3.BackColor = System.Drawing.Color.FromArgb(0, 205, 0);
                            pieLeg4.Visible = true;
                            pieLeg4.Text = "Yes:" + avgYes.ToString() + "";
                            pieLeg5.Visible = true;
                            pieLeg5.Text = "No:" + avgNo.ToString() + "";
                            pieLeg6.Visible = true;
                            pieLeg6.Text = "NA:" + avgNa.ToString() + "";

                            webBrowser4.Url = new Uri(imageUrl2);

                            appDText1.Visible = true;//has to stay the same
                            appDNoText1.Visible = true;
                            appDNoText1.Text = "" + secondDataPoint1.ToString() + "";
                            appDNoText5.Visible = true;
                            appDNoText5.Text = "" + secondDataPoint2.ToString() + "";

                            appDText2.Visible = true;//has to stay the same
                            appDNoText2.Visible = true;
                            appDNoText2.Text = "" + atotalYes.ToString() + "/" + avgYes.ToString() + "";
                            appDNoText6.Visible = true;
                            appDNoText6.Text = "" + totalYes.ToString() + "/" + avgYes.ToString() + "";

                            appDText3.Visible = true;//has to stay the same
                            appDNoText3.Visible = true;
                            appDNoText3.Text = "" + atotalNo.ToString() + "/" + avgNo.ToString() + "";
                            appDNoText7.Visible = true;
                            appDNoText7.Text = "" + totalNo.ToString() + "/" + avgNo.ToString() + "";

                            appDText4.Visible = true;//has to stay the same
                            appDNoText4.Visible = true;
                            appDNoText4.Text = "" + atotalNa.ToString() + "/" + avgNa.ToString() + "";
                            appDNoText8.Visible = true;
                            appDNoText8.Text = "" + totalNa.ToString() + "/" + avgNa.ToString() + "";
                        }

                        else
                        {
                            DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create the graphs for this application, please try again");
                            return;
                        }
                    }

                    else if (rowscount == 3)
                    {
                        string dataPoint1 = graphDataSet.Tables["data"].Rows[0]["YES1"].ToString(); string dataPoint2 = graphDataSet.Tables["data"].Rows[0]["YES2"].ToString(); string dataPoint3 = graphDataSet.Tables["data"].Rows[0]["YES3"].ToString(); string dataPoint4 = graphDataSet.Tables["data"].Rows[0]["YES4"].ToString(); string dataPoint5 = graphDataSet.Tables["data"].Rows[0]["YES5"].ToString(); string dataPoint6 = graphDataSet.Tables["data"].Rows[0]["YES6"].ToString(); string dataPoint7 = graphDataSet.Tables["data"].Rows[0]["YES7"].ToString(); string dataPoint8 = graphDataSet.Tables["data"].Rows[0]["YES8"].ToString(); string dataPoint9 = graphDataSet.Tables["data"].Rows[0]["YES9"].ToString(); string dataPoint10 = graphDataSet.Tables["data"].Rows[0]["YES10"].ToString();
                        string dataPoint11 = graphDataSet.Tables["data"].Rows[0]["YES11"].ToString(); string dataPoint12 = graphDataSet.Tables["data"].Rows[0]["YES12"].ToString(); string dataPoint13 = graphDataSet.Tables["data"].Rows[0]["YES13"].ToString(); string dataPoint14 = graphDataSet.Tables["data"].Rows[0]["YES14"].ToString(); string dataPoint15 = graphDataSet.Tables["data"].Rows[0]["YES15"].ToString(); string dataPoint16 = graphDataSet.Tables["data"].Rows[0]["YES16"].ToString(); string dataPoint17 = graphDataSet.Tables["data"].Rows[0]["YES17"].ToString(); string dataPoint18 = graphDataSet.Tables["data"].Rows[0]["YES18"].ToString(); string dataPoint19 = graphDataSet.Tables["data"].Rows[0]["YES19"].ToString(); string dataPoint20 = graphDataSet.Tables["data"].Rows[0]["YES20"].ToString();
                        string dataPoint21 = graphDataSet.Tables["data"].Rows[0]["YES21"].ToString(); string dataPoint22 = graphDataSet.Tables["data"].Rows[0]["YES22"].ToString(); string dataPoint23 = graphDataSet.Tables["data"].Rows[0]["YES23"].ToString(); string dataPoint24 = graphDataSet.Tables["data"].Rows[0]["YES24"].ToString(); string dataPoint25 = graphDataSet.Tables["data"].Rows[0]["YES25"].ToString(); string dataPoint26 = graphDataSet.Tables["data"].Rows[0]["YES26"].ToString(); string dataPoint27 = graphDataSet.Tables["data"].Rows[0]["YES27"].ToString(); string dataPoint28 = graphDataSet.Tables["data"].Rows[0]["YES28"].ToString(); string dataPoint29 = graphDataSet.Tables["data"].Rows[0]["YES29"].ToString(); string dataPoint30 = graphDataSet.Tables["data"].Rows[0]["YES30"].ToString();
                        string dataPoint31 = graphDataSet.Tables["data"].Rows[0]["YES31"].ToString(); string dataPoint32 = graphDataSet.Tables["data"].Rows[0]["YES32"].ToString(); string dataPoint33 = graphDataSet.Tables["data"].Rows[0]["YES33"].ToString(); string dataPoint34 = graphDataSet.Tables["data"].Rows[0]["YES34"].ToString(); string dataPoint35 = graphDataSet.Tables["data"].Rows[0]["YES35"].ToString(); string dataPoint36 = graphDataSet.Tables["data"].Rows[0]["YES36"].ToString(); string dataPoint37 = graphDataSet.Tables["data"].Rows[0]["YES37"].ToString(); string dataPoint38 = graphDataSet.Tables["data"].Rows[0]["YES38"].ToString(); string dataPoint39 = graphDataSet.Tables["data"].Rows[0]["YES39"].ToString(); string dataPoint40 = graphDataSet.Tables["data"].Rows[0]["YES40"].ToString();
                        string dataPoint41 = graphDataSet.Tables["data"].Rows[0]["YES41"].ToString(); string dataPoint42 = graphDataSet.Tables["data"].Rows[0]["YES42"].ToString(); string dataPoint43 = graphDataSet.Tables["data"].Rows[0]["YES43"].ToString(); string dataPoint44 = graphDataSet.Tables["data"].Rows[0]["YES44"].ToString(); string dataPoint45 = graphDataSet.Tables["data"].Rows[0]["YES45"].ToString(); string dataPoint46 = graphDataSet.Tables["data"].Rows[0]["YES46"].ToString(); string dataPoint47 = graphDataSet.Tables["data"].Rows[0]["YES47"].ToString(); string dataPoint48 = graphDataSet.Tables["data"].Rows[0]["YES48"].ToString(); string dataPoint49 = graphDataSet.Tables["data"].Rows[0]["YES49"].ToString(); string dataPoint50 = graphDataSet.Tables["data"].Rows[0]["YES50"].ToString();
                        string dataPoint51 = graphDataSet.Tables["data"].Rows[0]["YES51"].ToString(); string dataPoint52 = graphDataSet.Tables["data"].Rows[0]["YES52"].ToString(); string dataPoint53 = graphDataSet.Tables["data"].Rows[0]["YES53"].ToString(); string dataPoint54 = graphDataSet.Tables["data"].Rows[0]["YES54"].ToString(); string dataPoint55 = graphDataSet.Tables["data"].Rows[0]["YES55"].ToString(); string dataPoint56 = graphDataSet.Tables["data"].Rows[0]["YES56"].ToString(); string dataPoint57 = graphDataSet.Tables["data"].Rows[0]["YES57"].ToString(); string dataPoint58 = graphDataSet.Tables["data"].Rows[0]["YES58"].ToString(); string dataPoint59 = graphDataSet.Tables["data"].Rows[0]["YES59"].ToString(); string dataPoint60 = graphDataSet.Tables["data"].Rows[0]["YES60"].ToString();
                        string dataPoint61 = graphDataSet.Tables["data"].Rows[0]["YES61"].ToString(); string dataPoint62 = graphDataSet.Tables["data"].Rows[0]["YES62"].ToString(); string dataPoint63 = graphDataSet.Tables["data"].Rows[0]["YES63"].ToString(); string dataPoint64 = graphDataSet.Tables["data"].Rows[0]["YES64"].ToString(); string dataPoint65 = graphDataSet.Tables["data"].Rows[0]["YES65"].ToString(); string dataPoint66 = graphDataSet.Tables["data"].Rows[0]["YES66"].ToString();

                        int Yes1; int Yes2; int Yes3; int Yes4; int Yes5; int Yes6; int Yes7; int Yes8; int Yes9; int Yes10; int Yes11; int Yes12; int Yes13; int Yes14; int Yes15; int Yes16; int Yes17; int Yes18; int Yes19; int Yes20; int Yes21; int Yes22; int Yes23; int Yes24; int Yes25; int Yes26; int Yes27; int Yes28; int Yes29; int Yes30; int Yes31; int Yes32; int Yes33; int Yes34; int Yes35; int Yes36; int Yes37; int Yes38; int Yes39; int Yes40; int Yes41; int Yes42; int Yes43; int Yes44; int Yes45; int Yes46; int Yes47; int Yes48; int Yes49; int Yes50; int Yes51; int Yes52; int Yes53; int Yes54; int Yes55; int Yes56; int Yes57; int Yes58; int Yes59; int Yes60; int Yes61; int Yes62; int Yes63; int Yes64; int Yes65; int Yes66;

                        if (dataPoint1 == "True") { Yes1 = 1; } else { Yes1 = 0; } if (dataPoint2 == "True") { Yes2 = 1; } else { Yes2 = 0; } if (dataPoint3 == "True") { Yes3 = 1; } else { Yes3 = 0; } if (dataPoint4 == "True") { Yes4 = 1; } else { Yes4 = 0; } if (dataPoint5 == "True") { Yes5 = 1; } else { Yes5 = 0; } if (dataPoint6 == "True") { Yes6 = 1; } else { Yes6 = 0; } if (dataPoint7 == "True") { Yes7 = 1; } else { Yes7 = 0; } if (dataPoint8 == "True") { Yes8 = 1; } else { Yes8 = 0; } if (dataPoint9 == "True") { Yes9 = 1; } else { Yes9 = 0; } if (dataPoint10 == "True") { Yes10 = 1; } else { Yes10 = 0; }
                        if (dataPoint11 == "True") { Yes11 = 1; } else { Yes11 = 0; } if (dataPoint12 == "True") { Yes12 = 1; } else { Yes12 = 0; } if (dataPoint13 == "True") { Yes13 = 1; } else { Yes13 = 0; } if (dataPoint14 == "True") { Yes14 = 1; } else { Yes14 = 0; } if (dataPoint15 == "True") { Yes15 = 1; } else { Yes15 = 0; } if (dataPoint16 == "True") { Yes16 = 1; } else { Yes16 = 0; } if (dataPoint17 == "True") { Yes17 = 1; } else { Yes17 = 0; } if (dataPoint18 == "True") { Yes18 = 1; } else { Yes18 = 0; } if (dataPoint19 == "True") { Yes19 = 1; } else { Yes19 = 0; } if (dataPoint20 == "True") { Yes20 = 1; } else { Yes20 = 0; }
                        if (dataPoint21 == "True") { Yes21 = 1; } else { Yes21 = 0; } if (dataPoint22 == "True") { Yes22 = 1; } else { Yes22 = 0; } if (dataPoint23 == "True") { Yes23 = 1; } else { Yes23 = 0; } if (dataPoint24 == "True") { Yes24 = 1; } else { Yes24 = 0; } if (dataPoint25 == "True") { Yes25 = 1; } else { Yes25 = 0; } if (dataPoint26 == "True") { Yes26 = 1; } else { Yes26 = 0; } if (dataPoint27 == "True") { Yes27 = 1; } else { Yes27 = 0; } if (dataPoint28 == "True") { Yes28 = 1; } else { Yes28 = 0; } if (dataPoint29 == "True") { Yes29 = 1; } else { Yes29 = 0; } if (dataPoint30 == "True") { Yes30 = 1; } else { Yes30 = 0; }
                        if (dataPoint31 == "True") { Yes31 = 1; } else { Yes31 = 0; } if (dataPoint32 == "True") { Yes32 = 1; } else { Yes32 = 0; } if (dataPoint33 == "True") { Yes33 = 1; } else { Yes33 = 0; } if (dataPoint34 == "True") { Yes34 = 1; } else { Yes34 = 0; } if (dataPoint35 == "True") { Yes35 = 1; } else { Yes35 = 0; } if (dataPoint36 == "True") { Yes36 = 1; } else { Yes36 = 0; } if (dataPoint37 == "True") { Yes37 = 1; } else { Yes37 = 0; } if (dataPoint38 == "True") { Yes38 = 1; } else { Yes38 = 0; } if (dataPoint39 == "True") { Yes39 = 1; } else { Yes39 = 0; } if (dataPoint40 == "True") { Yes40 = 1; } else { Yes40 = 0; }
                        if (dataPoint41 == "True") { Yes41 = 1; } else { Yes41 = 0; } if (dataPoint42 == "True") { Yes42 = 1; } else { Yes42 = 0; } if (dataPoint43 == "True") { Yes43 = 1; } else { Yes43 = 0; } if (dataPoint44 == "True") { Yes44 = 1; } else { Yes44 = 0; } if (dataPoint45 == "True") { Yes45 = 1; } else { Yes45 = 0; } if (dataPoint46 == "True") { Yes46 = 1; } else { Yes46 = 0; } if (dataPoint47 == "True") { Yes47 = 1; } else { Yes47 = 0; } if (dataPoint48 == "True") { Yes48 = 1; } else { Yes48 = 0; } if (dataPoint49 == "True") { Yes49 = 1; } else { Yes49 = 0; } if (dataPoint50 == "True") { Yes50 = 1; } else { Yes50 = 0; }
                        if (dataPoint51 == "True") { Yes51 = 1; } else { Yes51 = 0; } if (dataPoint52 == "True") { Yes52 = 1; } else { Yes52 = 0; } if (dataPoint53 == "True") { Yes53 = 1; } else { Yes53 = 0; } if (dataPoint54 == "True") { Yes54 = 1; } else { Yes54 = 0; } if (dataPoint55 == "True") { Yes55 = 1; } else { Yes55 = 0; } if (dataPoint56 == "True") { Yes56 = 1; } else { Yes56 = 0; } if (dataPoint57 == "True") { Yes57 = 1; } else { Yes57 = 0; } if (dataPoint58 == "True") { Yes58 = 1; } else { Yes58 = 0; } if (dataPoint59 == "True") { Yes59 = 1; } else { Yes59 = 0; } if (dataPoint60 == "True") { Yes60 = 1; } else { Yes60 = 0; }
                        if (dataPoint61 == "True") { Yes61 = 1; } else { Yes61 = 0; } if (dataPoint62 == "True") { Yes62 = 1; } else { Yes62 = 0; } if (dataPoint63 == "True") { Yes63 = 1; } else { Yes63 = 0; } if (dataPoint64 == "True") { Yes64 = 1; } else { Yes64 = 0; } if (dataPoint65 == "True") { Yes65 = 1; } else { Yes65 = 0; } if (dataPoint66 == "True") { Yes66 = 1; } else { Yes66 = 0; }

                        int totalYes = Yes1 + Yes2 + Yes3 + Yes4 + Yes5 + Yes6 + Yes7 + Yes8 + Yes9 + Yes10 + Yes11 + Yes12 + Yes13 + Yes14 + Yes15 + Yes16 + Yes17 + Yes18 + Yes19 + Yes20 + Yes21 + Yes22 + Yes23 + Yes24 + Yes25 + Yes26 + Yes27 + Yes28 + Yes29 + Yes30 + Yes31 + Yes32 + Yes33 + Yes34 + Yes35 + Yes36 + Yes37 + Yes38 + Yes39 + Yes40 + Yes41 + Yes42 + Yes43 + Yes44 + Yes45 + Yes46 + Yes47 + Yes48 + Yes49 + Yes50 + Yes51 + Yes52 + Yes53 + Yes54 + Yes55 + Yes56 + Yes57 + Yes58 + Yes59 + Yes60 + Yes61 + Yes62 + Yes63 + Yes64 + Yes65 + Yes66;

                        string dataPoint67 = graphDataSet.Tables["data"].Rows[0]["NO1"].ToString(); string dataPoint68 = graphDataSet.Tables["data"].Rows[0]["NO2"].ToString(); string dataPoint69 = graphDataSet.Tables["data"].Rows[0]["NO3"].ToString(); string dataPoint70 = graphDataSet.Tables["data"].Rows[0]["NO4"].ToString(); string dataPoint71 = graphDataSet.Tables["data"].Rows[0]["NO5"].ToString(); string dataPoint72 = graphDataSet.Tables["data"].Rows[0]["NO6"].ToString(); string dataPoint73 = graphDataSet.Tables["data"].Rows[0]["NO7"].ToString(); string dataPoint74 = graphDataSet.Tables["data"].Rows[0]["NO8"].ToString(); string dataPoint75 = graphDataSet.Tables["data"].Rows[0]["NO9"].ToString(); string dataPoint76 = graphDataSet.Tables["data"].Rows[0]["NO10"].ToString();
                        string dataPoint77 = graphDataSet.Tables["data"].Rows[0]["NO11"].ToString(); string dataPoint78 = graphDataSet.Tables["data"].Rows[0]["NO12"].ToString(); string dataPoint79 = graphDataSet.Tables["data"].Rows[0]["NO13"].ToString(); string dataPoint80 = graphDataSet.Tables["data"].Rows[0]["NO14"].ToString(); string dataPoint81 = graphDataSet.Tables["data"].Rows[0]["NO15"].ToString(); string dataPoint82 = graphDataSet.Tables["data"].Rows[0]["NO16"].ToString(); string dataPoint83 = graphDataSet.Tables["data"].Rows[0]["NO17"].ToString(); string dataPoint84 = graphDataSet.Tables["data"].Rows[0]["NO18"].ToString(); string dataPoint85 = graphDataSet.Tables["data"].Rows[0]["NO19"].ToString(); string dataPoint86 = graphDataSet.Tables["data"].Rows[0]["NO20"].ToString();
                        string dataPoint87 = graphDataSet.Tables["data"].Rows[0]["NO21"].ToString(); string dataPoint88 = graphDataSet.Tables["data"].Rows[0]["NO22"].ToString(); string dataPoint89 = graphDataSet.Tables["data"].Rows[0]["NO23"].ToString(); string dataPoint90 = graphDataSet.Tables["data"].Rows[0]["NO24"].ToString(); string dataPoint91 = graphDataSet.Tables["data"].Rows[0]["NO25"].ToString(); string dataPoint92 = graphDataSet.Tables["data"].Rows[0]["NO26"].ToString(); string dataPoint93 = graphDataSet.Tables["data"].Rows[0]["NO27"].ToString(); string dataPoint94 = graphDataSet.Tables["data"].Rows[0]["NO28"].ToString(); string dataPoint95 = graphDataSet.Tables["data"].Rows[0]["NO29"].ToString(); string dataPoint96 = graphDataSet.Tables["data"].Rows[0]["NO30"].ToString();
                        string dataPoint97 = graphDataSet.Tables["data"].Rows[0]["NO31"].ToString(); string dataPoint98 = graphDataSet.Tables["data"].Rows[0]["NO32"].ToString(); string dataPoint99 = graphDataSet.Tables["data"].Rows[0]["NO33"].ToString(); string dataPoint100 = graphDataSet.Tables["data"].Rows[0]["NO34"].ToString(); string dataPoint101 = graphDataSet.Tables["data"].Rows[0]["NO35"].ToString(); string dataPoint102 = graphDataSet.Tables["data"].Rows[0]["NO36"].ToString(); string dataPoint103 = graphDataSet.Tables["data"].Rows[0]["NO37"].ToString(); string dataPoint104 = graphDataSet.Tables["data"].Rows[0]["NO38"].ToString(); string dataPoint105 = graphDataSet.Tables["data"].Rows[0]["NO39"].ToString(); string dataPoint106 = graphDataSet.Tables["data"].Rows[0]["NO40"].ToString();
                        string dataPoint107 = graphDataSet.Tables["data"].Rows[0]["NO41"].ToString(); string dataPoint108 = graphDataSet.Tables["data"].Rows[0]["NO42"].ToString(); string dataPoint109 = graphDataSet.Tables["data"].Rows[0]["NO43"].ToString(); string dataPoint110 = graphDataSet.Tables["data"].Rows[0]["NO44"].ToString(); string dataPoint111 = graphDataSet.Tables["data"].Rows[0]["NO45"].ToString(); string dataPoint112 = graphDataSet.Tables["data"].Rows[0]["NO46"].ToString(); string dataPoint113 = graphDataSet.Tables["data"].Rows[0]["NO47"].ToString(); string dataPoint114 = graphDataSet.Tables["data"].Rows[0]["NO48"].ToString(); string dataPoint115 = graphDataSet.Tables["data"].Rows[0]["NO49"].ToString(); string dataPoint116 = graphDataSet.Tables["data"].Rows[0]["NO50"].ToString();
                        string dataPoint117 = graphDataSet.Tables["data"].Rows[0]["NO51"].ToString(); string dataPoint118 = graphDataSet.Tables["data"].Rows[0]["NO52"].ToString(); string dataPoint119 = graphDataSet.Tables["data"].Rows[0]["NO53"].ToString(); string dataPoint120 = graphDataSet.Tables["data"].Rows[0]["NO54"].ToString(); string dataPoint121 = graphDataSet.Tables["data"].Rows[0]["NO55"].ToString(); string dataPoint122 = graphDataSet.Tables["data"].Rows[0]["NO56"].ToString(); string dataPoint123 = graphDataSet.Tables["data"].Rows[0]["NO57"].ToString(); string dataPoint124 = graphDataSet.Tables["data"].Rows[0]["NO58"].ToString(); string dataPoint125 = graphDataSet.Tables["data"].Rows[0]["NO59"].ToString(); string dataPoint126 = graphDataSet.Tables["data"].Rows[0]["NO60"].ToString();
                        string dataPoint127 = graphDataSet.Tables["data"].Rows[0]["NO61"].ToString(); string dataPoint128 = graphDataSet.Tables["data"].Rows[0]["NO62"].ToString(); string dataPoint129 = graphDataSet.Tables["data"].Rows[0]["NO63"].ToString(); string dataPoint130 = graphDataSet.Tables["data"].Rows[0]["NO64"].ToString(); string dataPoint131 = graphDataSet.Tables["data"].Rows[0]["NO65"].ToString(); string dataPoint132 = graphDataSet.Tables["data"].Rows[0]["NO66"].ToString();

                        int No1; int No2; int No3; int No4; int No5; int No6; int No7; int No8; int No9; int No10; int No11; int No12; int No13; int No14; int No15; int No16; int No17; int No18; int No19; int No20; int No21; int No22; int No23; int No24; int No25; int No26; int No27; int No28; int No29; int No30; int No31; int No32; int No33; int No34; int No35; int No36; int No37; int No38; int No39; int No40; int No41; int No42; int No43; int No44; int No45; int No46; int No47; int No48; int No49; int No50; int No51; int No52; int No53; int No54; int No55; int No56; int No57; int No58; int No59; int No60; int No61; int No62; int No63; int No64; int No65; int No66;

                        if (dataPoint67 == "True") { No1 = 1; } else { No1 = 0; } if (dataPoint68 == "True") { No2 = 1; } else { No2 = 0; } if (dataPoint69 == "True") { No3 = 1; } else { No3 = 0; } if (dataPoint70 == "True") { No4 = 1; } else { No4 = 0; } if (dataPoint71 == "True") { No5 = 1; } else { No5 = 0; } if (dataPoint72 == "True") { No6 = 1; } else { No6 = 0; } if (dataPoint73 == "True") { No7 = 1; } else { No7 = 0; } if (dataPoint74 == "True") { No8 = 1; } else { No8 = 0; } if (dataPoint75 == "True") { No9 = 1; } else { No9 = 0; } if (dataPoint76 == "True") { No10 = 1; } else { No10 = 0; }
                        if (dataPoint77 == "True") { No11 = 1; } else { No11 = 0; } if (dataPoint78 == "True") { No12 = 1; } else { No12 = 0; } if (dataPoint79 == "True") { No13 = 1; } else { No13 = 0; } if (dataPoint80 == "True") { No14 = 1; } else { No14 = 0; } if (dataPoint81 == "True") { No15 = 1; } else { No15 = 0; } if (dataPoint82 == "True") { No16 = 1; } else { No16 = 0; } if (dataPoint83 == "True") { No17 = 1; } else { No17 = 0; } if (dataPoint84 == "True") { No18 = 1; } else { No18 = 0; } if (dataPoint85 == "True") { No19 = 1; } else { No19 = 0; } if (dataPoint86 == "True") { No20 = 1; } else { No20 = 0; }
                        if (dataPoint87 == "True") { No21 = 1; } else { No21 = 0; } if (dataPoint88 == "True") { No22 = 1; } else { No22 = 0; } if (dataPoint89 == "True") { No23 = 1; } else { No23 = 0; } if (dataPoint90 == "True") { No24 = 1; } else { No24 = 0; } if (dataPoint91 == "True") { No25 = 1; } else { No25 = 0; } if (dataPoint92 == "True") { No26 = 1; } else { No26 = 0; } if (dataPoint93 == "True") { No27 = 1; } else { No27 = 0; } if (dataPoint94 == "True") { No28 = 1; } else { No28 = 0; } if (dataPoint95 == "True") { No29 = 1; } else { No29 = 0; } if (dataPoint96 == "True") { No30 = 1; } else { No30 = 0; }
                        if (dataPoint97 == "True") { No31 = 1; } else { No31 = 0; } if (dataPoint98 == "True") { No32 = 1; } else { No32 = 0; } if (dataPoint99 == "True") { No33 = 1; } else { No33 = 0; } if (dataPoint100 == "True") { No34 = 1; } else { No34 = 0; } if (dataPoint101 == "True") { No35 = 1; } else { No35 = 0; } if (dataPoint102 == "True") { No36 = 1; } else { No36 = 0; } if (dataPoint103 == "True") { No37 = 1; } else { No37 = 0; } if (dataPoint104 == "True") { No38 = 1; } else { No38 = 0; } if (dataPoint105 == "True") { No39 = 1; } else { No39 = 0; } if (dataPoint106 == "True") { No40 = 1; } else { No40 = 0; }
                        if (dataPoint107 == "True") { No41 = 1; } else { No41 = 0; } if (dataPoint108 == "True") { No42 = 1; } else { No42 = 0; } if (dataPoint109 == "True") { No43 = 1; } else { No43 = 0; } if (dataPoint110 == "True") { No44 = 1; } else { No44 = 0; } if (dataPoint111 == "True") { No45 = 1; } else { No45 = 0; } if (dataPoint112 == "True") { No46 = 1; } else { No46 = 0; } if (dataPoint113 == "True") { No47 = 1; } else { No47 = 0; } if (dataPoint114 == "True") { No48 = 1; } else { No48 = 0; } if (dataPoint115 == "True") { No49 = 1; } else { No49 = 0; } if (dataPoint116 == "True") { No50 = 1; } else { No50 = 0; }
                        if (dataPoint117 == "True") { No51 = 1; } else { No51 = 0; } if (dataPoint118 == "True") { No52 = 1; } else { No52 = 0; } if (dataPoint119 == "True") { No53 = 1; } else { No53 = 0; } if (dataPoint120 == "True") { No54 = 1; } else { No54 = 0; } if (dataPoint121 == "True") { No55 = 1; } else { No55 = 0; } if (dataPoint122 == "True") { No56 = 1; } else { No56 = 0; } if (dataPoint123 == "True") { No57 = 1; } else { No57 = 0; } if (dataPoint124 == "True") { No58 = 1; } else { No58 = 0; } if (dataPoint125 == "True") { No59 = 1; } else { No59 = 0; } if (dataPoint126 == "True") { No60 = 1; } else { No60 = 0; }
                        if (dataPoint127 == "True") { No61 = 1; } else { No61 = 0; } if (dataPoint128 == "True") { No62 = 1; } else { No62 = 0; } if (dataPoint129 == "True") { No63 = 1; } else { No63 = 0; } if (dataPoint130 == "True") { No64 = 1; } else { No64 = 0; } if (dataPoint131 == "True") { No65 = 1; } else { No65 = 0; } if (dataPoint132 == "True") { No66 = 1; } else { No66 = 0; }

                        int totalNo = No1 + No2 + No3 + No4 + No5 + No6 + No7 + No8 + No9 + No10 + No11 + No12 + No13 + No14 + No15 + No16 + No17 + No18 + No19 + No20 + No21 + No22 + No23 + No24 + No25 + No26 + No27 + No28 + No29 + No30 + No31 + No32 + No33 + No34 + No35 + No36 + No37 + No38 + No39 + No40 + No41 + No42 + No43 + No44 + No45 + No46 + No47 + No48 + No49 + No50 + No51 + No52 + No53 + No54 + No55 + No56 + No57 + No58 + No59 + No60 + No61 + No62 + No63 + No64 + No65 + No66;

                        string dataPoint133 = graphDataSet.Tables["data"].Rows[0]["NA1"].ToString(); string dataPoint134 = graphDataSet.Tables["data"].Rows[0]["NA2"].ToString(); string dataPoint135 = graphDataSet.Tables["data"].Rows[0]["NA3"].ToString(); string dataPoint136 = graphDataSet.Tables["data"].Rows[0]["NA4"].ToString(); string dataPoint137 = graphDataSet.Tables["data"].Rows[0]["NA5"].ToString(); string dataPoint138 = graphDataSet.Tables["data"].Rows[0]["NA6"].ToString(); string dataPoint139 = graphDataSet.Tables["data"].Rows[0]["NA7"].ToString(); string dataPoint140 = graphDataSet.Tables["data"].Rows[0]["NA8"].ToString(); string dataPoint141 = graphDataSet.Tables["data"].Rows[0]["NA9"].ToString(); string dataPoint142 = graphDataSet.Tables["data"].Rows[0]["NA10"].ToString();
                        string dataPoint143 = graphDataSet.Tables["data"].Rows[0]["NA11"].ToString(); string dataPoint144 = graphDataSet.Tables["data"].Rows[0]["NA12"].ToString(); string dataPoint145 = graphDataSet.Tables["data"].Rows[0]["NA13"].ToString(); string dataPoint146 = graphDataSet.Tables["data"].Rows[0]["NA14"].ToString(); string dataPoint147 = graphDataSet.Tables["data"].Rows[0]["NA15"].ToString(); string dataPoint148 = graphDataSet.Tables["data"].Rows[0]["NA16"].ToString(); string dataPoint149 = graphDataSet.Tables["data"].Rows[0]["NA17"].ToString(); string dataPoint150 = graphDataSet.Tables["data"].Rows[0]["NA18"].ToString(); string dataPoint151 = graphDataSet.Tables["data"].Rows[0]["NA19"].ToString(); string dataPoint152 = graphDataSet.Tables["data"].Rows[0]["NA20"].ToString();
                        string dataPoint153 = graphDataSet.Tables["data"].Rows[0]["NA21"].ToString(); string dataPoint154 = graphDataSet.Tables["data"].Rows[0]["NA22"].ToString(); string dataPoint155 = graphDataSet.Tables["data"].Rows[0]["NA23"].ToString(); string dataPoint156 = graphDataSet.Tables["data"].Rows[0]["NA24"].ToString(); string dataPoint157 = graphDataSet.Tables["data"].Rows[0]["NA25"].ToString(); string dataPoint158 = graphDataSet.Tables["data"].Rows[0]["NA26"].ToString(); string dataPoint159 = graphDataSet.Tables["data"].Rows[0]["NA27"].ToString(); string dataPoint160 = graphDataSet.Tables["data"].Rows[0]["NA28"].ToString(); string dataPoint161 = graphDataSet.Tables["data"].Rows[0]["NA29"].ToString(); string dataPoint162 = graphDataSet.Tables["data"].Rows[0]["NA30"].ToString();
                        string dataPoint163 = graphDataSet.Tables["data"].Rows[0]["NA31"].ToString(); string dataPoint164 = graphDataSet.Tables["data"].Rows[0]["NA32"].ToString(); string dataPoint165 = graphDataSet.Tables["data"].Rows[0]["NA33"].ToString(); string dataPoint166 = graphDataSet.Tables["data"].Rows[0]["NA34"].ToString(); string dataPoint167 = graphDataSet.Tables["data"].Rows[0]["NA35"].ToString(); string dataPoint168 = graphDataSet.Tables["data"].Rows[0]["NA36"].ToString(); string dataPoint169 = graphDataSet.Tables["data"].Rows[0]["NA37"].ToString(); string dataPoint170 = graphDataSet.Tables["data"].Rows[0]["NA38"].ToString(); string dataPoint171 = graphDataSet.Tables["data"].Rows[0]["NA39"].ToString(); string dataPoint172 = graphDataSet.Tables["data"].Rows[0]["NA40"].ToString();
                        string dataPoint173 = graphDataSet.Tables["data"].Rows[0]["NA41"].ToString(); string dataPoint174 = graphDataSet.Tables["data"].Rows[0]["NA42"].ToString(); string dataPoint175 = graphDataSet.Tables["data"].Rows[0]["NA43"].ToString(); string dataPoint176 = graphDataSet.Tables["data"].Rows[0]["NA44"].ToString(); string dataPoint177 = graphDataSet.Tables["data"].Rows[0]["NA45"].ToString(); string dataPoint178 = graphDataSet.Tables["data"].Rows[0]["NA46"].ToString(); string dataPoint179 = graphDataSet.Tables["data"].Rows[0]["NA47"].ToString(); string dataPoint180 = graphDataSet.Tables["data"].Rows[0]["NA48"].ToString(); string dataPoint181 = graphDataSet.Tables["data"].Rows[0]["NA49"].ToString(); string dataPoint182 = graphDataSet.Tables["data"].Rows[0]["NA50"].ToString();
                        string dataPoint183 = graphDataSet.Tables["data"].Rows[0]["NA51"].ToString(); string dataPoint184 = graphDataSet.Tables["data"].Rows[0]["NA52"].ToString(); string dataPoint185 = graphDataSet.Tables["data"].Rows[0]["NA53"].ToString(); string dataPoint186 = graphDataSet.Tables["data"].Rows[0]["NA54"].ToString(); string dataPoint187 = graphDataSet.Tables["data"].Rows[0]["NA55"].ToString(); string dataPoint188 = graphDataSet.Tables["data"].Rows[0]["NA56"].ToString(); string dataPoint189 = graphDataSet.Tables["data"].Rows[0]["NA57"].ToString(); string dataPoint190 = graphDataSet.Tables["data"].Rows[0]["NA58"].ToString(); string dataPoint191 = graphDataSet.Tables["data"].Rows[0]["NA59"].ToString(); string dataPoint192 = graphDataSet.Tables["data"].Rows[0]["NA60"].ToString();
                        string dataPoint193 = graphDataSet.Tables["data"].Rows[0]["NA61"].ToString(); string dataPoint194 = graphDataSet.Tables["data"].Rows[0]["NA62"].ToString(); string dataPoint195 = graphDataSet.Tables["data"].Rows[0]["NA63"].ToString(); string dataPoint196 = graphDataSet.Tables["data"].Rows[0]["NA64"].ToString(); string dataPoint197 = graphDataSet.Tables["data"].Rows[0]["NA65"].ToString(); string dataPoint198 = graphDataSet.Tables["data"].Rows[0]["NA66"].ToString();

                        int Na1; int Na2; int Na3; int Na4; int Na5; int Na6; int Na7; int Na8; int Na9; int Na10; int Na11; int Na12; int Na13; int Na14; int Na15; int Na16; int Na17; int Na18; int Na19; int Na20; int Na21; int Na22; int Na23; int Na24; int Na25; int Na26; int Na27; int Na28; int Na29; int Na30; int Na31; int Na32; int Na33; int Na34; int Na35; int Na36; int Na37; int Na38; int Na39; int Na40; int Na41; int Na42; int Na43; int Na44; int Na45; int Na46; int Na47; int Na48; int Na49; int Na50; int Na51; int Na52; int Na53; int Na54; int Na55; int Na56; int Na57; int Na58; int Na59; int Na60; int Na61; int Na62; int Na63; int Na64; int Na65; int Na66;

                        if (dataPoint133 == "True") { Na1 = 1; } else { Na1 = 0; } if (dataPoint134 == "True") { Na2 = 1; } else { Na2 = 0; } if (dataPoint135 == "True") { Na3 = 1; } else { Na3 = 0; } if (dataPoint136 == "True") { Na4 = 1; } else { Na4 = 0; } if (dataPoint137 == "True") { Na5 = 1; } else { Na5 = 0; } if (dataPoint138 == "True") { Na6 = 1; } else { Na6 = 0; } if (dataPoint139 == "True") { Na7 = 1; } else { Na7 = 0; } if (dataPoint140 == "True") { Na8 = 1; } else { Na8 = 0; } if (dataPoint141 == "True") { Na9 = 1; } else { Na9 = 0; } if (dataPoint142 == "True") { Na10 = 1; } else { Na10 = 0; }
                        if (dataPoint143 == "True") { Na11 = 1; } else { Na11 = 0; } if (dataPoint144 == "True") { Na12 = 1; } else { Na12 = 0; } if (dataPoint145 == "True") { Na13 = 1; } else { Na13 = 0; } if (dataPoint146 == "True") { Na14 = 1; } else { Na14 = 0; } if (dataPoint147 == "True") { Na15 = 1; } else { Na15 = 0; } if (dataPoint148 == "True") { Na16 = 1; } else { Na16 = 0; } if (dataPoint149 == "True") { Na17 = 1; } else { Na17 = 0; } if (dataPoint150 == "True") { Na18 = 1; } else { Na18 = 0; } if (dataPoint151 == "True") { Na19 = 1; } else { Na19 = 0; } if (dataPoint152 == "True") { Na20 = 1; } else { Na20 = 0; }
                        if (dataPoint153 == "True") { Na21 = 1; } else { Na21 = 0; } if (dataPoint154 == "True") { Na22 = 1; } else { Na22 = 0; } if (dataPoint155 == "True") { Na23 = 1; } else { Na23 = 0; } if (dataPoint156 == "True") { Na24 = 1; } else { Na24 = 0; } if (dataPoint157 == "True") { Na25 = 1; } else { Na25 = 0; } if (dataPoint158 == "True") { Na26 = 1; } else { Na26 = 0; } if (dataPoint159 == "True") { Na27 = 1; } else { Na27 = 0; } if (dataPoint160 == "True") { Na28 = 1; } else { Na28 = 0; } if (dataPoint161 == "True") { Na29 = 1; } else { Na29 = 0; } if (dataPoint162 == "True") { Na30 = 1; } else { Na30 = 0; }
                        if (dataPoint163 == "True") { Na31 = 1; } else { Na31 = 0; } if (dataPoint164 == "True") { Na32 = 1; } else { Na32 = 0; } if (dataPoint165 == "True") { Na33 = 1; } else { Na33 = 0; } if (dataPoint166 == "True") { Na34 = 1; } else { Na34 = 0; } if (dataPoint167 == "True") { Na35 = 1; } else { Na35 = 0; } if (dataPoint168 == "True") { Na36 = 1; } else { Na36 = 0; } if (dataPoint169 == "True") { Na37 = 1; } else { Na37 = 0; } if (dataPoint170 == "True") { Na38 = 1; } else { Na38 = 0; } if (dataPoint171 == "True") { Na39 = 1; } else { Na39 = 0; } if (dataPoint172 == "True") { Na40 = 1; } else { Na40 = 0; }
                        if (dataPoint173 == "True") { Na41 = 1; } else { Na41 = 0; } if (dataPoint174 == "True") { Na42 = 1; } else { Na42 = 0; } if (dataPoint175 == "True") { Na43 = 1; } else { Na43 = 0; } if (dataPoint176 == "True") { Na44 = 1; } else { Na44 = 0; } if (dataPoint177 == "True") { Na45 = 1; } else { Na45 = 0; } if (dataPoint178 == "True") { Na46 = 1; } else { Na46 = 0; } if (dataPoint179 == "True") { Na47 = 1; } else { Na47 = 0; } if (dataPoint180 == "True") { Na48 = 1; } else { Na48 = 0; } if (dataPoint181 == "True") { Na49 = 1; } else { Na49 = 0; } if (dataPoint182 == "True") { Na50 = 1; } else { Na50 = 0; }
                        if (dataPoint183 == "True") { Na51 = 1; } else { Na51 = 0; } if (dataPoint184 == "True") { Na52 = 1; } else { Na52 = 0; } if (dataPoint185 == "True") { Na53 = 1; } else { Na53 = 0; } if (dataPoint186 == "True") { Na54 = 1; } else { Na54 = 0; } if (dataPoint187 == "True") { Na55 = 1; } else { Na55 = 0; } if (dataPoint188 == "True") { Na56 = 1; } else { Na56 = 0; } if (dataPoint189 == "True") { Na57 = 1; } else { Na57 = 0; } if (dataPoint190 == "True") { Na58 = 1; } else { Na58 = 0; } if (dataPoint191 == "True") { Na59 = 1; } else { Na59 = 0; } if (dataPoint192 == "True") { Na60 = 1; } else { Na60 = 0; }
                        if (dataPoint193 == "True") { Na61 = 1; } else { Na61 = 0; } if (dataPoint194 == "True") { Na62 = 1; } else { Na62 = 0; } if (dataPoint195 == "True") { Na63 = 1; } else { Na63 = 0; } if (dataPoint196 == "True") { Na64 = 1; } else { Na64 = 0; } if (dataPoint197 == "True") { Na65 = 1; } else { Na65 = 0; } if (dataPoint198 == "True") { Na66 = 1; } else { Na66 = 0; }

                        int totalNa = Na1 + Na2 + Na3 + Na4 + Na5 + Na6 + Na7 + Na8 + Na9 + Na10 + Na11 + Na12 + Na13 + Na14 + Na15 + Na16 + Na17 + Na18 + Na19 + Na20 + Na21 + Na22 + Na23 + Na24 + Na25 + Na26 + Na27 + Na28 + Na29 + Na30 + Na31 + Na32 + Na33 + Na34 + Na35 + Na36 + Na37 + Na38 + Na39 + Na40 + Na41 + Na42 + Na43 + Na44 + Na45 + Na46 + Na47 + Na48 + Na49 + Na50 + Na51 + Na52 + Na53 + Na54 + Na55 + Na56 + Na57 + Na58 + Na59 + Na60 + Na61 + Na62 + Na63 + Na64 + Na65 + Na66;

                        string dataPoint199 = graphDataSet.Tables["data"].Rows[1]["Yes1"].ToString(); string dataPoint200 = graphDataSet.Tables["data"].Rows[1]["Yes2"].ToString(); string dataPoint201 = graphDataSet.Tables["data"].Rows[1]["Yes3"].ToString(); string dataPoint202 = graphDataSet.Tables["data"].Rows[1]["Yes4"].ToString(); string dataPoint203 = graphDataSet.Tables["data"].Rows[1]["Yes5"].ToString(); string dataPoint204 = graphDataSet.Tables["data"].Rows[1]["Yes6"].ToString(); string dataPoint205 = graphDataSet.Tables["data"].Rows[1]["Yes7"].ToString(); string dataPoint206 = graphDataSet.Tables["data"].Rows[1]["Yes8"].ToString(); string dataPoint207 = graphDataSet.Tables["data"].Rows[1]["Yes9"].ToString(); string dataPoint208 = graphDataSet.Tables["data"].Rows[1]["Yes10"].ToString();
                        string dataPoint209 = graphDataSet.Tables["data"].Rows[1]["Yes11"].ToString(); string dataPoint210 = graphDataSet.Tables["data"].Rows[1]["Yes12"].ToString(); string dataPoint211 = graphDataSet.Tables["data"].Rows[1]["Yes13"].ToString(); string dataPoint212 = graphDataSet.Tables["data"].Rows[1]["Yes14"].ToString(); string dataPoint213 = graphDataSet.Tables["data"].Rows[1]["Yes15"].ToString(); string dataPoint214 = graphDataSet.Tables["data"].Rows[1]["Yes16"].ToString(); string dataPoint215 = graphDataSet.Tables["data"].Rows[1]["Yes17"].ToString(); string dataPoint216 = graphDataSet.Tables["data"].Rows[1]["Yes18"].ToString(); string dataPoint217 = graphDataSet.Tables["data"].Rows[1]["Yes19"].ToString(); string dataPoint218 = graphDataSet.Tables["data"].Rows[1]["Yes20"].ToString();
                        string dataPoint219 = graphDataSet.Tables["data"].Rows[1]["Yes21"].ToString(); string dataPoint220 = graphDataSet.Tables["data"].Rows[1]["Yes22"].ToString(); string dataPoint221 = graphDataSet.Tables["data"].Rows[1]["Yes23"].ToString(); string dataPoint222 = graphDataSet.Tables["data"].Rows[1]["Yes24"].ToString(); string dataPoint223 = graphDataSet.Tables["data"].Rows[1]["Yes25"].ToString(); string dataPoint224 = graphDataSet.Tables["data"].Rows[1]["Yes26"].ToString(); string dataPoint225 = graphDataSet.Tables["data"].Rows[1]["Yes27"].ToString(); string dataPoint226 = graphDataSet.Tables["data"].Rows[1]["Yes28"].ToString(); string dataPoint227 = graphDataSet.Tables["data"].Rows[1]["Yes29"].ToString(); string dataPoint228 = graphDataSet.Tables["data"].Rows[1]["Yes30"].ToString();
                        string dataPoint229 = graphDataSet.Tables["data"].Rows[1]["Yes31"].ToString(); string dataPoint230 = graphDataSet.Tables["data"].Rows[1]["Yes32"].ToString(); string dataPoint231 = graphDataSet.Tables["data"].Rows[1]["Yes33"].ToString(); string dataPoint232 = graphDataSet.Tables["data"].Rows[1]["Yes34"].ToString(); string dataPoint233 = graphDataSet.Tables["data"].Rows[1]["Yes35"].ToString(); string dataPoint234 = graphDataSet.Tables["data"].Rows[1]["Yes36"].ToString(); string dataPoint235 = graphDataSet.Tables["data"].Rows[1]["Yes37"].ToString(); string dataPoint236 = graphDataSet.Tables["data"].Rows[1]["Yes38"].ToString(); string dataPoint237 = graphDataSet.Tables["data"].Rows[1]["Yes39"].ToString(); string dataPoint238 = graphDataSet.Tables["data"].Rows[1]["Yes40"].ToString();
                        string dataPoint239 = graphDataSet.Tables["data"].Rows[1]["Yes41"].ToString(); string dataPoint240 = graphDataSet.Tables["data"].Rows[1]["Yes42"].ToString(); string dataPoint241 = graphDataSet.Tables["data"].Rows[1]["Yes43"].ToString(); string dataPoint242 = graphDataSet.Tables["data"].Rows[1]["Yes44"].ToString(); string dataPoint243 = graphDataSet.Tables["data"].Rows[1]["Yes45"].ToString(); string dataPoint244 = graphDataSet.Tables["data"].Rows[1]["Yes46"].ToString(); string dataPoint245 = graphDataSet.Tables["data"].Rows[1]["Yes47"].ToString(); string dataPoint246 = graphDataSet.Tables["data"].Rows[1]["Yes48"].ToString(); string dataPoint247 = graphDataSet.Tables["data"].Rows[1]["Yes49"].ToString(); string dataPoint248 = graphDataSet.Tables["data"].Rows[1]["Yes50"].ToString();
                        string dataPoint249 = graphDataSet.Tables["data"].Rows[1]["Yes51"].ToString(); string dataPoint250 = graphDataSet.Tables["data"].Rows[1]["Yes52"].ToString(); string dataPoint251 = graphDataSet.Tables["data"].Rows[1]["Yes53"].ToString(); string dataPoint252 = graphDataSet.Tables["data"].Rows[1]["Yes54"].ToString(); string dataPoint253 = graphDataSet.Tables["data"].Rows[1]["Yes55"].ToString(); string dataPoint254 = graphDataSet.Tables["data"].Rows[1]["Yes56"].ToString(); string dataPoint255 = graphDataSet.Tables["data"].Rows[1]["Yes57"].ToString(); string dataPoint256 = graphDataSet.Tables["data"].Rows[1]["Yes58"].ToString(); string dataPoint257 = graphDataSet.Tables["data"].Rows[1]["Yes59"].ToString(); string dataPoint258 = graphDataSet.Tables["data"].Rows[1]["Yes60"].ToString();
                        string dataPoint259 = graphDataSet.Tables["data"].Rows[1]["Yes61"].ToString(); string dataPoint260 = graphDataSet.Tables["data"].Rows[1]["Yes62"].ToString(); string dataPoint261 = graphDataSet.Tables["data"].Rows[1]["Yes63"].ToString(); string dataPoint262 = graphDataSet.Tables["data"].Rows[1]["Yes64"].ToString(); string dataPoint263 = graphDataSet.Tables["data"].Rows[1]["Yes65"].ToString(); string dataPoint264 = graphDataSet.Tables["data"].Rows[1]["Yes66"].ToString();

                        int aYes1; int aYes2; int aYes3; int aYes4; int aYes5; int aYes6; int aYes7; int aYes8; int aYes9; int aYes10; int aYes11; int aYes12; int aYes13; int aYes14; int aYes15; int aYes16; int aYes17; int aYes18; int aYes19; int aYes20; int aYes21; int aYes22; int aYes23; int aYes24; int aYes25; int aYes26; int aYes27; int aYes28; int aYes29; int aYes30; int aYes31; int aYes32; int aYes33; int aYes34; int aYes35; int aYes36; int aYes37; int aYes38; int aYes39; int aYes40; int aYes41; int aYes42; int aYes43; int aYes44; int aYes45; int aYes46; int aYes47; int aYes48; int aYes49; int aYes50; int aYes51; int aYes52; int aYes53; int aYes54; int aYes55; int aYes56; int aYes57; int aYes58; int aYes59; int aYes60; int aYes61; int aYes62; int aYes63; int aYes64; int aYes65; int aYes66;

                        if (dataPoint199 == "True") { aYes1 = 1; } else { aYes1 = 0; } if (dataPoint200 == "True") { aYes2 = 1; } else { aYes2 = 0; } if (dataPoint201 == "True") { aYes3 = 1; } else { aYes3 = 0; } if (dataPoint202 == "True") { aYes4 = 1; } else { aYes4 = 0; } if (dataPoint203 == "True") { aYes5 = 1; } else { aYes5 = 0; } if (dataPoint204 == "True") { aYes6 = 1; } else { aYes6 = 0; } if (dataPoint205 == "True") { aYes7 = 1; } else { aYes7 = 0; } if (dataPoint206 == "True") { aYes8 = 1; } else { aYes8 = 0; } if (dataPoint207 == "True") { aYes9 = 1; } else { aYes9 = 0; } if (dataPoint208 == "True") { aYes10 = 1; } else { aYes10 = 0; }
                        if (dataPoint209 == "True") { aYes11 = 1; } else { aYes11 = 0; } if (dataPoint210 == "True") { aYes12 = 1; } else { aYes12 = 0; } if (dataPoint211 == "True") { aYes13 = 1; } else { aYes13 = 0; } if (dataPoint212 == "True") { aYes14 = 1; } else { aYes14 = 0; } if (dataPoint213 == "True") { aYes15 = 1; } else { aYes15 = 0; } if (dataPoint214 == "True") { aYes16 = 1; } else { aYes16 = 0; } if (dataPoint215 == "True") { aYes17 = 1; } else { aYes17 = 0; } if (dataPoint216 == "True") { aYes18 = 1; } else { aYes18 = 0; } if (dataPoint217 == "True") { aYes19 = 1; } else { aYes19 = 0; } if (dataPoint218 == "True") { aYes20 = 1; } else { aYes20 = 0; }
                        if (dataPoint219 == "True") { aYes21 = 1; } else { aYes21 = 0; } if (dataPoint220 == "True") { aYes22 = 1; } else { aYes22 = 0; } if (dataPoint221 == "True") { aYes23 = 1; } else { aYes23 = 0; } if (dataPoint222 == "True") { aYes24 = 1; } else { aYes24 = 0; } if (dataPoint223 == "True") { aYes25 = 1; } else { aYes25 = 0; } if (dataPoint224 == "True") { aYes26 = 1; } else { aYes26 = 0; } if (dataPoint225 == "True") { aYes27 = 1; } else { aYes27 = 0; } if (dataPoint226 == "True") { aYes28 = 1; } else { aYes28 = 0; } if (dataPoint227 == "True") { aYes29 = 1; } else { aYes29 = 0; } if (dataPoint228 == "True") { aYes30 = 1; } else { aYes30 = 0; }
                        if (dataPoint229 == "True") { aYes31 = 1; } else { aYes31 = 0; } if (dataPoint230 == "True") { aYes32 = 1; } else { aYes32 = 0; } if (dataPoint231 == "True") { aYes33 = 1; } else { aYes33 = 0; } if (dataPoint232 == "True") { aYes34 = 1; } else { aYes34 = 0; } if (dataPoint233 == "True") { aYes35 = 1; } else { aYes35 = 0; } if (dataPoint234 == "True") { aYes36 = 1; } else { aYes36 = 0; } if (dataPoint235 == "True") { aYes37 = 1; } else { aYes37 = 0; } if (dataPoint236 == "True") { aYes38 = 1; } else { aYes38 = 0; } if (dataPoint237 == "True") { aYes39 = 1; } else { aYes39 = 0; } if (dataPoint238 == "True") { aYes40 = 1; } else { aYes40 = 0; }
                        if (dataPoint239 == "True") { aYes41 = 1; } else { aYes41 = 0; } if (dataPoint240 == "True") { aYes42 = 1; } else { aYes42 = 0; } if (dataPoint241 == "True") { aYes43 = 1; } else { aYes43 = 0; } if (dataPoint242 == "True") { aYes44 = 1; } else { aYes44 = 0; } if (dataPoint243 == "True") { aYes45 = 1; } else { aYes45 = 0; } if (dataPoint244 == "True") { aYes46 = 1; } else { aYes46 = 0; } if (dataPoint245 == "True") { aYes47 = 1; } else { aYes47 = 0; } if (dataPoint246 == "True") { aYes48 = 1; } else { aYes48 = 0; } if (dataPoint247 == "True") { aYes49 = 1; } else { aYes49 = 0; } if (dataPoint248 == "True") { aYes50 = 1; } else { aYes50 = 0; }
                        if (dataPoint249 == "True") { aYes51 = 1; } else { aYes51 = 0; } if (dataPoint250 == "True") { aYes52 = 1; } else { aYes52 = 0; } if (dataPoint251 == "True") { aYes53 = 1; } else { aYes53 = 0; } if (dataPoint252 == "True") { aYes54 = 1; } else { aYes54 = 0; } if (dataPoint253 == "True") { aYes55 = 1; } else { aYes55 = 0; } if (dataPoint254 == "True") { aYes56 = 1; } else { aYes56 = 0; } if (dataPoint255 == "True") { aYes57 = 1; } else { aYes57 = 0; } if (dataPoint256 == "True") { aYes58 = 1; } else { aYes58 = 0; } if (dataPoint257 == "True") { aYes59 = 1; } else { aYes59 = 0; } if (dataPoint258 == "True") { aYes60 = 1; } else { aYes60 = 0; }
                        if (dataPoint259 == "True") { aYes61 = 1; } else { aYes61 = 0; } if (dataPoint260 == "True") { aYes62 = 1; } else { aYes62 = 0; } if (dataPoint261 == "True") { aYes63 = 1; } else { aYes63 = 0; } if (dataPoint262 == "True") { aYes64 = 1; } else { aYes64 = 0; } if (dataPoint263 == "True") { aYes65 = 1; } else { aYes65 = 0; } if (dataPoint264 == "True") { aYes66 = 1; } else { aYes66 = 0; }

                        int atotalYes = aYes1 + aYes2 + aYes3 + aYes4 + aYes5 + aYes6 + aYes7 + aYes8 + aYes9 + aYes10 + aYes11 + aYes12 + aYes13 + aYes14 + aYes15 + aYes16 + aYes17 + aYes18 + aYes19 + aYes20 + aYes21 + aYes22 + aYes23 + aYes24 + aYes25 + aYes26 + aYes27 + aYes28 + aYes29 + aYes30 + aYes31 + aYes32 + aYes33 + aYes34 + aYes35 + aYes36 + aYes37 + aYes38 + aYes39 + aYes40 + aYes41 + aYes42 + aYes43 + aYes44 + aYes45 + aYes46 + aYes47 + aYes48 + aYes49 + aYes50 + aYes51 + aYes52 + aYes53 + aYes54 + aYes55 + aYes56 + aYes57 + aYes58 + aYes59 + aYes60 + aYes61 + aYes62 + aYes63 + aYes64 + aYes65 + aYes66;

                        string dataPoint265 = graphDataSet.Tables["data"].Rows[1]["No1"].ToString(); string dataPoint266 = graphDataSet.Tables["data"].Rows[1]["No2"].ToString(); string dataPoint267 = graphDataSet.Tables["data"].Rows[1]["No3"].ToString(); string dataPoint268 = graphDataSet.Tables["data"].Rows[1]["No4"].ToString(); string dataPoint269 = graphDataSet.Tables["data"].Rows[1]["No5"].ToString(); string dataPoint270 = graphDataSet.Tables["data"].Rows[1]["No6"].ToString(); string dataPoint271 = graphDataSet.Tables["data"].Rows[1]["No7"].ToString(); string dataPoint272 = graphDataSet.Tables["data"].Rows[1]["No8"].ToString(); string dataPoint273 = graphDataSet.Tables["data"].Rows[1]["No9"].ToString(); string dataPoint274 = graphDataSet.Tables["data"].Rows[1]["No10"].ToString();
                        string dataPoint275 = graphDataSet.Tables["data"].Rows[1]["No11"].ToString(); string dataPoint276 = graphDataSet.Tables["data"].Rows[1]["No12"].ToString(); string dataPoint277 = graphDataSet.Tables["data"].Rows[1]["No13"].ToString(); string dataPoint278 = graphDataSet.Tables["data"].Rows[1]["No14"].ToString(); string dataPoint279 = graphDataSet.Tables["data"].Rows[1]["No15"].ToString(); string dataPoint280 = graphDataSet.Tables["data"].Rows[1]["No16"].ToString(); string dataPoint281 = graphDataSet.Tables["data"].Rows[1]["No17"].ToString(); string dataPoint282 = graphDataSet.Tables["data"].Rows[1]["No18"].ToString(); string dataPoint283 = graphDataSet.Tables["data"].Rows[1]["No19"].ToString(); string dataPoint284 = graphDataSet.Tables["data"].Rows[1]["No20"].ToString();
                        string dataPoint285 = graphDataSet.Tables["data"].Rows[1]["No21"].ToString(); string dataPoint286 = graphDataSet.Tables["data"].Rows[1]["No22"].ToString(); string dataPoint287 = graphDataSet.Tables["data"].Rows[1]["No23"].ToString(); string dataPoint288 = graphDataSet.Tables["data"].Rows[1]["No24"].ToString(); string dataPoint289 = graphDataSet.Tables["data"].Rows[1]["No25"].ToString(); string dataPoint290 = graphDataSet.Tables["data"].Rows[1]["No26"].ToString(); string dataPoint291 = graphDataSet.Tables["data"].Rows[1]["No27"].ToString(); string dataPoint292 = graphDataSet.Tables["data"].Rows[1]["No28"].ToString(); string dataPoint293 = graphDataSet.Tables["data"].Rows[1]["No29"].ToString(); string dataPoint294 = graphDataSet.Tables["data"].Rows[1]["No30"].ToString();
                        string dataPoint295 = graphDataSet.Tables["data"].Rows[1]["No31"].ToString(); string dataPoint296 = graphDataSet.Tables["data"].Rows[1]["No32"].ToString(); string dataPoint297 = graphDataSet.Tables["data"].Rows[1]["No33"].ToString(); string dataPoint298 = graphDataSet.Tables["data"].Rows[1]["No34"].ToString(); string dataPoint299 = graphDataSet.Tables["data"].Rows[1]["No35"].ToString(); string dataPoint300 = graphDataSet.Tables["data"].Rows[1]["No36"].ToString(); string dataPoint301 = graphDataSet.Tables["data"].Rows[1]["No37"].ToString(); string dataPoint302 = graphDataSet.Tables["data"].Rows[1]["No38"].ToString(); string dataPoint303 = graphDataSet.Tables["data"].Rows[1]["No39"].ToString(); string dataPoint304 = graphDataSet.Tables["data"].Rows[1]["No40"].ToString();
                        string dataPoint305 = graphDataSet.Tables["data"].Rows[1]["No41"].ToString(); string dataPoint306 = graphDataSet.Tables["data"].Rows[1]["No42"].ToString(); string dataPoint307 = graphDataSet.Tables["data"].Rows[1]["No43"].ToString(); string dataPoint308 = graphDataSet.Tables["data"].Rows[1]["No44"].ToString(); string dataPoint309 = graphDataSet.Tables["data"].Rows[1]["No45"].ToString(); string dataPoint310 = graphDataSet.Tables["data"].Rows[1]["No46"].ToString(); string dataPoint311 = graphDataSet.Tables["data"].Rows[1]["No47"].ToString(); string dataPoint312 = graphDataSet.Tables["data"].Rows[1]["No48"].ToString(); string dataPoint313 = graphDataSet.Tables["data"].Rows[1]["No49"].ToString(); string dataPoint314 = graphDataSet.Tables["data"].Rows[1]["No50"].ToString();
                        string dataPoint315 = graphDataSet.Tables["data"].Rows[1]["No51"].ToString(); string dataPoint316 = graphDataSet.Tables["data"].Rows[1]["No52"].ToString(); string dataPoint317 = graphDataSet.Tables["data"].Rows[1]["No53"].ToString(); string dataPoint318 = graphDataSet.Tables["data"].Rows[1]["No54"].ToString(); string dataPoint319 = graphDataSet.Tables["data"].Rows[1]["No55"].ToString(); string dataPoint320 = graphDataSet.Tables["data"].Rows[1]["No56"].ToString(); string dataPoint321 = graphDataSet.Tables["data"].Rows[1]["No57"].ToString(); string dataPoint322 = graphDataSet.Tables["data"].Rows[1]["No58"].ToString(); string dataPoint323 = graphDataSet.Tables["data"].Rows[1]["No59"].ToString(); string dataPoint324 = graphDataSet.Tables["data"].Rows[1]["No60"].ToString();
                        string dataPoint325 = graphDataSet.Tables["data"].Rows[1]["No61"].ToString(); string dataPoint326 = graphDataSet.Tables["data"].Rows[1]["No62"].ToString(); string dataPoint327 = graphDataSet.Tables["data"].Rows[1]["No63"].ToString(); string dataPoint328 = graphDataSet.Tables["data"].Rows[1]["No64"].ToString(); string dataPoint329 = graphDataSet.Tables["data"].Rows[1]["No65"].ToString(); string dataPoint330 = graphDataSet.Tables["data"].Rows[1]["No66"].ToString();

                        int aNo1; int aNo2; int aNo3; int aNo4; int aNo5; int aNo6; int aNo7; int aNo8; int aNo9; int aNo10; int aNo11; int aNo12; int aNo13; int aNo14; int aNo15; int aNo16; int aNo17; int aNo18; int aNo19; int aNo20; int aNo21; int aNo22; int aNo23; int aNo24; int aNo25; int aNo26; int aNo27; int aNo28; int aNo29; int aNo30; int aNo31; int aNo32; int aNo33; int aNo34; int aNo35; int aNo36; int aNo37; int aNo38; int aNo39; int aNo40; int aNo41; int aNo42; int aNo43; int aNo44; int aNo45; int aNo46; int aNo47; int aNo48; int aNo49; int aNo50; int aNo51; int aNo52; int aNo53; int aNo54; int aNo55; int aNo56; int aNo57; int aNo58; int aNo59; int aNo60; int aNo61; int aNo62; int aNo63; int aNo64; int aNo65; int aNo66;

                        if (dataPoint265 == "True") { aNo1 = 1; } else { aNo1 = 0; } if (dataPoint266 == "True") { aNo2 = 1; } else { aNo2 = 0; } if (dataPoint267 == "True") { aNo3 = 1; } else { aNo3 = 0; } if (dataPoint268 == "True") { aNo4 = 1; } else { aNo4 = 0; } if (dataPoint269 == "True") { aNo5 = 1; } else { aNo5 = 0; } if (dataPoint270 == "True") { aNo6 = 1; } else { aNo6 = 0; } if (dataPoint271 == "True") { aNo7 = 1; } else { aNo7 = 0; } if (dataPoint272 == "True") { aNo8 = 1; } else { aNo8 = 0; } if (dataPoint273 == "True") { aNo9 = 1; } else { aNo9 = 0; } if (dataPoint274 == "True") { aNo10 = 1; } else { aNo10 = 0; }
                        if (dataPoint275 == "True") { aNo11 = 1; } else { aNo11 = 0; } if (dataPoint276 == "True") { aNo12 = 1; } else { aNo12 = 0; } if (dataPoint277 == "True") { aNo13 = 1; } else { aNo13 = 0; } if (dataPoint278 == "True") { aNo14 = 1; } else { aNo14 = 0; } if (dataPoint279 == "True") { aNo15 = 1; } else { aNo15 = 0; } if (dataPoint280 == "True") { aNo16 = 1; } else { aNo16 = 0; } if (dataPoint281 == "True") { aNo17 = 1; } else { aNo17 = 0; } if (dataPoint282 == "True") { aNo18 = 1; } else { aNo18 = 0; } if (dataPoint283 == "True") { aNo19 = 1; } else { aNo19 = 0; } if (dataPoint284 == "True") { aNo20 = 1; } else { aNo20 = 0; }
                        if (dataPoint285 == "True") { aNo21 = 1; } else { aNo21 = 0; } if (dataPoint286 == "True") { aNo22 = 1; } else { aNo22 = 0; } if (dataPoint287 == "True") { aNo23 = 1; } else { aNo23 = 0; } if (dataPoint288 == "True") { aNo24 = 1; } else { aNo24 = 0; } if (dataPoint289 == "True") { aNo25 = 1; } else { aNo25 = 0; } if (dataPoint290 == "True") { aNo26 = 1; } else { aNo26 = 0; } if (dataPoint291 == "True") { aNo27 = 1; } else { aNo27 = 0; } if (dataPoint292 == "True") { aNo28 = 1; } else { aNo28 = 0; } if (dataPoint293 == "True") { aNo29 = 1; } else { aNo29 = 0; } if (dataPoint294 == "True") { aNo30 = 1; } else { aNo30 = 0; }
                        if (dataPoint295 == "True") { aNo31 = 1; } else { aNo31 = 0; } if (dataPoint296 == "True") { aNo32 = 1; } else { aNo32 = 0; } if (dataPoint297 == "True") { aNo33 = 1; } else { aNo33 = 0; } if (dataPoint298 == "True") { aNo34 = 1; } else { aNo34 = 0; } if (dataPoint299 == "True") { aNo35 = 1; } else { aNo35 = 0; } if (dataPoint300 == "True") { aNo36 = 1; } else { aNo36 = 0; } if (dataPoint301 == "True") { aNo37 = 1; } else { aNo37 = 0; } if (dataPoint302 == "True") { aNo38 = 1; } else { aNo38 = 0; } if (dataPoint303 == "True") { aNo39 = 1; } else { aNo39 = 0; } if (dataPoint304 == "True") { aNo40 = 1; } else { aNo40 = 0; }
                        if (dataPoint305 == "True") { aNo41 = 1; } else { aNo41 = 0; } if (dataPoint306 == "True") { aNo42 = 1; } else { aNo42 = 0; } if (dataPoint307 == "True") { aNo43 = 1; } else { aNo43 = 0; } if (dataPoint308 == "True") { aNo44 = 1; } else { aNo44 = 0; } if (dataPoint309 == "True") { aNo45 = 1; } else { aNo45 = 0; } if (dataPoint310 == "True") { aNo46 = 1; } else { aNo46 = 0; } if (dataPoint311 == "True") { aNo47 = 1; } else { aNo47 = 0; } if (dataPoint312 == "True") { aNo48 = 1; } else { aNo48 = 0; } if (dataPoint313 == "True") { aNo49 = 1; } else { aNo49 = 0; } if (dataPoint314 == "True") { aNo50 = 1; } else { aNo50 = 0; }
                        if (dataPoint315 == "True") { aNo51 = 1; } else { aNo51 = 0; } if (dataPoint316 == "True") { aNo52 = 1; } else { aNo52 = 0; } if (dataPoint317 == "True") { aNo53 = 1; } else { aNo53 = 0; } if (dataPoint318 == "True") { aNo54 = 1; } else { aNo54 = 0; } if (dataPoint319 == "True") { aNo55 = 1; } else { aNo55 = 0; } if (dataPoint320 == "True") { aNo56 = 1; } else { aNo56 = 0; } if (dataPoint321 == "True") { aNo57 = 1; } else { aNo57 = 0; } if (dataPoint322 == "True") { aNo58 = 1; } else { aNo58 = 0; } if (dataPoint323 == "True") { aNo59 = 1; } else { aNo59 = 0; } if (dataPoint324 == "True") { aNo60 = 1; } else { aNo60 = 0; }
                        if (dataPoint325 == "True") { aNo61 = 1; } else { aNo61 = 0; } if (dataPoint326 == "True") { aNo62 = 1; } else { aNo62 = 0; } if (dataPoint327 == "True") { aNo63 = 1; } else { aNo63 = 0; } if (dataPoint328 == "True") { aNo64 = 1; } else { aNo64 = 0; } if (dataPoint329 == "True") { aNo65 = 1; } else { aNo65 = 0; } if (dataPoint330 == "True") { aNo66 = 1; } else { aNo66 = 0; }

                        int atotalNo = aNo1 + aNo2 + aNo3 + aNo4 + aNo5 + aNo6 + aNo7 + aNo8 + aNo9 + aNo10 + aNo11 + aNo12 + aNo13 + aNo14 + aNo15 + aNo16 + aNo17 + aNo18 + aNo19 + aNo20 + aNo21 + aNo22 + aNo23 + aNo24 + aNo25 + aNo26 + aNo27 + aNo28 + aNo29 + aNo30 + aNo31 + aNo32 + aNo33 + aNo34 + aNo35 + aNo36 + aNo37 + aNo38 + aNo39 + aNo40 + aNo41 + aNo42 + aNo43 + aNo44 + aNo45 + aNo46 + aNo47 + aNo48 + aNo49 + aNo50 + aNo51 + aNo52 + aNo53 + aNo54 + aNo55 + aNo56 + aNo57 + aNo58 + aNo59 + aNo60 + aNo61 + aNo62 + aNo63 + aNo64 + aNo65 + aNo66;

                        string dataPoint331 = graphDataSet.Tables["data"].Rows[1]["Na1"].ToString(); string dataPoint332 = graphDataSet.Tables["data"].Rows[1]["Na2"].ToString(); string dataPoint333 = graphDataSet.Tables["data"].Rows[1]["Na3"].ToString(); string dataPoint334 = graphDataSet.Tables["data"].Rows[1]["Na4"].ToString(); string dataPoint335 = graphDataSet.Tables["data"].Rows[1]["Na5"].ToString(); string dataPoint336 = graphDataSet.Tables["data"].Rows[1]["Na6"].ToString(); string dataPoint337 = graphDataSet.Tables["data"].Rows[1]["Na7"].ToString(); string dataPoint338 = graphDataSet.Tables["data"].Rows[1]["Na8"].ToString(); string dataPoint339 = graphDataSet.Tables["data"].Rows[1]["Na9"].ToString(); string dataPoint340 = graphDataSet.Tables["data"].Rows[1]["Na10"].ToString();
                        string dataPoint341 = graphDataSet.Tables["data"].Rows[1]["Na11"].ToString(); string dataPoint342 = graphDataSet.Tables["data"].Rows[1]["Na12"].ToString(); string dataPoint343 = graphDataSet.Tables["data"].Rows[1]["Na13"].ToString(); string dataPoint344 = graphDataSet.Tables["data"].Rows[1]["Na14"].ToString(); string dataPoint345 = graphDataSet.Tables["data"].Rows[1]["Na15"].ToString(); string dataPoint346 = graphDataSet.Tables["data"].Rows[1]["Na16"].ToString(); string dataPoint347 = graphDataSet.Tables["data"].Rows[1]["Na17"].ToString(); string dataPoint348 = graphDataSet.Tables["data"].Rows[1]["Na18"].ToString(); string dataPoint349 = graphDataSet.Tables["data"].Rows[1]["Na19"].ToString(); string dataPoint350 = graphDataSet.Tables["data"].Rows[1]["Na20"].ToString();
                        string dataPoint351 = graphDataSet.Tables["data"].Rows[1]["Na21"].ToString(); string dataPoint352 = graphDataSet.Tables["data"].Rows[1]["Na22"].ToString(); string dataPoint353 = graphDataSet.Tables["data"].Rows[1]["Na23"].ToString(); string dataPoint354 = graphDataSet.Tables["data"].Rows[1]["Na24"].ToString(); string dataPoint355 = graphDataSet.Tables["data"].Rows[1]["Na25"].ToString(); string dataPoint356 = graphDataSet.Tables["data"].Rows[1]["Na26"].ToString(); string dataPoint357 = graphDataSet.Tables["data"].Rows[1]["Na27"].ToString(); string dataPoint358 = graphDataSet.Tables["data"].Rows[1]["Na28"].ToString(); string dataPoint359 = graphDataSet.Tables["data"].Rows[1]["Na29"].ToString(); string dataPoint360 = graphDataSet.Tables["data"].Rows[1]["Na30"].ToString();
                        string dataPoint361 = graphDataSet.Tables["data"].Rows[1]["Na31"].ToString(); string dataPoint362 = graphDataSet.Tables["data"].Rows[1]["Na32"].ToString(); string dataPoint363 = graphDataSet.Tables["data"].Rows[1]["Na33"].ToString(); string dataPoint364 = graphDataSet.Tables["data"].Rows[1]["Na34"].ToString(); string dataPoint365 = graphDataSet.Tables["data"].Rows[1]["Na35"].ToString(); string dataPoint366 = graphDataSet.Tables["data"].Rows[1]["Na36"].ToString(); string dataPoint367 = graphDataSet.Tables["data"].Rows[1]["Na37"].ToString(); string dataPoint368 = graphDataSet.Tables["data"].Rows[1]["Na38"].ToString(); string dataPoint369 = graphDataSet.Tables["data"].Rows[1]["Na39"].ToString(); string dataPoint370 = graphDataSet.Tables["data"].Rows[1]["Na40"].ToString();
                        string dataPoint371 = graphDataSet.Tables["data"].Rows[1]["Na41"].ToString(); string dataPoint372 = graphDataSet.Tables["data"].Rows[1]["Na42"].ToString(); string dataPoint373 = graphDataSet.Tables["data"].Rows[1]["Na43"].ToString(); string dataPoint374 = graphDataSet.Tables["data"].Rows[1]["Na44"].ToString(); string dataPoint375 = graphDataSet.Tables["data"].Rows[1]["Na45"].ToString(); string dataPoint376 = graphDataSet.Tables["data"].Rows[1]["Na46"].ToString(); string dataPoint377 = graphDataSet.Tables["data"].Rows[1]["Na47"].ToString(); string dataPoint378 = graphDataSet.Tables["data"].Rows[1]["Na48"].ToString(); string dataPoint379 = graphDataSet.Tables["data"].Rows[1]["Na49"].ToString(); string dataPoint380 = graphDataSet.Tables["data"].Rows[1]["Na50"].ToString();
                        string dataPoint381 = graphDataSet.Tables["data"].Rows[1]["Na51"].ToString(); string dataPoint382 = graphDataSet.Tables["data"].Rows[1]["Na52"].ToString(); string dataPoint383 = graphDataSet.Tables["data"].Rows[1]["Na53"].ToString(); string dataPoint384 = graphDataSet.Tables["data"].Rows[1]["Na54"].ToString(); string dataPoint385 = graphDataSet.Tables["data"].Rows[1]["Na55"].ToString(); string dataPoint386 = graphDataSet.Tables["data"].Rows[1]["Na56"].ToString(); string dataPoint387 = graphDataSet.Tables["data"].Rows[1]["Na57"].ToString(); string dataPoint388 = graphDataSet.Tables["data"].Rows[1]["Na58"].ToString(); string dataPoint389 = graphDataSet.Tables["data"].Rows[1]["Na59"].ToString(); string dataPoint390 = graphDataSet.Tables["data"].Rows[1]["Na60"].ToString();
                        string dataPoint391 = graphDataSet.Tables["data"].Rows[1]["Na61"].ToString(); string dataPoint392 = graphDataSet.Tables["data"].Rows[1]["Na62"].ToString(); string dataPoint393 = graphDataSet.Tables["data"].Rows[1]["Na63"].ToString(); string dataPoint394 = graphDataSet.Tables["data"].Rows[1]["Na64"].ToString(); string dataPoint395 = graphDataSet.Tables["data"].Rows[1]["Na65"].ToString(); string dataPoint396 = graphDataSet.Tables["data"].Rows[1]["Na66"].ToString();

                        int aNa1; int aNa2; int aNa3; int aNa4; int aNa5; int aNa6; int aNa7; int aNa8; int aNa9; int aNa10; int aNa11; int aNa12; int aNa13; int aNa14; int aNa15; int aNa16; int aNa17; int aNa18; int aNa19; int aNa20; int aNa21; int aNa22; int aNa23; int aNa24; int aNa25; int aNa26; int aNa27; int aNa28; int aNa29; int aNa30; int aNa31; int aNa32; int aNa33; int aNa34; int aNa35; int aNa36; int aNa37; int aNa38; int aNa39; int aNa40; int aNa41; int aNa42; int aNa43; int aNa44; int aNa45; int aNa46; int aNa47; int aNa48; int aNa49; int aNa50; int aNa51; int aNa52; int aNa53; int aNa54; int aNa55; int aNa56; int aNa57; int aNa58; int aNa59; int aNa60; int aNa61; int aNa62; int aNa63; int aNa64; int aNa65; int aNa66;

                        if (dataPoint331 == "True") { aNa1 = 1; } else { aNa1 = 0; } if (dataPoint332 == "True") { aNa2 = 1; } else { aNa2 = 0; } if (dataPoint333 == "True") { aNa3 = 1; } else { aNa3 = 0; } if (dataPoint334 == "True") { aNa4 = 1; } else { aNa4 = 0; } if (dataPoint335 == "True") { aNa5 = 1; } else { aNa5 = 0; } if (dataPoint336 == "True") { aNa6 = 1; } else { aNa6 = 0; } if (dataPoint337 == "True") { aNa7 = 1; } else { aNa7 = 0; } if (dataPoint338 == "True") { aNa8 = 1; } else { aNa8 = 0; } if (dataPoint339 == "True") { aNa9 = 1; } else { aNa9 = 0; } if (dataPoint340 == "True") { aNa10 = 1; } else { aNa10 = 0; }
                        if (dataPoint341 == "True") { aNa11 = 1; } else { aNa11 = 0; } if (dataPoint342 == "True") { aNa12 = 1; } else { aNa12 = 0; } if (dataPoint343 == "True") { aNa13 = 1; } else { aNa13 = 0; } if (dataPoint344 == "True") { aNa14 = 1; } else { aNa14 = 0; } if (dataPoint345 == "True") { aNa15 = 1; } else { aNa15 = 0; } if (dataPoint346 == "True") { aNa16 = 1; } else { aNa16 = 0; } if (dataPoint347 == "True") { aNa17 = 1; } else { aNa17 = 0; } if (dataPoint348 == "True") { aNa18 = 1; } else { aNa18 = 0; } if (dataPoint349 == "True") { aNa19 = 1; } else { aNa19 = 0; } if (dataPoint350 == "True") { aNa20 = 1; } else { aNa20 = 0; }
                        if (dataPoint351 == "True") { aNa21 = 1; } else { aNa21 = 0; } if (dataPoint352 == "True") { aNa22 = 1; } else { aNa22 = 0; } if (dataPoint353 == "True") { aNa23 = 1; } else { aNa23 = 0; } if (dataPoint354 == "True") { aNa24 = 1; } else { aNa24 = 0; } if (dataPoint355 == "True") { aNa25 = 1; } else { aNa25 = 0; } if (dataPoint356 == "True") { aNa26 = 1; } else { aNa26 = 0; } if (dataPoint357 == "True") { aNa27 = 1; } else { aNa27 = 0; } if (dataPoint358 == "True") { aNa28 = 1; } else { aNa28 = 0; } if (dataPoint359 == "True") { aNa29 = 1; } else { aNa29 = 0; } if (dataPoint360 == "True") { aNa30 = 1; } else { aNa30 = 0; }
                        if (dataPoint361 == "True") { aNa31 = 1; } else { aNa31 = 0; } if (dataPoint362 == "True") { aNa32 = 1; } else { aNa32 = 0; } if (dataPoint363 == "True") { aNa33 = 1; } else { aNa33 = 0; } if (dataPoint364 == "True") { aNa34 = 1; } else { aNa34 = 0; } if (dataPoint365 == "True") { aNa35 = 1; } else { aNa35 = 0; } if (dataPoint366 == "True") { aNa36 = 1; } else { aNa36 = 0; } if (dataPoint367 == "True") { aNa37 = 1; } else { aNa37 = 0; } if (dataPoint368 == "True") { aNa38 = 1; } else { aNa38 = 0; } if (dataPoint369 == "True") { aNa39 = 1; } else { aNa39 = 0; } if (dataPoint370 == "True") { aNa40 = 1; } else { aNa40 = 0; }
                        if (dataPoint371 == "True") { aNa41 = 1; } else { aNa41 = 0; } if (dataPoint372 == "True") { aNa42 = 1; } else { aNa42 = 0; } if (dataPoint373 == "True") { aNa43 = 1; } else { aNa43 = 0; } if (dataPoint374 == "True") { aNa44 = 1; } else { aNa44 = 0; } if (dataPoint375 == "True") { aNa45 = 1; } else { aNa45 = 0; } if (dataPoint376 == "True") { aNa46 = 1; } else { aNa46 = 0; } if (dataPoint377 == "True") { aNa47 = 1; } else { aNa47 = 0; } if (dataPoint378 == "True") { aNa48 = 1; } else { aNa48 = 0; } if (dataPoint379 == "True") { aNa49 = 1; } else { aNa49 = 0; } if (dataPoint380 == "True") { aNa50 = 1; } else { aNa50 = 0; }
                        if (dataPoint381 == "True") { aNa51 = 1; } else { aNa51 = 0; } if (dataPoint382 == "True") { aNa52 = 1; } else { aNa52 = 0; } if (dataPoint383 == "True") { aNa53 = 1; } else { aNa53 = 0; } if (dataPoint384 == "True") { aNa54 = 1; } else { aNa54 = 0; } if (dataPoint385 == "True") { aNa55 = 1; } else { aNa55 = 0; } if (dataPoint386 == "True") { aNa56 = 1; } else { aNa56 = 0; } if (dataPoint387 == "True") { aNa57 = 1; } else { aNa57 = 0; } if (dataPoint388 == "True") { aNa58 = 1; } else { aNa58 = 0; } if (dataPoint389 == "True") { aNa59 = 1; } else { aNa59 = 0; } if (dataPoint390 == "True") { aNa60 = 1; } else { aNa60 = 0; }
                        if (dataPoint391 == "True") { aNa61 = 1; } else { aNa61 = 0; } if (dataPoint392 == "True") { aNa62 = 1; } else { aNa62 = 0; } if (dataPoint393 == "True") { aNa63 = 1; } else { aNa63 = 0; } if (dataPoint394 == "True") { aNa64 = 1; } else { aNa64 = 0; } if (dataPoint395 == "True") { aNa65 = 1; } else { aNa65 = 0; } if (dataPoint396 == "True") { aNa66 = 1; } else { aNa66 = 0; }

                        int atotalNa = aNa1 + aNa2 + aNa3 + aNa4 + aNa5 + aNa6 + aNa7 + aNa8 + aNa9 + aNa10 + aNa11 + aNa12 + aNa13 + aNa14 + aNa15 + aNa16 + aNa17 + aNa18 + aNa19 + aNa20 + aNa21 + aNa22 + aNa23 + aNa24 + aNa25 + aNa26 + aNa27 + aNa28 + aNa29 + aNa30 + aNa31 + aNa32 + aNa33 + aNa34 + aNa35 + aNa36 + aNa37 + aNa38 + aNa39 + aNa40 + aNa41 + aNa42 + aNa43 + aNa44 + aNa45 + aNa46 + aNa47 + aNa48 + aNa49 + aNa50 + aNa51 + aNa52 + aNa53 + aNa54 + aNa55 + aNa56 + aNa57 + aNa58 + aNa59 + aNa60 + aNa61 + aNa62 + aNa63 + aNa64 + aNa65 + aNa66;

                        string dataPoint397 = graphDataSet.Tables["data"].Rows[2]["Yes1"].ToString(); string dataPoint398 = graphDataSet.Tables["data"].Rows[2]["Yes2"].ToString(); string dataPoint399 = graphDataSet.Tables["data"].Rows[2]["Yes3"].ToString(); string dataPoint400 = graphDataSet.Tables["data"].Rows[2]["Yes4"].ToString(); string dataPoint401 = graphDataSet.Tables["data"].Rows[2]["Yes5"].ToString(); string dataPoint402 = graphDataSet.Tables["data"].Rows[2]["Yes6"].ToString(); string dataPoint403 = graphDataSet.Tables["data"].Rows[2]["Yes7"].ToString(); string dataPoint404 = graphDataSet.Tables["data"].Rows[2]["Yes8"].ToString(); string dataPoint405 = graphDataSet.Tables["data"].Rows[2]["Yes9"].ToString(); string dataPoint406 = graphDataSet.Tables["data"].Rows[2]["Yes10"].ToString();
                        string dataPoint407 = graphDataSet.Tables["data"].Rows[2]["Yes11"].ToString(); string dataPoint408 = graphDataSet.Tables["data"].Rows[2]["Yes12"].ToString(); string dataPoint409 = graphDataSet.Tables["data"].Rows[2]["Yes13"].ToString(); string dataPoint410 = graphDataSet.Tables["data"].Rows[2]["Yes14"].ToString(); string dataPoint411 = graphDataSet.Tables["data"].Rows[2]["Yes15"].ToString(); string dataPoint412 = graphDataSet.Tables["data"].Rows[2]["Yes16"].ToString(); string dataPoint413 = graphDataSet.Tables["data"].Rows[2]["Yes17"].ToString(); string dataPoint414 = graphDataSet.Tables["data"].Rows[2]["Yes18"].ToString(); string dataPoint415 = graphDataSet.Tables["data"].Rows[2]["Yes19"].ToString(); string dataPoint416 = graphDataSet.Tables["data"].Rows[2]["Yes20"].ToString();
                        string dataPoint417 = graphDataSet.Tables["data"].Rows[2]["Yes21"].ToString(); string dataPoint418 = graphDataSet.Tables["data"].Rows[2]["Yes22"].ToString(); string dataPoint419 = graphDataSet.Tables["data"].Rows[2]["Yes23"].ToString(); string dataPoint420 = graphDataSet.Tables["data"].Rows[2]["Yes24"].ToString(); string dataPoint421 = graphDataSet.Tables["data"].Rows[2]["Yes25"].ToString(); string dataPoint422 = graphDataSet.Tables["data"].Rows[2]["Yes26"].ToString(); string dataPoint423 = graphDataSet.Tables["data"].Rows[2]["Yes27"].ToString(); string dataPoint424 = graphDataSet.Tables["data"].Rows[2]["Yes28"].ToString(); string dataPoint425 = graphDataSet.Tables["data"].Rows[2]["Yes29"].ToString(); string dataPoint426 = graphDataSet.Tables["data"].Rows[2]["Yes30"].ToString();
                        string dataPoint427 = graphDataSet.Tables["data"].Rows[2]["Yes31"].ToString(); string dataPoint428 = graphDataSet.Tables["data"].Rows[2]["Yes32"].ToString(); string dataPoint429 = graphDataSet.Tables["data"].Rows[2]["Yes33"].ToString(); string dataPoint430 = graphDataSet.Tables["data"].Rows[2]["Yes34"].ToString(); string dataPoint431 = graphDataSet.Tables["data"].Rows[2]["Yes35"].ToString(); string dataPoint432 = graphDataSet.Tables["data"].Rows[2]["Yes36"].ToString(); string dataPoint433 = graphDataSet.Tables["data"].Rows[2]["Yes37"].ToString(); string dataPoint434 = graphDataSet.Tables["data"].Rows[2]["Yes38"].ToString(); string dataPoint435 = graphDataSet.Tables["data"].Rows[2]["Yes39"].ToString(); string dataPoint436 = graphDataSet.Tables["data"].Rows[2]["Yes40"].ToString();
                        string dataPoint437 = graphDataSet.Tables["data"].Rows[2]["Yes41"].ToString(); string dataPoint438 = graphDataSet.Tables["data"].Rows[2]["Yes42"].ToString(); string dataPoint439 = graphDataSet.Tables["data"].Rows[2]["Yes43"].ToString(); string dataPoint440 = graphDataSet.Tables["data"].Rows[2]["Yes44"].ToString(); string dataPoint441 = graphDataSet.Tables["data"].Rows[2]["Yes45"].ToString(); string dataPoint442 = graphDataSet.Tables["data"].Rows[2]["Yes46"].ToString(); string dataPoint443 = graphDataSet.Tables["data"].Rows[2]["Yes47"].ToString(); string dataPoint444 = graphDataSet.Tables["data"].Rows[2]["Yes48"].ToString(); string dataPoint445 = graphDataSet.Tables["data"].Rows[2]["Yes49"].ToString(); string dataPoint446 = graphDataSet.Tables["data"].Rows[2]["Yes50"].ToString();
                        string dataPoint447 = graphDataSet.Tables["data"].Rows[2]["Yes51"].ToString(); string dataPoint448 = graphDataSet.Tables["data"].Rows[2]["Yes52"].ToString(); string dataPoint449 = graphDataSet.Tables["data"].Rows[2]["Yes53"].ToString(); string dataPoint450 = graphDataSet.Tables["data"].Rows[2]["Yes54"].ToString(); string dataPoint451 = graphDataSet.Tables["data"].Rows[2]["Yes55"].ToString(); string dataPoint452 = graphDataSet.Tables["data"].Rows[2]["Yes56"].ToString(); string dataPoint453 = graphDataSet.Tables["data"].Rows[2]["Yes57"].ToString(); string dataPoint454 = graphDataSet.Tables["data"].Rows[2]["Yes58"].ToString(); string dataPoint455 = graphDataSet.Tables["data"].Rows[2]["Yes59"].ToString(); string dataPoint456 = graphDataSet.Tables["data"].Rows[2]["Yes60"].ToString();
                        string dataPoint457 = graphDataSet.Tables["data"].Rows[2]["Yes61"].ToString(); string dataPoint458 = graphDataSet.Tables["data"].Rows[2]["Yes62"].ToString(); string dataPoint459 = graphDataSet.Tables["data"].Rows[2]["Yes63"].ToString(); string dataPoint460 = graphDataSet.Tables["data"].Rows[2]["Yes64"].ToString(); string dataPoint461 = graphDataSet.Tables["data"].Rows[2]["Yes65"].ToString(); string dataPoint462 = graphDataSet.Tables["data"].Rows[2]["Yes66"].ToString();

                        int bYes1; int bYes2; int bYes3; int bYes4; int bYes5; int bYes6; int bYes7; int bYes8; int bYes9; int bYes10; int bYes11; int bYes12; int bYes13; int bYes14; int bYes15; int bYes16; int bYes17; int bYes18; int bYes19; int bYes20; int bYes21; int bYes22; int bYes23; int bYes24; int bYes25; int bYes26; int bYes27; int bYes28; int bYes29; int bYes30; int bYes31; int bYes32; int bYes33; int bYes34; int bYes35; int bYes36; int bYes37; int bYes38; int bYes39; int bYes40; int bYes41; int bYes42; int bYes43; int bYes44; int bYes45; int bYes46; int bYes47; int bYes48; int bYes49; int bYes50; int bYes51; int bYes52; int bYes53; int bYes54; int bYes55; int bYes56; int bYes57; int bYes58; int bYes59; int bYes60; int bYes61; int bYes62; int bYes63; int bYes64; int bYes65; int bYes66;

                        if (dataPoint397 == "True") { bYes1 = 1; } else { bYes1 = 0; } if (dataPoint398 == "True") { bYes2 = 1; } else { bYes2 = 0; } if (dataPoint399 == "True") { bYes3 = 1; } else { bYes3 = 0; } if (dataPoint400 == "True") { bYes4 = 1; } else { bYes4 = 0; } if (dataPoint401 == "True") { bYes5 = 1; } else { bYes5 = 0; } if (dataPoint402 == "True") { bYes6 = 1; } else { bYes6 = 0; } if (dataPoint403 == "True") { bYes7 = 1; } else { bYes7 = 0; } if (dataPoint404 == "True") { bYes8 = 1; } else { bYes8 = 0; } if (dataPoint405 == "True") { bYes9 = 1; } else { bYes9 = 0; } if (dataPoint406 == "True") { bYes10 = 1; } else { bYes10 = 0; }
                        if (dataPoint407 == "True") { bYes11 = 1; } else { bYes11 = 0; } if (dataPoint408 == "True") { bYes12 = 1; } else { bYes12 = 0; } if (dataPoint409 == "True") { bYes13 = 1; } else { bYes13 = 0; } if (dataPoint410 == "True") { bYes14 = 1; } else { bYes14 = 0; } if (dataPoint411 == "True") { bYes15 = 1; } else { bYes15 = 0; } if (dataPoint412 == "True") { bYes16 = 1; } else { bYes16 = 0; } if (dataPoint413 == "True") { bYes17 = 1; } else { bYes17 = 0; } if (dataPoint414 == "True") { bYes18 = 1; } else { bYes18 = 0; } if (dataPoint415 == "True") { bYes19 = 1; } else { bYes19 = 0; } if (dataPoint416 == "True") { bYes20 = 1; } else { bYes20 = 0; }
                        if (dataPoint417 == "True") { bYes21 = 1; } else { bYes21 = 0; } if (dataPoint418 == "True") { bYes22 = 1; } else { bYes22 = 0; } if (dataPoint419 == "True") { bYes23 = 1; } else { bYes23 = 0; } if (dataPoint420 == "True") { bYes24 = 1; } else { bYes24 = 0; } if (dataPoint421 == "True") { bYes25 = 1; } else { bYes25 = 0; } if (dataPoint422 == "True") { bYes26 = 1; } else { bYes26 = 0; } if (dataPoint423 == "True") { bYes27 = 1; } else { bYes27 = 0; } if (dataPoint424 == "True") { bYes28 = 1; } else { bYes28 = 0; } if (dataPoint425 == "True") { bYes29 = 1; } else { bYes29 = 0; } if (dataPoint426 == "True") { bYes30 = 1; } else { bYes30 = 0; }
                        if (dataPoint427 == "True") { bYes31 = 1; } else { bYes31 = 0; } if (dataPoint428 == "True") { bYes32 = 1; } else { bYes32 = 0; } if (dataPoint429 == "True") { bYes33 = 1; } else { bYes33 = 0; } if (dataPoint430 == "True") { bYes34 = 1; } else { bYes34 = 0; } if (dataPoint431 == "True") { bYes35 = 1; } else { bYes35 = 0; } if (dataPoint432 == "True") { bYes36 = 1; } else { bYes36 = 0; } if (dataPoint433 == "True") { bYes37 = 1; } else { bYes37 = 0; } if (dataPoint434 == "True") { bYes38 = 1; } else { bYes38 = 0; } if (dataPoint435 == "True") { bYes39 = 1; } else { bYes39 = 0; } if (dataPoint436 == "True") { bYes40 = 1; } else { bYes40 = 0; }
                        if (dataPoint437 == "True") { bYes41 = 1; } else { bYes41 = 0; } if (dataPoint438 == "True") { bYes42 = 1; } else { bYes42 = 0; } if (dataPoint439 == "True") { bYes43 = 1; } else { bYes43 = 0; } if (dataPoint440 == "True") { bYes44 = 1; } else { bYes44 = 0; } if (dataPoint441 == "True") { bYes45 = 1; } else { bYes45 = 0; } if (dataPoint442 == "True") { bYes46 = 1; } else { bYes46 = 0; } if (dataPoint443 == "True") { bYes47 = 1; } else { bYes47 = 0; } if (dataPoint444 == "True") { bYes48 = 1; } else { bYes48 = 0; } if (dataPoint445 == "True") { bYes49 = 1; } else { bYes49 = 0; } if (dataPoint446 == "True") { bYes50 = 1; } else { bYes50 = 0; }
                        if (dataPoint447 == "True") { bYes51 = 1; } else { bYes51 = 0; } if (dataPoint448 == "True") { bYes52 = 1; } else { bYes52 = 0; } if (dataPoint449 == "True") { bYes53 = 1; } else { bYes53 = 0; } if (dataPoint450 == "True") { bYes54 = 1; } else { bYes54 = 0; } if (dataPoint451 == "True") { bYes55 = 1; } else { bYes55 = 0; } if (dataPoint452 == "True") { bYes56 = 1; } else { bYes56 = 0; } if (dataPoint453 == "True") { bYes57 = 1; } else { bYes57 = 0; } if (dataPoint454 == "True") { bYes58 = 1; } else { bYes58 = 0; } if (dataPoint455 == "True") { bYes59 = 1; } else { bYes59 = 0; } if (dataPoint456 == "True") { bYes60 = 1; } else { bYes60 = 0; }
                        if (dataPoint457 == "True") { bYes61 = 1; } else { bYes61 = 0; } if (dataPoint458 == "True") { bYes62 = 1; } else { bYes62 = 0; } if (dataPoint459 == "True") { bYes63 = 1; } else { bYes63 = 0; } if (dataPoint460 == "True") { bYes64 = 1; } else { bYes64 = 0; } if (dataPoint461 == "True") { bYes65 = 1; } else { bYes65 = 0; } if (dataPoint462 == "True") { bYes66 = 1; } else { bYes66 = 0; }

                        int btotalYes = bYes1 + bYes2 + bYes3 + bYes4 + bYes5 + bYes6 + bYes7 + bYes8 + bYes9 + bYes10 + bYes11 + bYes12 + bYes13 + bYes14 + bYes15 + bYes16 + bYes17 + bYes18 + bYes19 + bYes20 + bYes21 + bYes22 + bYes23 + bYes24 + bYes25 + bYes26 + bYes27 + bYes28 + bYes29 + bYes30 + bYes31 + bYes32 + bYes33 + bYes34 + bYes35 + bYes36 + bYes37 + bYes38 + bYes39 + bYes40 + bYes41 + bYes42 + bYes43 + bYes44 + bYes45 + bYes46 + bYes47 + bYes48 + bYes49 + bYes50 + bYes51 + bYes52 + bYes53 + bYes54 + bYes55 + bYes56 + bYes57 + bYes58 + bYes59 + bYes60 + bYes61 + bYes62 + bYes63 + bYes64 + bYes65 + bYes66;

                        string dataPoint463 = graphDataSet.Tables["data"].Rows[2]["No1"].ToString(); string dataPoint464 = graphDataSet.Tables["data"].Rows[2]["No2"].ToString(); string dataPoint465 = graphDataSet.Tables["data"].Rows[2]["No3"].ToString(); string dataPoint466 = graphDataSet.Tables["data"].Rows[2]["No4"].ToString(); string dataPoint467 = graphDataSet.Tables["data"].Rows[2]["No5"].ToString(); string dataPoint468 = graphDataSet.Tables["data"].Rows[2]["No6"].ToString(); string dataPoint469 = graphDataSet.Tables["data"].Rows[2]["No7"].ToString(); string dataPoint470 = graphDataSet.Tables["data"].Rows[2]["No8"].ToString(); string dataPoint471 = graphDataSet.Tables["data"].Rows[2]["No9"].ToString(); string dataPoint472 = graphDataSet.Tables["data"].Rows[2]["No10"].ToString();
                        string dataPoint473 = graphDataSet.Tables["data"].Rows[2]["No11"].ToString(); string dataPoint474 = graphDataSet.Tables["data"].Rows[2]["No12"].ToString(); string dataPoint475 = graphDataSet.Tables["data"].Rows[2]["No13"].ToString(); string dataPoint476 = graphDataSet.Tables["data"].Rows[2]["No14"].ToString(); string dataPoint477 = graphDataSet.Tables["data"].Rows[2]["No15"].ToString(); string dataPoint478 = graphDataSet.Tables["data"].Rows[2]["No16"].ToString(); string dataPoint479 = graphDataSet.Tables["data"].Rows[2]["No17"].ToString(); string dataPoint480 = graphDataSet.Tables["data"].Rows[2]["No18"].ToString(); string dataPoint481 = graphDataSet.Tables["data"].Rows[2]["No19"].ToString(); string dataPoint482 = graphDataSet.Tables["data"].Rows[2]["No20"].ToString();
                        string dataPoint483 = graphDataSet.Tables["data"].Rows[2]["No21"].ToString(); string dataPoint484 = graphDataSet.Tables["data"].Rows[2]["No22"].ToString(); string dataPoint485 = graphDataSet.Tables["data"].Rows[2]["No23"].ToString(); string dataPoint486 = graphDataSet.Tables["data"].Rows[2]["No24"].ToString(); string dataPoint487 = graphDataSet.Tables["data"].Rows[2]["No25"].ToString(); string dataPoint488 = graphDataSet.Tables["data"].Rows[2]["No26"].ToString(); string dataPoint489 = graphDataSet.Tables["data"].Rows[2]["No27"].ToString(); string dataPoint490 = graphDataSet.Tables["data"].Rows[2]["No28"].ToString(); string dataPoint491 = graphDataSet.Tables["data"].Rows[2]["No29"].ToString(); string dataPoint492 = graphDataSet.Tables["data"].Rows[2]["No30"].ToString();
                        string dataPoint493 = graphDataSet.Tables["data"].Rows[2]["No31"].ToString(); string dataPoint494 = graphDataSet.Tables["data"].Rows[2]["No32"].ToString(); string dataPoint495 = graphDataSet.Tables["data"].Rows[2]["No33"].ToString(); string dataPoint496 = graphDataSet.Tables["data"].Rows[2]["No34"].ToString(); string dataPoint497 = graphDataSet.Tables["data"].Rows[2]["No35"].ToString(); string dataPoint498 = graphDataSet.Tables["data"].Rows[2]["No36"].ToString(); string dataPoint499 = graphDataSet.Tables["data"].Rows[2]["No37"].ToString(); string dataPoint500 = graphDataSet.Tables["data"].Rows[2]["No38"].ToString(); string dataPoint501 = graphDataSet.Tables["data"].Rows[2]["No39"].ToString(); string dataPoint502 = graphDataSet.Tables["data"].Rows[2]["No40"].ToString();
                        string dataPoint503 = graphDataSet.Tables["data"].Rows[2]["No41"].ToString(); string dataPoint504 = graphDataSet.Tables["data"].Rows[2]["No42"].ToString(); string dataPoint505 = graphDataSet.Tables["data"].Rows[2]["No43"].ToString(); string dataPoint506 = graphDataSet.Tables["data"].Rows[2]["No44"].ToString(); string dataPoint507 = graphDataSet.Tables["data"].Rows[2]["No45"].ToString(); string dataPoint508 = graphDataSet.Tables["data"].Rows[2]["No46"].ToString(); string dataPoint509 = graphDataSet.Tables["data"].Rows[2]["No47"].ToString(); string dataPoint510 = graphDataSet.Tables["data"].Rows[2]["No48"].ToString(); string dataPoint511 = graphDataSet.Tables["data"].Rows[2]["No49"].ToString(); string dataPoint512 = graphDataSet.Tables["data"].Rows[2]["No50"].ToString();
                        string dataPoint513 = graphDataSet.Tables["data"].Rows[2]["No51"].ToString(); string dataPoint514 = graphDataSet.Tables["data"].Rows[2]["No52"].ToString(); string dataPoint515 = graphDataSet.Tables["data"].Rows[2]["No53"].ToString(); string dataPoint516 = graphDataSet.Tables["data"].Rows[2]["No54"].ToString(); string dataPoint517 = graphDataSet.Tables["data"].Rows[2]["No55"].ToString(); string dataPoint518 = graphDataSet.Tables["data"].Rows[2]["No56"].ToString(); string dataPoint519 = graphDataSet.Tables["data"].Rows[2]["No57"].ToString(); string dataPoint520 = graphDataSet.Tables["data"].Rows[2]["No58"].ToString(); string dataPoint521 = graphDataSet.Tables["data"].Rows[2]["No59"].ToString(); string dataPoint522 = graphDataSet.Tables["data"].Rows[2]["No60"].ToString();
                        string dataPoint523 = graphDataSet.Tables["data"].Rows[2]["No61"].ToString(); string dataPoint524 = graphDataSet.Tables["data"].Rows[2]["No62"].ToString(); string dataPoint525 = graphDataSet.Tables["data"].Rows[2]["No63"].ToString(); string dataPoint526 = graphDataSet.Tables["data"].Rows[2]["No64"].ToString(); string dataPoint527 = graphDataSet.Tables["data"].Rows[2]["No65"].ToString(); string dataPoint528 = graphDataSet.Tables["data"].Rows[2]["No66"].ToString();

                        int bNo1; int bNo2; int bNo3; int bNo4; int bNo5; int bNo6; int bNo7; int bNo8; int bNo9; int bNo10; int bNo11; int bNo12; int bNo13; int bNo14; int bNo15; int bNo16; int bNo17; int bNo18; int bNo19; int bNo20; int bNo21; int bNo22; int bNo23; int bNo24; int bNo25; int bNo26; int bNo27; int bNo28; int bNo29; int bNo30; int bNo31; int bNo32; int bNo33; int bNo34; int bNo35; int bNo36; int bNo37; int bNo38; int bNo39; int bNo40; int bNo41; int bNo42; int bNo43; int bNo44; int bNo45; int bNo46; int bNo47; int bNo48; int bNo49; int bNo50; int bNo51; int bNo52; int bNo53; int bNo54; int bNo55; int bNo56; int bNo57; int bNo58; int bNo59; int bNo60; int bNo61; int bNo62; int bNo63; int bNo64; int bNo65; int bNo66;

                        if (dataPoint463 == "True") { bNo1 = 1; } else { bNo1 = 0; } if (dataPoint464 == "True") { bNo2 = 1; } else { bNo2 = 0; } if (dataPoint465 == "True") { bNo3 = 1; } else { bNo3 = 0; } if (dataPoint466 == "True") { bNo4 = 1; } else { bNo4 = 0; } if (dataPoint467 == "True") { bNo5 = 1; } else { bNo5 = 0; } if (dataPoint468 == "True") { bNo6 = 1; } else { bNo6 = 0; } if (dataPoint469 == "True") { bNo7 = 1; } else { bNo7 = 0; } if (dataPoint470 == "True") { bNo8 = 1; } else { bNo8 = 0; } if (dataPoint471 == "True") { bNo9 = 1; } else { bNo9 = 0; } if (dataPoint472 == "True") { bNo10 = 1; } else { bNo10 = 0; }
                        if (dataPoint473 == "True") { bNo11 = 1; } else { bNo11 = 0; } if (dataPoint474 == "True") { bNo12 = 1; } else { bNo12 = 0; } if (dataPoint475 == "True") { bNo13 = 1; } else { bNo13 = 0; } if (dataPoint476 == "True") { bNo14 = 1; } else { bNo14 = 0; } if (dataPoint477 == "True") { bNo15 = 1; } else { bNo15 = 0; } if (dataPoint478 == "True") { bNo16 = 1; } else { bNo16 = 0; } if (dataPoint479 == "True") { bNo17 = 1; } else { bNo17 = 0; } if (dataPoint480 == "True") { bNo18 = 1; } else { bNo18 = 0; } if (dataPoint481 == "True") { bNo19 = 1; } else { bNo19 = 0; } if (dataPoint482 == "True") { bNo20 = 1; } else { bNo20 = 0; }
                        if (dataPoint483 == "True") { bNo21 = 1; } else { bNo21 = 0; } if (dataPoint484 == "True") { bNo22 = 1; } else { bNo22 = 0; } if (dataPoint485 == "True") { bNo23 = 1; } else { bNo23 = 0; } if (dataPoint486 == "True") { bNo24 = 1; } else { bNo24 = 0; } if (dataPoint487 == "True") { bNo25 = 1; } else { bNo25 = 0; } if (dataPoint488 == "True") { bNo26 = 1; } else { bNo26 = 0; } if (dataPoint489 == "True") { bNo27 = 1; } else { bNo27 = 0; } if (dataPoint490 == "True") { bNo28 = 1; } else { bNo28 = 0; } if (dataPoint491 == "True") { bNo29 = 1; } else { bNo29 = 0; } if (dataPoint492 == "True") { bNo30 = 1; } else { bNo30 = 0; }
                        if (dataPoint493 == "True") { bNo31 = 1; } else { bNo31 = 0; } if (dataPoint494 == "True") { bNo32 = 1; } else { bNo32 = 0; } if (dataPoint495 == "True") { bNo33 = 1; } else { bNo33 = 0; } if (dataPoint496 == "True") { bNo34 = 1; } else { bNo34 = 0; } if (dataPoint497 == "True") { bNo35 = 1; } else { bNo35 = 0; } if (dataPoint498 == "True") { bNo36 = 1; } else { bNo36 = 0; } if (dataPoint499 == "True") { bNo37 = 1; } else { bNo37 = 0; } if (dataPoint500 == "True") { bNo38 = 1; } else { bNo38 = 0; } if (dataPoint501 == "True") { bNo39 = 1; } else { bNo39 = 0; } if (dataPoint502 == "True") { bNo40 = 1; } else { bNo40 = 0; }
                        if (dataPoint503 == "True") { bNo41 = 1; } else { bNo41 = 0; } if (dataPoint504 == "True") { bNo42 = 1; } else { bNo42 = 0; } if (dataPoint505 == "True") { bNo43 = 1; } else { bNo43 = 0; } if (dataPoint506 == "True") { bNo44 = 1; } else { bNo44 = 0; } if (dataPoint507 == "True") { bNo45 = 1; } else { bNo45 = 0; } if (dataPoint508 == "True") { bNo46 = 1; } else { bNo46 = 0; } if (dataPoint509 == "True") { bNo47 = 1; } else { bNo47 = 0; } if (dataPoint510 == "True") { bNo48 = 1; } else { bNo48 = 0; } if (dataPoint511 == "True") { bNo49 = 1; } else { bNo49 = 0; } if (dataPoint512 == "True") { bNo50 = 1; } else { bNo50 = 0; }
                        if (dataPoint513 == "True") { bNo51 = 1; } else { bNo51 = 0; } if (dataPoint514 == "True") { bNo52 = 1; } else { bNo52 = 0; } if (dataPoint515 == "True") { bNo53 = 1; } else { bNo53 = 0; } if (dataPoint516 == "True") { bNo54 = 1; } else { bNo54 = 0; } if (dataPoint517 == "True") { bNo55 = 1; } else { bNo55 = 0; } if (dataPoint518 == "True") { bNo56 = 1; } else { bNo56 = 0; } if (dataPoint519 == "True") { bNo57 = 1; } else { bNo57 = 0; } if (dataPoint520 == "True") { bNo58 = 1; } else { bNo58 = 0; } if (dataPoint521 == "True") { bNo59 = 1; } else { bNo59 = 0; } if (dataPoint522 == "True") { bNo60 = 1; } else { bNo60 = 0; }
                        if (dataPoint523 == "True") { bNo61 = 1; } else { bNo61 = 0; } if (dataPoint524 == "True") { bNo62 = 1; } else { bNo62 = 0; } if (dataPoint525 == "True") { bNo63 = 1; } else { bNo63 = 0; } if (dataPoint526 == "True") { bNo64 = 1; } else { bNo64 = 0; } if (dataPoint527 == "True") { bNo65 = 1; } else { bNo65 = 0; } if (dataPoint528 == "True") { bNo66 = 1; } else { bNo66 = 0; }

                        int btotalNo = bNo1 + bNo2 + bNo3 + bNo4 + bNo5 + bNo6 + bNo7 + bNo8 + bNo9 + bNo10 + bNo11 + bNo12 + bNo13 + bNo14 + bNo15 + bNo16 + bNo17 + bNo18 + bNo19 + bNo20 + bNo21 + bNo22 + bNo23 + bNo24 + bNo25 + bNo26 + bNo27 + bNo28 + bNo29 + bNo30 + bNo31 + bNo32 + bNo33 + bNo34 + bNo35 + bNo36 + bNo37 + bNo38 + bNo39 + bNo40 + bNo41 + bNo42 + bNo43 + bNo44 + bNo45 + bNo46 + bNo47 + bNo48 + bNo49 + bNo50 + bNo51 + bNo52 + bNo53 + bNo54 + bNo55 + bNo56 + bNo57 + bNo58 + bNo59 + bNo60 + bNo61 + bNo62 + bNo63 + bNo64 + bNo65 + bNo66;

                        string dataPoint529 = graphDataSet.Tables["data"].Rows[2]["Na1"].ToString(); string dataPoint530 = graphDataSet.Tables["data"].Rows[2]["Na2"].ToString(); string dataPoint531 = graphDataSet.Tables["data"].Rows[2]["Na3"].ToString(); string dataPoint532 = graphDataSet.Tables["data"].Rows[2]["Na4"].ToString(); string dataPoint533 = graphDataSet.Tables["data"].Rows[2]["Na5"].ToString(); string dataPoint534 = graphDataSet.Tables["data"].Rows[2]["Na6"].ToString(); string dataPoint535 = graphDataSet.Tables["data"].Rows[2]["Na7"].ToString(); string dataPoint536 = graphDataSet.Tables["data"].Rows[2]["Na8"].ToString(); string dataPoint537 = graphDataSet.Tables["data"].Rows[2]["Na9"].ToString(); string dataPoint538 = graphDataSet.Tables["data"].Rows[2]["Na10"].ToString();
                        string dataPoint539 = graphDataSet.Tables["data"].Rows[2]["Na11"].ToString(); string dataPoint540 = graphDataSet.Tables["data"].Rows[2]["Na12"].ToString(); string dataPoint541 = graphDataSet.Tables["data"].Rows[2]["Na13"].ToString(); string dataPoint542 = graphDataSet.Tables["data"].Rows[2]["Na14"].ToString(); string dataPoint543 = graphDataSet.Tables["data"].Rows[2]["Na15"].ToString(); string dataPoint544 = graphDataSet.Tables["data"].Rows[2]["Na16"].ToString(); string dataPoint545 = graphDataSet.Tables["data"].Rows[2]["Na17"].ToString(); string dataPoint546 = graphDataSet.Tables["data"].Rows[2]["Na18"].ToString(); string dataPoint547 = graphDataSet.Tables["data"].Rows[2]["Na19"].ToString(); string dataPoint548 = graphDataSet.Tables["data"].Rows[2]["Na20"].ToString();
                        string dataPoint549 = graphDataSet.Tables["data"].Rows[2]["Na21"].ToString(); string dataPoint550 = graphDataSet.Tables["data"].Rows[2]["Na22"].ToString(); string dataPoint551 = graphDataSet.Tables["data"].Rows[2]["Na23"].ToString(); string dataPoint552 = graphDataSet.Tables["data"].Rows[2]["Na24"].ToString(); string dataPoint553 = graphDataSet.Tables["data"].Rows[2]["Na25"].ToString(); string dataPoint554 = graphDataSet.Tables["data"].Rows[2]["Na26"].ToString(); string dataPoint555 = graphDataSet.Tables["data"].Rows[2]["Na27"].ToString(); string dataPoint556 = graphDataSet.Tables["data"].Rows[2]["Na28"].ToString(); string dataPoint557 = graphDataSet.Tables["data"].Rows[2]["Na29"].ToString(); string dataPoint558 = graphDataSet.Tables["data"].Rows[2]["Na30"].ToString();
                        string dataPoint559 = graphDataSet.Tables["data"].Rows[2]["Na31"].ToString(); string dataPoint560 = graphDataSet.Tables["data"].Rows[2]["Na32"].ToString(); string dataPoint561 = graphDataSet.Tables["data"].Rows[2]["Na33"].ToString(); string dataPoint562 = graphDataSet.Tables["data"].Rows[2]["Na34"].ToString(); string dataPoint563 = graphDataSet.Tables["data"].Rows[2]["Na35"].ToString(); string dataPoint564 = graphDataSet.Tables["data"].Rows[2]["Na36"].ToString(); string dataPoint565 = graphDataSet.Tables["data"].Rows[2]["Na37"].ToString(); string dataPoint566 = graphDataSet.Tables["data"].Rows[2]["Na38"].ToString(); string dataPoint567 = graphDataSet.Tables["data"].Rows[2]["Na39"].ToString(); string dataPoint568 = graphDataSet.Tables["data"].Rows[2]["Na40"].ToString();
                        string dataPoint569 = graphDataSet.Tables["data"].Rows[2]["Na41"].ToString(); string dataPoint570 = graphDataSet.Tables["data"].Rows[2]["Na42"].ToString(); string dataPoint571 = graphDataSet.Tables["data"].Rows[2]["Na43"].ToString(); string dataPoint572 = graphDataSet.Tables["data"].Rows[2]["Na44"].ToString(); string dataPoint573 = graphDataSet.Tables["data"].Rows[2]["Na45"].ToString(); string dataPoint574 = graphDataSet.Tables["data"].Rows[2]["Na46"].ToString(); string dataPoint575 = graphDataSet.Tables["data"].Rows[2]["Na47"].ToString(); string dataPoint576 = graphDataSet.Tables["data"].Rows[2]["Na48"].ToString(); string dataPoint577 = graphDataSet.Tables["data"].Rows[2]["Na49"].ToString(); string dataPoint578 = graphDataSet.Tables["data"].Rows[2]["Na50"].ToString();
                        string dataPoint579 = graphDataSet.Tables["data"].Rows[2]["Na51"].ToString(); string dataPoint580 = graphDataSet.Tables["data"].Rows[2]["Na52"].ToString(); string dataPoint581 = graphDataSet.Tables["data"].Rows[2]["Na53"].ToString(); string dataPoint582 = graphDataSet.Tables["data"].Rows[2]["Na54"].ToString(); string dataPoint583 = graphDataSet.Tables["data"].Rows[2]["Na55"].ToString(); string dataPoint584 = graphDataSet.Tables["data"].Rows[2]["Na56"].ToString(); string dataPoint585 = graphDataSet.Tables["data"].Rows[2]["Na57"].ToString(); string dataPoint586 = graphDataSet.Tables["data"].Rows[2]["Na58"].ToString(); string dataPoint587 = graphDataSet.Tables["data"].Rows[2]["Na59"].ToString(); string dataPoint588 = graphDataSet.Tables["data"].Rows[2]["Na60"].ToString();
                        string dataPoint589 = graphDataSet.Tables["data"].Rows[2]["Na61"].ToString(); string dataPoint590 = graphDataSet.Tables["data"].Rows[2]["Na62"].ToString(); string dataPoint591 = graphDataSet.Tables["data"].Rows[2]["Na63"].ToString(); string dataPoint592 = graphDataSet.Tables["data"].Rows[2]["Na64"].ToString(); string dataPoint593 = graphDataSet.Tables["data"].Rows[2]["Na65"].ToString(); string dataPoint594 = graphDataSet.Tables["data"].Rows[2]["Na66"].ToString();

                        int bNa1; int bNa2; int bNa3; int bNa4; int bNa5; int bNa6; int bNa7; int bNa8; int bNa9; int bNa10; int bNa11; int bNa12; int bNa13; int bNa14; int bNa15; int bNa16; int bNa17; int bNa18; int bNa19; int bNa20; int bNa21; int bNa22; int bNa23; int bNa24; int bNa25; int bNa26; int bNa27; int bNa28; int bNa29; int bNa30; int bNa31; int bNa32; int bNa33; int bNa34; int bNa35; int bNa36; int bNa37; int bNa38; int bNa39; int bNa40; int bNa41; int bNa42; int bNa43; int bNa44; int bNa45; int bNa46; int bNa47; int bNa48; int bNa49; int bNa50; int bNa51; int bNa52; int bNa53; int bNa54; int bNa55; int bNa56; int bNa57; int bNa58; int bNa59; int bNa60; int bNa61; int bNa62; int bNa63; int bNa64; int bNa65; int bNa66;

                        if (dataPoint529 == "True") { bNa1 = 1; } else { bNa1 = 0; } if (dataPoint530 == "True") { bNa2 = 1; } else { bNa2 = 0; } if (dataPoint531 == "True") { bNa3 = 1; } else { bNa3 = 0; } if (dataPoint532 == "True") { bNa4 = 1; } else { bNa4 = 0; } if (dataPoint533 == "True") { bNa5 = 1; } else { bNa5 = 0; } if (dataPoint534 == "True") { bNa6 = 1; } else { bNa6 = 0; } if (dataPoint535 == "True") { bNa7 = 1; } else { bNa7 = 0; } if (dataPoint536 == "True") { bNa8 = 1; } else { bNa8 = 0; } if (dataPoint537 == "True") { bNa9 = 1; } else { bNa9 = 0; } if (dataPoint538 == "True") { bNa10 = 1; } else { bNa10 = 0; }
                        if (dataPoint539 == "True") { bNa11 = 1; } else { bNa11 = 0; } if (dataPoint540 == "True") { bNa12 = 1; } else { bNa12 = 0; } if (dataPoint541 == "True") { bNa13 = 1; } else { bNa13 = 0; } if (dataPoint542 == "True") { bNa14 = 1; } else { bNa14 = 0; } if (dataPoint543 == "True") { bNa15 = 1; } else { bNa15 = 0; } if (dataPoint544 == "True") { bNa16 = 1; } else { bNa16 = 0; } if (dataPoint545 == "True") { bNa17 = 1; } else { bNa17 = 0; } if (dataPoint546 == "True") { bNa18 = 1; } else { bNa18 = 0; } if (dataPoint547 == "True") { bNa19 = 1; } else { bNa19 = 0; } if (dataPoint548 == "True") { bNa20 = 1; } else { bNa20 = 0; }
                        if (dataPoint549 == "True") { bNa21 = 1; } else { bNa21 = 0; } if (dataPoint550 == "True") { bNa22 = 1; } else { bNa22 = 0; } if (dataPoint551 == "True") { bNa23 = 1; } else { bNa23 = 0; } if (dataPoint552 == "True") { bNa24 = 1; } else { bNa24 = 0; } if (dataPoint553 == "True") { bNa25 = 1; } else { bNa25 = 0; } if (dataPoint554 == "True") { bNa26 = 1; } else { bNa26 = 0; } if (dataPoint555 == "True") { bNa27 = 1; } else { bNa27 = 0; } if (dataPoint556 == "True") { bNa28 = 1; } else { bNa28 = 0; } if (dataPoint557 == "True") { bNa29 = 1; } else { bNa29 = 0; } if (dataPoint558 == "True") { bNa30 = 1; } else { bNa30 = 0; }
                        if (dataPoint559 == "True") { bNa31 = 1; } else { bNa31 = 0; } if (dataPoint560 == "True") { bNa32 = 1; } else { bNa32 = 0; } if (dataPoint561 == "True") { bNa33 = 1; } else { bNa33 = 0; } if (dataPoint562 == "True") { bNa34 = 1; } else { bNa34 = 0; } if (dataPoint563 == "True") { bNa35 = 1; } else { bNa35 = 0; } if (dataPoint564 == "True") { bNa36 = 1; } else { bNa36 = 0; } if (dataPoint565 == "True") { bNa37 = 1; } else { bNa37 = 0; } if (dataPoint566 == "True") { bNa38 = 1; } else { bNa38 = 0; } if (dataPoint567 == "True") { bNa39 = 1; } else { bNa39 = 0; } if (dataPoint568 == "True") { bNa40 = 1; } else { bNa40 = 0; }
                        if (dataPoint569 == "True") { bNa41 = 1; } else { bNa41 = 0; } if (dataPoint570 == "True") { bNa42 = 1; } else { bNa42 = 0; } if (dataPoint571 == "True") { bNa43 = 1; } else { bNa43 = 0; } if (dataPoint572 == "True") { bNa44 = 1; } else { bNa44 = 0; } if (dataPoint573 == "True") { bNa45 = 1; } else { bNa45 = 0; } if (dataPoint574 == "True") { bNa46 = 1; } else { bNa46 = 0; } if (dataPoint575 == "True") { bNa47 = 1; } else { bNa47 = 0; } if (dataPoint576 == "True") { bNa48 = 1; } else { bNa48 = 0; } if (dataPoint577 == "True") { bNa49 = 1; } else { bNa49 = 0; } if (dataPoint578 == "True") { bNa50 = 1; } else { bNa50 = 0; }
                        if (dataPoint579 == "True") { bNa51 = 1; } else { bNa51 = 0; } if (dataPoint580 == "True") { bNa52 = 1; } else { bNa52 = 0; } if (dataPoint581 == "True") { bNa53 = 1; } else { bNa53 = 0; } if (dataPoint582 == "True") { bNa54 = 1; } else { bNa54 = 0; } if (dataPoint583 == "True") { bNa55 = 1; } else { bNa55 = 0; } if (dataPoint584 == "True") { bNa56 = 1; } else { bNa56 = 0; } if (dataPoint585 == "True") { bNa57 = 1; } else { bNa57 = 0; } if (dataPoint586 == "True") { bNa58 = 1; } else { bNa58 = 0; } if (dataPoint587 == "True") { bNa59 = 1; } else { bNa59 = 0; } if (dataPoint588 == "True") { bNa60 = 1; } else { bNa60 = 0; }
                        if (dataPoint589 == "True") { bNa61 = 1; } else { bNa61 = 0; } if (dataPoint590 == "True") { bNa62 = 1; } else { bNa62 = 0; } if (dataPoint591 == "True") { bNa63 = 1; } else { bNa63 = 0; } if (dataPoint592 == "True") { bNa64 = 1; } else { bNa64 = 0; } if (dataPoint593 == "True") { bNa65 = 1; } else { bNa65 = 0; } if (dataPoint594 == "True") { bNa66 = 1; } else { bNa66 = 0; }

                        int btotalNa = bNa1 + bNa2 + bNa3 + bNa4 + bNa5 + bNa6 + bNa7 + bNa8 + bNa9 + bNa10 + bNa11 + bNa12 + bNa13 + bNa14 + bNa15 + bNa16 + bNa17 + bNa18 + bNa19 + bNa20 + bNa21 + bNa22 + bNa23 + bNa24 + bNa25 + bNa26 + bNa27 + bNa28 + bNa29 + bNa30 + bNa31 + bNa32 + bNa33 + bNa34 + bNa35 + bNa36 + bNa37 + bNa38 + bNa39 + bNa40 + bNa41 + bNa42 + bNa43 + bNa44 + bNa45 + bNa46 + bNa47 + bNa48 + bNa49 + bNa50 + bNa51 + bNa52 + bNa53 + bNa54 + bNa55 + bNa56 + bNa57 + bNa58 + bNa59 + bNa60 + bNa61 + bNa62 + bNa63 + bNa64 + bNa65 + bNa66;

                        if (totalYes >= 0 && atotalYes >= 0 && btotalYes >= 0 && totalNo >= 0 && atotalNo >= 0 && btotalNo >= 0 && totalNa >= 0 && atotalNa >= 0 && btotalNa >= 0)
                        {

                            SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT Version FROM reviews WHERE Application = '" + appName.ToString() + "' ORDER BY Version DESC LIMIT 5", ObjConnection);
                            SQLiteDataAdapter myGraphAdapter2 = new SQLiteDataAdapter(ObjCommand2);

                            DataSet graphDataSet2 = new DataSet();
                            myGraphAdapter2.Fill(graphDataSet2, "Data2");

                            string secondDataPoint1 = graphDataSet2.Tables[0].Rows[2].ItemArray[0].ToString();
                            string secondDataPoint2 = graphDataSet2.Tables[0].Rows[1].ItemArray[0].ToString();
                            string secondDataPoint3 = graphDataSet2.Tables[0].Rows[0].ItemArray[0].ToString();

                            int totalYesAll = totalYes + atotalYes + btotalYes;

                            int avgYes = (totalYesAll / 3);

                            int totalNoAll = totalNo + atotalNo + btotalNo;

                            int avgNo = (totalNoAll / 3);

                            int totalNaAll = totalNa + atotalNa + btotalNa;

                            int avgNa = (totalNaAll / 3);

                            float[] data1X = new float[] { 0, 30, 60 };
                            float[] data1 = new float[] { btotalYes, atotalYes, totalYes };
                            float[] data2X = new float[] { 0, 30, 60 };
                            float[] data2 = new float[] { btotalNo, atotalNo, totalNo };
                            float[] data3X = new float[] { 0, 30, 60 };
                            float[] data3 = new float[] { btotalNa, atotalNa, totalNa };

                            List<float[]> datasets = new List<float[]>();
                            datasets.Add(data1X);
                            datasets.Add(data1);
                            datasets.Add(data2X);
                            datasets.Add(data2);
                            datasets.Add(data3X);
                            datasets.Add(data3);

                            LineChart chart = new LineChart(734, 120, LineChartType.MultiDataSet);

                            ChartAxis bottomAxis = new ChartAxis(ChartAxisType.Bottom);
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint1, 0));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint2, 30));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint3, 60));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EEAD0E", 0, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EEAD0E", 0, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EEAD0E", 0, 2, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "007FFF", 1, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "007FFF", 1, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "007FFF", 1, 2, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "00CD00", 2, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "00CD00", 2, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "00CD00", 2, 2, 8));
                            chart.SetDatasetColors(new string[] { "EEAD0E", "007FFF", "00CD00" });
                            chart.SetLegend(new string[] { "Yes", "No", "NA" });
                            chart.AddAxis(bottomAxis);

                            chart.SetData(datasets);

                            string imageUrl = chart.GetUrl();

                            webBrowser3.Url = new Uri(imageUrl);

                            appCText1.Visible = true;
                            appCText1.Text = "v" + secondDataPoint1.ToString() + "";
                            appCNoText1.Visible = true;
                            appCNoText1.Text = "Yes:" + btotalYes.ToString() + "  No:" + btotalNo.ToString() + "  NA:" + btotalNa.ToString() + "";
                            appCText2.Visible = true;
                            appCText2.Text = "v" + secondDataPoint2.ToString() + "";
                            appCNoText2.Visible = true;
                            appCNoText2.Text = "Yes:" + atotalYes.ToString() + "  No:" + atotalNo.ToString() + "  NA:" + atotalNa.ToString() + "";
                            appCText3.Visible = true;
                            appCText3.Text = "v" + secondDataPoint3.ToString() + "";
                            appCNoText3.Visible = true;
                            appCNoText3.Text = "Yes:" + totalYes.ToString() + "  No:" + totalNo.ToString() + "  NA:" + totalNa.ToString() + "";

                            int[] data = new int[] { avgYes, avgNo, avgNa };
                            PieChart pieChart = new PieChart(260, 135);
                            pieChart.SetData(data);
                            pieChart.SetDatasetColors(new string[] { "EEAD0E", "007FFF", "00CD00" });
                            string imageUrl2 = pieChart.GetUrl();

                            pieLeg1.Visible = true;
                            pieLeg1.BackColor = System.Drawing.Color.FromArgb(238, 173, 14);
                            pieLeg2.Visible = true;
                            pieLeg2.BackColor = System.Drawing.Color.FromArgb(0, 127, 255);
                            pieLeg3.Visible = true;
                            pieLeg3.BackColor = System.Drawing.Color.FromArgb(0, 205, 0);
                            pieLeg4.Visible = true;
                            pieLeg4.Text = "Yes:" + avgYes.ToString() + "";
                            pieLeg5.Visible = true;
                            pieLeg5.Text = "No:" + avgNo.ToString() + "";
                            pieLeg6.Visible = true;
                            pieLeg6.Text = "NA:" + avgNa.ToString() + "";

                            webBrowser4.Url = new Uri(imageUrl2);

                            appDText1.Visible = true;//has to stay the same
                            appDNoText1.Visible = true;
                            appDNoText1.Text = "" + secondDataPoint1.ToString() + "";
                            appDNoText5.Visible = true;
                            appDNoText5.Text = "" + secondDataPoint2.ToString() + "";
                            appDNoText9.Visible = true;
                            appDNoText9.Text = "" + secondDataPoint3.ToString() + "";

                            appDText2.Visible = true;//has to stay the same
                            appDNoText2.Visible = true;
                            appDNoText2.Text = "" + btotalYes.ToString() + "/" + avgYes.ToString() + "";
                            appDNoText6.Visible = true;
                            appDNoText6.Text = "" + atotalYes.ToString() + "/" + avgYes.ToString() + "";
                            appDNoText10.Visible = true;
                            appDNoText10.Text = "" + totalYes.ToString() + "/" + avgYes.ToString() + "";

                            appDText3.Visible = true;//has to stay the same
                            appDNoText3.Visible = true;
                            appDNoText3.Text = "" + btotalNo.ToString() + "/" + avgNo.ToString() + "";
                            appDNoText7.Visible = true;
                            appDNoText7.Text = "" + atotalNo.ToString() + "/" + avgNo.ToString() + "";
                            appDNoText11.Visible = true;
                            appDNoText11.Text = "" + totalNo.ToString() + "/" + avgNo.ToString() + "";

                            appDText4.Visible = true;//has to stay the same
                            appDNoText4.Visible = true;
                            appDNoText4.Text = "" + btotalNa.ToString() + "/" + avgNa.ToString() + "";
                            appDNoText8.Visible = true;
                            appDNoText8.Text = "" + atotalNa.ToString() + "/" + avgNa.ToString() + "";
                            appDNoText12.Visible = true;
                            appDNoText12.Text = "" + totalNa.ToString() + "/" + avgNa.ToString() + "";
                         }

                        else
                        {
                            DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create the graphs for this application, please try again");
                            return;
                        }
                    }

                    else if (rowscount == 4)
                    {
                        string dataPoint1 = graphDataSet.Tables["data"].Rows[0]["YES1"].ToString(); string dataPoint2 = graphDataSet.Tables["data"].Rows[0]["YES2"].ToString(); string dataPoint3 = graphDataSet.Tables["data"].Rows[0]["YES3"].ToString(); string dataPoint4 = graphDataSet.Tables["data"].Rows[0]["YES4"].ToString(); string dataPoint5 = graphDataSet.Tables["data"].Rows[0]["YES5"].ToString(); string dataPoint6 = graphDataSet.Tables["data"].Rows[0]["YES6"].ToString(); string dataPoint7 = graphDataSet.Tables["data"].Rows[0]["YES7"].ToString(); string dataPoint8 = graphDataSet.Tables["data"].Rows[0]["YES8"].ToString(); string dataPoint9 = graphDataSet.Tables["data"].Rows[0]["YES9"].ToString(); string dataPoint10 = graphDataSet.Tables["data"].Rows[0]["YES10"].ToString();
                        string dataPoint11 = graphDataSet.Tables["data"].Rows[0]["YES11"].ToString(); string dataPoint12 = graphDataSet.Tables["data"].Rows[0]["YES12"].ToString(); string dataPoint13 = graphDataSet.Tables["data"].Rows[0]["YES13"].ToString(); string dataPoint14 = graphDataSet.Tables["data"].Rows[0]["YES14"].ToString(); string dataPoint15 = graphDataSet.Tables["data"].Rows[0]["YES15"].ToString(); string dataPoint16 = graphDataSet.Tables["data"].Rows[0]["YES16"].ToString(); string dataPoint17 = graphDataSet.Tables["data"].Rows[0]["YES17"].ToString(); string dataPoint18 = graphDataSet.Tables["data"].Rows[0]["YES18"].ToString(); string dataPoint19 = graphDataSet.Tables["data"].Rows[0]["YES19"].ToString(); string dataPoint20 = graphDataSet.Tables["data"].Rows[0]["YES20"].ToString();
                        string dataPoint21 = graphDataSet.Tables["data"].Rows[0]["YES21"].ToString(); string dataPoint22 = graphDataSet.Tables["data"].Rows[0]["YES22"].ToString(); string dataPoint23 = graphDataSet.Tables["data"].Rows[0]["YES23"].ToString(); string dataPoint24 = graphDataSet.Tables["data"].Rows[0]["YES24"].ToString(); string dataPoint25 = graphDataSet.Tables["data"].Rows[0]["YES25"].ToString(); string dataPoint26 = graphDataSet.Tables["data"].Rows[0]["YES26"].ToString(); string dataPoint27 = graphDataSet.Tables["data"].Rows[0]["YES27"].ToString(); string dataPoint28 = graphDataSet.Tables["data"].Rows[0]["YES28"].ToString(); string dataPoint29 = graphDataSet.Tables["data"].Rows[0]["YES29"].ToString(); string dataPoint30 = graphDataSet.Tables["data"].Rows[0]["YES30"].ToString();
                        string dataPoint31 = graphDataSet.Tables["data"].Rows[0]["YES31"].ToString(); string dataPoint32 = graphDataSet.Tables["data"].Rows[0]["YES32"].ToString(); string dataPoint33 = graphDataSet.Tables["data"].Rows[0]["YES33"].ToString(); string dataPoint34 = graphDataSet.Tables["data"].Rows[0]["YES34"].ToString(); string dataPoint35 = graphDataSet.Tables["data"].Rows[0]["YES35"].ToString(); string dataPoint36 = graphDataSet.Tables["data"].Rows[0]["YES36"].ToString(); string dataPoint37 = graphDataSet.Tables["data"].Rows[0]["YES37"].ToString(); string dataPoint38 = graphDataSet.Tables["data"].Rows[0]["YES38"].ToString(); string dataPoint39 = graphDataSet.Tables["data"].Rows[0]["YES39"].ToString(); string dataPoint40 = graphDataSet.Tables["data"].Rows[0]["YES40"].ToString();
                        string dataPoint41 = graphDataSet.Tables["data"].Rows[0]["YES41"].ToString(); string dataPoint42 = graphDataSet.Tables["data"].Rows[0]["YES42"].ToString(); string dataPoint43 = graphDataSet.Tables["data"].Rows[0]["YES43"].ToString(); string dataPoint44 = graphDataSet.Tables["data"].Rows[0]["YES44"].ToString(); string dataPoint45 = graphDataSet.Tables["data"].Rows[0]["YES45"].ToString(); string dataPoint46 = graphDataSet.Tables["data"].Rows[0]["YES46"].ToString(); string dataPoint47 = graphDataSet.Tables["data"].Rows[0]["YES47"].ToString(); string dataPoint48 = graphDataSet.Tables["data"].Rows[0]["YES48"].ToString(); string dataPoint49 = graphDataSet.Tables["data"].Rows[0]["YES49"].ToString(); string dataPoint50 = graphDataSet.Tables["data"].Rows[0]["YES50"].ToString();
                        string dataPoint51 = graphDataSet.Tables["data"].Rows[0]["YES51"].ToString(); string dataPoint52 = graphDataSet.Tables["data"].Rows[0]["YES52"].ToString(); string dataPoint53 = graphDataSet.Tables["data"].Rows[0]["YES53"].ToString(); string dataPoint54 = graphDataSet.Tables["data"].Rows[0]["YES54"].ToString(); string dataPoint55 = graphDataSet.Tables["data"].Rows[0]["YES55"].ToString(); string dataPoint56 = graphDataSet.Tables["data"].Rows[0]["YES56"].ToString(); string dataPoint57 = graphDataSet.Tables["data"].Rows[0]["YES57"].ToString(); string dataPoint58 = graphDataSet.Tables["data"].Rows[0]["YES58"].ToString(); string dataPoint59 = graphDataSet.Tables["data"].Rows[0]["YES59"].ToString(); string dataPoint60 = graphDataSet.Tables["data"].Rows[0]["YES60"].ToString();
                        string dataPoint61 = graphDataSet.Tables["data"].Rows[0]["YES61"].ToString(); string dataPoint62 = graphDataSet.Tables["data"].Rows[0]["YES62"].ToString(); string dataPoint63 = graphDataSet.Tables["data"].Rows[0]["YES63"].ToString(); string dataPoint64 = graphDataSet.Tables["data"].Rows[0]["YES64"].ToString(); string dataPoint65 = graphDataSet.Tables["data"].Rows[0]["YES65"].ToString(); string dataPoint66 = graphDataSet.Tables["data"].Rows[0]["YES66"].ToString();

                        int Yes1; int Yes2; int Yes3; int Yes4; int Yes5; int Yes6; int Yes7; int Yes8; int Yes9; int Yes10; int Yes11; int Yes12; int Yes13; int Yes14; int Yes15; int Yes16; int Yes17; int Yes18; int Yes19; int Yes20; int Yes21; int Yes22; int Yes23; int Yes24; int Yes25; int Yes26; int Yes27; int Yes28; int Yes29; int Yes30; int Yes31; int Yes32; int Yes33; int Yes34; int Yes35; int Yes36; int Yes37; int Yes38; int Yes39; int Yes40; int Yes41; int Yes42; int Yes43; int Yes44; int Yes45; int Yes46; int Yes47; int Yes48; int Yes49; int Yes50; int Yes51; int Yes52; int Yes53; int Yes54; int Yes55; int Yes56; int Yes57; int Yes58; int Yes59; int Yes60; int Yes61; int Yes62; int Yes63; int Yes64; int Yes65; int Yes66;

                        if (dataPoint1 == "True") { Yes1 = 1; } else { Yes1 = 0; } if (dataPoint2 == "True") { Yes2 = 1; } else { Yes2 = 0; } if (dataPoint3 == "True") { Yes3 = 1; } else { Yes3 = 0; } if (dataPoint4 == "True") { Yes4 = 1; } else { Yes4 = 0; } if (dataPoint5 == "True") { Yes5 = 1; } else { Yes5 = 0; } if (dataPoint6 == "True") { Yes6 = 1; } else { Yes6 = 0; } if (dataPoint7 == "True") { Yes7 = 1; } else { Yes7 = 0; } if (dataPoint8 == "True") { Yes8 = 1; } else { Yes8 = 0; } if (dataPoint9 == "True") { Yes9 = 1; } else { Yes9 = 0; } if (dataPoint10 == "True") { Yes10 = 1; } else { Yes10 = 0; }
                        if (dataPoint11 == "True") { Yes11 = 1; } else { Yes11 = 0; } if (dataPoint12 == "True") { Yes12 = 1; } else { Yes12 = 0; } if (dataPoint13 == "True") { Yes13 = 1; } else { Yes13 = 0; } if (dataPoint14 == "True") { Yes14 = 1; } else { Yes14 = 0; } if (dataPoint15 == "True") { Yes15 = 1; } else { Yes15 = 0; } if (dataPoint16 == "True") { Yes16 = 1; } else { Yes16 = 0; } if (dataPoint17 == "True") { Yes17 = 1; } else { Yes17 = 0; } if (dataPoint18 == "True") { Yes18 = 1; } else { Yes18 = 0; } if (dataPoint19 == "True") { Yes19 = 1; } else { Yes19 = 0; } if (dataPoint20 == "True") { Yes20 = 1; } else { Yes20 = 0; }
                        if (dataPoint21 == "True") { Yes21 = 1; } else { Yes21 = 0; } if (dataPoint22 == "True") { Yes22 = 1; } else { Yes22 = 0; } if (dataPoint23 == "True") { Yes23 = 1; } else { Yes23 = 0; } if (dataPoint24 == "True") { Yes24 = 1; } else { Yes24 = 0; } if (dataPoint25 == "True") { Yes25 = 1; } else { Yes25 = 0; } if (dataPoint26 == "True") { Yes26 = 1; } else { Yes26 = 0; } if (dataPoint27 == "True") { Yes27 = 1; } else { Yes27 = 0; } if (dataPoint28 == "True") { Yes28 = 1; } else { Yes28 = 0; } if (dataPoint29 == "True") { Yes29 = 1; } else { Yes29 = 0; } if (dataPoint30 == "True") { Yes30 = 1; } else { Yes30 = 0; }
                        if (dataPoint31 == "True") { Yes31 = 1; } else { Yes31 = 0; } if (dataPoint32 == "True") { Yes32 = 1; } else { Yes32 = 0; } if (dataPoint33 == "True") { Yes33 = 1; } else { Yes33 = 0; } if (dataPoint34 == "True") { Yes34 = 1; } else { Yes34 = 0; } if (dataPoint35 == "True") { Yes35 = 1; } else { Yes35 = 0; } if (dataPoint36 == "True") { Yes36 = 1; } else { Yes36 = 0; } if (dataPoint37 == "True") { Yes37 = 1; } else { Yes37 = 0; } if (dataPoint38 == "True") { Yes38 = 1; } else { Yes38 = 0; } if (dataPoint39 == "True") { Yes39 = 1; } else { Yes39 = 0; } if (dataPoint40 == "True") { Yes40 = 1; } else { Yes40 = 0; }
                        if (dataPoint41 == "True") { Yes41 = 1; } else { Yes41 = 0; } if (dataPoint42 == "True") { Yes42 = 1; } else { Yes42 = 0; } if (dataPoint43 == "True") { Yes43 = 1; } else { Yes43 = 0; } if (dataPoint44 == "True") { Yes44 = 1; } else { Yes44 = 0; } if (dataPoint45 == "True") { Yes45 = 1; } else { Yes45 = 0; } if (dataPoint46 == "True") { Yes46 = 1; } else { Yes46 = 0; } if (dataPoint47 == "True") { Yes47 = 1; } else { Yes47 = 0; } if (dataPoint48 == "True") { Yes48 = 1; } else { Yes48 = 0; } if (dataPoint49 == "True") { Yes49 = 1; } else { Yes49 = 0; } if (dataPoint50 == "True") { Yes50 = 1; } else { Yes50 = 0; }
                        if (dataPoint51 == "True") { Yes51 = 1; } else { Yes51 = 0; } if (dataPoint52 == "True") { Yes52 = 1; } else { Yes52 = 0; } if (dataPoint53 == "True") { Yes53 = 1; } else { Yes53 = 0; } if (dataPoint54 == "True") { Yes54 = 1; } else { Yes54 = 0; } if (dataPoint55 == "True") { Yes55 = 1; } else { Yes55 = 0; } if (dataPoint56 == "True") { Yes56 = 1; } else { Yes56 = 0; } if (dataPoint57 == "True") { Yes57 = 1; } else { Yes57 = 0; } if (dataPoint58 == "True") { Yes58 = 1; } else { Yes58 = 0; } if (dataPoint59 == "True") { Yes59 = 1; } else { Yes59 = 0; } if (dataPoint60 == "True") { Yes60 = 1; } else { Yes60 = 0; }
                        if (dataPoint61 == "True") { Yes61 = 1; } else { Yes61 = 0; } if (dataPoint62 == "True") { Yes62 = 1; } else { Yes62 = 0; } if (dataPoint63 == "True") { Yes63 = 1; } else { Yes63 = 0; } if (dataPoint64 == "True") { Yes64 = 1; } else { Yes64 = 0; } if (dataPoint65 == "True") { Yes65 = 1; } else { Yes65 = 0; } if (dataPoint66 == "True") { Yes66 = 1; } else { Yes66 = 0; }

                        int totalYes = Yes1 + Yes2 + Yes3 + Yes4 + Yes5 + Yes6 + Yes7 + Yes8 + Yes9 + Yes10 + Yes11 + Yes12 + Yes13 + Yes14 + Yes15 + Yes16 + Yes17 + Yes18 + Yes19 + Yes20 + Yes21 + Yes22 + Yes23 + Yes24 + Yes25 + Yes26 + Yes27 + Yes28 + Yes29 + Yes30 + Yes31 + Yes32 + Yes33 + Yes34 + Yes35 + Yes36 + Yes37 + Yes38 + Yes39 + Yes40 + Yes41 + Yes42 + Yes43 + Yes44 + Yes45 + Yes46 + Yes47 + Yes48 + Yes49 + Yes50 + Yes51 + Yes52 + Yes53 + Yes54 + Yes55 + Yes56 + Yes57 + Yes58 + Yes59 + Yes60 + Yes61 + Yes62 + Yes63 + Yes64 + Yes65 + Yes66;

                        string dataPoint67 = graphDataSet.Tables["data"].Rows[0]["NO1"].ToString(); string dataPoint68 = graphDataSet.Tables["data"].Rows[0]["NO2"].ToString(); string dataPoint69 = graphDataSet.Tables["data"].Rows[0]["NO3"].ToString(); string dataPoint70 = graphDataSet.Tables["data"].Rows[0]["NO4"].ToString(); string dataPoint71 = graphDataSet.Tables["data"].Rows[0]["NO5"].ToString(); string dataPoint72 = graphDataSet.Tables["data"].Rows[0]["NO6"].ToString(); string dataPoint73 = graphDataSet.Tables["data"].Rows[0]["NO7"].ToString(); string dataPoint74 = graphDataSet.Tables["data"].Rows[0]["NO8"].ToString(); string dataPoint75 = graphDataSet.Tables["data"].Rows[0]["NO9"].ToString(); string dataPoint76 = graphDataSet.Tables["data"].Rows[0]["NO10"].ToString();
                        string dataPoint77 = graphDataSet.Tables["data"].Rows[0]["NO11"].ToString(); string dataPoint78 = graphDataSet.Tables["data"].Rows[0]["NO12"].ToString(); string dataPoint79 = graphDataSet.Tables["data"].Rows[0]["NO13"].ToString(); string dataPoint80 = graphDataSet.Tables["data"].Rows[0]["NO14"].ToString(); string dataPoint81 = graphDataSet.Tables["data"].Rows[0]["NO15"].ToString(); string dataPoint82 = graphDataSet.Tables["data"].Rows[0]["NO16"].ToString(); string dataPoint83 = graphDataSet.Tables["data"].Rows[0]["NO17"].ToString(); string dataPoint84 = graphDataSet.Tables["data"].Rows[0]["NO18"].ToString(); string dataPoint85 = graphDataSet.Tables["data"].Rows[0]["NO19"].ToString(); string dataPoint86 = graphDataSet.Tables["data"].Rows[0]["NO20"].ToString();
                        string dataPoint87 = graphDataSet.Tables["data"].Rows[0]["NO21"].ToString(); string dataPoint88 = graphDataSet.Tables["data"].Rows[0]["NO22"].ToString(); string dataPoint89 = graphDataSet.Tables["data"].Rows[0]["NO23"].ToString(); string dataPoint90 = graphDataSet.Tables["data"].Rows[0]["NO24"].ToString(); string dataPoint91 = graphDataSet.Tables["data"].Rows[0]["NO25"].ToString(); string dataPoint92 = graphDataSet.Tables["data"].Rows[0]["NO26"].ToString(); string dataPoint93 = graphDataSet.Tables["data"].Rows[0]["NO27"].ToString(); string dataPoint94 = graphDataSet.Tables["data"].Rows[0]["NO28"].ToString(); string dataPoint95 = graphDataSet.Tables["data"].Rows[0]["NO29"].ToString(); string dataPoint96 = graphDataSet.Tables["data"].Rows[0]["NO30"].ToString();
                        string dataPoint97 = graphDataSet.Tables["data"].Rows[0]["NO31"].ToString(); string dataPoint98 = graphDataSet.Tables["data"].Rows[0]["NO32"].ToString(); string dataPoint99 = graphDataSet.Tables["data"].Rows[0]["NO33"].ToString(); string dataPoint100 = graphDataSet.Tables["data"].Rows[0]["NO34"].ToString(); string dataPoint101 = graphDataSet.Tables["data"].Rows[0]["NO35"].ToString(); string dataPoint102 = graphDataSet.Tables["data"].Rows[0]["NO36"].ToString(); string dataPoint103 = graphDataSet.Tables["data"].Rows[0]["NO37"].ToString(); string dataPoint104 = graphDataSet.Tables["data"].Rows[0]["NO38"].ToString(); string dataPoint105 = graphDataSet.Tables["data"].Rows[0]["NO39"].ToString(); string dataPoint106 = graphDataSet.Tables["data"].Rows[0]["NO40"].ToString();
                        string dataPoint107 = graphDataSet.Tables["data"].Rows[0]["NO41"].ToString(); string dataPoint108 = graphDataSet.Tables["data"].Rows[0]["NO42"].ToString(); string dataPoint109 = graphDataSet.Tables["data"].Rows[0]["NO43"].ToString(); string dataPoint110 = graphDataSet.Tables["data"].Rows[0]["NO44"].ToString(); string dataPoint111 = graphDataSet.Tables["data"].Rows[0]["NO45"].ToString(); string dataPoint112 = graphDataSet.Tables["data"].Rows[0]["NO46"].ToString(); string dataPoint113 = graphDataSet.Tables["data"].Rows[0]["NO47"].ToString(); string dataPoint114 = graphDataSet.Tables["data"].Rows[0]["NO48"].ToString(); string dataPoint115 = graphDataSet.Tables["data"].Rows[0]["NO49"].ToString(); string dataPoint116 = graphDataSet.Tables["data"].Rows[0]["NO50"].ToString();
                        string dataPoint117 = graphDataSet.Tables["data"].Rows[0]["NO51"].ToString(); string dataPoint118 = graphDataSet.Tables["data"].Rows[0]["NO52"].ToString(); string dataPoint119 = graphDataSet.Tables["data"].Rows[0]["NO53"].ToString(); string dataPoint120 = graphDataSet.Tables["data"].Rows[0]["NO54"].ToString(); string dataPoint121 = graphDataSet.Tables["data"].Rows[0]["NO55"].ToString(); string dataPoint122 = graphDataSet.Tables["data"].Rows[0]["NO56"].ToString(); string dataPoint123 = graphDataSet.Tables["data"].Rows[0]["NO57"].ToString(); string dataPoint124 = graphDataSet.Tables["data"].Rows[0]["NO58"].ToString(); string dataPoint125 = graphDataSet.Tables["data"].Rows[0]["NO59"].ToString(); string dataPoint126 = graphDataSet.Tables["data"].Rows[0]["NO60"].ToString();
                        string dataPoint127 = graphDataSet.Tables["data"].Rows[0]["NO61"].ToString(); string dataPoint128 = graphDataSet.Tables["data"].Rows[0]["NO62"].ToString(); string dataPoint129 = graphDataSet.Tables["data"].Rows[0]["NO63"].ToString(); string dataPoint130 = graphDataSet.Tables["data"].Rows[0]["NO64"].ToString(); string dataPoint131 = graphDataSet.Tables["data"].Rows[0]["NO65"].ToString(); string dataPoint132 = graphDataSet.Tables["data"].Rows[0]["NO66"].ToString();

                        int No1; int No2; int No3; int No4; int No5; int No6; int No7; int No8; int No9; int No10; int No11; int No12; int No13; int No14; int No15; int No16; int No17; int No18; int No19; int No20; int No21; int No22; int No23; int No24; int No25; int No26; int No27; int No28; int No29; int No30; int No31; int No32; int No33; int No34; int No35; int No36; int No37; int No38; int No39; int No40; int No41; int No42; int No43; int No44; int No45; int No46; int No47; int No48; int No49; int No50; int No51; int No52; int No53; int No54; int No55; int No56; int No57; int No58; int No59; int No60; int No61; int No62; int No63; int No64; int No65; int No66;

                        if (dataPoint67 == "True") { No1 = 1; } else { No1 = 0; } if (dataPoint68 == "True") { No2 = 1; } else { No2 = 0; } if (dataPoint69 == "True") { No3 = 1; } else { No3 = 0; } if (dataPoint70 == "True") { No4 = 1; } else { No4 = 0; } if (dataPoint71 == "True") { No5 = 1; } else { No5 = 0; } if (dataPoint72 == "True") { No6 = 1; } else { No6 = 0; } if (dataPoint73 == "True") { No7 = 1; } else { No7 = 0; } if (dataPoint74 == "True") { No8 = 1; } else { No8 = 0; } if (dataPoint75 == "True") { No9 = 1; } else { No9 = 0; } if (dataPoint76 == "True") { No10 = 1; } else { No10 = 0; }
                        if (dataPoint77 == "True") { No11 = 1; } else { No11 = 0; } if (dataPoint78 == "True") { No12 = 1; } else { No12 = 0; } if (dataPoint79 == "True") { No13 = 1; } else { No13 = 0; } if (dataPoint80 == "True") { No14 = 1; } else { No14 = 0; } if (dataPoint81 == "True") { No15 = 1; } else { No15 = 0; } if (dataPoint82 == "True") { No16 = 1; } else { No16 = 0; } if (dataPoint83 == "True") { No17 = 1; } else { No17 = 0; } if (dataPoint84 == "True") { No18 = 1; } else { No18 = 0; } if (dataPoint85 == "True") { No19 = 1; } else { No19 = 0; } if (dataPoint86 == "True") { No20 = 1; } else { No20 = 0; }
                        if (dataPoint87 == "True") { No21 = 1; } else { No21 = 0; } if (dataPoint88 == "True") { No22 = 1; } else { No22 = 0; } if (dataPoint89 == "True") { No23 = 1; } else { No23 = 0; } if (dataPoint90 == "True") { No24 = 1; } else { No24 = 0; } if (dataPoint91 == "True") { No25 = 1; } else { No25 = 0; } if (dataPoint92 == "True") { No26 = 1; } else { No26 = 0; } if (dataPoint93 == "True") { No27 = 1; } else { No27 = 0; } if (dataPoint94 == "True") { No28 = 1; } else { No28 = 0; } if (dataPoint95 == "True") { No29 = 1; } else { No29 = 0; } if (dataPoint96 == "True") { No30 = 1; } else { No30 = 0; }
                        if (dataPoint97 == "True") { No31 = 1; } else { No31 = 0; } if (dataPoint98 == "True") { No32 = 1; } else { No32 = 0; } if (dataPoint99 == "True") { No33 = 1; } else { No33 = 0; } if (dataPoint100 == "True") { No34 = 1; } else { No34 = 0; } if (dataPoint101 == "True") { No35 = 1; } else { No35 = 0; } if (dataPoint102 == "True") { No36 = 1; } else { No36 = 0; } if (dataPoint103 == "True") { No37 = 1; } else { No37 = 0; } if (dataPoint104 == "True") { No38 = 1; } else { No38 = 0; } if (dataPoint105 == "True") { No39 = 1; } else { No39 = 0; } if (dataPoint106 == "True") { No40 = 1; } else { No40 = 0; }
                        if (dataPoint107 == "True") { No41 = 1; } else { No41 = 0; } if (dataPoint108 == "True") { No42 = 1; } else { No42 = 0; } if (dataPoint109 == "True") { No43 = 1; } else { No43 = 0; } if (dataPoint110 == "True") { No44 = 1; } else { No44 = 0; } if (dataPoint111 == "True") { No45 = 1; } else { No45 = 0; } if (dataPoint112 == "True") { No46 = 1; } else { No46 = 0; } if (dataPoint113 == "True") { No47 = 1; } else { No47 = 0; } if (dataPoint114 == "True") { No48 = 1; } else { No48 = 0; } if (dataPoint115 == "True") { No49 = 1; } else { No49 = 0; } if (dataPoint116 == "True") { No50 = 1; } else { No50 = 0; }
                        if (dataPoint117 == "True") { No51 = 1; } else { No51 = 0; } if (dataPoint118 == "True") { No52 = 1; } else { No52 = 0; } if (dataPoint119 == "True") { No53 = 1; } else { No53 = 0; } if (dataPoint120 == "True") { No54 = 1; } else { No54 = 0; } if (dataPoint121 == "True") { No55 = 1; } else { No55 = 0; } if (dataPoint122 == "True") { No56 = 1; } else { No56 = 0; } if (dataPoint123 == "True") { No57 = 1; } else { No57 = 0; } if (dataPoint124 == "True") { No58 = 1; } else { No58 = 0; } if (dataPoint125 == "True") { No59 = 1; } else { No59 = 0; } if (dataPoint126 == "True") { No60 = 1; } else { No60 = 0; }
                        if (dataPoint127 == "True") { No61 = 1; } else { No61 = 0; } if (dataPoint128 == "True") { No62 = 1; } else { No62 = 0; } if (dataPoint129 == "True") { No63 = 1; } else { No63 = 0; } if (dataPoint130 == "True") { No64 = 1; } else { No64 = 0; } if (dataPoint131 == "True") { No65 = 1; } else { No65 = 0; } if (dataPoint132 == "True") { No66 = 1; } else { No66 = 0; }

                        int totalNo = No1 + No2 + No3 + No4 + No5 + No6 + No7 + No8 + No9 + No10 + No11 + No12 + No13 + No14 + No15 + No16 + No17 + No18 + No19 + No20 + No21 + No22 + No23 + No24 + No25 + No26 + No27 + No28 + No29 + No30 + No31 + No32 + No33 + No34 + No35 + No36 + No37 + No38 + No39 + No40 + No41 + No42 + No43 + No44 + No45 + No46 + No47 + No48 + No49 + No50 + No51 + No52 + No53 + No54 + No55 + No56 + No57 + No58 + No59 + No60 + No61 + No62 + No63 + No64 + No65 + No66;

                        string dataPoint133 = graphDataSet.Tables["data"].Rows[0]["NA1"].ToString(); string dataPoint134 = graphDataSet.Tables["data"].Rows[0]["NA2"].ToString(); string dataPoint135 = graphDataSet.Tables["data"].Rows[0]["NA3"].ToString(); string dataPoint136 = graphDataSet.Tables["data"].Rows[0]["NA4"].ToString(); string dataPoint137 = graphDataSet.Tables["data"].Rows[0]["NA5"].ToString(); string dataPoint138 = graphDataSet.Tables["data"].Rows[0]["NA6"].ToString(); string dataPoint139 = graphDataSet.Tables["data"].Rows[0]["NA7"].ToString(); string dataPoint140 = graphDataSet.Tables["data"].Rows[0]["NA8"].ToString(); string dataPoint141 = graphDataSet.Tables["data"].Rows[0]["NA9"].ToString(); string dataPoint142 = graphDataSet.Tables["data"].Rows[0]["NA10"].ToString();
                        string dataPoint143 = graphDataSet.Tables["data"].Rows[0]["NA11"].ToString(); string dataPoint144 = graphDataSet.Tables["data"].Rows[0]["NA12"].ToString(); string dataPoint145 = graphDataSet.Tables["data"].Rows[0]["NA13"].ToString(); string dataPoint146 = graphDataSet.Tables["data"].Rows[0]["NA14"].ToString(); string dataPoint147 = graphDataSet.Tables["data"].Rows[0]["NA15"].ToString(); string dataPoint148 = graphDataSet.Tables["data"].Rows[0]["NA16"].ToString(); string dataPoint149 = graphDataSet.Tables["data"].Rows[0]["NA17"].ToString(); string dataPoint150 = graphDataSet.Tables["data"].Rows[0]["NA18"].ToString(); string dataPoint151 = graphDataSet.Tables["data"].Rows[0]["NA19"].ToString(); string dataPoint152 = graphDataSet.Tables["data"].Rows[0]["NA20"].ToString();
                        string dataPoint153 = graphDataSet.Tables["data"].Rows[0]["NA21"].ToString(); string dataPoint154 = graphDataSet.Tables["data"].Rows[0]["NA22"].ToString(); string dataPoint155 = graphDataSet.Tables["data"].Rows[0]["NA23"].ToString(); string dataPoint156 = graphDataSet.Tables["data"].Rows[0]["NA24"].ToString(); string dataPoint157 = graphDataSet.Tables["data"].Rows[0]["NA25"].ToString(); string dataPoint158 = graphDataSet.Tables["data"].Rows[0]["NA26"].ToString(); string dataPoint159 = graphDataSet.Tables["data"].Rows[0]["NA27"].ToString(); string dataPoint160 = graphDataSet.Tables["data"].Rows[0]["NA28"].ToString(); string dataPoint161 = graphDataSet.Tables["data"].Rows[0]["NA29"].ToString(); string dataPoint162 = graphDataSet.Tables["data"].Rows[0]["NA30"].ToString();
                        string dataPoint163 = graphDataSet.Tables["data"].Rows[0]["NA31"].ToString(); string dataPoint164 = graphDataSet.Tables["data"].Rows[0]["NA32"].ToString(); string dataPoint165 = graphDataSet.Tables["data"].Rows[0]["NA33"].ToString(); string dataPoint166 = graphDataSet.Tables["data"].Rows[0]["NA34"].ToString(); string dataPoint167 = graphDataSet.Tables["data"].Rows[0]["NA35"].ToString(); string dataPoint168 = graphDataSet.Tables["data"].Rows[0]["NA36"].ToString(); string dataPoint169 = graphDataSet.Tables["data"].Rows[0]["NA37"].ToString(); string dataPoint170 = graphDataSet.Tables["data"].Rows[0]["NA38"].ToString(); string dataPoint171 = graphDataSet.Tables["data"].Rows[0]["NA39"].ToString(); string dataPoint172 = graphDataSet.Tables["data"].Rows[0]["NA40"].ToString();
                        string dataPoint173 = graphDataSet.Tables["data"].Rows[0]["NA41"].ToString(); string dataPoint174 = graphDataSet.Tables["data"].Rows[0]["NA42"].ToString(); string dataPoint175 = graphDataSet.Tables["data"].Rows[0]["NA43"].ToString(); string dataPoint176 = graphDataSet.Tables["data"].Rows[0]["NA44"].ToString(); string dataPoint177 = graphDataSet.Tables["data"].Rows[0]["NA45"].ToString(); string dataPoint178 = graphDataSet.Tables["data"].Rows[0]["NA46"].ToString(); string dataPoint179 = graphDataSet.Tables["data"].Rows[0]["NA47"].ToString(); string dataPoint180 = graphDataSet.Tables["data"].Rows[0]["NA48"].ToString(); string dataPoint181 = graphDataSet.Tables["data"].Rows[0]["NA49"].ToString(); string dataPoint182 = graphDataSet.Tables["data"].Rows[0]["NA50"].ToString();
                        string dataPoint183 = graphDataSet.Tables["data"].Rows[0]["NA51"].ToString(); string dataPoint184 = graphDataSet.Tables["data"].Rows[0]["NA52"].ToString(); string dataPoint185 = graphDataSet.Tables["data"].Rows[0]["NA53"].ToString(); string dataPoint186 = graphDataSet.Tables["data"].Rows[0]["NA54"].ToString(); string dataPoint187 = graphDataSet.Tables["data"].Rows[0]["NA55"].ToString(); string dataPoint188 = graphDataSet.Tables["data"].Rows[0]["NA56"].ToString(); string dataPoint189 = graphDataSet.Tables["data"].Rows[0]["NA57"].ToString(); string dataPoint190 = graphDataSet.Tables["data"].Rows[0]["NA58"].ToString(); string dataPoint191 = graphDataSet.Tables["data"].Rows[0]["NA59"].ToString(); string dataPoint192 = graphDataSet.Tables["data"].Rows[0]["NA60"].ToString();
                        string dataPoint193 = graphDataSet.Tables["data"].Rows[0]["NA61"].ToString(); string dataPoint194 = graphDataSet.Tables["data"].Rows[0]["NA62"].ToString(); string dataPoint195 = graphDataSet.Tables["data"].Rows[0]["NA63"].ToString(); string dataPoint196 = graphDataSet.Tables["data"].Rows[0]["NA64"].ToString(); string dataPoint197 = graphDataSet.Tables["data"].Rows[0]["NA65"].ToString(); string dataPoint198 = graphDataSet.Tables["data"].Rows[0]["NA66"].ToString();

                        int Na1; int Na2; int Na3; int Na4; int Na5; int Na6; int Na7; int Na8; int Na9; int Na10; int Na11; int Na12; int Na13; int Na14; int Na15; int Na16; int Na17; int Na18; int Na19; int Na20; int Na21; int Na22; int Na23; int Na24; int Na25; int Na26; int Na27; int Na28; int Na29; int Na30; int Na31; int Na32; int Na33; int Na34; int Na35; int Na36; int Na37; int Na38; int Na39; int Na40; int Na41; int Na42; int Na43; int Na44; int Na45; int Na46; int Na47; int Na48; int Na49; int Na50; int Na51; int Na52; int Na53; int Na54; int Na55; int Na56; int Na57; int Na58; int Na59; int Na60; int Na61; int Na62; int Na63; int Na64; int Na65; int Na66;

                        if (dataPoint133 == "True") { Na1 = 1; } else { Na1 = 0; } if (dataPoint134 == "True") { Na2 = 1; } else { Na2 = 0; } if (dataPoint135 == "True") { Na3 = 1; } else { Na3 = 0; } if (dataPoint136 == "True") { Na4 = 1; } else { Na4 = 0; } if (dataPoint137 == "True") { Na5 = 1; } else { Na5 = 0; } if (dataPoint138 == "True") { Na6 = 1; } else { Na6 = 0; } if (dataPoint139 == "True") { Na7 = 1; } else { Na7 = 0; } if (dataPoint140 == "True") { Na8 = 1; } else { Na8 = 0; } if (dataPoint141 == "True") { Na9 = 1; } else { Na9 = 0; } if (dataPoint142 == "True") { Na10 = 1; } else { Na10 = 0; }
                        if (dataPoint143 == "True") { Na11 = 1; } else { Na11 = 0; } if (dataPoint144 == "True") { Na12 = 1; } else { Na12 = 0; } if (dataPoint145 == "True") { Na13 = 1; } else { Na13 = 0; } if (dataPoint146 == "True") { Na14 = 1; } else { Na14 = 0; } if (dataPoint147 == "True") { Na15 = 1; } else { Na15 = 0; } if (dataPoint148 == "True") { Na16 = 1; } else { Na16 = 0; } if (dataPoint149 == "True") { Na17 = 1; } else { Na17 = 0; } if (dataPoint150 == "True") { Na18 = 1; } else { Na18 = 0; } if (dataPoint151 == "True") { Na19 = 1; } else { Na19 = 0; } if (dataPoint152 == "True") { Na20 = 1; } else { Na20 = 0; }
                        if (dataPoint153 == "True") { Na21 = 1; } else { Na21 = 0; } if (dataPoint154 == "True") { Na22 = 1; } else { Na22 = 0; } if (dataPoint155 == "True") { Na23 = 1; } else { Na23 = 0; } if (dataPoint156 == "True") { Na24 = 1; } else { Na24 = 0; } if (dataPoint157 == "True") { Na25 = 1; } else { Na25 = 0; } if (dataPoint158 == "True") { Na26 = 1; } else { Na26 = 0; } if (dataPoint159 == "True") { Na27 = 1; } else { Na27 = 0; } if (dataPoint160 == "True") { Na28 = 1; } else { Na28 = 0; } if (dataPoint161 == "True") { Na29 = 1; } else { Na29 = 0; } if (dataPoint162 == "True") { Na30 = 1; } else { Na30 = 0; }
                        if (dataPoint163 == "True") { Na31 = 1; } else { Na31 = 0; } if (dataPoint164 == "True") { Na32 = 1; } else { Na32 = 0; } if (dataPoint165 == "True") { Na33 = 1; } else { Na33 = 0; } if (dataPoint166 == "True") { Na34 = 1; } else { Na34 = 0; } if (dataPoint167 == "True") { Na35 = 1; } else { Na35 = 0; } if (dataPoint168 == "True") { Na36 = 1; } else { Na36 = 0; } if (dataPoint169 == "True") { Na37 = 1; } else { Na37 = 0; } if (dataPoint170 == "True") { Na38 = 1; } else { Na38 = 0; } if (dataPoint171 == "True") { Na39 = 1; } else { Na39 = 0; } if (dataPoint172 == "True") { Na40 = 1; } else { Na40 = 0; }
                        if (dataPoint173 == "True") { Na41 = 1; } else { Na41 = 0; } if (dataPoint174 == "True") { Na42 = 1; } else { Na42 = 0; } if (dataPoint175 == "True") { Na43 = 1; } else { Na43 = 0; } if (dataPoint176 == "True") { Na44 = 1; } else { Na44 = 0; } if (dataPoint177 == "True") { Na45 = 1; } else { Na45 = 0; } if (dataPoint178 == "True") { Na46 = 1; } else { Na46 = 0; } if (dataPoint179 == "True") { Na47 = 1; } else { Na47 = 0; } if (dataPoint180 == "True") { Na48 = 1; } else { Na48 = 0; } if (dataPoint181 == "True") { Na49 = 1; } else { Na49 = 0; } if (dataPoint182 == "True") { Na50 = 1; } else { Na50 = 0; }
                        if (dataPoint183 == "True") { Na51 = 1; } else { Na51 = 0; } if (dataPoint184 == "True") { Na52 = 1; } else { Na52 = 0; } if (dataPoint185 == "True") { Na53 = 1; } else { Na53 = 0; } if (dataPoint186 == "True") { Na54 = 1; } else { Na54 = 0; } if (dataPoint187 == "True") { Na55 = 1; } else { Na55 = 0; } if (dataPoint188 == "True") { Na56 = 1; } else { Na56 = 0; } if (dataPoint189 == "True") { Na57 = 1; } else { Na57 = 0; } if (dataPoint190 == "True") { Na58 = 1; } else { Na58 = 0; } if (dataPoint191 == "True") { Na59 = 1; } else { Na59 = 0; } if (dataPoint192 == "True") { Na60 = 1; } else { Na60 = 0; }
                        if (dataPoint193 == "True") { Na61 = 1; } else { Na61 = 0; } if (dataPoint194 == "True") { Na62 = 1; } else { Na62 = 0; } if (dataPoint195 == "True") { Na63 = 1; } else { Na63 = 0; } if (dataPoint196 == "True") { Na64 = 1; } else { Na64 = 0; } if (dataPoint197 == "True") { Na65 = 1; } else { Na65 = 0; } if (dataPoint198 == "True") { Na66 = 1; } else { Na66 = 0; }

                        int totalNa = Na1 + Na2 + Na3 + Na4 + Na5 + Na6 + Na7 + Na8 + Na9 + Na10 + Na11 + Na12 + Na13 + Na14 + Na15 + Na16 + Na17 + Na18 + Na19 + Na20 + Na21 + Na22 + Na23 + Na24 + Na25 + Na26 + Na27 + Na28 + Na29 + Na30 + Na31 + Na32 + Na33 + Na34 + Na35 + Na36 + Na37 + Na38 + Na39 + Na40 + Na41 + Na42 + Na43 + Na44 + Na45 + Na46 + Na47 + Na48 + Na49 + Na50 + Na51 + Na52 + Na53 + Na54 + Na55 + Na56 + Na57 + Na58 + Na59 + Na60 + Na61 + Na62 + Na63 + Na64 + Na65 + Na66;

                        string dataPoint199 = graphDataSet.Tables["data"].Rows[1]["Yes1"].ToString(); string dataPoint200 = graphDataSet.Tables["data"].Rows[1]["Yes2"].ToString(); string dataPoint201 = graphDataSet.Tables["data"].Rows[1]["Yes3"].ToString(); string dataPoint202 = graphDataSet.Tables["data"].Rows[1]["Yes4"].ToString(); string dataPoint203 = graphDataSet.Tables["data"].Rows[1]["Yes5"].ToString(); string dataPoint204 = graphDataSet.Tables["data"].Rows[1]["Yes6"].ToString(); string dataPoint205 = graphDataSet.Tables["data"].Rows[1]["Yes7"].ToString(); string dataPoint206 = graphDataSet.Tables["data"].Rows[1]["Yes8"].ToString(); string dataPoint207 = graphDataSet.Tables["data"].Rows[1]["Yes9"].ToString(); string dataPoint208 = graphDataSet.Tables["data"].Rows[1]["Yes10"].ToString();
                        string dataPoint209 = graphDataSet.Tables["data"].Rows[1]["Yes11"].ToString(); string dataPoint210 = graphDataSet.Tables["data"].Rows[1]["Yes12"].ToString(); string dataPoint211 = graphDataSet.Tables["data"].Rows[1]["Yes13"].ToString(); string dataPoint212 = graphDataSet.Tables["data"].Rows[1]["Yes14"].ToString(); string dataPoint213 = graphDataSet.Tables["data"].Rows[1]["Yes15"].ToString(); string dataPoint214 = graphDataSet.Tables["data"].Rows[1]["Yes16"].ToString(); string dataPoint215 = graphDataSet.Tables["data"].Rows[1]["Yes17"].ToString(); string dataPoint216 = graphDataSet.Tables["data"].Rows[1]["Yes18"].ToString(); string dataPoint217 = graphDataSet.Tables["data"].Rows[1]["Yes19"].ToString(); string dataPoint218 = graphDataSet.Tables["data"].Rows[1]["Yes20"].ToString();
                        string dataPoint219 = graphDataSet.Tables["data"].Rows[1]["Yes21"].ToString(); string dataPoint220 = graphDataSet.Tables["data"].Rows[1]["Yes22"].ToString(); string dataPoint221 = graphDataSet.Tables["data"].Rows[1]["Yes23"].ToString(); string dataPoint222 = graphDataSet.Tables["data"].Rows[1]["Yes24"].ToString(); string dataPoint223 = graphDataSet.Tables["data"].Rows[1]["Yes25"].ToString(); string dataPoint224 = graphDataSet.Tables["data"].Rows[1]["Yes26"].ToString(); string dataPoint225 = graphDataSet.Tables["data"].Rows[1]["Yes27"].ToString(); string dataPoint226 = graphDataSet.Tables["data"].Rows[1]["Yes28"].ToString(); string dataPoint227 = graphDataSet.Tables["data"].Rows[1]["Yes29"].ToString(); string dataPoint228 = graphDataSet.Tables["data"].Rows[1]["Yes30"].ToString();
                        string dataPoint229 = graphDataSet.Tables["data"].Rows[1]["Yes31"].ToString(); string dataPoint230 = graphDataSet.Tables["data"].Rows[1]["Yes32"].ToString(); string dataPoint231 = graphDataSet.Tables["data"].Rows[1]["Yes33"].ToString(); string dataPoint232 = graphDataSet.Tables["data"].Rows[1]["Yes34"].ToString(); string dataPoint233 = graphDataSet.Tables["data"].Rows[1]["Yes35"].ToString(); string dataPoint234 = graphDataSet.Tables["data"].Rows[1]["Yes36"].ToString(); string dataPoint235 = graphDataSet.Tables["data"].Rows[1]["Yes37"].ToString(); string dataPoint236 = graphDataSet.Tables["data"].Rows[1]["Yes38"].ToString(); string dataPoint237 = graphDataSet.Tables["data"].Rows[1]["Yes39"].ToString(); string dataPoint238 = graphDataSet.Tables["data"].Rows[1]["Yes40"].ToString();
                        string dataPoint239 = graphDataSet.Tables["data"].Rows[1]["Yes41"].ToString(); string dataPoint240 = graphDataSet.Tables["data"].Rows[1]["Yes42"].ToString(); string dataPoint241 = graphDataSet.Tables["data"].Rows[1]["Yes43"].ToString(); string dataPoint242 = graphDataSet.Tables["data"].Rows[1]["Yes44"].ToString(); string dataPoint243 = graphDataSet.Tables["data"].Rows[1]["Yes45"].ToString(); string dataPoint244 = graphDataSet.Tables["data"].Rows[1]["Yes46"].ToString(); string dataPoint245 = graphDataSet.Tables["data"].Rows[1]["Yes47"].ToString(); string dataPoint246 = graphDataSet.Tables["data"].Rows[1]["Yes48"].ToString(); string dataPoint247 = graphDataSet.Tables["data"].Rows[1]["Yes49"].ToString(); string dataPoint248 = graphDataSet.Tables["data"].Rows[1]["Yes50"].ToString();
                        string dataPoint249 = graphDataSet.Tables["data"].Rows[1]["Yes51"].ToString(); string dataPoint250 = graphDataSet.Tables["data"].Rows[1]["Yes52"].ToString(); string dataPoint251 = graphDataSet.Tables["data"].Rows[1]["Yes53"].ToString(); string dataPoint252 = graphDataSet.Tables["data"].Rows[1]["Yes54"].ToString(); string dataPoint253 = graphDataSet.Tables["data"].Rows[1]["Yes55"].ToString(); string dataPoint254 = graphDataSet.Tables["data"].Rows[1]["Yes56"].ToString(); string dataPoint255 = graphDataSet.Tables["data"].Rows[1]["Yes57"].ToString(); string dataPoint256 = graphDataSet.Tables["data"].Rows[1]["Yes58"].ToString(); string dataPoint257 = graphDataSet.Tables["data"].Rows[1]["Yes59"].ToString(); string dataPoint258 = graphDataSet.Tables["data"].Rows[1]["Yes60"].ToString();
                        string dataPoint259 = graphDataSet.Tables["data"].Rows[1]["Yes61"].ToString(); string dataPoint260 = graphDataSet.Tables["data"].Rows[1]["Yes62"].ToString(); string dataPoint261 = graphDataSet.Tables["data"].Rows[1]["Yes63"].ToString(); string dataPoint262 = graphDataSet.Tables["data"].Rows[1]["Yes64"].ToString(); string dataPoint263 = graphDataSet.Tables["data"].Rows[1]["Yes65"].ToString(); string dataPoint264 = graphDataSet.Tables["data"].Rows[1]["Yes66"].ToString();

                        int aYes1; int aYes2; int aYes3; int aYes4; int aYes5; int aYes6; int aYes7; int aYes8; int aYes9; int aYes10; int aYes11; int aYes12; int aYes13; int aYes14; int aYes15; int aYes16; int aYes17; int aYes18; int aYes19; int aYes20; int aYes21; int aYes22; int aYes23; int aYes24; int aYes25; int aYes26; int aYes27; int aYes28; int aYes29; int aYes30; int aYes31; int aYes32; int aYes33; int aYes34; int aYes35; int aYes36; int aYes37; int aYes38; int aYes39; int aYes40; int aYes41; int aYes42; int aYes43; int aYes44; int aYes45; int aYes46; int aYes47; int aYes48; int aYes49; int aYes50; int aYes51; int aYes52; int aYes53; int aYes54; int aYes55; int aYes56; int aYes57; int aYes58; int aYes59; int aYes60; int aYes61; int aYes62; int aYes63; int aYes64; int aYes65; int aYes66;

                        if (dataPoint199 == "True") { aYes1 = 1; } else { aYes1 = 0; } if (dataPoint200 == "True") { aYes2 = 1; } else { aYes2 = 0; } if (dataPoint201 == "True") { aYes3 = 1; } else { aYes3 = 0; } if (dataPoint202 == "True") { aYes4 = 1; } else { aYes4 = 0; } if (dataPoint203 == "True") { aYes5 = 1; } else { aYes5 = 0; } if (dataPoint204 == "True") { aYes6 = 1; } else { aYes6 = 0; } if (dataPoint205 == "True") { aYes7 = 1; } else { aYes7 = 0; } if (dataPoint206 == "True") { aYes8 = 1; } else { aYes8 = 0; } if (dataPoint207 == "True") { aYes9 = 1; } else { aYes9 = 0; } if (dataPoint208 == "True") { aYes10 = 1; } else { aYes10 = 0; }
                        if (dataPoint209 == "True") { aYes11 = 1; } else { aYes11 = 0; } if (dataPoint210 == "True") { aYes12 = 1; } else { aYes12 = 0; } if (dataPoint211 == "True") { aYes13 = 1; } else { aYes13 = 0; } if (dataPoint212 == "True") { aYes14 = 1; } else { aYes14 = 0; } if (dataPoint213 == "True") { aYes15 = 1; } else { aYes15 = 0; } if (dataPoint214 == "True") { aYes16 = 1; } else { aYes16 = 0; } if (dataPoint215 == "True") { aYes17 = 1; } else { aYes17 = 0; } if (dataPoint216 == "True") { aYes18 = 1; } else { aYes18 = 0; } if (dataPoint217 == "True") { aYes19 = 1; } else { aYes19 = 0; } if (dataPoint218 == "True") { aYes20 = 1; } else { aYes20 = 0; }
                        if (dataPoint219 == "True") { aYes21 = 1; } else { aYes21 = 0; } if (dataPoint220 == "True") { aYes22 = 1; } else { aYes22 = 0; } if (dataPoint221 == "True") { aYes23 = 1; } else { aYes23 = 0; } if (dataPoint222 == "True") { aYes24 = 1; } else { aYes24 = 0; } if (dataPoint223 == "True") { aYes25 = 1; } else { aYes25 = 0; } if (dataPoint224 == "True") { aYes26 = 1; } else { aYes26 = 0; } if (dataPoint225 == "True") { aYes27 = 1; } else { aYes27 = 0; } if (dataPoint226 == "True") { aYes28 = 1; } else { aYes28 = 0; } if (dataPoint227 == "True") { aYes29 = 1; } else { aYes29 = 0; } if (dataPoint228 == "True") { aYes30 = 1; } else { aYes30 = 0; }
                        if (dataPoint229 == "True") { aYes31 = 1; } else { aYes31 = 0; } if (dataPoint230 == "True") { aYes32 = 1; } else { aYes32 = 0; } if (dataPoint231 == "True") { aYes33 = 1; } else { aYes33 = 0; } if (dataPoint232 == "True") { aYes34 = 1; } else { aYes34 = 0; } if (dataPoint233 == "True") { aYes35 = 1; } else { aYes35 = 0; } if (dataPoint234 == "True") { aYes36 = 1; } else { aYes36 = 0; } if (dataPoint235 == "True") { aYes37 = 1; } else { aYes37 = 0; } if (dataPoint236 == "True") { aYes38 = 1; } else { aYes38 = 0; } if (dataPoint237 == "True") { aYes39 = 1; } else { aYes39 = 0; } if (dataPoint238 == "True") { aYes40 = 1; } else { aYes40 = 0; }
                        if (dataPoint239 == "True") { aYes41 = 1; } else { aYes41 = 0; } if (dataPoint240 == "True") { aYes42 = 1; } else { aYes42 = 0; } if (dataPoint241 == "True") { aYes43 = 1; } else { aYes43 = 0; } if (dataPoint242 == "True") { aYes44 = 1; } else { aYes44 = 0; } if (dataPoint243 == "True") { aYes45 = 1; } else { aYes45 = 0; } if (dataPoint244 == "True") { aYes46 = 1; } else { aYes46 = 0; } if (dataPoint245 == "True") { aYes47 = 1; } else { aYes47 = 0; } if (dataPoint246 == "True") { aYes48 = 1; } else { aYes48 = 0; } if (dataPoint247 == "True") { aYes49 = 1; } else { aYes49 = 0; } if (dataPoint248 == "True") { aYes50 = 1; } else { aYes50 = 0; }
                        if (dataPoint249 == "True") { aYes51 = 1; } else { aYes51 = 0; } if (dataPoint250 == "True") { aYes52 = 1; } else { aYes52 = 0; } if (dataPoint251 == "True") { aYes53 = 1; } else { aYes53 = 0; } if (dataPoint252 == "True") { aYes54 = 1; } else { aYes54 = 0; } if (dataPoint253 == "True") { aYes55 = 1; } else { aYes55 = 0; } if (dataPoint254 == "True") { aYes56 = 1; } else { aYes56 = 0; } if (dataPoint255 == "True") { aYes57 = 1; } else { aYes57 = 0; } if (dataPoint256 == "True") { aYes58 = 1; } else { aYes58 = 0; } if (dataPoint257 == "True") { aYes59 = 1; } else { aYes59 = 0; } if (dataPoint258 == "True") { aYes60 = 1; } else { aYes60 = 0; }
                        if (dataPoint259 == "True") { aYes61 = 1; } else { aYes61 = 0; } if (dataPoint260 == "True") { aYes62 = 1; } else { aYes62 = 0; } if (dataPoint261 == "True") { aYes63 = 1; } else { aYes63 = 0; } if (dataPoint262 == "True") { aYes64 = 1; } else { aYes64 = 0; } if (dataPoint263 == "True") { aYes65 = 1; } else { aYes65 = 0; } if (dataPoint264 == "True") { aYes66 = 1; } else { aYes66 = 0; }

                        int atotalYes = aYes1 + aYes2 + aYes3 + aYes4 + aYes5 + aYes6 + aYes7 + aYes8 + aYes9 + aYes10 + aYes11 + aYes12 + aYes13 + aYes14 + aYes15 + aYes16 + aYes17 + aYes18 + aYes19 + aYes20 + aYes21 + aYes22 + aYes23 + aYes24 + aYes25 + aYes26 + aYes27 + aYes28 + aYes29 + aYes30 + aYes31 + aYes32 + aYes33 + aYes34 + aYes35 + aYes36 + aYes37 + aYes38 + aYes39 + aYes40 + aYes41 + aYes42 + aYes43 + aYes44 + aYes45 + aYes46 + aYes47 + aYes48 + aYes49 + aYes50 + aYes51 + aYes52 + aYes53 + aYes54 + aYes55 + aYes56 + aYes57 + aYes58 + aYes59 + aYes60 + aYes61 + aYes62 + aYes63 + aYes64 + aYes65 + aYes66;

                        string dataPoint265 = graphDataSet.Tables["data"].Rows[1]["No1"].ToString(); string dataPoint266 = graphDataSet.Tables["data"].Rows[1]["No2"].ToString(); string dataPoint267 = graphDataSet.Tables["data"].Rows[1]["No3"].ToString(); string dataPoint268 = graphDataSet.Tables["data"].Rows[1]["No4"].ToString(); string dataPoint269 = graphDataSet.Tables["data"].Rows[1]["No5"].ToString(); string dataPoint270 = graphDataSet.Tables["data"].Rows[1]["No6"].ToString(); string dataPoint271 = graphDataSet.Tables["data"].Rows[1]["No7"].ToString(); string dataPoint272 = graphDataSet.Tables["data"].Rows[1]["No8"].ToString(); string dataPoint273 = graphDataSet.Tables["data"].Rows[1]["No9"].ToString(); string dataPoint274 = graphDataSet.Tables["data"].Rows[1]["No10"].ToString();
                        string dataPoint275 = graphDataSet.Tables["data"].Rows[1]["No11"].ToString(); string dataPoint276 = graphDataSet.Tables["data"].Rows[1]["No12"].ToString(); string dataPoint277 = graphDataSet.Tables["data"].Rows[1]["No13"].ToString(); string dataPoint278 = graphDataSet.Tables["data"].Rows[1]["No14"].ToString(); string dataPoint279 = graphDataSet.Tables["data"].Rows[1]["No15"].ToString(); string dataPoint280 = graphDataSet.Tables["data"].Rows[1]["No16"].ToString(); string dataPoint281 = graphDataSet.Tables["data"].Rows[1]["No17"].ToString(); string dataPoint282 = graphDataSet.Tables["data"].Rows[1]["No18"].ToString(); string dataPoint283 = graphDataSet.Tables["data"].Rows[1]["No19"].ToString(); string dataPoint284 = graphDataSet.Tables["data"].Rows[1]["No20"].ToString();
                        string dataPoint285 = graphDataSet.Tables["data"].Rows[1]["No21"].ToString(); string dataPoint286 = graphDataSet.Tables["data"].Rows[1]["No22"].ToString(); string dataPoint287 = graphDataSet.Tables["data"].Rows[1]["No23"].ToString(); string dataPoint288 = graphDataSet.Tables["data"].Rows[1]["No24"].ToString(); string dataPoint289 = graphDataSet.Tables["data"].Rows[1]["No25"].ToString(); string dataPoint290 = graphDataSet.Tables["data"].Rows[1]["No26"].ToString(); string dataPoint291 = graphDataSet.Tables["data"].Rows[1]["No27"].ToString(); string dataPoint292 = graphDataSet.Tables["data"].Rows[1]["No28"].ToString(); string dataPoint293 = graphDataSet.Tables["data"].Rows[1]["No29"].ToString(); string dataPoint294 = graphDataSet.Tables["data"].Rows[1]["No30"].ToString();
                        string dataPoint295 = graphDataSet.Tables["data"].Rows[1]["No31"].ToString(); string dataPoint296 = graphDataSet.Tables["data"].Rows[1]["No32"].ToString(); string dataPoint297 = graphDataSet.Tables["data"].Rows[1]["No33"].ToString(); string dataPoint298 = graphDataSet.Tables["data"].Rows[1]["No34"].ToString(); string dataPoint299 = graphDataSet.Tables["data"].Rows[1]["No35"].ToString(); string dataPoint300 = graphDataSet.Tables["data"].Rows[1]["No36"].ToString(); string dataPoint301 = graphDataSet.Tables["data"].Rows[1]["No37"].ToString(); string dataPoint302 = graphDataSet.Tables["data"].Rows[1]["No38"].ToString(); string dataPoint303 = graphDataSet.Tables["data"].Rows[1]["No39"].ToString(); string dataPoint304 = graphDataSet.Tables["data"].Rows[1]["No40"].ToString();
                        string dataPoint305 = graphDataSet.Tables["data"].Rows[1]["No41"].ToString(); string dataPoint306 = graphDataSet.Tables["data"].Rows[1]["No42"].ToString(); string dataPoint307 = graphDataSet.Tables["data"].Rows[1]["No43"].ToString(); string dataPoint308 = graphDataSet.Tables["data"].Rows[1]["No44"].ToString(); string dataPoint309 = graphDataSet.Tables["data"].Rows[1]["No45"].ToString(); string dataPoint310 = graphDataSet.Tables["data"].Rows[1]["No46"].ToString(); string dataPoint311 = graphDataSet.Tables["data"].Rows[1]["No47"].ToString(); string dataPoint312 = graphDataSet.Tables["data"].Rows[1]["No48"].ToString(); string dataPoint313 = graphDataSet.Tables["data"].Rows[1]["No49"].ToString(); string dataPoint314 = graphDataSet.Tables["data"].Rows[1]["No50"].ToString();
                        string dataPoint315 = graphDataSet.Tables["data"].Rows[1]["No51"].ToString(); string dataPoint316 = graphDataSet.Tables["data"].Rows[1]["No52"].ToString(); string dataPoint317 = graphDataSet.Tables["data"].Rows[1]["No53"].ToString(); string dataPoint318 = graphDataSet.Tables["data"].Rows[1]["No54"].ToString(); string dataPoint319 = graphDataSet.Tables["data"].Rows[1]["No55"].ToString(); string dataPoint320 = graphDataSet.Tables["data"].Rows[1]["No56"].ToString(); string dataPoint321 = graphDataSet.Tables["data"].Rows[1]["No57"].ToString(); string dataPoint322 = graphDataSet.Tables["data"].Rows[1]["No58"].ToString(); string dataPoint323 = graphDataSet.Tables["data"].Rows[1]["No59"].ToString(); string dataPoint324 = graphDataSet.Tables["data"].Rows[1]["No60"].ToString();
                        string dataPoint325 = graphDataSet.Tables["data"].Rows[1]["No61"].ToString(); string dataPoint326 = graphDataSet.Tables["data"].Rows[1]["No62"].ToString(); string dataPoint327 = graphDataSet.Tables["data"].Rows[1]["No63"].ToString(); string dataPoint328 = graphDataSet.Tables["data"].Rows[1]["No64"].ToString(); string dataPoint329 = graphDataSet.Tables["data"].Rows[1]["No65"].ToString(); string dataPoint330 = graphDataSet.Tables["data"].Rows[1]["No66"].ToString();

                        int aNo1; int aNo2; int aNo3; int aNo4; int aNo5; int aNo6; int aNo7; int aNo8; int aNo9; int aNo10; int aNo11; int aNo12; int aNo13; int aNo14; int aNo15; int aNo16; int aNo17; int aNo18; int aNo19; int aNo20; int aNo21; int aNo22; int aNo23; int aNo24; int aNo25; int aNo26; int aNo27; int aNo28; int aNo29; int aNo30; int aNo31; int aNo32; int aNo33; int aNo34; int aNo35; int aNo36; int aNo37; int aNo38; int aNo39; int aNo40; int aNo41; int aNo42; int aNo43; int aNo44; int aNo45; int aNo46; int aNo47; int aNo48; int aNo49; int aNo50; int aNo51; int aNo52; int aNo53; int aNo54; int aNo55; int aNo56; int aNo57; int aNo58; int aNo59; int aNo60; int aNo61; int aNo62; int aNo63; int aNo64; int aNo65; int aNo66;

                        if (dataPoint265 == "True") { aNo1 = 1; } else { aNo1 = 0; } if (dataPoint266 == "True") { aNo2 = 1; } else { aNo2 = 0; } if (dataPoint267 == "True") { aNo3 = 1; } else { aNo3 = 0; } if (dataPoint268 == "True") { aNo4 = 1; } else { aNo4 = 0; } if (dataPoint269 == "True") { aNo5 = 1; } else { aNo5 = 0; } if (dataPoint270 == "True") { aNo6 = 1; } else { aNo6 = 0; } if (dataPoint271 == "True") { aNo7 = 1; } else { aNo7 = 0; } if (dataPoint272 == "True") { aNo8 = 1; } else { aNo8 = 0; } if (dataPoint273 == "True") { aNo9 = 1; } else { aNo9 = 0; } if (dataPoint274 == "True") { aNo10 = 1; } else { aNo10 = 0; }
                        if (dataPoint275 == "True") { aNo11 = 1; } else { aNo11 = 0; } if (dataPoint276 == "True") { aNo12 = 1; } else { aNo12 = 0; } if (dataPoint277 == "True") { aNo13 = 1; } else { aNo13 = 0; } if (dataPoint278 == "True") { aNo14 = 1; } else { aNo14 = 0; } if (dataPoint279 == "True") { aNo15 = 1; } else { aNo15 = 0; } if (dataPoint280 == "True") { aNo16 = 1; } else { aNo16 = 0; } if (dataPoint281 == "True") { aNo17 = 1; } else { aNo17 = 0; } if (dataPoint282 == "True") { aNo18 = 1; } else { aNo18 = 0; } if (dataPoint283 == "True") { aNo19 = 1; } else { aNo19 = 0; } if (dataPoint284 == "True") { aNo20 = 1; } else { aNo20 = 0; }
                        if (dataPoint285 == "True") { aNo21 = 1; } else { aNo21 = 0; } if (dataPoint286 == "True") { aNo22 = 1; } else { aNo22 = 0; } if (dataPoint287 == "True") { aNo23 = 1; } else { aNo23 = 0; } if (dataPoint288 == "True") { aNo24 = 1; } else { aNo24 = 0; } if (dataPoint289 == "True") { aNo25 = 1; } else { aNo25 = 0; } if (dataPoint290 == "True") { aNo26 = 1; } else { aNo26 = 0; } if (dataPoint291 == "True") { aNo27 = 1; } else { aNo27 = 0; } if (dataPoint292 == "True") { aNo28 = 1; } else { aNo28 = 0; } if (dataPoint293 == "True") { aNo29 = 1; } else { aNo29 = 0; } if (dataPoint294 == "True") { aNo30 = 1; } else { aNo30 = 0; }
                        if (dataPoint295 == "True") { aNo31 = 1; } else { aNo31 = 0; } if (dataPoint296 == "True") { aNo32 = 1; } else { aNo32 = 0; } if (dataPoint297 == "True") { aNo33 = 1; } else { aNo33 = 0; } if (dataPoint298 == "True") { aNo34 = 1; } else { aNo34 = 0; } if (dataPoint299 == "True") { aNo35 = 1; } else { aNo35 = 0; } if (dataPoint300 == "True") { aNo36 = 1; } else { aNo36 = 0; } if (dataPoint301 == "True") { aNo37 = 1; } else { aNo37 = 0; } if (dataPoint302 == "True") { aNo38 = 1; } else { aNo38 = 0; } if (dataPoint303 == "True") { aNo39 = 1; } else { aNo39 = 0; } if (dataPoint304 == "True") { aNo40 = 1; } else { aNo40 = 0; }
                        if (dataPoint305 == "True") { aNo41 = 1; } else { aNo41 = 0; } if (dataPoint306 == "True") { aNo42 = 1; } else { aNo42 = 0; } if (dataPoint307 == "True") { aNo43 = 1; } else { aNo43 = 0; } if (dataPoint308 == "True") { aNo44 = 1; } else { aNo44 = 0; } if (dataPoint309 == "True") { aNo45 = 1; } else { aNo45 = 0; } if (dataPoint310 == "True") { aNo46 = 1; } else { aNo46 = 0; } if (dataPoint311 == "True") { aNo47 = 1; } else { aNo47 = 0; } if (dataPoint312 == "True") { aNo48 = 1; } else { aNo48 = 0; } if (dataPoint313 == "True") { aNo49 = 1; } else { aNo49 = 0; } if (dataPoint314 == "True") { aNo50 = 1; } else { aNo50 = 0; }
                        if (dataPoint315 == "True") { aNo51 = 1; } else { aNo51 = 0; } if (dataPoint316 == "True") { aNo52 = 1; } else { aNo52 = 0; } if (dataPoint317 == "True") { aNo53 = 1; } else { aNo53 = 0; } if (dataPoint318 == "True") { aNo54 = 1; } else { aNo54 = 0; } if (dataPoint319 == "True") { aNo55 = 1; } else { aNo55 = 0; } if (dataPoint320 == "True") { aNo56 = 1; } else { aNo56 = 0; } if (dataPoint321 == "True") { aNo57 = 1; } else { aNo57 = 0; } if (dataPoint322 == "True") { aNo58 = 1; } else { aNo58 = 0; } if (dataPoint323 == "True") { aNo59 = 1; } else { aNo59 = 0; } if (dataPoint324 == "True") { aNo60 = 1; } else { aNo60 = 0; }
                        if (dataPoint325 == "True") { aNo61 = 1; } else { aNo61 = 0; } if (dataPoint326 == "True") { aNo62 = 1; } else { aNo62 = 0; } if (dataPoint327 == "True") { aNo63 = 1; } else { aNo63 = 0; } if (dataPoint328 == "True") { aNo64 = 1; } else { aNo64 = 0; } if (dataPoint329 == "True") { aNo65 = 1; } else { aNo65 = 0; } if (dataPoint330 == "True") { aNo66 = 1; } else { aNo66 = 0; }

                        int atotalNo = aNo1 + aNo2 + aNo3 + aNo4 + aNo5 + aNo6 + aNo7 + aNo8 + aNo9 + aNo10 + aNo11 + aNo12 + aNo13 + aNo14 + aNo15 + aNo16 + aNo17 + aNo18 + aNo19 + aNo20 + aNo21 + aNo22 + aNo23 + aNo24 + aNo25 + aNo26 + aNo27 + aNo28 + aNo29 + aNo30 + aNo31 + aNo32 + aNo33 + aNo34 + aNo35 + aNo36 + aNo37 + aNo38 + aNo39 + aNo40 + aNo41 + aNo42 + aNo43 + aNo44 + aNo45 + aNo46 + aNo47 + aNo48 + aNo49 + aNo50 + aNo51 + aNo52 + aNo53 + aNo54 + aNo55 + aNo56 + aNo57 + aNo58 + aNo59 + aNo60 + aNo61 + aNo62 + aNo63 + aNo64 + aNo65 + aNo66;

                        string dataPoint331 = graphDataSet.Tables["data"].Rows[1]["Na1"].ToString(); string dataPoint332 = graphDataSet.Tables["data"].Rows[1]["Na2"].ToString(); string dataPoint333 = graphDataSet.Tables["data"].Rows[1]["Na3"].ToString(); string dataPoint334 = graphDataSet.Tables["data"].Rows[1]["Na4"].ToString(); string dataPoint335 = graphDataSet.Tables["data"].Rows[1]["Na5"].ToString(); string dataPoint336 = graphDataSet.Tables["data"].Rows[1]["Na6"].ToString(); string dataPoint337 = graphDataSet.Tables["data"].Rows[1]["Na7"].ToString(); string dataPoint338 = graphDataSet.Tables["data"].Rows[1]["Na8"].ToString(); string dataPoint339 = graphDataSet.Tables["data"].Rows[1]["Na9"].ToString(); string dataPoint340 = graphDataSet.Tables["data"].Rows[1]["Na10"].ToString();
                        string dataPoint341 = graphDataSet.Tables["data"].Rows[1]["Na11"].ToString(); string dataPoint342 = graphDataSet.Tables["data"].Rows[1]["Na12"].ToString(); string dataPoint343 = graphDataSet.Tables["data"].Rows[1]["Na13"].ToString(); string dataPoint344 = graphDataSet.Tables["data"].Rows[1]["Na14"].ToString(); string dataPoint345 = graphDataSet.Tables["data"].Rows[1]["Na15"].ToString(); string dataPoint346 = graphDataSet.Tables["data"].Rows[1]["Na16"].ToString(); string dataPoint347 = graphDataSet.Tables["data"].Rows[1]["Na17"].ToString(); string dataPoint348 = graphDataSet.Tables["data"].Rows[1]["Na18"].ToString(); string dataPoint349 = graphDataSet.Tables["data"].Rows[1]["Na19"].ToString(); string dataPoint350 = graphDataSet.Tables["data"].Rows[1]["Na20"].ToString();
                        string dataPoint351 = graphDataSet.Tables["data"].Rows[1]["Na21"].ToString(); string dataPoint352 = graphDataSet.Tables["data"].Rows[1]["Na22"].ToString(); string dataPoint353 = graphDataSet.Tables["data"].Rows[1]["Na23"].ToString(); string dataPoint354 = graphDataSet.Tables["data"].Rows[1]["Na24"].ToString(); string dataPoint355 = graphDataSet.Tables["data"].Rows[1]["Na25"].ToString(); string dataPoint356 = graphDataSet.Tables["data"].Rows[1]["Na26"].ToString(); string dataPoint357 = graphDataSet.Tables["data"].Rows[1]["Na27"].ToString(); string dataPoint358 = graphDataSet.Tables["data"].Rows[1]["Na28"].ToString(); string dataPoint359 = graphDataSet.Tables["data"].Rows[1]["Na29"].ToString(); string dataPoint360 = graphDataSet.Tables["data"].Rows[1]["Na30"].ToString();
                        string dataPoint361 = graphDataSet.Tables["data"].Rows[1]["Na31"].ToString(); string dataPoint362 = graphDataSet.Tables["data"].Rows[1]["Na32"].ToString(); string dataPoint363 = graphDataSet.Tables["data"].Rows[1]["Na33"].ToString(); string dataPoint364 = graphDataSet.Tables["data"].Rows[1]["Na34"].ToString(); string dataPoint365 = graphDataSet.Tables["data"].Rows[1]["Na35"].ToString(); string dataPoint366 = graphDataSet.Tables["data"].Rows[1]["Na36"].ToString(); string dataPoint367 = graphDataSet.Tables["data"].Rows[1]["Na37"].ToString(); string dataPoint368 = graphDataSet.Tables["data"].Rows[1]["Na38"].ToString(); string dataPoint369 = graphDataSet.Tables["data"].Rows[1]["Na39"].ToString(); string dataPoint370 = graphDataSet.Tables["data"].Rows[1]["Na40"].ToString();
                        string dataPoint371 = graphDataSet.Tables["data"].Rows[1]["Na41"].ToString(); string dataPoint372 = graphDataSet.Tables["data"].Rows[1]["Na42"].ToString(); string dataPoint373 = graphDataSet.Tables["data"].Rows[1]["Na43"].ToString(); string dataPoint374 = graphDataSet.Tables["data"].Rows[1]["Na44"].ToString(); string dataPoint375 = graphDataSet.Tables["data"].Rows[1]["Na45"].ToString(); string dataPoint376 = graphDataSet.Tables["data"].Rows[1]["Na46"].ToString(); string dataPoint377 = graphDataSet.Tables["data"].Rows[1]["Na47"].ToString(); string dataPoint378 = graphDataSet.Tables["data"].Rows[1]["Na48"].ToString(); string dataPoint379 = graphDataSet.Tables["data"].Rows[1]["Na49"].ToString(); string dataPoint380 = graphDataSet.Tables["data"].Rows[1]["Na50"].ToString();
                        string dataPoint381 = graphDataSet.Tables["data"].Rows[1]["Na51"].ToString(); string dataPoint382 = graphDataSet.Tables["data"].Rows[1]["Na52"].ToString(); string dataPoint383 = graphDataSet.Tables["data"].Rows[1]["Na53"].ToString(); string dataPoint384 = graphDataSet.Tables["data"].Rows[1]["Na54"].ToString(); string dataPoint385 = graphDataSet.Tables["data"].Rows[1]["Na55"].ToString(); string dataPoint386 = graphDataSet.Tables["data"].Rows[1]["Na56"].ToString(); string dataPoint387 = graphDataSet.Tables["data"].Rows[1]["Na57"].ToString(); string dataPoint388 = graphDataSet.Tables["data"].Rows[1]["Na58"].ToString(); string dataPoint389 = graphDataSet.Tables["data"].Rows[1]["Na59"].ToString(); string dataPoint390 = graphDataSet.Tables["data"].Rows[1]["Na60"].ToString();
                        string dataPoint391 = graphDataSet.Tables["data"].Rows[1]["Na61"].ToString(); string dataPoint392 = graphDataSet.Tables["data"].Rows[1]["Na62"].ToString(); string dataPoint393 = graphDataSet.Tables["data"].Rows[1]["Na63"].ToString(); string dataPoint394 = graphDataSet.Tables["data"].Rows[1]["Na64"].ToString(); string dataPoint395 = graphDataSet.Tables["data"].Rows[1]["Na65"].ToString(); string dataPoint396 = graphDataSet.Tables["data"].Rows[1]["Na66"].ToString();

                        int aNa1; int aNa2; int aNa3; int aNa4; int aNa5; int aNa6; int aNa7; int aNa8; int aNa9; int aNa10; int aNa11; int aNa12; int aNa13; int aNa14; int aNa15; int aNa16; int aNa17; int aNa18; int aNa19; int aNa20; int aNa21; int aNa22; int aNa23; int aNa24; int aNa25; int aNa26; int aNa27; int aNa28; int aNa29; int aNa30; int aNa31; int aNa32; int aNa33; int aNa34; int aNa35; int aNa36; int aNa37; int aNa38; int aNa39; int aNa40; int aNa41; int aNa42; int aNa43; int aNa44; int aNa45; int aNa46; int aNa47; int aNa48; int aNa49; int aNa50; int aNa51; int aNa52; int aNa53; int aNa54; int aNa55; int aNa56; int aNa57; int aNa58; int aNa59; int aNa60; int aNa61; int aNa62; int aNa63; int aNa64; int aNa65; int aNa66;

                        if (dataPoint331 == "True") { aNa1 = 1; } else { aNa1 = 0; } if (dataPoint332 == "True") { aNa2 = 1; } else { aNa2 = 0; } if (dataPoint333 == "True") { aNa3 = 1; } else { aNa3 = 0; } if (dataPoint334 == "True") { aNa4 = 1; } else { aNa4 = 0; } if (dataPoint335 == "True") { aNa5 = 1; } else { aNa5 = 0; } if (dataPoint336 == "True") { aNa6 = 1; } else { aNa6 = 0; } if (dataPoint337 == "True") { aNa7 = 1; } else { aNa7 = 0; } if (dataPoint338 == "True") { aNa8 = 1; } else { aNa8 = 0; } if (dataPoint339 == "True") { aNa9 = 1; } else { aNa9 = 0; } if (dataPoint340 == "True") { aNa10 = 1; } else { aNa10 = 0; }
                        if (dataPoint341 == "True") { aNa11 = 1; } else { aNa11 = 0; } if (dataPoint342 == "True") { aNa12 = 1; } else { aNa12 = 0; } if (dataPoint343 == "True") { aNa13 = 1; } else { aNa13 = 0; } if (dataPoint344 == "True") { aNa14 = 1; } else { aNa14 = 0; } if (dataPoint345 == "True") { aNa15 = 1; } else { aNa15 = 0; } if (dataPoint346 == "True") { aNa16 = 1; } else { aNa16 = 0; } if (dataPoint347 == "True") { aNa17 = 1; } else { aNa17 = 0; } if (dataPoint348 == "True") { aNa18 = 1; } else { aNa18 = 0; } if (dataPoint349 == "True") { aNa19 = 1; } else { aNa19 = 0; } if (dataPoint350 == "True") { aNa20 = 1; } else { aNa20 = 0; }
                        if (dataPoint351 == "True") { aNa21 = 1; } else { aNa21 = 0; } if (dataPoint352 == "True") { aNa22 = 1; } else { aNa22 = 0; } if (dataPoint353 == "True") { aNa23 = 1; } else { aNa23 = 0; } if (dataPoint354 == "True") { aNa24 = 1; } else { aNa24 = 0; } if (dataPoint355 == "True") { aNa25 = 1; } else { aNa25 = 0; } if (dataPoint356 == "True") { aNa26 = 1; } else { aNa26 = 0; } if (dataPoint357 == "True") { aNa27 = 1; } else { aNa27 = 0; } if (dataPoint358 == "True") { aNa28 = 1; } else { aNa28 = 0; } if (dataPoint359 == "True") { aNa29 = 1; } else { aNa29 = 0; } if (dataPoint360 == "True") { aNa30 = 1; } else { aNa30 = 0; }
                        if (dataPoint361 == "True") { aNa31 = 1; } else { aNa31 = 0; } if (dataPoint362 == "True") { aNa32 = 1; } else { aNa32 = 0; } if (dataPoint363 == "True") { aNa33 = 1; } else { aNa33 = 0; } if (dataPoint364 == "True") { aNa34 = 1; } else { aNa34 = 0; } if (dataPoint365 == "True") { aNa35 = 1; } else { aNa35 = 0; } if (dataPoint366 == "True") { aNa36 = 1; } else { aNa36 = 0; } if (dataPoint367 == "True") { aNa37 = 1; } else { aNa37 = 0; } if (dataPoint368 == "True") { aNa38 = 1; } else { aNa38 = 0; } if (dataPoint369 == "True") { aNa39 = 1; } else { aNa39 = 0; } if (dataPoint370 == "True") { aNa40 = 1; } else { aNa40 = 0; }
                        if (dataPoint371 == "True") { aNa41 = 1; } else { aNa41 = 0; } if (dataPoint372 == "True") { aNa42 = 1; } else { aNa42 = 0; } if (dataPoint373 == "True") { aNa43 = 1; } else { aNa43 = 0; } if (dataPoint374 == "True") { aNa44 = 1; } else { aNa44 = 0; } if (dataPoint375 == "True") { aNa45 = 1; } else { aNa45 = 0; } if (dataPoint376 == "True") { aNa46 = 1; } else { aNa46 = 0; } if (dataPoint377 == "True") { aNa47 = 1; } else { aNa47 = 0; } if (dataPoint378 == "True") { aNa48 = 1; } else { aNa48 = 0; } if (dataPoint379 == "True") { aNa49 = 1; } else { aNa49 = 0; } if (dataPoint380 == "True") { aNa50 = 1; } else { aNa50 = 0; }
                        if (dataPoint381 == "True") { aNa51 = 1; } else { aNa51 = 0; } if (dataPoint382 == "True") { aNa52 = 1; } else { aNa52 = 0; } if (dataPoint383 == "True") { aNa53 = 1; } else { aNa53 = 0; } if (dataPoint384 == "True") { aNa54 = 1; } else { aNa54 = 0; } if (dataPoint385 == "True") { aNa55 = 1; } else { aNa55 = 0; } if (dataPoint386 == "True") { aNa56 = 1; } else { aNa56 = 0; } if (dataPoint387 == "True") { aNa57 = 1; } else { aNa57 = 0; } if (dataPoint388 == "True") { aNa58 = 1; } else { aNa58 = 0; } if (dataPoint389 == "True") { aNa59 = 1; } else { aNa59 = 0; } if (dataPoint390 == "True") { aNa60 = 1; } else { aNa60 = 0; }
                        if (dataPoint391 == "True") { aNa61 = 1; } else { aNa61 = 0; } if (dataPoint392 == "True") { aNa62 = 1; } else { aNa62 = 0; } if (dataPoint393 == "True") { aNa63 = 1; } else { aNa63 = 0; } if (dataPoint394 == "True") { aNa64 = 1; } else { aNa64 = 0; } if (dataPoint395 == "True") { aNa65 = 1; } else { aNa65 = 0; } if (dataPoint396 == "True") { aNa66 = 1; } else { aNa66 = 0; }

                        int atotalNa = aNa1 + aNa2 + aNa3 + aNa4 + aNa5 + aNa6 + aNa7 + aNa8 + aNa9 + aNa10 + aNa11 + aNa12 + aNa13 + aNa14 + aNa15 + aNa16 + aNa17 + aNa18 + aNa19 + aNa20 + aNa21 + aNa22 + aNa23 + aNa24 + aNa25 + aNa26 + aNa27 + aNa28 + aNa29 + aNa30 + aNa31 + aNa32 + aNa33 + aNa34 + aNa35 + aNa36 + aNa37 + aNa38 + aNa39 + aNa40 + aNa41 + aNa42 + aNa43 + aNa44 + aNa45 + aNa46 + aNa47 + aNa48 + aNa49 + aNa50 + aNa51 + aNa52 + aNa53 + aNa54 + aNa55 + aNa56 + aNa57 + aNa58 + aNa59 + aNa60 + aNa61 + aNa62 + aNa63 + aNa64 + aNa65 + aNa66;

                        string dataPoint397 = graphDataSet.Tables["data"].Rows[2]["Yes1"].ToString(); string dataPoint398 = graphDataSet.Tables["data"].Rows[2]["Yes2"].ToString(); string dataPoint399 = graphDataSet.Tables["data"].Rows[2]["Yes3"].ToString(); string dataPoint400 = graphDataSet.Tables["data"].Rows[2]["Yes4"].ToString(); string dataPoint401 = graphDataSet.Tables["data"].Rows[2]["Yes5"].ToString(); string dataPoint402 = graphDataSet.Tables["data"].Rows[2]["Yes6"].ToString(); string dataPoint403 = graphDataSet.Tables["data"].Rows[2]["Yes7"].ToString(); string dataPoint404 = graphDataSet.Tables["data"].Rows[2]["Yes8"].ToString(); string dataPoint405 = graphDataSet.Tables["data"].Rows[2]["Yes9"].ToString(); string dataPoint406 = graphDataSet.Tables["data"].Rows[2]["Yes10"].ToString();
                        string dataPoint407 = graphDataSet.Tables["data"].Rows[2]["Yes11"].ToString(); string dataPoint408 = graphDataSet.Tables["data"].Rows[2]["Yes12"].ToString(); string dataPoint409 = graphDataSet.Tables["data"].Rows[2]["Yes13"].ToString(); string dataPoint410 = graphDataSet.Tables["data"].Rows[2]["Yes14"].ToString(); string dataPoint411 = graphDataSet.Tables["data"].Rows[2]["Yes15"].ToString(); string dataPoint412 = graphDataSet.Tables["data"].Rows[2]["Yes16"].ToString(); string dataPoint413 = graphDataSet.Tables["data"].Rows[2]["Yes17"].ToString(); string dataPoint414 = graphDataSet.Tables["data"].Rows[2]["Yes18"].ToString(); string dataPoint415 = graphDataSet.Tables["data"].Rows[2]["Yes19"].ToString(); string dataPoint416 = graphDataSet.Tables["data"].Rows[2]["Yes20"].ToString();
                        string dataPoint417 = graphDataSet.Tables["data"].Rows[2]["Yes21"].ToString(); string dataPoint418 = graphDataSet.Tables["data"].Rows[2]["Yes22"].ToString(); string dataPoint419 = graphDataSet.Tables["data"].Rows[2]["Yes23"].ToString(); string dataPoint420 = graphDataSet.Tables["data"].Rows[2]["Yes24"].ToString(); string dataPoint421 = graphDataSet.Tables["data"].Rows[2]["Yes25"].ToString(); string dataPoint422 = graphDataSet.Tables["data"].Rows[2]["Yes26"].ToString(); string dataPoint423 = graphDataSet.Tables["data"].Rows[2]["Yes27"].ToString(); string dataPoint424 = graphDataSet.Tables["data"].Rows[2]["Yes28"].ToString(); string dataPoint425 = graphDataSet.Tables["data"].Rows[2]["Yes29"].ToString(); string dataPoint426 = graphDataSet.Tables["data"].Rows[2]["Yes30"].ToString();
                        string dataPoint427 = graphDataSet.Tables["data"].Rows[2]["Yes31"].ToString(); string dataPoint428 = graphDataSet.Tables["data"].Rows[2]["Yes32"].ToString(); string dataPoint429 = graphDataSet.Tables["data"].Rows[2]["Yes33"].ToString(); string dataPoint430 = graphDataSet.Tables["data"].Rows[2]["Yes34"].ToString(); string dataPoint431 = graphDataSet.Tables["data"].Rows[2]["Yes35"].ToString(); string dataPoint432 = graphDataSet.Tables["data"].Rows[2]["Yes36"].ToString(); string dataPoint433 = graphDataSet.Tables["data"].Rows[2]["Yes37"].ToString(); string dataPoint434 = graphDataSet.Tables["data"].Rows[2]["Yes38"].ToString(); string dataPoint435 = graphDataSet.Tables["data"].Rows[2]["Yes39"].ToString(); string dataPoint436 = graphDataSet.Tables["data"].Rows[2]["Yes40"].ToString();
                        string dataPoint437 = graphDataSet.Tables["data"].Rows[2]["Yes41"].ToString(); string dataPoint438 = graphDataSet.Tables["data"].Rows[2]["Yes42"].ToString(); string dataPoint439 = graphDataSet.Tables["data"].Rows[2]["Yes43"].ToString(); string dataPoint440 = graphDataSet.Tables["data"].Rows[2]["Yes44"].ToString(); string dataPoint441 = graphDataSet.Tables["data"].Rows[2]["Yes45"].ToString(); string dataPoint442 = graphDataSet.Tables["data"].Rows[2]["Yes46"].ToString(); string dataPoint443 = graphDataSet.Tables["data"].Rows[2]["Yes47"].ToString(); string dataPoint444 = graphDataSet.Tables["data"].Rows[2]["Yes48"].ToString(); string dataPoint445 = graphDataSet.Tables["data"].Rows[2]["Yes49"].ToString(); string dataPoint446 = graphDataSet.Tables["data"].Rows[2]["Yes50"].ToString();
                        string dataPoint447 = graphDataSet.Tables["data"].Rows[2]["Yes51"].ToString(); string dataPoint448 = graphDataSet.Tables["data"].Rows[2]["Yes52"].ToString(); string dataPoint449 = graphDataSet.Tables["data"].Rows[2]["Yes53"].ToString(); string dataPoint450 = graphDataSet.Tables["data"].Rows[2]["Yes54"].ToString(); string dataPoint451 = graphDataSet.Tables["data"].Rows[2]["Yes55"].ToString(); string dataPoint452 = graphDataSet.Tables["data"].Rows[2]["Yes56"].ToString(); string dataPoint453 = graphDataSet.Tables["data"].Rows[2]["Yes57"].ToString(); string dataPoint454 = graphDataSet.Tables["data"].Rows[2]["Yes58"].ToString(); string dataPoint455 = graphDataSet.Tables["data"].Rows[2]["Yes59"].ToString(); string dataPoint456 = graphDataSet.Tables["data"].Rows[2]["Yes60"].ToString();
                        string dataPoint457 = graphDataSet.Tables["data"].Rows[2]["Yes61"].ToString(); string dataPoint458 = graphDataSet.Tables["data"].Rows[2]["Yes62"].ToString(); string dataPoint459 = graphDataSet.Tables["data"].Rows[2]["Yes63"].ToString(); string dataPoint460 = graphDataSet.Tables["data"].Rows[2]["Yes64"].ToString(); string dataPoint461 = graphDataSet.Tables["data"].Rows[2]["Yes65"].ToString(); string dataPoint462 = graphDataSet.Tables["data"].Rows[2]["Yes66"].ToString();

                        int bYes1; int bYes2; int bYes3; int bYes4; int bYes5; int bYes6; int bYes7; int bYes8; int bYes9; int bYes10; int bYes11; int bYes12; int bYes13; int bYes14; int bYes15; int bYes16; int bYes17; int bYes18; int bYes19; int bYes20; int bYes21; int bYes22; int bYes23; int bYes24; int bYes25; int bYes26; int bYes27; int bYes28; int bYes29; int bYes30; int bYes31; int bYes32; int bYes33; int bYes34; int bYes35; int bYes36; int bYes37; int bYes38; int bYes39; int bYes40; int bYes41; int bYes42; int bYes43; int bYes44; int bYes45; int bYes46; int bYes47; int bYes48; int bYes49; int bYes50; int bYes51; int bYes52; int bYes53; int bYes54; int bYes55; int bYes56; int bYes57; int bYes58; int bYes59; int bYes60; int bYes61; int bYes62; int bYes63; int bYes64; int bYes65; int bYes66;

                        if (dataPoint397 == "True") { bYes1 = 1; } else { bYes1 = 0; } if (dataPoint398 == "True") { bYes2 = 1; } else { bYes2 = 0; } if (dataPoint399 == "True") { bYes3 = 1; } else { bYes3 = 0; } if (dataPoint400 == "True") { bYes4 = 1; } else { bYes4 = 0; } if (dataPoint401 == "True") { bYes5 = 1; } else { bYes5 = 0; } if (dataPoint402 == "True") { bYes6 = 1; } else { bYes6 = 0; } if (dataPoint403 == "True") { bYes7 = 1; } else { bYes7 = 0; } if (dataPoint404 == "True") { bYes8 = 1; } else { bYes8 = 0; } if (dataPoint405 == "True") { bYes9 = 1; } else { bYes9 = 0; } if (dataPoint406 == "True") { bYes10 = 1; } else { bYes10 = 0; }
                        if (dataPoint407 == "True") { bYes11 = 1; } else { bYes11 = 0; } if (dataPoint408 == "True") { bYes12 = 1; } else { bYes12 = 0; } if (dataPoint409 == "True") { bYes13 = 1; } else { bYes13 = 0; } if (dataPoint410 == "True") { bYes14 = 1; } else { bYes14 = 0; } if (dataPoint411 == "True") { bYes15 = 1; } else { bYes15 = 0; } if (dataPoint412 == "True") { bYes16 = 1; } else { bYes16 = 0; } if (dataPoint413 == "True") { bYes17 = 1; } else { bYes17 = 0; } if (dataPoint414 == "True") { bYes18 = 1; } else { bYes18 = 0; } if (dataPoint415 == "True") { bYes19 = 1; } else { bYes19 = 0; } if (dataPoint416 == "True") { bYes20 = 1; } else { bYes20 = 0; }
                        if (dataPoint417 == "True") { bYes21 = 1; } else { bYes21 = 0; } if (dataPoint418 == "True") { bYes22 = 1; } else { bYes22 = 0; } if (dataPoint419 == "True") { bYes23 = 1; } else { bYes23 = 0; } if (dataPoint420 == "True") { bYes24 = 1; } else { bYes24 = 0; } if (dataPoint421 == "True") { bYes25 = 1; } else { bYes25 = 0; } if (dataPoint422 == "True") { bYes26 = 1; } else { bYes26 = 0; } if (dataPoint423 == "True") { bYes27 = 1; } else { bYes27 = 0; } if (dataPoint424 == "True") { bYes28 = 1; } else { bYes28 = 0; } if (dataPoint425 == "True") { bYes29 = 1; } else { bYes29 = 0; } if (dataPoint426 == "True") { bYes30 = 1; } else { bYes30 = 0; }
                        if (dataPoint427 == "True") { bYes31 = 1; } else { bYes31 = 0; } if (dataPoint428 == "True") { bYes32 = 1; } else { bYes32 = 0; } if (dataPoint429 == "True") { bYes33 = 1; } else { bYes33 = 0; } if (dataPoint430 == "True") { bYes34 = 1; } else { bYes34 = 0; } if (dataPoint431 == "True") { bYes35 = 1; } else { bYes35 = 0; } if (dataPoint432 == "True") { bYes36 = 1; } else { bYes36 = 0; } if (dataPoint433 == "True") { bYes37 = 1; } else { bYes37 = 0; } if (dataPoint434 == "True") { bYes38 = 1; } else { bYes38 = 0; } if (dataPoint435 == "True") { bYes39 = 1; } else { bYes39 = 0; } if (dataPoint436 == "True") { bYes40 = 1; } else { bYes40 = 0; }
                        if (dataPoint437 == "True") { bYes41 = 1; } else { bYes41 = 0; } if (dataPoint438 == "True") { bYes42 = 1; } else { bYes42 = 0; } if (dataPoint439 == "True") { bYes43 = 1; } else { bYes43 = 0; } if (dataPoint440 == "True") { bYes44 = 1; } else { bYes44 = 0; } if (dataPoint441 == "True") { bYes45 = 1; } else { bYes45 = 0; } if (dataPoint442 == "True") { bYes46 = 1; } else { bYes46 = 0; } if (dataPoint443 == "True") { bYes47 = 1; } else { bYes47 = 0; } if (dataPoint444 == "True") { bYes48 = 1; } else { bYes48 = 0; } if (dataPoint445 == "True") { bYes49 = 1; } else { bYes49 = 0; } if (dataPoint446 == "True") { bYes50 = 1; } else { bYes50 = 0; }
                        if (dataPoint447 == "True") { bYes51 = 1; } else { bYes51 = 0; } if (dataPoint448 == "True") { bYes52 = 1; } else { bYes52 = 0; } if (dataPoint449 == "True") { bYes53 = 1; } else { bYes53 = 0; } if (dataPoint450 == "True") { bYes54 = 1; } else { bYes54 = 0; } if (dataPoint451 == "True") { bYes55 = 1; } else { bYes55 = 0; } if (dataPoint452 == "True") { bYes56 = 1; } else { bYes56 = 0; } if (dataPoint453 == "True") { bYes57 = 1; } else { bYes57 = 0; } if (dataPoint454 == "True") { bYes58 = 1; } else { bYes58 = 0; } if (dataPoint455 == "True") { bYes59 = 1; } else { bYes59 = 0; } if (dataPoint456 == "True") { bYes60 = 1; } else { bYes60 = 0; }
                        if (dataPoint457 == "True") { bYes61 = 1; } else { bYes61 = 0; } if (dataPoint458 == "True") { bYes62 = 1; } else { bYes62 = 0; } if (dataPoint459 == "True") { bYes63 = 1; } else { bYes63 = 0; } if (dataPoint460 == "True") { bYes64 = 1; } else { bYes64 = 0; } if (dataPoint461 == "True") { bYes65 = 1; } else { bYes65 = 0; } if (dataPoint462 == "True") { bYes66 = 1; } else { bYes66 = 0; }

                        int btotalYes = bYes1 + bYes2 + bYes3 + bYes4 + bYes5 + bYes6 + bYes7 + bYes8 + bYes9 + bYes10 + bYes11 + bYes12 + bYes13 + bYes14 + bYes15 + bYes16 + bYes17 + bYes18 + bYes19 + bYes20 + bYes21 + bYes22 + bYes23 + bYes24 + bYes25 + bYes26 + bYes27 + bYes28 + bYes29 + bYes30 + bYes31 + bYes32 + bYes33 + bYes34 + bYes35 + bYes36 + bYes37 + bYes38 + bYes39 + bYes40 + bYes41 + bYes42 + bYes43 + bYes44 + bYes45 + bYes46 + bYes47 + bYes48 + bYes49 + bYes50 + bYes51 + bYes52 + bYes53 + bYes54 + bYes55 + bYes56 + bYes57 + bYes58 + bYes59 + bYes60 + bYes61 + bYes62 + bYes63 + bYes64 + bYes65 + bYes66;

                        string dataPoint463 = graphDataSet.Tables["data"].Rows[2]["No1"].ToString(); string dataPoint464 = graphDataSet.Tables["data"].Rows[2]["No2"].ToString(); string dataPoint465 = graphDataSet.Tables["data"].Rows[2]["No3"].ToString(); string dataPoint466 = graphDataSet.Tables["data"].Rows[2]["No4"].ToString(); string dataPoint467 = graphDataSet.Tables["data"].Rows[2]["No5"].ToString(); string dataPoint468 = graphDataSet.Tables["data"].Rows[2]["No6"].ToString(); string dataPoint469 = graphDataSet.Tables["data"].Rows[2]["No7"].ToString(); string dataPoint470 = graphDataSet.Tables["data"].Rows[2]["No8"].ToString(); string dataPoint471 = graphDataSet.Tables["data"].Rows[2]["No9"].ToString(); string dataPoint472 = graphDataSet.Tables["data"].Rows[2]["No10"].ToString();
                        string dataPoint473 = graphDataSet.Tables["data"].Rows[2]["No11"].ToString(); string dataPoint474 = graphDataSet.Tables["data"].Rows[2]["No12"].ToString(); string dataPoint475 = graphDataSet.Tables["data"].Rows[2]["No13"].ToString(); string dataPoint476 = graphDataSet.Tables["data"].Rows[2]["No14"].ToString(); string dataPoint477 = graphDataSet.Tables["data"].Rows[2]["No15"].ToString(); string dataPoint478 = graphDataSet.Tables["data"].Rows[2]["No16"].ToString(); string dataPoint479 = graphDataSet.Tables["data"].Rows[2]["No17"].ToString(); string dataPoint480 = graphDataSet.Tables["data"].Rows[2]["No18"].ToString(); string dataPoint481 = graphDataSet.Tables["data"].Rows[2]["No19"].ToString(); string dataPoint482 = graphDataSet.Tables["data"].Rows[2]["No20"].ToString();
                        string dataPoint483 = graphDataSet.Tables["data"].Rows[2]["No21"].ToString(); string dataPoint484 = graphDataSet.Tables["data"].Rows[2]["No22"].ToString(); string dataPoint485 = graphDataSet.Tables["data"].Rows[2]["No23"].ToString(); string dataPoint486 = graphDataSet.Tables["data"].Rows[2]["No24"].ToString(); string dataPoint487 = graphDataSet.Tables["data"].Rows[2]["No25"].ToString(); string dataPoint488 = graphDataSet.Tables["data"].Rows[2]["No26"].ToString(); string dataPoint489 = graphDataSet.Tables["data"].Rows[2]["No27"].ToString(); string dataPoint490 = graphDataSet.Tables["data"].Rows[2]["No28"].ToString(); string dataPoint491 = graphDataSet.Tables["data"].Rows[2]["No29"].ToString(); string dataPoint492 = graphDataSet.Tables["data"].Rows[2]["No30"].ToString();
                        string dataPoint493 = graphDataSet.Tables["data"].Rows[2]["No31"].ToString(); string dataPoint494 = graphDataSet.Tables["data"].Rows[2]["No32"].ToString(); string dataPoint495 = graphDataSet.Tables["data"].Rows[2]["No33"].ToString(); string dataPoint496 = graphDataSet.Tables["data"].Rows[2]["No34"].ToString(); string dataPoint497 = graphDataSet.Tables["data"].Rows[2]["No35"].ToString(); string dataPoint498 = graphDataSet.Tables["data"].Rows[2]["No36"].ToString(); string dataPoint499 = graphDataSet.Tables["data"].Rows[2]["No37"].ToString(); string dataPoint500 = graphDataSet.Tables["data"].Rows[2]["No38"].ToString(); string dataPoint501 = graphDataSet.Tables["data"].Rows[2]["No39"].ToString(); string dataPoint502 = graphDataSet.Tables["data"].Rows[2]["No40"].ToString();
                        string dataPoint503 = graphDataSet.Tables["data"].Rows[2]["No41"].ToString(); string dataPoint504 = graphDataSet.Tables["data"].Rows[2]["No42"].ToString(); string dataPoint505 = graphDataSet.Tables["data"].Rows[2]["No43"].ToString(); string dataPoint506 = graphDataSet.Tables["data"].Rows[2]["No44"].ToString(); string dataPoint507 = graphDataSet.Tables["data"].Rows[2]["No45"].ToString(); string dataPoint508 = graphDataSet.Tables["data"].Rows[2]["No46"].ToString(); string dataPoint509 = graphDataSet.Tables["data"].Rows[2]["No47"].ToString(); string dataPoint510 = graphDataSet.Tables["data"].Rows[2]["No48"].ToString(); string dataPoint511 = graphDataSet.Tables["data"].Rows[2]["No49"].ToString(); string dataPoint512 = graphDataSet.Tables["data"].Rows[2]["No50"].ToString();
                        string dataPoint513 = graphDataSet.Tables["data"].Rows[2]["No51"].ToString(); string dataPoint514 = graphDataSet.Tables["data"].Rows[2]["No52"].ToString(); string dataPoint515 = graphDataSet.Tables["data"].Rows[2]["No53"].ToString(); string dataPoint516 = graphDataSet.Tables["data"].Rows[2]["No54"].ToString(); string dataPoint517 = graphDataSet.Tables["data"].Rows[2]["No55"].ToString(); string dataPoint518 = graphDataSet.Tables["data"].Rows[2]["No56"].ToString(); string dataPoint519 = graphDataSet.Tables["data"].Rows[2]["No57"].ToString(); string dataPoint520 = graphDataSet.Tables["data"].Rows[2]["No58"].ToString(); string dataPoint521 = graphDataSet.Tables["data"].Rows[2]["No59"].ToString(); string dataPoint522 = graphDataSet.Tables["data"].Rows[2]["No60"].ToString();
                        string dataPoint523 = graphDataSet.Tables["data"].Rows[2]["No61"].ToString(); string dataPoint524 = graphDataSet.Tables["data"].Rows[2]["No62"].ToString(); string dataPoint525 = graphDataSet.Tables["data"].Rows[2]["No63"].ToString(); string dataPoint526 = graphDataSet.Tables["data"].Rows[2]["No64"].ToString(); string dataPoint527 = graphDataSet.Tables["data"].Rows[2]["No65"].ToString(); string dataPoint528 = graphDataSet.Tables["data"].Rows[2]["No66"].ToString();

                        int bNo1; int bNo2; int bNo3; int bNo4; int bNo5; int bNo6; int bNo7; int bNo8; int bNo9; int bNo10; int bNo11; int bNo12; int bNo13; int bNo14; int bNo15; int bNo16; int bNo17; int bNo18; int bNo19; int bNo20; int bNo21; int bNo22; int bNo23; int bNo24; int bNo25; int bNo26; int bNo27; int bNo28; int bNo29; int bNo30; int bNo31; int bNo32; int bNo33; int bNo34; int bNo35; int bNo36; int bNo37; int bNo38; int bNo39; int bNo40; int bNo41; int bNo42; int bNo43; int bNo44; int bNo45; int bNo46; int bNo47; int bNo48; int bNo49; int bNo50; int bNo51; int bNo52; int bNo53; int bNo54; int bNo55; int bNo56; int bNo57; int bNo58; int bNo59; int bNo60; int bNo61; int bNo62; int bNo63; int bNo64; int bNo65; int bNo66;

                        if (dataPoint463 == "True") { bNo1 = 1; } else { bNo1 = 0; } if (dataPoint464 == "True") { bNo2 = 1; } else { bNo2 = 0; } if (dataPoint465 == "True") { bNo3 = 1; } else { bNo3 = 0; } if (dataPoint466 == "True") { bNo4 = 1; } else { bNo4 = 0; } if (dataPoint467 == "True") { bNo5 = 1; } else { bNo5 = 0; } if (dataPoint468 == "True") { bNo6 = 1; } else { bNo6 = 0; } if (dataPoint469 == "True") { bNo7 = 1; } else { bNo7 = 0; } if (dataPoint470 == "True") { bNo8 = 1; } else { bNo8 = 0; } if (dataPoint471 == "True") { bNo9 = 1; } else { bNo9 = 0; } if (dataPoint472 == "True") { bNo10 = 1; } else { bNo10 = 0; }
                        if (dataPoint473 == "True") { bNo11 = 1; } else { bNo11 = 0; } if (dataPoint474 == "True") { bNo12 = 1; } else { bNo12 = 0; } if (dataPoint475 == "True") { bNo13 = 1; } else { bNo13 = 0; } if (dataPoint476 == "True") { bNo14 = 1; } else { bNo14 = 0; } if (dataPoint477 == "True") { bNo15 = 1; } else { bNo15 = 0; } if (dataPoint478 == "True") { bNo16 = 1; } else { bNo16 = 0; } if (dataPoint479 == "True") { bNo17 = 1; } else { bNo17 = 0; } if (dataPoint480 == "True") { bNo18 = 1; } else { bNo18 = 0; } if (dataPoint481 == "True") { bNo19 = 1; } else { bNo19 = 0; } if (dataPoint482 == "True") { bNo20 = 1; } else { bNo20 = 0; }
                        if (dataPoint483 == "True") { bNo21 = 1; } else { bNo21 = 0; } if (dataPoint484 == "True") { bNo22 = 1; } else { bNo22 = 0; } if (dataPoint485 == "True") { bNo23 = 1; } else { bNo23 = 0; } if (dataPoint486 == "True") { bNo24 = 1; } else { bNo24 = 0; } if (dataPoint487 == "True") { bNo25 = 1; } else { bNo25 = 0; } if (dataPoint488 == "True") { bNo26 = 1; } else { bNo26 = 0; } if (dataPoint489 == "True") { bNo27 = 1; } else { bNo27 = 0; } if (dataPoint490 == "True") { bNo28 = 1; } else { bNo28 = 0; } if (dataPoint491 == "True") { bNo29 = 1; } else { bNo29 = 0; } if (dataPoint492 == "True") { bNo30 = 1; } else { bNo30 = 0; }
                        if (dataPoint493 == "True") { bNo31 = 1; } else { bNo31 = 0; } if (dataPoint494 == "True") { bNo32 = 1; } else { bNo32 = 0; } if (dataPoint495 == "True") { bNo33 = 1; } else { bNo33 = 0; } if (dataPoint496 == "True") { bNo34 = 1; } else { bNo34 = 0; } if (dataPoint497 == "True") { bNo35 = 1; } else { bNo35 = 0; } if (dataPoint498 == "True") { bNo36 = 1; } else { bNo36 = 0; } if (dataPoint499 == "True") { bNo37 = 1; } else { bNo37 = 0; } if (dataPoint500 == "True") { bNo38 = 1; } else { bNo38 = 0; } if (dataPoint501 == "True") { bNo39 = 1; } else { bNo39 = 0; } if (dataPoint502 == "True") { bNo40 = 1; } else { bNo40 = 0; }
                        if (dataPoint503 == "True") { bNo41 = 1; } else { bNo41 = 0; } if (dataPoint504 == "True") { bNo42 = 1; } else { bNo42 = 0; } if (dataPoint505 == "True") { bNo43 = 1; } else { bNo43 = 0; } if (dataPoint506 == "True") { bNo44 = 1; } else { bNo44 = 0; } if (dataPoint507 == "True") { bNo45 = 1; } else { bNo45 = 0; } if (dataPoint508 == "True") { bNo46 = 1; } else { bNo46 = 0; } if (dataPoint509 == "True") { bNo47 = 1; } else { bNo47 = 0; } if (dataPoint510 == "True") { bNo48 = 1; } else { bNo48 = 0; } if (dataPoint511 == "True") { bNo49 = 1; } else { bNo49 = 0; } if (dataPoint512 == "True") { bNo50 = 1; } else { bNo50 = 0; }
                        if (dataPoint513 == "True") { bNo51 = 1; } else { bNo51 = 0; } if (dataPoint514 == "True") { bNo52 = 1; } else { bNo52 = 0; } if (dataPoint515 == "True") { bNo53 = 1; } else { bNo53 = 0; } if (dataPoint516 == "True") { bNo54 = 1; } else { bNo54 = 0; } if (dataPoint517 == "True") { bNo55 = 1; } else { bNo55 = 0; } if (dataPoint518 == "True") { bNo56 = 1; } else { bNo56 = 0; } if (dataPoint519 == "True") { bNo57 = 1; } else { bNo57 = 0; } if (dataPoint520 == "True") { bNo58 = 1; } else { bNo58 = 0; } if (dataPoint521 == "True") { bNo59 = 1; } else { bNo59 = 0; } if (dataPoint522 == "True") { bNo60 = 1; } else { bNo60 = 0; }
                        if (dataPoint523 == "True") { bNo61 = 1; } else { bNo61 = 0; } if (dataPoint524 == "True") { bNo62 = 1; } else { bNo62 = 0; } if (dataPoint525 == "True") { bNo63 = 1; } else { bNo63 = 0; } if (dataPoint526 == "True") { bNo64 = 1; } else { bNo64 = 0; } if (dataPoint527 == "True") { bNo65 = 1; } else { bNo65 = 0; } if (dataPoint528 == "True") { bNo66 = 1; } else { bNo66 = 0; }

                        int btotalNo = bNo1 + bNo2 + bNo3 + bNo4 + bNo5 + bNo6 + bNo7 + bNo8 + bNo9 + bNo10 + bNo11 + bNo12 + bNo13 + bNo14 + bNo15 + bNo16 + bNo17 + bNo18 + bNo19 + bNo20 + bNo21 + bNo22 + bNo23 + bNo24 + bNo25 + bNo26 + bNo27 + bNo28 + bNo29 + bNo30 + bNo31 + bNo32 + bNo33 + bNo34 + bNo35 + bNo36 + bNo37 + bNo38 + bNo39 + bNo40 + bNo41 + bNo42 + bNo43 + bNo44 + bNo45 + bNo46 + bNo47 + bNo48 + bNo49 + bNo50 + bNo51 + bNo52 + bNo53 + bNo54 + bNo55 + bNo56 + bNo57 + bNo58 + bNo59 + bNo60 + bNo61 + bNo62 + bNo63 + bNo64 + bNo65 + bNo66;

                        string dataPoint529 = graphDataSet.Tables["data"].Rows[2]["Na1"].ToString(); string dataPoint530 = graphDataSet.Tables["data"].Rows[2]["Na2"].ToString(); string dataPoint531 = graphDataSet.Tables["data"].Rows[2]["Na3"].ToString(); string dataPoint532 = graphDataSet.Tables["data"].Rows[2]["Na4"].ToString(); string dataPoint533 = graphDataSet.Tables["data"].Rows[2]["Na5"].ToString(); string dataPoint534 = graphDataSet.Tables["data"].Rows[2]["Na6"].ToString(); string dataPoint535 = graphDataSet.Tables["data"].Rows[2]["Na7"].ToString(); string dataPoint536 = graphDataSet.Tables["data"].Rows[2]["Na8"].ToString(); string dataPoint537 = graphDataSet.Tables["data"].Rows[2]["Na9"].ToString(); string dataPoint538 = graphDataSet.Tables["data"].Rows[2]["Na10"].ToString();
                        string dataPoint539 = graphDataSet.Tables["data"].Rows[2]["Na11"].ToString(); string dataPoint540 = graphDataSet.Tables["data"].Rows[2]["Na12"].ToString(); string dataPoint541 = graphDataSet.Tables["data"].Rows[2]["Na13"].ToString(); string dataPoint542 = graphDataSet.Tables["data"].Rows[2]["Na14"].ToString(); string dataPoint543 = graphDataSet.Tables["data"].Rows[2]["Na15"].ToString(); string dataPoint544 = graphDataSet.Tables["data"].Rows[2]["Na16"].ToString(); string dataPoint545 = graphDataSet.Tables["data"].Rows[2]["Na17"].ToString(); string dataPoint546 = graphDataSet.Tables["data"].Rows[2]["Na18"].ToString(); string dataPoint547 = graphDataSet.Tables["data"].Rows[2]["Na19"].ToString(); string dataPoint548 = graphDataSet.Tables["data"].Rows[2]["Na20"].ToString();
                        string dataPoint549 = graphDataSet.Tables["data"].Rows[2]["Na21"].ToString(); string dataPoint550 = graphDataSet.Tables["data"].Rows[2]["Na22"].ToString(); string dataPoint551 = graphDataSet.Tables["data"].Rows[2]["Na23"].ToString(); string dataPoint552 = graphDataSet.Tables["data"].Rows[2]["Na24"].ToString(); string dataPoint553 = graphDataSet.Tables["data"].Rows[2]["Na25"].ToString(); string dataPoint554 = graphDataSet.Tables["data"].Rows[2]["Na26"].ToString(); string dataPoint555 = graphDataSet.Tables["data"].Rows[2]["Na27"].ToString(); string dataPoint556 = graphDataSet.Tables["data"].Rows[2]["Na28"].ToString(); string dataPoint557 = graphDataSet.Tables["data"].Rows[2]["Na29"].ToString(); string dataPoint558 = graphDataSet.Tables["data"].Rows[2]["Na30"].ToString();
                        string dataPoint559 = graphDataSet.Tables["data"].Rows[2]["Na31"].ToString(); string dataPoint560 = graphDataSet.Tables["data"].Rows[2]["Na32"].ToString(); string dataPoint561 = graphDataSet.Tables["data"].Rows[2]["Na33"].ToString(); string dataPoint562 = graphDataSet.Tables["data"].Rows[2]["Na34"].ToString(); string dataPoint563 = graphDataSet.Tables["data"].Rows[2]["Na35"].ToString(); string dataPoint564 = graphDataSet.Tables["data"].Rows[2]["Na36"].ToString(); string dataPoint565 = graphDataSet.Tables["data"].Rows[2]["Na37"].ToString(); string dataPoint566 = graphDataSet.Tables["data"].Rows[2]["Na38"].ToString(); string dataPoint567 = graphDataSet.Tables["data"].Rows[2]["Na39"].ToString(); string dataPoint568 = graphDataSet.Tables["data"].Rows[2]["Na40"].ToString();
                        string dataPoint569 = graphDataSet.Tables["data"].Rows[2]["Na41"].ToString(); string dataPoint570 = graphDataSet.Tables["data"].Rows[2]["Na42"].ToString(); string dataPoint571 = graphDataSet.Tables["data"].Rows[2]["Na43"].ToString(); string dataPoint572 = graphDataSet.Tables["data"].Rows[2]["Na44"].ToString(); string dataPoint573 = graphDataSet.Tables["data"].Rows[2]["Na45"].ToString(); string dataPoint574 = graphDataSet.Tables["data"].Rows[2]["Na46"].ToString(); string dataPoint575 = graphDataSet.Tables["data"].Rows[2]["Na47"].ToString(); string dataPoint576 = graphDataSet.Tables["data"].Rows[2]["Na48"].ToString(); string dataPoint577 = graphDataSet.Tables["data"].Rows[2]["Na49"].ToString(); string dataPoint578 = graphDataSet.Tables["data"].Rows[2]["Na50"].ToString();
                        string dataPoint579 = graphDataSet.Tables["data"].Rows[2]["Na51"].ToString(); string dataPoint580 = graphDataSet.Tables["data"].Rows[2]["Na52"].ToString(); string dataPoint581 = graphDataSet.Tables["data"].Rows[2]["Na53"].ToString(); string dataPoint582 = graphDataSet.Tables["data"].Rows[2]["Na54"].ToString(); string dataPoint583 = graphDataSet.Tables["data"].Rows[2]["Na55"].ToString(); string dataPoint584 = graphDataSet.Tables["data"].Rows[2]["Na56"].ToString(); string dataPoint585 = graphDataSet.Tables["data"].Rows[2]["Na57"].ToString(); string dataPoint586 = graphDataSet.Tables["data"].Rows[2]["Na58"].ToString(); string dataPoint587 = graphDataSet.Tables["data"].Rows[2]["Na59"].ToString(); string dataPoint588 = graphDataSet.Tables["data"].Rows[2]["Na60"].ToString();
                        string dataPoint589 = graphDataSet.Tables["data"].Rows[2]["Na61"].ToString(); string dataPoint590 = graphDataSet.Tables["data"].Rows[2]["Na62"].ToString(); string dataPoint591 = graphDataSet.Tables["data"].Rows[2]["Na63"].ToString(); string dataPoint592 = graphDataSet.Tables["data"].Rows[2]["Na64"].ToString(); string dataPoint593 = graphDataSet.Tables["data"].Rows[2]["Na65"].ToString(); string dataPoint594 = graphDataSet.Tables["data"].Rows[2]["Na66"].ToString();

                        int bNa1; int bNa2; int bNa3; int bNa4; int bNa5; int bNa6; int bNa7; int bNa8; int bNa9; int bNa10; int bNa11; int bNa12; int bNa13; int bNa14; int bNa15; int bNa16; int bNa17; int bNa18; int bNa19; int bNa20; int bNa21; int bNa22; int bNa23; int bNa24; int bNa25; int bNa26; int bNa27; int bNa28; int bNa29; int bNa30; int bNa31; int bNa32; int bNa33; int bNa34; int bNa35; int bNa36; int bNa37; int bNa38; int bNa39; int bNa40; int bNa41; int bNa42; int bNa43; int bNa44; int bNa45; int bNa46; int bNa47; int bNa48; int bNa49; int bNa50; int bNa51; int bNa52; int bNa53; int bNa54; int bNa55; int bNa56; int bNa57; int bNa58; int bNa59; int bNa60; int bNa61; int bNa62; int bNa63; int bNa64; int bNa65; int bNa66;

                        if (dataPoint529 == "True") { bNa1 = 1; } else { bNa1 = 0; } if (dataPoint530 == "True") { bNa2 = 1; } else { bNa2 = 0; } if (dataPoint531 == "True") { bNa3 = 1; } else { bNa3 = 0; } if (dataPoint532 == "True") { bNa4 = 1; } else { bNa4 = 0; } if (dataPoint533 == "True") { bNa5 = 1; } else { bNa5 = 0; } if (dataPoint534 == "True") { bNa6 = 1; } else { bNa6 = 0; } if (dataPoint535 == "True") { bNa7 = 1; } else { bNa7 = 0; } if (dataPoint536 == "True") { bNa8 = 1; } else { bNa8 = 0; } if (dataPoint537 == "True") { bNa9 = 1; } else { bNa9 = 0; } if (dataPoint538 == "True") { bNa10 = 1; } else { bNa10 = 0; }
                        if (dataPoint539 == "True") { bNa11 = 1; } else { bNa11 = 0; } if (dataPoint540 == "True") { bNa12 = 1; } else { bNa12 = 0; } if (dataPoint541 == "True") { bNa13 = 1; } else { bNa13 = 0; } if (dataPoint542 == "True") { bNa14 = 1; } else { bNa14 = 0; } if (dataPoint543 == "True") { bNa15 = 1; } else { bNa15 = 0; } if (dataPoint544 == "True") { bNa16 = 1; } else { bNa16 = 0; } if (dataPoint545 == "True") { bNa17 = 1; } else { bNa17 = 0; } if (dataPoint546 == "True") { bNa18 = 1; } else { bNa18 = 0; } if (dataPoint547 == "True") { bNa19 = 1; } else { bNa19 = 0; } if (dataPoint548 == "True") { bNa20 = 1; } else { bNa20 = 0; }
                        if (dataPoint549 == "True") { bNa21 = 1; } else { bNa21 = 0; } if (dataPoint550 == "True") { bNa22 = 1; } else { bNa22 = 0; } if (dataPoint551 == "True") { bNa23 = 1; } else { bNa23 = 0; } if (dataPoint552 == "True") { bNa24 = 1; } else { bNa24 = 0; } if (dataPoint553 == "True") { bNa25 = 1; } else { bNa25 = 0; } if (dataPoint554 == "True") { bNa26 = 1; } else { bNa26 = 0; } if (dataPoint555 == "True") { bNa27 = 1; } else { bNa27 = 0; } if (dataPoint556 == "True") { bNa28 = 1; } else { bNa28 = 0; } if (dataPoint557 == "True") { bNa29 = 1; } else { bNa29 = 0; } if (dataPoint558 == "True") { bNa30 = 1; } else { bNa30 = 0; }
                        if (dataPoint559 == "True") { bNa31 = 1; } else { bNa31 = 0; } if (dataPoint560 == "True") { bNa32 = 1; } else { bNa32 = 0; } if (dataPoint561 == "True") { bNa33 = 1; } else { bNa33 = 0; } if (dataPoint562 == "True") { bNa34 = 1; } else { bNa34 = 0; } if (dataPoint563 == "True") { bNa35 = 1; } else { bNa35 = 0; } if (dataPoint564 == "True") { bNa36 = 1; } else { bNa36 = 0; } if (dataPoint565 == "True") { bNa37 = 1; } else { bNa37 = 0; } if (dataPoint566 == "True") { bNa38 = 1; } else { bNa38 = 0; } if (dataPoint567 == "True") { bNa39 = 1; } else { bNa39 = 0; } if (dataPoint568 == "True") { bNa40 = 1; } else { bNa40 = 0; }
                        if (dataPoint569 == "True") { bNa41 = 1; } else { bNa41 = 0; } if (dataPoint570 == "True") { bNa42 = 1; } else { bNa42 = 0; } if (dataPoint571 == "True") { bNa43 = 1; } else { bNa43 = 0; } if (dataPoint572 == "True") { bNa44 = 1; } else { bNa44 = 0; } if (dataPoint573 == "True") { bNa45 = 1; } else { bNa45 = 0; } if (dataPoint574 == "True") { bNa46 = 1; } else { bNa46 = 0; } if (dataPoint575 == "True") { bNa47 = 1; } else { bNa47 = 0; } if (dataPoint576 == "True") { bNa48 = 1; } else { bNa48 = 0; } if (dataPoint577 == "True") { bNa49 = 1; } else { bNa49 = 0; } if (dataPoint578 == "True") { bNa50 = 1; } else { bNa50 = 0; }
                        if (dataPoint579 == "True") { bNa51 = 1; } else { bNa51 = 0; } if (dataPoint580 == "True") { bNa52 = 1; } else { bNa52 = 0; } if (dataPoint581 == "True") { bNa53 = 1; } else { bNa53 = 0; } if (dataPoint582 == "True") { bNa54 = 1; } else { bNa54 = 0; } if (dataPoint583 == "True") { bNa55 = 1; } else { bNa55 = 0; } if (dataPoint584 == "True") { bNa56 = 1; } else { bNa56 = 0; } if (dataPoint585 == "True") { bNa57 = 1; } else { bNa57 = 0; } if (dataPoint586 == "True") { bNa58 = 1; } else { bNa58 = 0; } if (dataPoint587 == "True") { bNa59 = 1; } else { bNa59 = 0; } if (dataPoint588 == "True") { bNa60 = 1; } else { bNa60 = 0; }
                        if (dataPoint589 == "True") { bNa61 = 1; } else { bNa61 = 0; } if (dataPoint590 == "True") { bNa62 = 1; } else { bNa62 = 0; } if (dataPoint591 == "True") { bNa63 = 1; } else { bNa63 = 0; } if (dataPoint592 == "True") { bNa64 = 1; } else { bNa64 = 0; } if (dataPoint593 == "True") { bNa65 = 1; } else { bNa65 = 0; } if (dataPoint594 == "True") { bNa66 = 1; } else { bNa66 = 0; }

                        int btotalNa = bNa1 + bNa2 + bNa3 + bNa4 + bNa5 + bNa6 + bNa7 + bNa8 + bNa9 + bNa10 + bNa11 + bNa12 + bNa13 + bNa14 + bNa15 + bNa16 + bNa17 + bNa18 + bNa19 + bNa20 + bNa21 + bNa22 + bNa23 + bNa24 + bNa25 + bNa26 + bNa27 + bNa28 + bNa29 + bNa30 + bNa31 + bNa32 + bNa33 + bNa34 + bNa35 + bNa36 + bNa37 + bNa38 + bNa39 + bNa40 + bNa41 + bNa42 + bNa43 + bNa44 + bNa45 + bNa46 + bNa47 + bNa48 + bNa49 + bNa50 + bNa51 + bNa52 + bNa53 + bNa54 + bNa55 + bNa56 + bNa57 + bNa58 + bNa59 + bNa60 + bNa61 + bNa62 + bNa63 + bNa64 + bNa65 + bNa66;

                        string dataPoint595 = graphDataSet.Tables["data"].Rows[3]["Yes1"].ToString(); string dataPoint596 = graphDataSet.Tables["data"].Rows[3]["Yes2"].ToString(); string dataPoint597 = graphDataSet.Tables["data"].Rows[3]["Yes3"].ToString(); string dataPoint598 = graphDataSet.Tables["data"].Rows[3]["Yes4"].ToString(); string dataPoint599 = graphDataSet.Tables["data"].Rows[3]["Yes5"].ToString(); string dataPoint600 = graphDataSet.Tables["data"].Rows[3]["Yes6"].ToString(); string dataPoint601 = graphDataSet.Tables["data"].Rows[3]["Yes7"].ToString(); string dataPoint602 = graphDataSet.Tables["data"].Rows[3]["Yes8"].ToString(); string dataPoint603 = graphDataSet.Tables["data"].Rows[3]["Yes9"].ToString(); string dataPoint604 = graphDataSet.Tables["data"].Rows[3]["Yes10"].ToString();
                        string dataPoint605 = graphDataSet.Tables["data"].Rows[3]["Yes11"].ToString(); string dataPoint606 = graphDataSet.Tables["data"].Rows[3]["Yes12"].ToString(); string dataPoint607 = graphDataSet.Tables["data"].Rows[3]["Yes13"].ToString(); string dataPoint608 = graphDataSet.Tables["data"].Rows[3]["Yes14"].ToString(); string dataPoint609 = graphDataSet.Tables["data"].Rows[3]["Yes15"].ToString(); string dataPoint610 = graphDataSet.Tables["data"].Rows[3]["Yes16"].ToString(); string dataPoint611 = graphDataSet.Tables["data"].Rows[3]["Yes17"].ToString(); string dataPoint612 = graphDataSet.Tables["data"].Rows[3]["Yes18"].ToString(); string dataPoint613 = graphDataSet.Tables["data"].Rows[3]["Yes19"].ToString(); string dataPoint614 = graphDataSet.Tables["data"].Rows[3]["Yes20"].ToString();
                        string dataPoint615 = graphDataSet.Tables["data"].Rows[3]["Yes21"].ToString(); string dataPoint616 = graphDataSet.Tables["data"].Rows[3]["Yes22"].ToString(); string dataPoint617 = graphDataSet.Tables["data"].Rows[3]["Yes23"].ToString(); string dataPoint618 = graphDataSet.Tables["data"].Rows[3]["Yes24"].ToString(); string dataPoint619 = graphDataSet.Tables["data"].Rows[3]["Yes25"].ToString(); string dataPoint620 = graphDataSet.Tables["data"].Rows[3]["Yes26"].ToString(); string dataPoint621 = graphDataSet.Tables["data"].Rows[3]["Yes27"].ToString(); string dataPoint622 = graphDataSet.Tables["data"].Rows[3]["Yes28"].ToString(); string dataPoint623 = graphDataSet.Tables["data"].Rows[3]["Yes29"].ToString(); string dataPoint624 = graphDataSet.Tables["data"].Rows[3]["Yes30"].ToString();
                        string dataPoint625 = graphDataSet.Tables["data"].Rows[3]["Yes31"].ToString(); string dataPoint626 = graphDataSet.Tables["data"].Rows[3]["Yes32"].ToString(); string dataPoint627 = graphDataSet.Tables["data"].Rows[3]["Yes33"].ToString(); string dataPoint628 = graphDataSet.Tables["data"].Rows[3]["Yes34"].ToString(); string dataPoint629 = graphDataSet.Tables["data"].Rows[3]["Yes35"].ToString(); string dataPoint630 = graphDataSet.Tables["data"].Rows[3]["Yes36"].ToString(); string dataPoint631 = graphDataSet.Tables["data"].Rows[3]["Yes37"].ToString(); string dataPoint632 = graphDataSet.Tables["data"].Rows[3]["Yes38"].ToString(); string dataPoint633 = graphDataSet.Tables["data"].Rows[3]["Yes39"].ToString(); string dataPoint634 = graphDataSet.Tables["data"].Rows[3]["Yes40"].ToString();
                        string dataPoint635 = graphDataSet.Tables["data"].Rows[3]["Yes41"].ToString(); string dataPoint636 = graphDataSet.Tables["data"].Rows[3]["Yes42"].ToString(); string dataPoint637 = graphDataSet.Tables["data"].Rows[3]["Yes43"].ToString(); string dataPoint638 = graphDataSet.Tables["data"].Rows[3]["Yes44"].ToString(); string dataPoint639 = graphDataSet.Tables["data"].Rows[3]["Yes45"].ToString(); string dataPoint640 = graphDataSet.Tables["data"].Rows[3]["Yes46"].ToString(); string dataPoint641 = graphDataSet.Tables["data"].Rows[3]["Yes47"].ToString(); string dataPoint642 = graphDataSet.Tables["data"].Rows[3]["Yes48"].ToString(); string dataPoint643 = graphDataSet.Tables["data"].Rows[3]["Yes49"].ToString(); string dataPoint644 = graphDataSet.Tables["data"].Rows[3]["Yes50"].ToString();
                        string dataPoint645 = graphDataSet.Tables["data"].Rows[3]["Yes51"].ToString(); string dataPoint646 = graphDataSet.Tables["data"].Rows[3]["Yes52"].ToString(); string dataPoint647 = graphDataSet.Tables["data"].Rows[3]["Yes53"].ToString(); string dataPoint648 = graphDataSet.Tables["data"].Rows[3]["Yes54"].ToString(); string dataPoint649 = graphDataSet.Tables["data"].Rows[3]["Yes55"].ToString(); string dataPoint650 = graphDataSet.Tables["data"].Rows[3]["Yes56"].ToString(); string dataPoint651 = graphDataSet.Tables["data"].Rows[3]["Yes57"].ToString(); string dataPoint652 = graphDataSet.Tables["data"].Rows[3]["Yes58"].ToString(); string dataPoint653 = graphDataSet.Tables["data"].Rows[3]["Yes59"].ToString(); string dataPoint654 = graphDataSet.Tables["data"].Rows[3]["Yes60"].ToString();
                        string dataPoint655 = graphDataSet.Tables["data"].Rows[3]["Yes61"].ToString(); string dataPoint656 = graphDataSet.Tables["data"].Rows[3]["Yes62"].ToString(); string dataPoint657 = graphDataSet.Tables["data"].Rows[3]["Yes63"].ToString(); string dataPoint658 = graphDataSet.Tables["data"].Rows[3]["Yes64"].ToString(); string dataPoint659 = graphDataSet.Tables["data"].Rows[3]["Yes65"].ToString(); string dataPoint660 = graphDataSet.Tables["data"].Rows[3]["Yes66"].ToString();

                        int cYes1; int cYes2; int cYes3; int cYes4; int cYes5; int cYes6; int cYes7; int cYes8; int cYes9; int cYes10; int cYes11; int cYes12; int cYes13; int cYes14; int cYes15; int cYes16; int cYes17; int cYes18; int cYes19; int cYes20; int cYes21; int cYes22; int cYes23; int cYes24; int cYes25; int cYes26; int cYes27; int cYes28; int cYes29; int cYes30; int cYes31; int cYes32; int cYes33; int cYes34; int cYes35; int cYes36; int cYes37; int cYes38; int cYes39; int cYes40; int cYes41; int cYes42; int cYes43; int cYes44; int cYes45; int cYes46; int cYes47; int cYes48; int cYes49; int cYes50; int cYes51; int cYes52; int cYes53; int cYes54; int cYes55; int cYes56; int cYes57; int cYes58; int cYes59; int cYes60; int cYes61; int cYes62; int cYes63; int cYes64; int cYes65; int cYes66;

                        if (dataPoint595 == "True") { cYes1 = 1; } else { cYes1 = 0; } if (dataPoint596 == "True") { cYes2 = 1; } else { cYes2 = 0; } if (dataPoint597 == "True") { cYes3 = 1; } else { cYes3 = 0; } if (dataPoint598 == "True") { cYes4 = 1; } else { cYes4 = 0; } if (dataPoint599 == "True") { cYes5 = 1; } else { cYes5 = 0; } if (dataPoint600 == "True") { cYes6 = 1; } else { cYes6 = 0; } if (dataPoint601 == "True") { cYes7 = 1; } else { cYes7 = 0; } if (dataPoint602 == "True") { cYes8 = 1; } else { cYes8 = 0; } if (dataPoint603 == "True") { cYes9 = 1; } else { cYes9 = 0; } if (dataPoint604 == "True") { cYes10 = 1; } else { cYes10 = 0; }
                        if (dataPoint605 == "True") { cYes11 = 1; } else { cYes11 = 0; } if (dataPoint606 == "True") { cYes12 = 1; } else { cYes12 = 0; } if (dataPoint607 == "True") { cYes13 = 1; } else { cYes13 = 0; } if (dataPoint608 == "True") { cYes14 = 1; } else { cYes14 = 0; } if (dataPoint609 == "True") { cYes15 = 1; } else { cYes15 = 0; } if (dataPoint610 == "True") { cYes16 = 1; } else { cYes16 = 0; } if (dataPoint611 == "True") { cYes17 = 1; } else { cYes17 = 0; } if (dataPoint612 == "True") { cYes18 = 1; } else { cYes18 = 0; } if (dataPoint613 == "True") { cYes19 = 1; } else { cYes19 = 0; } if (dataPoint614 == "True") { cYes20 = 1; } else { cYes20 = 0; }
                        if (dataPoint615 == "True") { cYes21 = 1; } else { cYes21 = 0; } if (dataPoint616 == "True") { cYes22 = 1; } else { cYes22 = 0; } if (dataPoint617 == "True") { cYes23 = 1; } else { cYes23 = 0; } if (dataPoint618 == "True") { cYes24 = 1; } else { cYes24 = 0; } if (dataPoint619 == "True") { cYes25 = 1; } else { cYes25 = 0; } if (dataPoint620 == "True") { cYes26 = 1; } else { cYes26 = 0; } if (dataPoint621 == "True") { cYes27 = 1; } else { cYes27 = 0; } if (dataPoint622 == "True") { cYes28 = 1; } else { cYes28 = 0; } if (dataPoint623 == "True") { cYes29 = 1; } else { cYes29 = 0; } if (dataPoint624 == "True") { cYes30 = 1; } else { cYes30 = 0; }
                        if (dataPoint625 == "True") { cYes31 = 1; } else { cYes31 = 0; } if (dataPoint626 == "True") { cYes32 = 1; } else { cYes32 = 0; } if (dataPoint627 == "True") { cYes33 = 1; } else { cYes33 = 0; } if (dataPoint628 == "True") { cYes34 = 1; } else { cYes34 = 0; } if (dataPoint233 == "True") { cYes35 = 1; } else { cYes35 = 0; } if (dataPoint630 == "True") { cYes36 = 1; } else { cYes36 = 0; } if (dataPoint631 == "True") { cYes37 = 1; } else { cYes37 = 0; } if (dataPoint632 == "True") { cYes38 = 1; } else { cYes38 = 0; } if (dataPoint633 == "True") { cYes39 = 1; } else { cYes39 = 0; } if (dataPoint634 == "True") { cYes40 = 1; } else { cYes40 = 0; }
                        if (dataPoint635 == "True") { cYes41 = 1; } else { cYes41 = 0; } if (dataPoint636 == "True") { cYes42 = 1; } else { cYes42 = 0; } if (dataPoint637 == "True") { cYes43 = 1; } else { cYes43 = 0; } if (dataPoint638 == "True") { cYes44 = 1; } else { cYes44 = 0; } if (dataPoint639 == "True") { cYes45 = 1; } else { cYes45 = 0; } if (dataPoint640 == "True") { cYes46 = 1; } else { cYes46 = 0; } if (dataPoint641 == "True") { cYes47 = 1; } else { cYes47 = 0; } if (dataPoint642 == "True") { cYes48 = 1; } else { cYes48 = 0; } if (dataPoint643 == "True") { cYes49 = 1; } else { cYes49 = 0; } if (dataPoint644 == "True") { cYes50 = 1; } else { cYes50 = 0; }
                        if (dataPoint645 == "True") { cYes51 = 1; } else { cYes51 = 0; } if (dataPoint646 == "True") { cYes52 = 1; } else { cYes52 = 0; } if (dataPoint647 == "True") { cYes53 = 1; } else { cYes53 = 0; } if (dataPoint648 == "True") { cYes54 = 1; } else { cYes54 = 0; } if (dataPoint649 == "True") { cYes55 = 1; } else { cYes55 = 0; } if (dataPoint650 == "True") { cYes56 = 1; } else { cYes56 = 0; } if (dataPoint651 == "True") { cYes57 = 1; } else { cYes57 = 0; } if (dataPoint652 == "True") { cYes58 = 1; } else { cYes58 = 0; } if (dataPoint653 == "True") { cYes59 = 1; } else { cYes59 = 0; } if (dataPoint654 == "True") { cYes60 = 1; } else { cYes60 = 0; }
                        if (dataPoint655 == "True") { cYes61 = 1; } else { cYes61 = 0; } if (dataPoint656 == "True") { cYes62 = 1; } else { cYes62 = 0; } if (dataPoint657 == "True") { cYes63 = 1; } else { cYes63 = 0; } if (dataPoint658 == "True") { cYes64 = 1; } else { cYes64 = 0; } if (dataPoint659 == "True") { cYes65 = 1; } else { cYes65 = 0; } if (dataPoint660 == "True") { cYes66 = 1; } else { cYes66 = 0; }

                        int ctotalYes = cYes1 + cYes2 + cYes3 + cYes4 + cYes5 + cYes6 + cYes7 + cYes8 + cYes9 + cYes10 + cYes11 + cYes12 + cYes13 + cYes14 + cYes15 + cYes16 + cYes17 + cYes18 + cYes19 + cYes20 + cYes21 + cYes22 + cYes23 + cYes24 + cYes25 + cYes26 + cYes27 + cYes28 + cYes29 + cYes30 + cYes31 + cYes32 + cYes33 + cYes34 + cYes35 + cYes36 + cYes37 + cYes38 + cYes39 + cYes40 + cYes41 + cYes42 + cYes43 + cYes44 + cYes45 + cYes46 + cYes47 + cYes48 + cYes49 + cYes50 + cYes51 + cYes52 + cYes53 + cYes54 + cYes55 + cYes56 + cYes57 + cYes58 + cYes59 + cYes60 + cYes61 + cYes62 + cYes63 + cYes64 + cYes65 + cYes66;

                        string dataPoint661 = graphDataSet.Tables["data"].Rows[3]["No1"].ToString(); string dataPoint662 = graphDataSet.Tables["data"].Rows[3]["No2"].ToString(); string dataPoint663 = graphDataSet.Tables["data"].Rows[3]["No3"].ToString(); string dataPoint664 = graphDataSet.Tables["data"].Rows[3]["No4"].ToString(); string dataPoint665 = graphDataSet.Tables["data"].Rows[3]["No5"].ToString(); string dataPoint666 = graphDataSet.Tables["data"].Rows[3]["No6"].ToString(); string dataPoint667 = graphDataSet.Tables["data"].Rows[3]["No7"].ToString(); string dataPoint668 = graphDataSet.Tables["data"].Rows[3]["No8"].ToString(); string dataPoint669 = graphDataSet.Tables["data"].Rows[3]["No9"].ToString(); string dataPoint670 = graphDataSet.Tables["data"].Rows[3]["No10"].ToString();
                        string dataPoint671 = graphDataSet.Tables["data"].Rows[3]["No11"].ToString(); string dataPoint672 = graphDataSet.Tables["data"].Rows[3]["No12"].ToString(); string dataPoint673 = graphDataSet.Tables["data"].Rows[3]["No13"].ToString(); string dataPoint674 = graphDataSet.Tables["data"].Rows[3]["No14"].ToString(); string dataPoint675 = graphDataSet.Tables["data"].Rows[3]["No15"].ToString(); string dataPoint676 = graphDataSet.Tables["data"].Rows[3]["No16"].ToString(); string dataPoint677 = graphDataSet.Tables["data"].Rows[3]["No17"].ToString(); string dataPoint678 = graphDataSet.Tables["data"].Rows[3]["No18"].ToString(); string dataPoint679 = graphDataSet.Tables["data"].Rows[3]["No19"].ToString(); string dataPoint680 = graphDataSet.Tables["data"].Rows[3]["No20"].ToString();
                        string dataPoint681 = graphDataSet.Tables["data"].Rows[3]["No21"].ToString(); string dataPoint682 = graphDataSet.Tables["data"].Rows[3]["No22"].ToString(); string dataPoint683 = graphDataSet.Tables["data"].Rows[3]["No23"].ToString(); string dataPoint684 = graphDataSet.Tables["data"].Rows[3]["No24"].ToString(); string dataPoint685 = graphDataSet.Tables["data"].Rows[3]["No25"].ToString(); string dataPoint686 = graphDataSet.Tables["data"].Rows[3]["No26"].ToString(); string dataPoint687 = graphDataSet.Tables["data"].Rows[3]["No27"].ToString(); string dataPoint688 = graphDataSet.Tables["data"].Rows[3]["No28"].ToString(); string dataPoint689 = graphDataSet.Tables["data"].Rows[3]["No29"].ToString(); string dataPoint690 = graphDataSet.Tables["data"].Rows[3]["No30"].ToString();
                        string dataPoint691 = graphDataSet.Tables["data"].Rows[3]["No31"].ToString(); string dataPoint692 = graphDataSet.Tables["data"].Rows[3]["No32"].ToString(); string dataPoint693 = graphDataSet.Tables["data"].Rows[3]["No33"].ToString(); string dataPoint694 = graphDataSet.Tables["data"].Rows[3]["No34"].ToString(); string dataPoint695 = graphDataSet.Tables["data"].Rows[3]["No35"].ToString(); string dataPoint696 = graphDataSet.Tables["data"].Rows[3]["No36"].ToString(); string dataPoint697 = graphDataSet.Tables["data"].Rows[3]["No37"].ToString(); string dataPoint698 = graphDataSet.Tables["data"].Rows[3]["No38"].ToString(); string dataPoint699 = graphDataSet.Tables["data"].Rows[3]["No39"].ToString(); string dataPoint700 = graphDataSet.Tables["data"].Rows[3]["No40"].ToString();
                        string dataPoint701 = graphDataSet.Tables["data"].Rows[3]["No41"].ToString(); string dataPoint702 = graphDataSet.Tables["data"].Rows[3]["No42"].ToString(); string dataPoint703 = graphDataSet.Tables["data"].Rows[3]["No43"].ToString(); string dataPoint704 = graphDataSet.Tables["data"].Rows[3]["No44"].ToString(); string dataPoint705 = graphDataSet.Tables["data"].Rows[3]["No45"].ToString(); string dataPoint706 = graphDataSet.Tables["data"].Rows[3]["No46"].ToString(); string dataPoint707 = graphDataSet.Tables["data"].Rows[3]["No47"].ToString(); string dataPoint708 = graphDataSet.Tables["data"].Rows[3]["No48"].ToString(); string dataPoint709 = graphDataSet.Tables["data"].Rows[3]["No49"].ToString(); string dataPoint710 = graphDataSet.Tables["data"].Rows[3]["No50"].ToString();
                        string dataPoint711 = graphDataSet.Tables["data"].Rows[3]["No51"].ToString(); string dataPoint712 = graphDataSet.Tables["data"].Rows[3]["No52"].ToString(); string dataPoint713 = graphDataSet.Tables["data"].Rows[3]["No53"].ToString(); string dataPoint714 = graphDataSet.Tables["data"].Rows[3]["No54"].ToString(); string dataPoint715 = graphDataSet.Tables["data"].Rows[3]["No55"].ToString(); string dataPoint716 = graphDataSet.Tables["data"].Rows[3]["No56"].ToString(); string dataPoint717 = graphDataSet.Tables["data"].Rows[3]["No57"].ToString(); string dataPoint718 = graphDataSet.Tables["data"].Rows[3]["No58"].ToString(); string dataPoint719 = graphDataSet.Tables["data"].Rows[3]["No59"].ToString(); string dataPoint720 = graphDataSet.Tables["data"].Rows[3]["No60"].ToString();
                        string dataPoint721 = graphDataSet.Tables["data"].Rows[3]["No61"].ToString(); string dataPoint722 = graphDataSet.Tables["data"].Rows[3]["No62"].ToString(); string dataPoint723 = graphDataSet.Tables["data"].Rows[3]["No63"].ToString(); string dataPoint724 = graphDataSet.Tables["data"].Rows[3]["No64"].ToString(); string dataPoint725 = graphDataSet.Tables["data"].Rows[3]["No65"].ToString(); string dataPoint726 = graphDataSet.Tables["data"].Rows[3]["No66"].ToString();

                        int cNo1; int cNo2; int cNo3; int cNo4; int cNo5; int cNo6; int cNo7; int cNo8; int cNo9; int cNo10; int cNo11; int cNo12; int cNo13; int cNo14; int cNo15; int cNo16; int cNo17; int cNo18; int cNo19; int cNo20; int cNo21; int cNo22; int cNo23; int cNo24; int cNo25; int cNo26; int cNo27; int cNo28; int cNo29; int cNo30; int cNo31; int cNo32; int cNo33; int cNo34; int cNo35; int cNo36; int cNo37; int cNo38; int cNo39; int cNo40; int cNo41; int cNo42; int cNo43; int cNo44; int cNo45; int cNo46; int cNo47; int cNo48; int cNo49; int cNo50; int cNo51; int cNo52; int cNo53; int cNo54; int cNo55; int cNo56; int cNo57; int cNo58; int cNo59; int cNo60; int cNo61; int cNo62; int cNo63; int cNo64; int cNo65; int cNo66;

                        if (dataPoint661 == "True") { cNo1 = 1; } else { cNo1 = 0; } if (dataPoint662 == "True") { cNo2 = 1; } else { cNo2 = 0; } if (dataPoint663 == "True") { cNo3 = 1; } else { cNo3 = 0; } if (dataPoint664 == "True") { cNo4 = 1; } else { cNo4 = 0; } if (dataPoint665 == "True") { cNo5 = 1; } else { cNo5 = 0; } if (dataPoint666 == "True") { cNo6 = 1; } else { cNo6 = 0; } if (dataPoint667 == "True") { cNo7 = 1; } else { cNo7 = 0; } if (dataPoint668 == "True") { cNo8 = 1; } else { cNo8 = 0; } if (dataPoint669 == "True") { cNo9 = 1; } else { cNo9 = 0; } if (dataPoint670 == "True") { cNo10 = 1; } else { cNo10 = 0; }
                        if (dataPoint671 == "True") { cNo11 = 1; } else { cNo11 = 0; } if (dataPoint672 == "True") { cNo12 = 1; } else { cNo12 = 0; } if (dataPoint673 == "True") { cNo13 = 1; } else { cNo13 = 0; } if (dataPoint674 == "True") { cNo14 = 1; } else { cNo14 = 0; } if (dataPoint675 == "True") { cNo15 = 1; } else { cNo15 = 0; } if (dataPoint676 == "True") { cNo16 = 1; } else { cNo16 = 0; } if (dataPoint677 == "True") { cNo17 = 1; } else { cNo17 = 0; } if (dataPoint678 == "True") { cNo18 = 1; } else { cNo18 = 0; } if (dataPoint679 == "True") { cNo19 = 1; } else { cNo19 = 0; } if (dataPoint680 == "True") { cNo20 = 1; } else { cNo20 = 0; }
                        if (dataPoint681 == "True") { cNo21 = 1; } else { cNo21 = 0; } if (dataPoint682 == "True") { cNo22 = 1; } else { cNo22 = 0; } if (dataPoint683 == "True") { cNo23 = 1; } else { cNo23 = 0; } if (dataPoint684 == "True") { cNo24 = 1; } else { cNo24 = 0; } if (dataPoint685 == "True") { cNo25 = 1; } else { cNo25 = 0; } if (dataPoint686 == "True") { cNo26 = 1; } else { cNo26 = 0; } if (dataPoint687 == "True") { cNo27 = 1; } else { cNo27 = 0; } if (dataPoint688 == "True") { cNo28 = 1; } else { cNo28 = 0; } if (dataPoint689 == "True") { cNo29 = 1; } else { cNo29 = 0; } if (dataPoint690 == "True") { cNo30 = 1; } else { cNo30 = 0; }
                        if (dataPoint691 == "True") { cNo31 = 1; } else { cNo31 = 0; } if (dataPoint692 == "True") { cNo32 = 1; } else { cNo32 = 0; } if (dataPoint693 == "True") { cNo33 = 1; } else { cNo33 = 0; } if (dataPoint694 == "True") { cNo34 = 1; } else { cNo34 = 0; } if (dataPoint695 == "True") { cNo35 = 1; } else { cNo35 = 0; } if (dataPoint696 == "True") { cNo36 = 1; } else { cNo36 = 0; } if (dataPoint697 == "True") { cNo37 = 1; } else { cNo37 = 0; } if (dataPoint698 == "True") { cNo38 = 1; } else { cNo38 = 0; } if (dataPoint699 == "True") { cNo39 = 1; } else { cNo39 = 0; } if (dataPoint700 == "True") { cNo40 = 1; } else { cNo40 = 0; }
                        if (dataPoint701 == "True") { cNo41 = 1; } else { cNo41 = 0; } if (dataPoint702 == "True") { cNo42 = 1; } else { cNo42 = 0; } if (dataPoint703 == "True") { cNo43 = 1; } else { cNo43 = 0; } if (dataPoint704 == "True") { cNo44 = 1; } else { cNo44 = 0; } if (dataPoint705 == "True") { cNo45 = 1; } else { cNo45 = 0; } if (dataPoint706 == "True") { cNo46 = 1; } else { cNo46 = 0; } if (dataPoint707 == "True") { cNo47 = 1; } else { cNo47 = 0; } if (dataPoint708 == "True") { cNo48 = 1; } else { cNo48 = 0; } if (dataPoint709 == "True") { cNo49 = 1; } else { cNo49 = 0; } if (dataPoint710 == "True") { cNo50 = 1; } else { cNo50 = 0; }
                        if (dataPoint711 == "True") { cNo51 = 1; } else { cNo51 = 0; } if (dataPoint712 == "True") { cNo52 = 1; } else { cNo52 = 0; } if (dataPoint713 == "True") { cNo53 = 1; } else { cNo53 = 0; } if (dataPoint714 == "True") { cNo54 = 1; } else { cNo54 = 0; } if (dataPoint715 == "True") { cNo55 = 1; } else { cNo55 = 0; } if (dataPoint716 == "True") { cNo56 = 1; } else { cNo56 = 0; } if (dataPoint717 == "True") { cNo57 = 1; } else { cNo57 = 0; } if (dataPoint718 == "True") { cNo58 = 1; } else { cNo58 = 0; } if (dataPoint719 == "True") { cNo59 = 1; } else { cNo59 = 0; } if (dataPoint720 == "True") { cNo60 = 1; } else { cNo60 = 0; }
                        if (dataPoint721 == "True") { cNo61 = 1; } else { cNo61 = 0; } if (dataPoint722 == "True") { cNo62 = 1; } else { cNo62 = 0; } if (dataPoint723 == "True") { cNo63 = 1; } else { cNo63 = 0; } if (dataPoint724 == "True") { cNo64 = 1; } else { cNo64 = 0; } if (dataPoint725 == "True") { cNo65 = 1; } else { cNo65 = 0; } if (dataPoint726 == "True") { cNo66 = 1; } else { cNo66 = 0; }

                        int ctotalNo = cNo1 + cNo2 + cNo3 + cNo4 + cNo5 + cNo6 + cNo7 + cNo8 + cNo9 + cNo10 + cNo11 + cNo12 + cNo13 + cNo14 + cNo15 + cNo16 + cNo17 + cNo18 + cNo19 + cNo20 + cNo21 + cNo22 + cNo23 + cNo24 + cNo25 + cNo26 + cNo27 + cNo28 + cNo29 + cNo30 + cNo31 + cNo32 + cNo33 + cNo34 + cNo35 + cNo36 + cNo37 + cNo38 + cNo39 + cNo40 + cNo41 + cNo42 + cNo43 + cNo44 + cNo45 + cNo46 + cNo47 + cNo48 + cNo49 + cNo50 + cNo51 + cNo52 + cNo53 + cNo54 + cNo55 + cNo56 + cNo57 + cNo58 + cNo59 + cNo60 + cNo61 + cNo62 + cNo63 + cNo64 + cNo65 + cNo66;

                        string dataPoint727 = graphDataSet.Tables["data"].Rows[3]["Na1"].ToString(); string dataPoint728 = graphDataSet.Tables["data"].Rows[3]["Na2"].ToString(); string dataPoint729 = graphDataSet.Tables["data"].Rows[3]["Na3"].ToString(); string dataPoint730 = graphDataSet.Tables["data"].Rows[3]["Na4"].ToString(); string dataPoint731 = graphDataSet.Tables["data"].Rows[3]["Na5"].ToString(); string dataPoint732 = graphDataSet.Tables["data"].Rows[3]["Na6"].ToString(); string dataPoint733 = graphDataSet.Tables["data"].Rows[3]["Na7"].ToString(); string dataPoint734 = graphDataSet.Tables["data"].Rows[3]["Na8"].ToString(); string dataPoint735 = graphDataSet.Tables["data"].Rows[3]["Na9"].ToString(); string dataPoint736 = graphDataSet.Tables["data"].Rows[3]["Na10"].ToString();
                        string dataPoint737 = graphDataSet.Tables["data"].Rows[3]["Na11"].ToString(); string dataPoint738 = graphDataSet.Tables["data"].Rows[3]["Na12"].ToString(); string dataPoint739 = graphDataSet.Tables["data"].Rows[3]["Na13"].ToString(); string dataPoint740 = graphDataSet.Tables["data"].Rows[3]["Na14"].ToString(); string dataPoint741 = graphDataSet.Tables["data"].Rows[3]["Na15"].ToString(); string dataPoint742 = graphDataSet.Tables["data"].Rows[3]["Na16"].ToString(); string dataPoint743 = graphDataSet.Tables["data"].Rows[3]["Na17"].ToString(); string dataPoint744 = graphDataSet.Tables["data"].Rows[3]["Na18"].ToString(); string dataPoint745 = graphDataSet.Tables["data"].Rows[3]["Na19"].ToString(); string dataPoint746 = graphDataSet.Tables["data"].Rows[3]["Na20"].ToString();
                        string dataPoint747 = graphDataSet.Tables["data"].Rows[3]["Na21"].ToString(); string dataPoint748 = graphDataSet.Tables["data"].Rows[3]["Na22"].ToString(); string dataPoint749 = graphDataSet.Tables["data"].Rows[3]["Na23"].ToString(); string dataPoint750 = graphDataSet.Tables["data"].Rows[3]["Na24"].ToString(); string dataPoint751 = graphDataSet.Tables["data"].Rows[3]["Na25"].ToString(); string dataPoint752 = graphDataSet.Tables["data"].Rows[3]["Na26"].ToString(); string dataPoint753 = graphDataSet.Tables["data"].Rows[3]["Na27"].ToString(); string dataPoint754 = graphDataSet.Tables["data"].Rows[3]["Na28"].ToString(); string dataPoint755 = graphDataSet.Tables["data"].Rows[3]["Na29"].ToString(); string dataPoint756 = graphDataSet.Tables["data"].Rows[3]["Na30"].ToString();
                        string dataPoint757 = graphDataSet.Tables["data"].Rows[3]["Na31"].ToString(); string dataPoint758 = graphDataSet.Tables["data"].Rows[3]["Na32"].ToString(); string dataPoint759 = graphDataSet.Tables["data"].Rows[3]["Na33"].ToString(); string dataPoint760 = graphDataSet.Tables["data"].Rows[3]["Na34"].ToString(); string dataPoint761 = graphDataSet.Tables["data"].Rows[3]["Na35"].ToString(); string dataPoint762 = graphDataSet.Tables["data"].Rows[3]["Na36"].ToString(); string dataPoint763 = graphDataSet.Tables["data"].Rows[3]["Na37"].ToString(); string dataPoint764 = graphDataSet.Tables["data"].Rows[3]["Na38"].ToString(); string dataPoint765 = graphDataSet.Tables["data"].Rows[3]["Na39"].ToString(); string dataPoint766 = graphDataSet.Tables["data"].Rows[3]["Na40"].ToString();
                        string dataPoint767 = graphDataSet.Tables["data"].Rows[3]["Na41"].ToString(); string dataPoint768 = graphDataSet.Tables["data"].Rows[3]["Na42"].ToString(); string dataPoint769 = graphDataSet.Tables["data"].Rows[3]["Na43"].ToString(); string dataPoint770 = graphDataSet.Tables["data"].Rows[3]["Na44"].ToString(); string dataPoint771 = graphDataSet.Tables["data"].Rows[3]["Na45"].ToString(); string dataPoint772 = graphDataSet.Tables["data"].Rows[3]["Na46"].ToString(); string dataPoint773 = graphDataSet.Tables["data"].Rows[3]["Na47"].ToString(); string dataPoint774 = graphDataSet.Tables["data"].Rows[3]["Na48"].ToString(); string dataPoint775 = graphDataSet.Tables["data"].Rows[3]["Na49"].ToString(); string dataPoint776 = graphDataSet.Tables["data"].Rows[3]["Na50"].ToString();
                        string dataPoint777 = graphDataSet.Tables["data"].Rows[3]["Na51"].ToString(); string dataPoint778 = graphDataSet.Tables["data"].Rows[3]["Na52"].ToString(); string dataPoint779 = graphDataSet.Tables["data"].Rows[3]["Na53"].ToString(); string dataPoint780 = graphDataSet.Tables["data"].Rows[3]["Na54"].ToString(); string dataPoint781 = graphDataSet.Tables["data"].Rows[3]["Na55"].ToString(); string dataPoint782 = graphDataSet.Tables["data"].Rows[3]["Na56"].ToString(); string dataPoint783 = graphDataSet.Tables["data"].Rows[3]["Na57"].ToString(); string dataPoint784 = graphDataSet.Tables["data"].Rows[3]["Na58"].ToString(); string dataPoint785 = graphDataSet.Tables["data"].Rows[3]["Na59"].ToString(); string dataPoint786 = graphDataSet.Tables["data"].Rows[3]["Na60"].ToString();
                        string dataPoint787 = graphDataSet.Tables["data"].Rows[3]["Na61"].ToString(); string dataPoint788 = graphDataSet.Tables["data"].Rows[3]["Na62"].ToString(); string dataPoint789 = graphDataSet.Tables["data"].Rows[3]["Na63"].ToString(); string dataPoint790 = graphDataSet.Tables["data"].Rows[3]["Na64"].ToString(); string dataPoint791 = graphDataSet.Tables["data"].Rows[3]["Na65"].ToString(); string dataPoint792 = graphDataSet.Tables["data"].Rows[3]["Na66"].ToString();

                        int cNa1; int cNa2; int cNa3; int cNa4; int cNa5; int cNa6; int cNa7; int cNa8; int cNa9; int cNa10; int cNa11; int cNa12; int cNa13; int cNa14; int cNa15; int cNa16; int cNa17; int cNa18; int cNa19; int cNa20; int cNa21; int cNa22; int cNa23; int cNa24; int cNa25; int cNa26; int cNa27; int cNa28; int cNa29; int cNa30; int cNa31; int cNa32; int cNa33; int cNa34; int cNa35; int cNa36; int cNa37; int cNa38; int cNa39; int cNa40; int cNa41; int cNa42; int cNa43; int cNa44; int cNa45; int cNa46; int cNa47; int cNa48; int cNa49; int cNa50; int cNa51; int cNa52; int cNa53; int cNa54; int cNa55; int cNa56; int cNa57; int cNa58; int cNa59; int cNa60; int cNa61; int cNa62; int cNa63; int cNa64; int cNa65; int cNa66;

                        if (dataPoint727 == "True") { cNa1 = 1; } else { cNa1 = 0; } if (dataPoint728 == "True") { cNa2 = 1; } else { cNa2 = 0; } if (dataPoint729 == "True") { cNa3 = 1; } else { cNa3 = 0; } if (dataPoint730 == "True") { cNa4 = 1; } else { cNa4 = 0; } if (dataPoint731 == "True") { cNa5 = 1; } else { cNa5 = 0; } if (dataPoint732 == "True") { cNa6 = 1; } else { cNa6 = 0; } if (dataPoint733 == "True") { cNa7 = 1; } else { cNa7 = 0; } if (dataPoint734 == "True") { cNa8 = 1; } else { cNa8 = 0; } if (dataPoint735 == "True") { cNa9 = 1; } else { cNa9 = 0; } if (dataPoint736 == "True") { cNa10 = 1; } else { cNa10 = 0; }
                        if (dataPoint737 == "True") { cNa11 = 1; } else { cNa11 = 0; } if (dataPoint738 == "True") { cNa12 = 1; } else { cNa12 = 0; } if (dataPoint739 == "True") { cNa13 = 1; } else { cNa13 = 0; } if (dataPoint740 == "True") { cNa14 = 1; } else { cNa14 = 0; } if (dataPoint741 == "True") { cNa15 = 1; } else { cNa15 = 0; } if (dataPoint742 == "True") { cNa16 = 1; } else { cNa16 = 0; } if (dataPoint743 == "True") { cNa17 = 1; } else { cNa17 = 0; } if (dataPoint744 == "True") { cNa18 = 1; } else { cNa18 = 0; } if (dataPoint745 == "True") { cNa19 = 1; } else { cNa19 = 0; } if (dataPoint746 == "True") { cNa20 = 1; } else { cNa20 = 0; }
                        if (dataPoint747 == "True") { cNa21 = 1; } else { cNa21 = 0; } if (dataPoint748 == "True") { cNa22 = 1; } else { cNa22 = 0; } if (dataPoint749 == "True") { cNa23 = 1; } else { cNa23 = 0; } if (dataPoint750 == "True") { cNa24 = 1; } else { cNa24 = 0; } if (dataPoint751 == "True") { cNa25 = 1; } else { cNa25 = 0; } if (dataPoint752 == "True") { cNa26 = 1; } else { cNa26 = 0; } if (dataPoint753 == "True") { cNa27 = 1; } else { cNa27 = 0; } if (dataPoint754 == "True") { cNa28 = 1; } else { cNa28 = 0; } if (dataPoint755 == "True") { cNa29 = 1; } else { cNa29 = 0; } if (dataPoint756 == "True") { cNa30 = 1; } else { cNa30 = 0; }
                        if (dataPoint757 == "True") { cNa31 = 1; } else { cNa31 = 0; } if (dataPoint758 == "True") { cNa32 = 1; } else { cNa32 = 0; } if (dataPoint759 == "True") { cNa33 = 1; } else { cNa33 = 0; } if (dataPoint760 == "True") { cNa34 = 1; } else { cNa34 = 0; } if (dataPoint761 == "True") { cNa35 = 1; } else { cNa35 = 0; } if (dataPoint762 == "True") { cNa36 = 1; } else { cNa36 = 0; } if (dataPoint763 == "True") { cNa37 = 1; } else { cNa37 = 0; } if (dataPoint764 == "True") { cNa38 = 1; } else { cNa38 = 0; } if (dataPoint765 == "True") { cNa39 = 1; } else { cNa39 = 0; } if (dataPoint766 == "True") { cNa40 = 1; } else { cNa40 = 0; }
                        if (dataPoint767 == "True") { cNa41 = 1; } else { cNa41 = 0; } if (dataPoint768 == "True") { cNa42 = 1; } else { cNa42 = 0; } if (dataPoint769 == "True") { cNa43 = 1; } else { cNa43 = 0; } if (dataPoint770 == "True") { cNa44 = 1; } else { cNa44 = 0; } if (dataPoint771 == "True") { cNa45 = 1; } else { cNa45 = 0; } if (dataPoint772 == "True") { cNa46 = 1; } else { cNa46 = 0; } if (dataPoint773 == "True") { cNa47 = 1; } else { cNa47 = 0; } if (dataPoint774 == "True") { cNa48 = 1; } else { cNa48 = 0; } if (dataPoint775 == "True") { cNa49 = 1; } else { cNa49 = 0; } if (dataPoint776 == "True") { cNa50 = 1; } else { cNa50 = 0; }
                        if (dataPoint777 == "True") { cNa51 = 1; } else { cNa51 = 0; } if (dataPoint778 == "True") { cNa52 = 1; } else { cNa52 = 0; } if (dataPoint779 == "True") { cNa53 = 1; } else { cNa53 = 0; } if (dataPoint780 == "True") { cNa54 = 1; } else { cNa54 = 0; } if (dataPoint781 == "True") { cNa55 = 1; } else { cNa55 = 0; } if (dataPoint782 == "True") { cNa56 = 1; } else { cNa56 = 0; } if (dataPoint783 == "True") { cNa57 = 1; } else { cNa57 = 0; } if (dataPoint784 == "True") { cNa58 = 1; } else { cNa58 = 0; } if (dataPoint785 == "True") { cNa59 = 1; } else { cNa59 = 0; } if (dataPoint786 == "True") { cNa60 = 1; } else { cNa60 = 0; }
                        if (dataPoint787 == "True") { cNa61 = 1; } else { cNa61 = 0; } if (dataPoint788 == "True") { cNa62 = 1; } else { cNa62 = 0; } if (dataPoint789 == "True") { cNa63 = 1; } else { cNa63 = 0; } if (dataPoint790 == "True") { cNa64 = 1; } else { cNa64 = 0; } if (dataPoint791 == "True") { cNa65 = 1; } else { cNa65 = 0; } if (dataPoint792 == "True") { cNa66 = 1; } else { cNa66 = 0; }

                        int ctotalNa = cNa1 + cNa2 + cNa3 + cNa4 + cNa5 + cNa6 + cNa7 + cNa8 + cNa9 + cNa10 + cNa11 + cNa12 + cNa13 + cNa14 + cNa15 + cNa16 + cNa17 + cNa18 + cNa19 + cNa20 + cNa21 + cNa22 + cNa23 + cNa24 + cNa25 + cNa26 + cNa27 + cNa28 + cNa29 + cNa30 + cNa31 + cNa32 + cNa33 + cNa34 + cNa35 + cNa36 + cNa37 + cNa38 + cNa39 + cNa40 + cNa41 + cNa42 + cNa43 + cNa44 + cNa45 + cNa46 + cNa47 + cNa48 + cNa49 + cNa50 + cNa51 + cNa52 + cNa53 + cNa54 + cNa55 + cNa56 + cNa57 + cNa58 + cNa59 + cNa60 + cNa61 + cNa62 + cNa63 + cNa64 + cNa65 + cNa66;

                        if (totalYes >= 0 && atotalYes >= 0 && btotalYes >= 0 && ctotalYes >= 0 && totalNo >= 0 && atotalNo >= 0 && btotalNo >= 0 && ctotalNo >= 0 && totalNa >= 0 && atotalNa >= 0 && btotalNa >= 0 && ctotalNa >= 0)
                        {

                            SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT Version FROM reviews WHERE Application = '" + appName.ToString() + "' ORDER BY Version DESC LIMIT 5", ObjConnection);
                            SQLiteDataAdapter myGraphAdapter2 = new SQLiteDataAdapter(ObjCommand2);

                            DataSet graphDataSet2 = new DataSet();
                            myGraphAdapter2.Fill(graphDataSet2, "Data2");

                            string secondDataPoint1 = graphDataSet2.Tables[0].Rows[3].ItemArray[0].ToString();
                            string secondDataPoint2 = graphDataSet2.Tables[0].Rows[2].ItemArray[0].ToString();
                            string secondDataPoint3 = graphDataSet2.Tables[0].Rows[1].ItemArray[0].ToString();
                            string secondDataPoint4 = graphDataSet2.Tables[0].Rows[0].ItemArray[0].ToString();

                            int totalYesAll = totalYes + atotalYes + btotalYes + ctotalYes;

                            int avgYes = (totalYesAll / 4);

                            int totalNoAll = totalNo + atotalNo + btotalNo + ctotalNo;

                            int avgNo = (totalNoAll / 4);

                            int totalNaAll = totalNa + atotalNa + btotalNa + ctotalNa;

                            int avgNa = (totalNaAll / 4);

                            float[] data1X = new float[] { 0, 20, 40, 60 };
                            float[] data1 = new float[] { ctotalYes, btotalYes, atotalYes, totalYes };
                            float[] data2X = new float[] { 0, 20, 40, 60 };
                            float[] data2 = new float[] { ctotalNo, btotalNo, atotalNo, totalNo };
                            float[] data3X = new float[] { 0, 20, 40, 60 };
                            float[] data3 = new float[] { ctotalNa, btotalNa, atotalNa, totalNa };

                            List<float[]> datasets = new List<float[]>();
                            datasets.Add(data1X);
                            datasets.Add(data1);
                            datasets.Add(data2X);
                            datasets.Add(data2);
                            datasets.Add(data3X);
                            datasets.Add(data3);

                            LineChart chart = new LineChart(734, 120, LineChartType.MultiDataSet);

                            ChartAxis bottomAxis = new ChartAxis(ChartAxisType.Bottom);
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint1, 0));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint2, 20));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint3, 40));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint4, 60));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EEAD0E", 0, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EEAD0E", 0, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EEAD0E", 0, 2, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EEAD0E", 0, 3, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "007FFF", 1, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "007FFF", 1, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "007FFF", 1, 2, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "007FFF", 1, 3, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "00CD00", 2, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "00CD00", 2, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "00CD00", 2, 2, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "00CD00", 2, 3, 8));
                            chart.SetDatasetColors(new string[] { "EEAD0E", "007FFF", "00CD00" });
                            chart.SetLegend(new string[] { "Yes", "No", "NA" });
                            chart.AddAxis(bottomAxis);

                            chart.SetData(datasets);

                            string imageUrl = chart.GetUrl();

                            webBrowser3.Url = new Uri(imageUrl);

                            appCText1.Visible = true;
                            appCText1.Text = "v" + secondDataPoint1.ToString() + "";
                            appCNoText1.Visible = true;
                            appCNoText1.Text = "Yes:" + ctotalYes.ToString() + "  No:" + ctotalNo.ToString() + "  NA:" + ctotalNa.ToString() + "";
                            appCText2.Visible = true;
                            appCText2.Text = "v" + secondDataPoint2.ToString() + "";
                            appCNoText2.Visible = true;
                            appCNoText2.Text = "Yes:" + btotalYes.ToString() + "  No:" + btotalNo.ToString() + "  NA:" + btotalNa.ToString() + "";
                            appCText3.Visible = true;
                            appCText3.Text = "v" + secondDataPoint3.ToString() + "";
                            appCNoText3.Visible = true;
                            appCNoText3.Text = "Yes:" + atotalYes.ToString() + "  No:" + atotalNo.ToString() + "  NA:" + atotalNa.ToString() + "";
                            appCText4.Visible = true;
                            appCText4.Text = "v" + secondDataPoint4.ToString() + "";
                            appCNoText4.Visible = true;
                            appCNoText4.Text = "Yes:" + totalYes.ToString() + "  No:" + totalNo.ToString() + "  NA:" + totalNa.ToString() + "";

                            int[] data = new int[] { avgYes, avgNo, avgNa };
                            PieChart pieChart = new PieChart(260, 135);
                            pieChart.SetData(data);
                            pieChart.SetDatasetColors(new string[] { "EEAD0E", "007FFF", "00CD00" });
                            string imageUrl2 = pieChart.GetUrl();

                            pieLeg1.Visible = true;
                            pieLeg1.BackColor = System.Drawing.Color.FromArgb(238, 173, 14);
                            pieLeg2.Visible = true;
                            pieLeg2.BackColor = System.Drawing.Color.FromArgb(0, 127, 255);
                            pieLeg3.Visible = true;
                            pieLeg3.BackColor = System.Drawing.Color.FromArgb(0, 205, 0);
                            pieLeg4.Visible = true;
                            pieLeg4.Text = "Yes:" + avgYes.ToString() + "";
                            pieLeg5.Visible = true;
                            pieLeg5.Text = "No:" + avgNo.ToString() + "";
                            pieLeg6.Visible = true;
                            pieLeg6.Text = "NA:" + avgNa.ToString() + "";

                            webBrowser4.Url = new Uri(imageUrl2);

                            appDText1.Visible = true;//has to stay the same
                            appDNoText1.Visible = true;
                            appDNoText1.Text="" + secondDataPoint1.ToString() + "";
                            appDNoText5.Visible = true;
                            appDNoText5.Text = "" + secondDataPoint2.ToString() + "";
                            appDNoText9.Visible = true;
                            appDNoText9.Text = "" + secondDataPoint3.ToString() + "";
                            appDNoText13.Visible = true;
                            appDNoText13.Text = "" + secondDataPoint4.ToString() + "";

                            appDText2.Visible = true;//has to stay the same
                            appDNoText2.Visible = true;
                            appDNoText2.Text = "" + ctotalYes.ToString() + "/" + avgYes.ToString() + "";
                            appDNoText6.Visible = true;
                            appDNoText6.Text = "" + btotalYes.ToString() + "/" + avgYes.ToString() + "";
                            appDNoText10.Visible = true;
                            appDNoText10.Text = "" + atotalYes.ToString() + "/" + avgYes.ToString() + "";
                            appDNoText14.Visible = true;
                            appDNoText14.Text = "" + totalYes.ToString() + "/" + avgYes.ToString() + "";

                            appDText3.Visible = true;//has to stay the same
                            appDNoText3.Visible = true;
                            appDNoText3.Text = "" + ctotalNo.ToString() + "/" + avgNo.ToString() + "";
                            appDNoText7.Visible = true;
                            appDNoText7.Text = "" + btotalNo.ToString() + "/" + avgNo.ToString() + "";
                            appDNoText11.Visible = true;
                            appDNoText11.Text = "" + atotalNo.ToString() + "/" + avgNo.ToString() + "";
                            appDNoText15.Visible = true;
                            appDNoText15.Text = "" + totalNo.ToString() + "/" + avgNo.ToString() + "";

                            appDText4.Visible = true;//has to stay the same
                            appDNoText4.Visible = true;
                            appDNoText4.Text = "" + ctotalNa.ToString() + "/" + avgNa.ToString() + "";
                            appDNoText8.Visible = true;
                            appDNoText8.Text = "" + btotalNa.ToString() + "/" + avgNa.ToString() + "";
                            appDNoText12.Visible = true;
                            appDNoText12.Text = "" + atotalNa.ToString() + "/" + avgNa.ToString() + "";
                            appDNoText16.Visible = true;
                            appDNoText16.Text = "" + totalNa.ToString() + "/" + avgNa.ToString() + "";

                        }

                        else
                        {
                            DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create the graphs for this application, please try again");
                            return;
                        }
                    }

                    else if (rowscount == 5)
                    {
                        string dataPoint1 = graphDataSet.Tables["data"].Rows[0]["YES1"].ToString(); string dataPoint2 = graphDataSet.Tables["data"].Rows[0]["YES2"].ToString(); string dataPoint3 = graphDataSet.Tables["data"].Rows[0]["YES3"].ToString(); string dataPoint4 = graphDataSet.Tables["data"].Rows[0]["YES4"].ToString(); string dataPoint5 = graphDataSet.Tables["data"].Rows[0]["YES5"].ToString(); string dataPoint6 = graphDataSet.Tables["data"].Rows[0]["YES6"].ToString(); string dataPoint7 = graphDataSet.Tables["data"].Rows[0]["YES7"].ToString(); string dataPoint8 = graphDataSet.Tables["data"].Rows[0]["YES8"].ToString(); string dataPoint9 = graphDataSet.Tables["data"].Rows[0]["YES9"].ToString(); string dataPoint10 = graphDataSet.Tables["data"].Rows[0]["YES10"].ToString();
                        string dataPoint11 = graphDataSet.Tables["data"].Rows[0]["YES11"].ToString(); string dataPoint12 = graphDataSet.Tables["data"].Rows[0]["YES12"].ToString(); string dataPoint13 = graphDataSet.Tables["data"].Rows[0]["YES13"].ToString(); string dataPoint14 = graphDataSet.Tables["data"].Rows[0]["YES14"].ToString(); string dataPoint15 = graphDataSet.Tables["data"].Rows[0]["YES15"].ToString(); string dataPoint16 = graphDataSet.Tables["data"].Rows[0]["YES16"].ToString(); string dataPoint17 = graphDataSet.Tables["data"].Rows[0]["YES17"].ToString(); string dataPoint18 = graphDataSet.Tables["data"].Rows[0]["YES18"].ToString(); string dataPoint19 = graphDataSet.Tables["data"].Rows[0]["YES19"].ToString(); string dataPoint20 = graphDataSet.Tables["data"].Rows[0]["YES20"].ToString();
                        string dataPoint21 = graphDataSet.Tables["data"].Rows[0]["YES21"].ToString(); string dataPoint22 = graphDataSet.Tables["data"].Rows[0]["YES22"].ToString(); string dataPoint23 = graphDataSet.Tables["data"].Rows[0]["YES23"].ToString(); string dataPoint24 = graphDataSet.Tables["data"].Rows[0]["YES24"].ToString(); string dataPoint25 = graphDataSet.Tables["data"].Rows[0]["YES25"].ToString(); string dataPoint26 = graphDataSet.Tables["data"].Rows[0]["YES26"].ToString(); string dataPoint27 = graphDataSet.Tables["data"].Rows[0]["YES27"].ToString(); string dataPoint28 = graphDataSet.Tables["data"].Rows[0]["YES28"].ToString(); string dataPoint29 = graphDataSet.Tables["data"].Rows[0]["YES29"].ToString(); string dataPoint30 = graphDataSet.Tables["data"].Rows[0]["YES30"].ToString();
                        string dataPoint31 = graphDataSet.Tables["data"].Rows[0]["YES31"].ToString(); string dataPoint32 = graphDataSet.Tables["data"].Rows[0]["YES32"].ToString(); string dataPoint33 = graphDataSet.Tables["data"].Rows[0]["YES33"].ToString(); string dataPoint34 = graphDataSet.Tables["data"].Rows[0]["YES34"].ToString(); string dataPoint35 = graphDataSet.Tables["data"].Rows[0]["YES35"].ToString(); string dataPoint36 = graphDataSet.Tables["data"].Rows[0]["YES36"].ToString(); string dataPoint37 = graphDataSet.Tables["data"].Rows[0]["YES37"].ToString(); string dataPoint38 = graphDataSet.Tables["data"].Rows[0]["YES38"].ToString(); string dataPoint39 = graphDataSet.Tables["data"].Rows[0]["YES39"].ToString(); string dataPoint40 = graphDataSet.Tables["data"].Rows[0]["YES40"].ToString();
                        string dataPoint41 = graphDataSet.Tables["data"].Rows[0]["YES41"].ToString(); string dataPoint42 = graphDataSet.Tables["data"].Rows[0]["YES42"].ToString(); string dataPoint43 = graphDataSet.Tables["data"].Rows[0]["YES43"].ToString(); string dataPoint44 = graphDataSet.Tables["data"].Rows[0]["YES44"].ToString(); string dataPoint45 = graphDataSet.Tables["data"].Rows[0]["YES45"].ToString(); string dataPoint46 = graphDataSet.Tables["data"].Rows[0]["YES46"].ToString(); string dataPoint47 = graphDataSet.Tables["data"].Rows[0]["YES47"].ToString(); string dataPoint48 = graphDataSet.Tables["data"].Rows[0]["YES48"].ToString(); string dataPoint49 = graphDataSet.Tables["data"].Rows[0]["YES49"].ToString(); string dataPoint50 = graphDataSet.Tables["data"].Rows[0]["YES50"].ToString();
                        string dataPoint51 = graphDataSet.Tables["data"].Rows[0]["YES51"].ToString(); string dataPoint52 = graphDataSet.Tables["data"].Rows[0]["YES52"].ToString(); string dataPoint53 = graphDataSet.Tables["data"].Rows[0]["YES53"].ToString(); string dataPoint54 = graphDataSet.Tables["data"].Rows[0]["YES54"].ToString(); string dataPoint55 = graphDataSet.Tables["data"].Rows[0]["YES55"].ToString(); string dataPoint56 = graphDataSet.Tables["data"].Rows[0]["YES56"].ToString(); string dataPoint57 = graphDataSet.Tables["data"].Rows[0]["YES57"].ToString(); string dataPoint58 = graphDataSet.Tables["data"].Rows[0]["YES58"].ToString(); string dataPoint59 = graphDataSet.Tables["data"].Rows[0]["YES59"].ToString(); string dataPoint60 = graphDataSet.Tables["data"].Rows[0]["YES60"].ToString();
                        string dataPoint61 = graphDataSet.Tables["data"].Rows[0]["YES61"].ToString(); string dataPoint62 = graphDataSet.Tables["data"].Rows[0]["YES62"].ToString(); string dataPoint63 = graphDataSet.Tables["data"].Rows[0]["YES63"].ToString(); string dataPoint64 = graphDataSet.Tables["data"].Rows[0]["YES64"].ToString(); string dataPoint65 = graphDataSet.Tables["data"].Rows[0]["YES65"].ToString(); string dataPoint66 = graphDataSet.Tables["data"].Rows[0]["YES66"].ToString();

                        int Yes1; int Yes2; int Yes3; int Yes4; int Yes5; int Yes6; int Yes7; int Yes8; int Yes9; int Yes10; int Yes11; int Yes12; int Yes13; int Yes14; int Yes15; int Yes16; int Yes17; int Yes18; int Yes19; int Yes20; int Yes21; int Yes22; int Yes23; int Yes24; int Yes25; int Yes26; int Yes27; int Yes28; int Yes29; int Yes30; int Yes31; int Yes32; int Yes33; int Yes34; int Yes35; int Yes36; int Yes37; int Yes38; int Yes39; int Yes40; int Yes41; int Yes42; int Yes43; int Yes44; int Yes45; int Yes46; int Yes47; int Yes48; int Yes49; int Yes50; int Yes51; int Yes52; int Yes53; int Yes54; int Yes55; int Yes56; int Yes57; int Yes58; int Yes59; int Yes60; int Yes61; int Yes62; int Yes63; int Yes64; int Yes65; int Yes66;

                        if (dataPoint1 == "True") { Yes1 = 1; } else { Yes1 = 0; } if (dataPoint2 == "True") { Yes2 = 1; } else { Yes2 = 0; } if (dataPoint3 == "True") { Yes3 = 1; } else { Yes3 = 0; } if (dataPoint4 == "True") { Yes4 = 1; } else { Yes4 = 0; } if (dataPoint5 == "True") { Yes5 = 1; } else { Yes5 = 0; } if (dataPoint6 == "True") { Yes6 = 1; } else { Yes6 = 0; } if (dataPoint7 == "True") { Yes7 = 1; } else { Yes7 = 0; } if (dataPoint8 == "True") { Yes8 = 1; } else { Yes8 = 0; } if (dataPoint9 == "True") { Yes9 = 1; } else { Yes9 = 0; } if (dataPoint10 == "True") { Yes10 = 1; } else { Yes10 = 0; }
                        if (dataPoint11 == "True") { Yes11 = 1; } else { Yes11 = 0; } if (dataPoint12 == "True") { Yes12 = 1; } else { Yes12 = 0; } if (dataPoint13 == "True") { Yes13 = 1; } else { Yes13 = 0; } if (dataPoint14 == "True") { Yes14 = 1; } else { Yes14 = 0; } if (dataPoint15 == "True") { Yes15 = 1; } else { Yes15 = 0; } if (dataPoint16 == "True") { Yes16 = 1; } else { Yes16 = 0; } if (dataPoint17 == "True") { Yes17 = 1; } else { Yes17 = 0; } if (dataPoint18 == "True") { Yes18 = 1; } else { Yes18 = 0; } if (dataPoint19 == "True") { Yes19 = 1; } else { Yes19 = 0; } if (dataPoint20 == "True") { Yes20 = 1; } else { Yes20 = 0; }
                        if (dataPoint21 == "True") { Yes21 = 1; } else { Yes21 = 0; } if (dataPoint22 == "True") { Yes22 = 1; } else { Yes22 = 0; } if (dataPoint23 == "True") { Yes23 = 1; } else { Yes23 = 0; } if (dataPoint24 == "True") { Yes24 = 1; } else { Yes24 = 0; } if (dataPoint25 == "True") { Yes25 = 1; } else { Yes25 = 0; } if (dataPoint26 == "True") { Yes26 = 1; } else { Yes26 = 0; } if (dataPoint27 == "True") { Yes27 = 1; } else { Yes27 = 0; } if (dataPoint28 == "True") { Yes28 = 1; } else { Yes28 = 0; } if (dataPoint29 == "True") { Yes29 = 1; } else { Yes29 = 0; } if (dataPoint30 == "True") { Yes30 = 1; } else { Yes30 = 0; }
                        if (dataPoint31 == "True") { Yes31 = 1; } else { Yes31 = 0; } if (dataPoint32 == "True") { Yes32 = 1; } else { Yes32 = 0; } if (dataPoint33 == "True") { Yes33 = 1; } else { Yes33 = 0; } if (dataPoint34 == "True") { Yes34 = 1; } else { Yes34 = 0; } if (dataPoint35 == "True") { Yes35 = 1; } else { Yes35 = 0; } if (dataPoint36 == "True") { Yes36 = 1; } else { Yes36 = 0; } if (dataPoint37 == "True") { Yes37 = 1; } else { Yes37 = 0; } if (dataPoint38 == "True") { Yes38 = 1; } else { Yes38 = 0; } if (dataPoint39 == "True") { Yes39 = 1; } else { Yes39 = 0; } if (dataPoint40 == "True") { Yes40 = 1; } else { Yes40 = 0; }
                        if (dataPoint41 == "True") { Yes41 = 1; } else { Yes41 = 0; } if (dataPoint42 == "True") { Yes42 = 1; } else { Yes42 = 0; } if (dataPoint43 == "True") { Yes43 = 1; } else { Yes43 = 0; } if (dataPoint44 == "True") { Yes44 = 1; } else { Yes44 = 0; } if (dataPoint45 == "True") { Yes45 = 1; } else { Yes45 = 0; } if (dataPoint46 == "True") { Yes46 = 1; } else { Yes46 = 0; } if (dataPoint47 == "True") { Yes47 = 1; } else { Yes47 = 0; } if (dataPoint48 == "True") { Yes48 = 1; } else { Yes48 = 0; } if (dataPoint49 == "True") { Yes49 = 1; } else { Yes49 = 0; } if (dataPoint50 == "True") { Yes50 = 1; } else { Yes50 = 0; }
                        if (dataPoint51 == "True") { Yes51 = 1; } else { Yes51 = 0; } if (dataPoint52 == "True") { Yes52 = 1; } else { Yes52 = 0; } if (dataPoint53 == "True") { Yes53 = 1; } else { Yes53 = 0; } if (dataPoint54 == "True") { Yes54 = 1; } else { Yes54 = 0; } if (dataPoint55 == "True") { Yes55 = 1; } else { Yes55 = 0; } if (dataPoint56 == "True") { Yes56 = 1; } else { Yes56 = 0; } if (dataPoint57 == "True") { Yes57 = 1; } else { Yes57 = 0; } if (dataPoint58 == "True") { Yes58 = 1; } else { Yes58 = 0; } if (dataPoint59 == "True") { Yes59 = 1; } else { Yes59 = 0; } if (dataPoint60 == "True") { Yes60 = 1; } else { Yes60 = 0; }
                        if (dataPoint61 == "True") { Yes61 = 1; } else { Yes61 = 0; } if (dataPoint62 == "True") { Yes62 = 1; } else { Yes62 = 0; } if (dataPoint63 == "True") { Yes63 = 1; } else { Yes63 = 0; } if (dataPoint64 == "True") { Yes64 = 1; } else { Yes64 = 0; } if (dataPoint65 == "True") { Yes65 = 1; } else { Yes65 = 0; } if (dataPoint66 == "True") { Yes66 = 1; } else { Yes66 = 0; }

                        int totalYes = Yes1 + Yes2 + Yes3 + Yes4 + Yes5 + Yes6 + Yes7 + Yes8 + Yes9 + Yes10 + Yes11 + Yes12 + Yes13 + Yes14 + Yes15 + Yes16 + Yes17 + Yes18 + Yes19 + Yes20 + Yes21 + Yes22 + Yes23 + Yes24 + Yes25 + Yes26 + Yes27 + Yes28 + Yes29 + Yes30 + Yes31 + Yes32 + Yes33 + Yes34 + Yes35 + Yes36 + Yes37 + Yes38 + Yes39 + Yes40 + Yes41 + Yes42 + Yes43 + Yes44 + Yes45 + Yes46 + Yes47 + Yes48 + Yes49 + Yes50 + Yes51 + Yes52 + Yes53 + Yes54 + Yes55 + Yes56 + Yes57 + Yes58 + Yes59 + Yes60 + Yes61 + Yes62 + Yes63 + Yes64 + Yes65 + Yes66;

                        string dataPoint67 = graphDataSet.Tables["data"].Rows[0]["NO1"].ToString(); string dataPoint68 = graphDataSet.Tables["data"].Rows[0]["NO2"].ToString(); string dataPoint69 = graphDataSet.Tables["data"].Rows[0]["NO3"].ToString(); string dataPoint70 = graphDataSet.Tables["data"].Rows[0]["NO4"].ToString(); string dataPoint71 = graphDataSet.Tables["data"].Rows[0]["NO5"].ToString(); string dataPoint72 = graphDataSet.Tables["data"].Rows[0]["NO6"].ToString(); string dataPoint73 = graphDataSet.Tables["data"].Rows[0]["NO7"].ToString(); string dataPoint74 = graphDataSet.Tables["data"].Rows[0]["NO8"].ToString(); string dataPoint75 = graphDataSet.Tables["data"].Rows[0]["NO9"].ToString(); string dataPoint76 = graphDataSet.Tables["data"].Rows[0]["NO10"].ToString();
                        string dataPoint77 = graphDataSet.Tables["data"].Rows[0]["NO11"].ToString(); string dataPoint78 = graphDataSet.Tables["data"].Rows[0]["NO12"].ToString(); string dataPoint79 = graphDataSet.Tables["data"].Rows[0]["NO13"].ToString(); string dataPoint80 = graphDataSet.Tables["data"].Rows[0]["NO14"].ToString(); string dataPoint81 = graphDataSet.Tables["data"].Rows[0]["NO15"].ToString(); string dataPoint82 = graphDataSet.Tables["data"].Rows[0]["NO16"].ToString(); string dataPoint83 = graphDataSet.Tables["data"].Rows[0]["NO17"].ToString(); string dataPoint84 = graphDataSet.Tables["data"].Rows[0]["NO18"].ToString(); string dataPoint85 = graphDataSet.Tables["data"].Rows[0]["NO19"].ToString(); string dataPoint86 = graphDataSet.Tables["data"].Rows[0]["NO20"].ToString();
                        string dataPoint87 = graphDataSet.Tables["data"].Rows[0]["NO21"].ToString(); string dataPoint88 = graphDataSet.Tables["data"].Rows[0]["NO22"].ToString(); string dataPoint89 = graphDataSet.Tables["data"].Rows[0]["NO23"].ToString(); string dataPoint90 = graphDataSet.Tables["data"].Rows[0]["NO24"].ToString(); string dataPoint91 = graphDataSet.Tables["data"].Rows[0]["NO25"].ToString(); string dataPoint92 = graphDataSet.Tables["data"].Rows[0]["NO26"].ToString(); string dataPoint93 = graphDataSet.Tables["data"].Rows[0]["NO27"].ToString(); string dataPoint94 = graphDataSet.Tables["data"].Rows[0]["NO28"].ToString(); string dataPoint95 = graphDataSet.Tables["data"].Rows[0]["NO29"].ToString(); string dataPoint96 = graphDataSet.Tables["data"].Rows[0]["NO30"].ToString();
                        string dataPoint97 = graphDataSet.Tables["data"].Rows[0]["NO31"].ToString(); string dataPoint98 = graphDataSet.Tables["data"].Rows[0]["NO32"].ToString(); string dataPoint99 = graphDataSet.Tables["data"].Rows[0]["NO33"].ToString(); string dataPoint100 = graphDataSet.Tables["data"].Rows[0]["NO34"].ToString(); string dataPoint101 = graphDataSet.Tables["data"].Rows[0]["NO35"].ToString(); string dataPoint102 = graphDataSet.Tables["data"].Rows[0]["NO36"].ToString(); string dataPoint103 = graphDataSet.Tables["data"].Rows[0]["NO37"].ToString(); string dataPoint104 = graphDataSet.Tables["data"].Rows[0]["NO38"].ToString(); string dataPoint105 = graphDataSet.Tables["data"].Rows[0]["NO39"].ToString(); string dataPoint106 = graphDataSet.Tables["data"].Rows[0]["NO40"].ToString();
                        string dataPoint107 = graphDataSet.Tables["data"].Rows[0]["NO41"].ToString(); string dataPoint108 = graphDataSet.Tables["data"].Rows[0]["NO42"].ToString(); string dataPoint109 = graphDataSet.Tables["data"].Rows[0]["NO43"].ToString(); string dataPoint110 = graphDataSet.Tables["data"].Rows[0]["NO44"].ToString(); string dataPoint111 = graphDataSet.Tables["data"].Rows[0]["NO45"].ToString(); string dataPoint112 = graphDataSet.Tables["data"].Rows[0]["NO46"].ToString(); string dataPoint113 = graphDataSet.Tables["data"].Rows[0]["NO47"].ToString(); string dataPoint114 = graphDataSet.Tables["data"].Rows[0]["NO48"].ToString(); string dataPoint115 = graphDataSet.Tables["data"].Rows[0]["NO49"].ToString(); string dataPoint116 = graphDataSet.Tables["data"].Rows[0]["NO50"].ToString();
                        string dataPoint117 = graphDataSet.Tables["data"].Rows[0]["NO51"].ToString(); string dataPoint118 = graphDataSet.Tables["data"].Rows[0]["NO52"].ToString(); string dataPoint119 = graphDataSet.Tables["data"].Rows[0]["NO53"].ToString(); string dataPoint120 = graphDataSet.Tables["data"].Rows[0]["NO54"].ToString(); string dataPoint121 = graphDataSet.Tables["data"].Rows[0]["NO55"].ToString(); string dataPoint122 = graphDataSet.Tables["data"].Rows[0]["NO56"].ToString(); string dataPoint123 = graphDataSet.Tables["data"].Rows[0]["NO57"].ToString(); string dataPoint124 = graphDataSet.Tables["data"].Rows[0]["NO58"].ToString(); string dataPoint125 = graphDataSet.Tables["data"].Rows[0]["NO59"].ToString(); string dataPoint126 = graphDataSet.Tables["data"].Rows[0]["NO60"].ToString();
                        string dataPoint127 = graphDataSet.Tables["data"].Rows[0]["NO61"].ToString(); string dataPoint128 = graphDataSet.Tables["data"].Rows[0]["NO62"].ToString(); string dataPoint129 = graphDataSet.Tables["data"].Rows[0]["NO63"].ToString(); string dataPoint130 = graphDataSet.Tables["data"].Rows[0]["NO64"].ToString(); string dataPoint131 = graphDataSet.Tables["data"].Rows[0]["NO65"].ToString(); string dataPoint132 = graphDataSet.Tables["data"].Rows[0]["NO66"].ToString();

                        int No1; int No2; int No3; int No4; int No5; int No6; int No7; int No8; int No9; int No10; int No11; int No12; int No13; int No14; int No15; int No16; int No17; int No18; int No19; int No20; int No21; int No22; int No23; int No24; int No25; int No26; int No27; int No28; int No29; int No30; int No31; int No32; int No33; int No34; int No35; int No36; int No37; int No38; int No39; int No40; int No41; int No42; int No43; int No44; int No45; int No46; int No47; int No48; int No49; int No50; int No51; int No52; int No53; int No54; int No55; int No56; int No57; int No58; int No59; int No60; int No61; int No62; int No63; int No64; int No65; int No66;

                        if (dataPoint67 == "True") { No1 = 1; } else { No1 = 0; } if (dataPoint68 == "True") { No2 = 1; } else { No2 = 0; } if (dataPoint69 == "True") { No3 = 1; } else { No3 = 0; } if (dataPoint70 == "True") { No4 = 1; } else { No4 = 0; } if (dataPoint71 == "True") { No5 = 1; } else { No5 = 0; } if (dataPoint72 == "True") { No6 = 1; } else { No6 = 0; } if (dataPoint73 == "True") { No7 = 1; } else { No7 = 0; } if (dataPoint74 == "True") { No8 = 1; } else { No8 = 0; } if (dataPoint75 == "True") { No9 = 1; } else { No9 = 0; } if (dataPoint76 == "True") { No10 = 1; } else { No10 = 0; }
                        if (dataPoint77 == "True") { No11 = 1; } else { No11 = 0; } if (dataPoint78 == "True") { No12 = 1; } else { No12 = 0; } if (dataPoint79 == "True") { No13 = 1; } else { No13 = 0; } if (dataPoint80 == "True") { No14 = 1; } else { No14 = 0; } if (dataPoint81 == "True") { No15 = 1; } else { No15 = 0; } if (dataPoint82 == "True") { No16 = 1; } else { No16 = 0; } if (dataPoint83 == "True") { No17 = 1; } else { No17 = 0; } if (dataPoint84 == "True") { No18 = 1; } else { No18 = 0; } if (dataPoint85 == "True") { No19 = 1; } else { No19 = 0; } if (dataPoint86 == "True") { No20 = 1; } else { No20 = 0; }
                        if (dataPoint87 == "True") { No21 = 1; } else { No21 = 0; } if (dataPoint88 == "True") { No22 = 1; } else { No22 = 0; } if (dataPoint89 == "True") { No23 = 1; } else { No23 = 0; } if (dataPoint90 == "True") { No24 = 1; } else { No24 = 0; } if (dataPoint91 == "True") { No25 = 1; } else { No25 = 0; } if (dataPoint92 == "True") { No26 = 1; } else { No26 = 0; } if (dataPoint93 == "True") { No27 = 1; } else { No27 = 0; } if (dataPoint94 == "True") { No28 = 1; } else { No28 = 0; } if (dataPoint95 == "True") { No29 = 1; } else { No29 = 0; } if (dataPoint96 == "True") { No30 = 1; } else { No30 = 0; }
                        if (dataPoint97 == "True") { No31 = 1; } else { No31 = 0; } if (dataPoint98 == "True") { No32 = 1; } else { No32 = 0; } if (dataPoint99 == "True") { No33 = 1; } else { No33 = 0; } if (dataPoint100 == "True") { No34 = 1; } else { No34 = 0; } if (dataPoint101 == "True") { No35 = 1; } else { No35 = 0; } if (dataPoint102 == "True") { No36 = 1; } else { No36 = 0; } if (dataPoint103 == "True") { No37 = 1; } else { No37 = 0; } if (dataPoint104 == "True") { No38 = 1; } else { No38 = 0; } if (dataPoint105 == "True") { No39 = 1; } else { No39 = 0; } if (dataPoint106 == "True") { No40 = 1; } else { No40 = 0; }
                        if (dataPoint107 == "True") { No41 = 1; } else { No41 = 0; } if (dataPoint108 == "True") { No42 = 1; } else { No42 = 0; } if (dataPoint109 == "True") { No43 = 1; } else { No43 = 0; } if (dataPoint110 == "True") { No44 = 1; } else { No44 = 0; } if (dataPoint111 == "True") { No45 = 1; } else { No45 = 0; } if (dataPoint112 == "True") { No46 = 1; } else { No46 = 0; } if (dataPoint113 == "True") { No47 = 1; } else { No47 = 0; } if (dataPoint114 == "True") { No48 = 1; } else { No48 = 0; } if (dataPoint115 == "True") { No49 = 1; } else { No49 = 0; } if (dataPoint116 == "True") { No50 = 1; } else { No50 = 0; }
                        if (dataPoint117 == "True") { No51 = 1; } else { No51 = 0; } if (dataPoint118 == "True") { No52 = 1; } else { No52 = 0; } if (dataPoint119 == "True") { No53 = 1; } else { No53 = 0; } if (dataPoint120 == "True") { No54 = 1; } else { No54 = 0; } if (dataPoint121 == "True") { No55 = 1; } else { No55 = 0; } if (dataPoint122 == "True") { No56 = 1; } else { No56 = 0; } if (dataPoint123 == "True") { No57 = 1; } else { No57 = 0; } if (dataPoint124 == "True") { No58 = 1; } else { No58 = 0; } if (dataPoint125 == "True") { No59 = 1; } else { No59 = 0; } if (dataPoint126 == "True") { No60 = 1; } else { No60 = 0; }
                        if (dataPoint127 == "True") { No61 = 1; } else { No61 = 0; } if (dataPoint128 == "True") { No62 = 1; } else { No62 = 0; } if (dataPoint129 == "True") { No63 = 1; } else { No63 = 0; } if (dataPoint130 == "True") { No64 = 1; } else { No64 = 0; } if (dataPoint131 == "True") { No65 = 1; } else { No65 = 0; } if (dataPoint132 == "True") { No66 = 1; } else { No66 = 0; }

                        int totalNo = No1 + No2 + No3 + No4 + No5 + No6 + No7 + No8 + No9 + No10 + No11 + No12 + No13 + No14 + No15 + No16 + No17 + No18 + No19 + No20 + No21 + No22 + No23 + No24 + No25 + No26 + No27 + No28 + No29 + No30 + No31 + No32 + No33 + No34 + No35 + No36 + No37 + No38 + No39 + No40 + No41 + No42 + No43 + No44 + No45 + No46 + No47 + No48 + No49 + No50 + No51 + No52 + No53 + No54 + No55 + No56 + No57 + No58 + No59 + No60 + No61 + No62 + No63 + No64 + No65 + No66;

                        string dataPoint133 = graphDataSet.Tables["data"].Rows[0]["NA1"].ToString(); string dataPoint134 = graphDataSet.Tables["data"].Rows[0]["NA2"].ToString(); string dataPoint135 = graphDataSet.Tables["data"].Rows[0]["NA3"].ToString(); string dataPoint136 = graphDataSet.Tables["data"].Rows[0]["NA4"].ToString(); string dataPoint137 = graphDataSet.Tables["data"].Rows[0]["NA5"].ToString(); string dataPoint138 = graphDataSet.Tables["data"].Rows[0]["NA6"].ToString(); string dataPoint139 = graphDataSet.Tables["data"].Rows[0]["NA7"].ToString(); string dataPoint140 = graphDataSet.Tables["data"].Rows[0]["NA8"].ToString(); string dataPoint141 = graphDataSet.Tables["data"].Rows[0]["NA9"].ToString(); string dataPoint142 = graphDataSet.Tables["data"].Rows[0]["NA10"].ToString();
                        string dataPoint143 = graphDataSet.Tables["data"].Rows[0]["NA11"].ToString(); string dataPoint144 = graphDataSet.Tables["data"].Rows[0]["NA12"].ToString(); string dataPoint145 = graphDataSet.Tables["data"].Rows[0]["NA13"].ToString(); string dataPoint146 = graphDataSet.Tables["data"].Rows[0]["NA14"].ToString(); string dataPoint147 = graphDataSet.Tables["data"].Rows[0]["NA15"].ToString(); string dataPoint148 = graphDataSet.Tables["data"].Rows[0]["NA16"].ToString(); string dataPoint149 = graphDataSet.Tables["data"].Rows[0]["NA17"].ToString(); string dataPoint150 = graphDataSet.Tables["data"].Rows[0]["NA18"].ToString(); string dataPoint151 = graphDataSet.Tables["data"].Rows[0]["NA19"].ToString(); string dataPoint152 = graphDataSet.Tables["data"].Rows[0]["NA20"].ToString();
                        string dataPoint153 = graphDataSet.Tables["data"].Rows[0]["NA21"].ToString(); string dataPoint154 = graphDataSet.Tables["data"].Rows[0]["NA22"].ToString(); string dataPoint155 = graphDataSet.Tables["data"].Rows[0]["NA23"].ToString(); string dataPoint156 = graphDataSet.Tables["data"].Rows[0]["NA24"].ToString(); string dataPoint157 = graphDataSet.Tables["data"].Rows[0]["NA25"].ToString(); string dataPoint158 = graphDataSet.Tables["data"].Rows[0]["NA26"].ToString(); string dataPoint159 = graphDataSet.Tables["data"].Rows[0]["NA27"].ToString(); string dataPoint160 = graphDataSet.Tables["data"].Rows[0]["NA28"].ToString(); string dataPoint161 = graphDataSet.Tables["data"].Rows[0]["NA29"].ToString(); string dataPoint162 = graphDataSet.Tables["data"].Rows[0]["NA30"].ToString();
                        string dataPoint163 = graphDataSet.Tables["data"].Rows[0]["NA31"].ToString(); string dataPoint164 = graphDataSet.Tables["data"].Rows[0]["NA32"].ToString(); string dataPoint165 = graphDataSet.Tables["data"].Rows[0]["NA33"].ToString(); string dataPoint166 = graphDataSet.Tables["data"].Rows[0]["NA34"].ToString(); string dataPoint167 = graphDataSet.Tables["data"].Rows[0]["NA35"].ToString(); string dataPoint168 = graphDataSet.Tables["data"].Rows[0]["NA36"].ToString(); string dataPoint169 = graphDataSet.Tables["data"].Rows[0]["NA37"].ToString(); string dataPoint170 = graphDataSet.Tables["data"].Rows[0]["NA38"].ToString(); string dataPoint171 = graphDataSet.Tables["data"].Rows[0]["NA39"].ToString(); string dataPoint172 = graphDataSet.Tables["data"].Rows[0]["NA40"].ToString();
                        string dataPoint173 = graphDataSet.Tables["data"].Rows[0]["NA41"].ToString(); string dataPoint174 = graphDataSet.Tables["data"].Rows[0]["NA42"].ToString(); string dataPoint175 = graphDataSet.Tables["data"].Rows[0]["NA43"].ToString(); string dataPoint176 = graphDataSet.Tables["data"].Rows[0]["NA44"].ToString(); string dataPoint177 = graphDataSet.Tables["data"].Rows[0]["NA45"].ToString(); string dataPoint178 = graphDataSet.Tables["data"].Rows[0]["NA46"].ToString(); string dataPoint179 = graphDataSet.Tables["data"].Rows[0]["NA47"].ToString(); string dataPoint180 = graphDataSet.Tables["data"].Rows[0]["NA48"].ToString(); string dataPoint181 = graphDataSet.Tables["data"].Rows[0]["NA49"].ToString(); string dataPoint182 = graphDataSet.Tables["data"].Rows[0]["NA50"].ToString();
                        string dataPoint183 = graphDataSet.Tables["data"].Rows[0]["NA51"].ToString(); string dataPoint184 = graphDataSet.Tables["data"].Rows[0]["NA52"].ToString(); string dataPoint185 = graphDataSet.Tables["data"].Rows[0]["NA53"].ToString(); string dataPoint186 = graphDataSet.Tables["data"].Rows[0]["NA54"].ToString(); string dataPoint187 = graphDataSet.Tables["data"].Rows[0]["NA55"].ToString(); string dataPoint188 = graphDataSet.Tables["data"].Rows[0]["NA56"].ToString(); string dataPoint189 = graphDataSet.Tables["data"].Rows[0]["NA57"].ToString(); string dataPoint190 = graphDataSet.Tables["data"].Rows[0]["NA58"].ToString(); string dataPoint191 = graphDataSet.Tables["data"].Rows[0]["NA59"].ToString(); string dataPoint192 = graphDataSet.Tables["data"].Rows[0]["NA60"].ToString();
                        string dataPoint193 = graphDataSet.Tables["data"].Rows[0]["NA61"].ToString(); string dataPoint194 = graphDataSet.Tables["data"].Rows[0]["NA62"].ToString(); string dataPoint195 = graphDataSet.Tables["data"].Rows[0]["NA63"].ToString(); string dataPoint196 = graphDataSet.Tables["data"].Rows[0]["NA64"].ToString(); string dataPoint197 = graphDataSet.Tables["data"].Rows[0]["NA65"].ToString(); string dataPoint198 = graphDataSet.Tables["data"].Rows[0]["NA66"].ToString();

                        int Na1; int Na2; int Na3; int Na4; int Na5; int Na6; int Na7; int Na8; int Na9; int Na10; int Na11; int Na12; int Na13; int Na14; int Na15; int Na16; int Na17; int Na18; int Na19; int Na20; int Na21; int Na22; int Na23; int Na24; int Na25; int Na26; int Na27; int Na28; int Na29; int Na30; int Na31; int Na32; int Na33; int Na34; int Na35; int Na36; int Na37; int Na38; int Na39; int Na40; int Na41; int Na42; int Na43; int Na44; int Na45; int Na46; int Na47; int Na48; int Na49; int Na50; int Na51; int Na52; int Na53; int Na54; int Na55; int Na56; int Na57; int Na58; int Na59; int Na60; int Na61; int Na62; int Na63; int Na64; int Na65; int Na66;

                        if (dataPoint133 == "True") { Na1 = 1; } else { Na1 = 0; } if (dataPoint134 == "True") { Na2 = 1; } else { Na2 = 0; } if (dataPoint135 == "True") { Na3 = 1; } else { Na3 = 0; } if (dataPoint136 == "True") { Na4 = 1; } else { Na4 = 0; } if (dataPoint137 == "True") { Na5 = 1; } else { Na5 = 0; } if (dataPoint138 == "True") { Na6 = 1; } else { Na6 = 0; } if (dataPoint139 == "True") { Na7 = 1; } else { Na7 = 0; } if (dataPoint140 == "True") { Na8 = 1; } else { Na8 = 0; } if (dataPoint141 == "True") { Na9 = 1; } else { Na9 = 0; } if (dataPoint142 == "True") { Na10 = 1; } else { Na10 = 0; }
                        if (dataPoint143 == "True") { Na11 = 1; } else { Na11 = 0; } if (dataPoint144 == "True") { Na12 = 1; } else { Na12 = 0; } if (dataPoint145 == "True") { Na13 = 1; } else { Na13 = 0; } if (dataPoint146 == "True") { Na14 = 1; } else { Na14 = 0; } if (dataPoint147 == "True") { Na15 = 1; } else { Na15 = 0; } if (dataPoint148 == "True") { Na16 = 1; } else { Na16 = 0; } if (dataPoint149 == "True") { Na17 = 1; } else { Na17 = 0; } if (dataPoint150 == "True") { Na18 = 1; } else { Na18 = 0; } if (dataPoint151 == "True") { Na19 = 1; } else { Na19 = 0; } if (dataPoint152 == "True") { Na20 = 1; } else { Na20 = 0; }
                        if (dataPoint153 == "True") { Na21 = 1; } else { Na21 = 0; } if (dataPoint154 == "True") { Na22 = 1; } else { Na22 = 0; } if (dataPoint155 == "True") { Na23 = 1; } else { Na23 = 0; } if (dataPoint156 == "True") { Na24 = 1; } else { Na24 = 0; } if (dataPoint157 == "True") { Na25 = 1; } else { Na25 = 0; } if (dataPoint158 == "True") { Na26 = 1; } else { Na26 = 0; } if (dataPoint159 == "True") { Na27 = 1; } else { Na27 = 0; } if (dataPoint160 == "True") { Na28 = 1; } else { Na28 = 0; } if (dataPoint161 == "True") { Na29 = 1; } else { Na29 = 0; } if (dataPoint162 == "True") { Na30 = 1; } else { Na30 = 0; }
                        if (dataPoint163 == "True") { Na31 = 1; } else { Na31 = 0; } if (dataPoint164 == "True") { Na32 = 1; } else { Na32 = 0; } if (dataPoint165 == "True") { Na33 = 1; } else { Na33 = 0; } if (dataPoint166 == "True") { Na34 = 1; } else { Na34 = 0; } if (dataPoint167 == "True") { Na35 = 1; } else { Na35 = 0; } if (dataPoint168 == "True") { Na36 = 1; } else { Na36 = 0; } if (dataPoint169 == "True") { Na37 = 1; } else { Na37 = 0; } if (dataPoint170 == "True") { Na38 = 1; } else { Na38 = 0; } if (dataPoint171 == "True") { Na39 = 1; } else { Na39 = 0; } if (dataPoint172 == "True") { Na40 = 1; } else { Na40 = 0; }
                        if (dataPoint173 == "True") { Na41 = 1; } else { Na41 = 0; } if (dataPoint174 == "True") { Na42 = 1; } else { Na42 = 0; } if (dataPoint175 == "True") { Na43 = 1; } else { Na43 = 0; } if (dataPoint176 == "True") { Na44 = 1; } else { Na44 = 0; } if (dataPoint177 == "True") { Na45 = 1; } else { Na45 = 0; } if (dataPoint178 == "True") { Na46 = 1; } else { Na46 = 0; } if (dataPoint179 == "True") { Na47 = 1; } else { Na47 = 0; } if (dataPoint180 == "True") { Na48 = 1; } else { Na48 = 0; } if (dataPoint181 == "True") { Na49 = 1; } else { Na49 = 0; } if (dataPoint182 == "True") { Na50 = 1; } else { Na50 = 0; }
                        if (dataPoint183 == "True") { Na51 = 1; } else { Na51 = 0; } if (dataPoint184 == "True") { Na52 = 1; } else { Na52 = 0; } if (dataPoint185 == "True") { Na53 = 1; } else { Na53 = 0; } if (dataPoint186 == "True") { Na54 = 1; } else { Na54 = 0; } if (dataPoint187 == "True") { Na55 = 1; } else { Na55 = 0; } if (dataPoint188 == "True") { Na56 = 1; } else { Na56 = 0; } if (dataPoint189 == "True") { Na57 = 1; } else { Na57 = 0; } if (dataPoint190 == "True") { Na58 = 1; } else { Na58 = 0; } if (dataPoint191 == "True") { Na59 = 1; } else { Na59 = 0; } if (dataPoint192 == "True") { Na60 = 1; } else { Na60 = 0; }
                        if (dataPoint193 == "True") { Na61 = 1; } else { Na61 = 0; } if (dataPoint194 == "True") { Na62 = 1; } else { Na62 = 0; } if (dataPoint195 == "True") { Na63 = 1; } else { Na63 = 0; } if (dataPoint196 == "True") { Na64 = 1; } else { Na64 = 0; } if (dataPoint197 == "True") { Na65 = 1; } else { Na65 = 0; } if (dataPoint198 == "True") { Na66 = 1; } else { Na66 = 0; }

                        int totalNa = Na1 + Na2 + Na3 + Na4 + Na5 + Na6 + Na7 + Na8 + Na9 + Na10 + Na11 + Na12 + Na13 + Na14 + Na15 + Na16 + Na17 + Na18 + Na19 + Na20 + Na21 + Na22 + Na23 + Na24 + Na25 + Na26 + Na27 + Na28 + Na29 + Na30 + Na31 + Na32 + Na33 + Na34 + Na35 + Na36 + Na37 + Na38 + Na39 + Na40 + Na41 + Na42 + Na43 + Na44 + Na45 + Na46 + Na47 + Na48 + Na49 + Na50 + Na51 + Na52 + Na53 + Na54 + Na55 + Na56 + Na57 + Na58 + Na59 + Na60 + Na61 + Na62 + Na63 + Na64 + Na65 + Na66;

                        string dataPoint199 = graphDataSet.Tables["data"].Rows[1]["Yes1"].ToString(); string dataPoint200 = graphDataSet.Tables["data"].Rows[1]["Yes2"].ToString(); string dataPoint201 = graphDataSet.Tables["data"].Rows[1]["Yes3"].ToString(); string dataPoint202 = graphDataSet.Tables["data"].Rows[1]["Yes4"].ToString(); string dataPoint203 = graphDataSet.Tables["data"].Rows[1]["Yes5"].ToString(); string dataPoint204 = graphDataSet.Tables["data"].Rows[1]["Yes6"].ToString(); string dataPoint205 = graphDataSet.Tables["data"].Rows[1]["Yes7"].ToString(); string dataPoint206 = graphDataSet.Tables["data"].Rows[1]["Yes8"].ToString(); string dataPoint207 = graphDataSet.Tables["data"].Rows[1]["Yes9"].ToString(); string dataPoint208 = graphDataSet.Tables["data"].Rows[1]["Yes10"].ToString();
                        string dataPoint209 = graphDataSet.Tables["data"].Rows[1]["Yes11"].ToString(); string dataPoint210 = graphDataSet.Tables["data"].Rows[1]["Yes12"].ToString(); string dataPoint211 = graphDataSet.Tables["data"].Rows[1]["Yes13"].ToString(); string dataPoint212 = graphDataSet.Tables["data"].Rows[1]["Yes14"].ToString(); string dataPoint213 = graphDataSet.Tables["data"].Rows[1]["Yes15"].ToString(); string dataPoint214 = graphDataSet.Tables["data"].Rows[1]["Yes16"].ToString(); string dataPoint215 = graphDataSet.Tables["data"].Rows[1]["Yes17"].ToString(); string dataPoint216 = graphDataSet.Tables["data"].Rows[1]["Yes18"].ToString(); string dataPoint217 = graphDataSet.Tables["data"].Rows[1]["Yes19"].ToString(); string dataPoint218 = graphDataSet.Tables["data"].Rows[1]["Yes20"].ToString();
                        string dataPoint219 = graphDataSet.Tables["data"].Rows[1]["Yes21"].ToString(); string dataPoint220 = graphDataSet.Tables["data"].Rows[1]["Yes22"].ToString(); string dataPoint221 = graphDataSet.Tables["data"].Rows[1]["Yes23"].ToString(); string dataPoint222 = graphDataSet.Tables["data"].Rows[1]["Yes24"].ToString(); string dataPoint223 = graphDataSet.Tables["data"].Rows[1]["Yes25"].ToString(); string dataPoint224 = graphDataSet.Tables["data"].Rows[1]["Yes26"].ToString(); string dataPoint225 = graphDataSet.Tables["data"].Rows[1]["Yes27"].ToString(); string dataPoint226 = graphDataSet.Tables["data"].Rows[1]["Yes28"].ToString(); string dataPoint227 = graphDataSet.Tables["data"].Rows[1]["Yes29"].ToString(); string dataPoint228 = graphDataSet.Tables["data"].Rows[1]["Yes30"].ToString();
                        string dataPoint229 = graphDataSet.Tables["data"].Rows[1]["Yes31"].ToString(); string dataPoint230 = graphDataSet.Tables["data"].Rows[1]["Yes32"].ToString(); string dataPoint231 = graphDataSet.Tables["data"].Rows[1]["Yes33"].ToString(); string dataPoint232 = graphDataSet.Tables["data"].Rows[1]["Yes34"].ToString(); string dataPoint233 = graphDataSet.Tables["data"].Rows[1]["Yes35"].ToString(); string dataPoint234 = graphDataSet.Tables["data"].Rows[1]["Yes36"].ToString(); string dataPoint235 = graphDataSet.Tables["data"].Rows[1]["Yes37"].ToString(); string dataPoint236 = graphDataSet.Tables["data"].Rows[1]["Yes38"].ToString(); string dataPoint237 = graphDataSet.Tables["data"].Rows[1]["Yes39"].ToString(); string dataPoint238 = graphDataSet.Tables["data"].Rows[1]["Yes40"].ToString();
                        string dataPoint239 = graphDataSet.Tables["data"].Rows[1]["Yes41"].ToString(); string dataPoint240 = graphDataSet.Tables["data"].Rows[1]["Yes42"].ToString(); string dataPoint241 = graphDataSet.Tables["data"].Rows[1]["Yes43"].ToString(); string dataPoint242 = graphDataSet.Tables["data"].Rows[1]["Yes44"].ToString(); string dataPoint243 = graphDataSet.Tables["data"].Rows[1]["Yes45"].ToString(); string dataPoint244 = graphDataSet.Tables["data"].Rows[1]["Yes46"].ToString(); string dataPoint245 = graphDataSet.Tables["data"].Rows[1]["Yes47"].ToString(); string dataPoint246 = graphDataSet.Tables["data"].Rows[1]["Yes48"].ToString(); string dataPoint247 = graphDataSet.Tables["data"].Rows[1]["Yes49"].ToString(); string dataPoint248 = graphDataSet.Tables["data"].Rows[1]["Yes50"].ToString();
                        string dataPoint249 = graphDataSet.Tables["data"].Rows[1]["Yes51"].ToString(); string dataPoint250 = graphDataSet.Tables["data"].Rows[1]["Yes52"].ToString(); string dataPoint251 = graphDataSet.Tables["data"].Rows[1]["Yes53"].ToString(); string dataPoint252 = graphDataSet.Tables["data"].Rows[1]["Yes54"].ToString(); string dataPoint253 = graphDataSet.Tables["data"].Rows[1]["Yes55"].ToString(); string dataPoint254 = graphDataSet.Tables["data"].Rows[1]["Yes56"].ToString(); string dataPoint255 = graphDataSet.Tables["data"].Rows[1]["Yes57"].ToString(); string dataPoint256 = graphDataSet.Tables["data"].Rows[1]["Yes58"].ToString(); string dataPoint257 = graphDataSet.Tables["data"].Rows[1]["Yes59"].ToString(); string dataPoint258 = graphDataSet.Tables["data"].Rows[1]["Yes60"].ToString();
                        string dataPoint259 = graphDataSet.Tables["data"].Rows[1]["Yes61"].ToString(); string dataPoint260 = graphDataSet.Tables["data"].Rows[1]["Yes62"].ToString(); string dataPoint261 = graphDataSet.Tables["data"].Rows[1]["Yes63"].ToString(); string dataPoint262 = graphDataSet.Tables["data"].Rows[1]["Yes64"].ToString(); string dataPoint263 = graphDataSet.Tables["data"].Rows[1]["Yes65"].ToString(); string dataPoint264 = graphDataSet.Tables["data"].Rows[1]["Yes66"].ToString();

                        int aYes1; int aYes2; int aYes3; int aYes4; int aYes5; int aYes6; int aYes7; int aYes8; int aYes9; int aYes10; int aYes11; int aYes12; int aYes13; int aYes14; int aYes15; int aYes16; int aYes17; int aYes18; int aYes19; int aYes20; int aYes21; int aYes22; int aYes23; int aYes24; int aYes25; int aYes26; int aYes27; int aYes28; int aYes29; int aYes30; int aYes31; int aYes32; int aYes33; int aYes34; int aYes35; int aYes36; int aYes37; int aYes38; int aYes39; int aYes40; int aYes41; int aYes42; int aYes43; int aYes44; int aYes45; int aYes46; int aYes47; int aYes48; int aYes49; int aYes50; int aYes51; int aYes52; int aYes53; int aYes54; int aYes55; int aYes56; int aYes57; int aYes58; int aYes59; int aYes60; int aYes61; int aYes62; int aYes63; int aYes64; int aYes65; int aYes66;

                        if (dataPoint199 == "True") { aYes1 = 1; } else { aYes1 = 0; } if (dataPoint200 == "True") { aYes2 = 1; } else { aYes2 = 0; } if (dataPoint201 == "True") { aYes3 = 1; } else { aYes3 = 0; } if (dataPoint202 == "True") { aYes4 = 1; } else { aYes4 = 0; } if (dataPoint203 == "True") { aYes5 = 1; } else { aYes5 = 0; } if (dataPoint204 == "True") { aYes6 = 1; } else { aYes6 = 0; } if (dataPoint205 == "True") { aYes7 = 1; } else { aYes7 = 0; } if (dataPoint206 == "True") { aYes8 = 1; } else { aYes8 = 0; } if (dataPoint207 == "True") { aYes9 = 1; } else { aYes9 = 0; } if (dataPoint208 == "True") { aYes10 = 1; } else { aYes10 = 0; }
                        if (dataPoint209 == "True") { aYes11 = 1; } else { aYes11 = 0; } if (dataPoint210 == "True") { aYes12 = 1; } else { aYes12 = 0; } if (dataPoint211 == "True") { aYes13 = 1; } else { aYes13 = 0; } if (dataPoint212 == "True") { aYes14 = 1; } else { aYes14 = 0; } if (dataPoint213 == "True") { aYes15 = 1; } else { aYes15 = 0; } if (dataPoint214 == "True") { aYes16 = 1; } else { aYes16 = 0; } if (dataPoint215 == "True") { aYes17 = 1; } else { aYes17 = 0; } if (dataPoint216 == "True") { aYes18 = 1; } else { aYes18 = 0; } if (dataPoint217 == "True") { aYes19 = 1; } else { aYes19 = 0; } if (dataPoint218 == "True") { aYes20 = 1; } else { aYes20 = 0; }
                        if (dataPoint219 == "True") { aYes21 = 1; } else { aYes21 = 0; } if (dataPoint220 == "True") { aYes22 = 1; } else { aYes22 = 0; } if (dataPoint221 == "True") { aYes23 = 1; } else { aYes23 = 0; } if (dataPoint222 == "True") { aYes24 = 1; } else { aYes24 = 0; } if (dataPoint223 == "True") { aYes25 = 1; } else { aYes25 = 0; } if (dataPoint224 == "True") { aYes26 = 1; } else { aYes26 = 0; } if (dataPoint225 == "True") { aYes27 = 1; } else { aYes27 = 0; } if (dataPoint226 == "True") { aYes28 = 1; } else { aYes28 = 0; } if (dataPoint227 == "True") { aYes29 = 1; } else { aYes29 = 0; } if (dataPoint228 == "True") { aYes30 = 1; } else { aYes30 = 0; }
                        if (dataPoint229 == "True") { aYes31 = 1; } else { aYes31 = 0; } if (dataPoint230 == "True") { aYes32 = 1; } else { aYes32 = 0; } if (dataPoint231 == "True") { aYes33 = 1; } else { aYes33 = 0; } if (dataPoint232 == "True") { aYes34 = 1; } else { aYes34 = 0; } if (dataPoint233 == "True") { aYes35 = 1; } else { aYes35 = 0; } if (dataPoint234 == "True") { aYes36 = 1; } else { aYes36 = 0; } if (dataPoint235 == "True") { aYes37 = 1; } else { aYes37 = 0; } if (dataPoint236 == "True") { aYes38 = 1; } else { aYes38 = 0; } if (dataPoint237 == "True") { aYes39 = 1; } else { aYes39 = 0; } if (dataPoint238 == "True") { aYes40 = 1; } else { aYes40 = 0; }
                        if (dataPoint239 == "True") { aYes41 = 1; } else { aYes41 = 0; } if (dataPoint240 == "True") { aYes42 = 1; } else { aYes42 = 0; } if (dataPoint241 == "True") { aYes43 = 1; } else { aYes43 = 0; } if (dataPoint242 == "True") { aYes44 = 1; } else { aYes44 = 0; } if (dataPoint243 == "True") { aYes45 = 1; } else { aYes45 = 0; } if (dataPoint244 == "True") { aYes46 = 1; } else { aYes46 = 0; } if (dataPoint245 == "True") { aYes47 = 1; } else { aYes47 = 0; } if (dataPoint246 == "True") { aYes48 = 1; } else { aYes48 = 0; } if (dataPoint247 == "True") { aYes49 = 1; } else { aYes49 = 0; } if (dataPoint248 == "True") { aYes50 = 1; } else { aYes50 = 0; }
                        if (dataPoint249 == "True") { aYes51 = 1; } else { aYes51 = 0; } if (dataPoint250 == "True") { aYes52 = 1; } else { aYes52 = 0; } if (dataPoint251 == "True") { aYes53 = 1; } else { aYes53 = 0; } if (dataPoint252 == "True") { aYes54 = 1; } else { aYes54 = 0; } if (dataPoint253 == "True") { aYes55 = 1; } else { aYes55 = 0; } if (dataPoint254 == "True") { aYes56 = 1; } else { aYes56 = 0; } if (dataPoint255 == "True") { aYes57 = 1; } else { aYes57 = 0; } if (dataPoint256 == "True") { aYes58 = 1; } else { aYes58 = 0; } if (dataPoint257 == "True") { aYes59 = 1; } else { aYes59 = 0; } if (dataPoint258 == "True") { aYes60 = 1; } else { aYes60 = 0; }
                        if (dataPoint259 == "True") { aYes61 = 1; } else { aYes61 = 0; } if (dataPoint260 == "True") { aYes62 = 1; } else { aYes62 = 0; } if (dataPoint261 == "True") { aYes63 = 1; } else { aYes63 = 0; } if (dataPoint262 == "True") { aYes64 = 1; } else { aYes64 = 0; } if (dataPoint263 == "True") { aYes65 = 1; } else { aYes65 = 0; } if (dataPoint264 == "True") { aYes66 = 1; } else { aYes66 = 0; }

                        int atotalYes = aYes1 + aYes2 + aYes3 + aYes4 + aYes5 + aYes6 + aYes7 + aYes8 + aYes9 + aYes10 + aYes11 + aYes12 + aYes13 + aYes14 + aYes15 + aYes16 + aYes17 + aYes18 + aYes19 + aYes20 + aYes21 + aYes22 + aYes23 + aYes24 + aYes25 + aYes26 + aYes27 + aYes28 + aYes29 + aYes30 + aYes31 + aYes32 + aYes33 + aYes34 + aYes35 + aYes36 + aYes37 + aYes38 + aYes39 + aYes40 + aYes41 + aYes42 + aYes43 + aYes44 + aYes45 + aYes46 + aYes47 + aYes48 + aYes49 + aYes50 + aYes51 + aYes52 + aYes53 + aYes54 + aYes55 + aYes56 + aYes57 + aYes58 + aYes59 + aYes60 + aYes61 + aYes62 + aYes63 + aYes64 + aYes65 + aYes66;

                        string dataPoint265 = graphDataSet.Tables["data"].Rows[1]["No1"].ToString(); string dataPoint266 = graphDataSet.Tables["data"].Rows[1]["No2"].ToString(); string dataPoint267 = graphDataSet.Tables["data"].Rows[1]["No3"].ToString(); string dataPoint268 = graphDataSet.Tables["data"].Rows[1]["No4"].ToString(); string dataPoint269 = graphDataSet.Tables["data"].Rows[1]["No5"].ToString(); string dataPoint270 = graphDataSet.Tables["data"].Rows[1]["No6"].ToString(); string dataPoint271 = graphDataSet.Tables["data"].Rows[1]["No7"].ToString(); string dataPoint272 = graphDataSet.Tables["data"].Rows[1]["No8"].ToString(); string dataPoint273 = graphDataSet.Tables["data"].Rows[1]["No9"].ToString(); string dataPoint274 = graphDataSet.Tables["data"].Rows[1]["No10"].ToString();
                        string dataPoint275 = graphDataSet.Tables["data"].Rows[1]["No11"].ToString(); string dataPoint276 = graphDataSet.Tables["data"].Rows[1]["No12"].ToString(); string dataPoint277 = graphDataSet.Tables["data"].Rows[1]["No13"].ToString(); string dataPoint278 = graphDataSet.Tables["data"].Rows[1]["No14"].ToString(); string dataPoint279 = graphDataSet.Tables["data"].Rows[1]["No15"].ToString(); string dataPoint280 = graphDataSet.Tables["data"].Rows[1]["No16"].ToString(); string dataPoint281 = graphDataSet.Tables["data"].Rows[1]["No17"].ToString(); string dataPoint282 = graphDataSet.Tables["data"].Rows[1]["No18"].ToString(); string dataPoint283 = graphDataSet.Tables["data"].Rows[1]["No19"].ToString(); string dataPoint284 = graphDataSet.Tables["data"].Rows[1]["No20"].ToString();
                        string dataPoint285 = graphDataSet.Tables["data"].Rows[1]["No21"].ToString(); string dataPoint286 = graphDataSet.Tables["data"].Rows[1]["No22"].ToString(); string dataPoint287 = graphDataSet.Tables["data"].Rows[1]["No23"].ToString(); string dataPoint288 = graphDataSet.Tables["data"].Rows[1]["No24"].ToString(); string dataPoint289 = graphDataSet.Tables["data"].Rows[1]["No25"].ToString(); string dataPoint290 = graphDataSet.Tables["data"].Rows[1]["No26"].ToString(); string dataPoint291 = graphDataSet.Tables["data"].Rows[1]["No27"].ToString(); string dataPoint292 = graphDataSet.Tables["data"].Rows[1]["No28"].ToString(); string dataPoint293 = graphDataSet.Tables["data"].Rows[1]["No29"].ToString(); string dataPoint294 = graphDataSet.Tables["data"].Rows[1]["No30"].ToString();
                        string dataPoint295 = graphDataSet.Tables["data"].Rows[1]["No31"].ToString(); string dataPoint296 = graphDataSet.Tables["data"].Rows[1]["No32"].ToString(); string dataPoint297 = graphDataSet.Tables["data"].Rows[1]["No33"].ToString(); string dataPoint298 = graphDataSet.Tables["data"].Rows[1]["No34"].ToString(); string dataPoint299 = graphDataSet.Tables["data"].Rows[1]["No35"].ToString(); string dataPoint300 = graphDataSet.Tables["data"].Rows[1]["No36"].ToString(); string dataPoint301 = graphDataSet.Tables["data"].Rows[1]["No37"].ToString(); string dataPoint302 = graphDataSet.Tables["data"].Rows[1]["No38"].ToString(); string dataPoint303 = graphDataSet.Tables["data"].Rows[1]["No39"].ToString(); string dataPoint304 = graphDataSet.Tables["data"].Rows[1]["No40"].ToString();
                        string dataPoint305 = graphDataSet.Tables["data"].Rows[1]["No41"].ToString(); string dataPoint306 = graphDataSet.Tables["data"].Rows[1]["No42"].ToString(); string dataPoint307 = graphDataSet.Tables["data"].Rows[1]["No43"].ToString(); string dataPoint308 = graphDataSet.Tables["data"].Rows[1]["No44"].ToString(); string dataPoint309 = graphDataSet.Tables["data"].Rows[1]["No45"].ToString(); string dataPoint310 = graphDataSet.Tables["data"].Rows[1]["No46"].ToString(); string dataPoint311 = graphDataSet.Tables["data"].Rows[1]["No47"].ToString(); string dataPoint312 = graphDataSet.Tables["data"].Rows[1]["No48"].ToString(); string dataPoint313 = graphDataSet.Tables["data"].Rows[1]["No49"].ToString(); string dataPoint314 = graphDataSet.Tables["data"].Rows[1]["No50"].ToString();
                        string dataPoint315 = graphDataSet.Tables["data"].Rows[1]["No51"].ToString(); string dataPoint316 = graphDataSet.Tables["data"].Rows[1]["No52"].ToString(); string dataPoint317 = graphDataSet.Tables["data"].Rows[1]["No53"].ToString(); string dataPoint318 = graphDataSet.Tables["data"].Rows[1]["No54"].ToString(); string dataPoint319 = graphDataSet.Tables["data"].Rows[1]["No55"].ToString(); string dataPoint320 = graphDataSet.Tables["data"].Rows[1]["No56"].ToString(); string dataPoint321 = graphDataSet.Tables["data"].Rows[1]["No57"].ToString(); string dataPoint322 = graphDataSet.Tables["data"].Rows[1]["No58"].ToString(); string dataPoint323 = graphDataSet.Tables["data"].Rows[1]["No59"].ToString(); string dataPoint324 = graphDataSet.Tables["data"].Rows[1]["No60"].ToString();
                        string dataPoint325 = graphDataSet.Tables["data"].Rows[1]["No61"].ToString(); string dataPoint326 = graphDataSet.Tables["data"].Rows[1]["No62"].ToString(); string dataPoint327 = graphDataSet.Tables["data"].Rows[1]["No63"].ToString(); string dataPoint328 = graphDataSet.Tables["data"].Rows[1]["No64"].ToString(); string dataPoint329 = graphDataSet.Tables["data"].Rows[1]["No65"].ToString(); string dataPoint330 = graphDataSet.Tables["data"].Rows[1]["No66"].ToString();

                        int aNo1; int aNo2; int aNo3; int aNo4; int aNo5; int aNo6; int aNo7; int aNo8; int aNo9; int aNo10; int aNo11; int aNo12; int aNo13; int aNo14; int aNo15; int aNo16; int aNo17; int aNo18; int aNo19; int aNo20; int aNo21; int aNo22; int aNo23; int aNo24; int aNo25; int aNo26; int aNo27; int aNo28; int aNo29; int aNo30; int aNo31; int aNo32; int aNo33; int aNo34; int aNo35; int aNo36; int aNo37; int aNo38; int aNo39; int aNo40; int aNo41; int aNo42; int aNo43; int aNo44; int aNo45; int aNo46; int aNo47; int aNo48; int aNo49; int aNo50; int aNo51; int aNo52; int aNo53; int aNo54; int aNo55; int aNo56; int aNo57; int aNo58; int aNo59; int aNo60; int aNo61; int aNo62; int aNo63; int aNo64; int aNo65; int aNo66;

                        if (dataPoint265 == "True") { aNo1 = 1; } else { aNo1 = 0; } if (dataPoint266 == "True") { aNo2 = 1; } else { aNo2 = 0; } if (dataPoint267 == "True") { aNo3 = 1; } else { aNo3 = 0; } if (dataPoint268 == "True") { aNo4 = 1; } else { aNo4 = 0; } if (dataPoint269 == "True") { aNo5 = 1; } else { aNo5 = 0; } if (dataPoint270 == "True") { aNo6 = 1; } else { aNo6 = 0; } if (dataPoint271 == "True") { aNo7 = 1; } else { aNo7 = 0; } if (dataPoint272 == "True") { aNo8 = 1; } else { aNo8 = 0; } if (dataPoint273 == "True") { aNo9 = 1; } else { aNo9 = 0; } if (dataPoint274 == "True") { aNo10 = 1; } else { aNo10 = 0; }
                        if (dataPoint275 == "True") { aNo11 = 1; } else { aNo11 = 0; } if (dataPoint276 == "True") { aNo12 = 1; } else { aNo12 = 0; } if (dataPoint277 == "True") { aNo13 = 1; } else { aNo13 = 0; } if (dataPoint278 == "True") { aNo14 = 1; } else { aNo14 = 0; } if (dataPoint279 == "True") { aNo15 = 1; } else { aNo15 = 0; } if (dataPoint280 == "True") { aNo16 = 1; } else { aNo16 = 0; } if (dataPoint281 == "True") { aNo17 = 1; } else { aNo17 = 0; } if (dataPoint282 == "True") { aNo18 = 1; } else { aNo18 = 0; } if (dataPoint283 == "True") { aNo19 = 1; } else { aNo19 = 0; } if (dataPoint284 == "True") { aNo20 = 1; } else { aNo20 = 0; }
                        if (dataPoint285 == "True") { aNo21 = 1; } else { aNo21 = 0; } if (dataPoint286 == "True") { aNo22 = 1; } else { aNo22 = 0; } if (dataPoint287 == "True") { aNo23 = 1; } else { aNo23 = 0; } if (dataPoint288 == "True") { aNo24 = 1; } else { aNo24 = 0; } if (dataPoint289 == "True") { aNo25 = 1; } else { aNo25 = 0; } if (dataPoint290 == "True") { aNo26 = 1; } else { aNo26 = 0; } if (dataPoint291 == "True") { aNo27 = 1; } else { aNo27 = 0; } if (dataPoint292 == "True") { aNo28 = 1; } else { aNo28 = 0; } if (dataPoint293 == "True") { aNo29 = 1; } else { aNo29 = 0; } if (dataPoint294 == "True") { aNo30 = 1; } else { aNo30 = 0; }
                        if (dataPoint295 == "True") { aNo31 = 1; } else { aNo31 = 0; } if (dataPoint296 == "True") { aNo32 = 1; } else { aNo32 = 0; } if (dataPoint297 == "True") { aNo33 = 1; } else { aNo33 = 0; } if (dataPoint298 == "True") { aNo34 = 1; } else { aNo34 = 0; } if (dataPoint299 == "True") { aNo35 = 1; } else { aNo35 = 0; } if (dataPoint300 == "True") { aNo36 = 1; } else { aNo36 = 0; } if (dataPoint301 == "True") { aNo37 = 1; } else { aNo37 = 0; } if (dataPoint302 == "True") { aNo38 = 1; } else { aNo38 = 0; } if (dataPoint303 == "True") { aNo39 = 1; } else { aNo39 = 0; } if (dataPoint304 == "True") { aNo40 = 1; } else { aNo40 = 0; }
                        if (dataPoint305 == "True") { aNo41 = 1; } else { aNo41 = 0; } if (dataPoint306 == "True") { aNo42 = 1; } else { aNo42 = 0; } if (dataPoint307 == "True") { aNo43 = 1; } else { aNo43 = 0; } if (dataPoint308 == "True") { aNo44 = 1; } else { aNo44 = 0; } if (dataPoint309 == "True") { aNo45 = 1; } else { aNo45 = 0; } if (dataPoint310 == "True") { aNo46 = 1; } else { aNo46 = 0; } if (dataPoint311 == "True") { aNo47 = 1; } else { aNo47 = 0; } if (dataPoint312 == "True") { aNo48 = 1; } else { aNo48 = 0; } if (dataPoint313 == "True") { aNo49 = 1; } else { aNo49 = 0; } if (dataPoint314 == "True") { aNo50 = 1; } else { aNo50 = 0; }
                        if (dataPoint315 == "True") { aNo51 = 1; } else { aNo51 = 0; } if (dataPoint316 == "True") { aNo52 = 1; } else { aNo52 = 0; } if (dataPoint317 == "True") { aNo53 = 1; } else { aNo53 = 0; } if (dataPoint318 == "True") { aNo54 = 1; } else { aNo54 = 0; } if (dataPoint319 == "True") { aNo55 = 1; } else { aNo55 = 0; } if (dataPoint320 == "True") { aNo56 = 1; } else { aNo56 = 0; } if (dataPoint321 == "True") { aNo57 = 1; } else { aNo57 = 0; } if (dataPoint322 == "True") { aNo58 = 1; } else { aNo58 = 0; } if (dataPoint323 == "True") { aNo59 = 1; } else { aNo59 = 0; } if (dataPoint324 == "True") { aNo60 = 1; } else { aNo60 = 0; }
                        if (dataPoint325 == "True") { aNo61 = 1; } else { aNo61 = 0; } if (dataPoint326 == "True") { aNo62 = 1; } else { aNo62 = 0; } if (dataPoint327 == "True") { aNo63 = 1; } else { aNo63 = 0; } if (dataPoint328 == "True") { aNo64 = 1; } else { aNo64 = 0; } if (dataPoint329 == "True") { aNo65 = 1; } else { aNo65 = 0; } if (dataPoint330 == "True") { aNo66 = 1; } else { aNo66 = 0; }

                        int atotalNo = aNo1 + aNo2 + aNo3 + aNo4 + aNo5 + aNo6 + aNo7 + aNo8 + aNo9 + aNo10 + aNo11 + aNo12 + aNo13 + aNo14 + aNo15 + aNo16 + aNo17 + aNo18 + aNo19 + aNo20 + aNo21 + aNo22 + aNo23 + aNo24 + aNo25 + aNo26 + aNo27 + aNo28 + aNo29 + aNo30 + aNo31 + aNo32 + aNo33 + aNo34 + aNo35 + aNo36 + aNo37 + aNo38 + aNo39 + aNo40 + aNo41 + aNo42 + aNo43 + aNo44 + aNo45 + aNo46 + aNo47 + aNo48 + aNo49 + aNo50 + aNo51 + aNo52 + aNo53 + aNo54 + aNo55 + aNo56 + aNo57 + aNo58 + aNo59 + aNo60 + aNo61 + aNo62 + aNo63 + aNo64 + aNo65 + aNo66;

                        string dataPoint331 = graphDataSet.Tables["data"].Rows[1]["Na1"].ToString(); string dataPoint332 = graphDataSet.Tables["data"].Rows[1]["Na2"].ToString(); string dataPoint333 = graphDataSet.Tables["data"].Rows[1]["Na3"].ToString(); string dataPoint334 = graphDataSet.Tables["data"].Rows[1]["Na4"].ToString(); string dataPoint335 = graphDataSet.Tables["data"].Rows[1]["Na5"].ToString(); string dataPoint336 = graphDataSet.Tables["data"].Rows[1]["Na6"].ToString(); string dataPoint337 = graphDataSet.Tables["data"].Rows[1]["Na7"].ToString(); string dataPoint338 = graphDataSet.Tables["data"].Rows[1]["Na8"].ToString(); string dataPoint339 = graphDataSet.Tables["data"].Rows[1]["Na9"].ToString(); string dataPoint340 = graphDataSet.Tables["data"].Rows[1]["Na10"].ToString();
                        string dataPoint341 = graphDataSet.Tables["data"].Rows[1]["Na11"].ToString(); string dataPoint342 = graphDataSet.Tables["data"].Rows[1]["Na12"].ToString(); string dataPoint343 = graphDataSet.Tables["data"].Rows[1]["Na13"].ToString(); string dataPoint344 = graphDataSet.Tables["data"].Rows[1]["Na14"].ToString(); string dataPoint345 = graphDataSet.Tables["data"].Rows[1]["Na15"].ToString(); string dataPoint346 = graphDataSet.Tables["data"].Rows[1]["Na16"].ToString(); string dataPoint347 = graphDataSet.Tables["data"].Rows[1]["Na17"].ToString(); string dataPoint348 = graphDataSet.Tables["data"].Rows[1]["Na18"].ToString(); string dataPoint349 = graphDataSet.Tables["data"].Rows[1]["Na19"].ToString(); string dataPoint350 = graphDataSet.Tables["data"].Rows[1]["Na20"].ToString();
                        string dataPoint351 = graphDataSet.Tables["data"].Rows[1]["Na21"].ToString(); string dataPoint352 = graphDataSet.Tables["data"].Rows[1]["Na22"].ToString(); string dataPoint353 = graphDataSet.Tables["data"].Rows[1]["Na23"].ToString(); string dataPoint354 = graphDataSet.Tables["data"].Rows[1]["Na24"].ToString(); string dataPoint355 = graphDataSet.Tables["data"].Rows[1]["Na25"].ToString(); string dataPoint356 = graphDataSet.Tables["data"].Rows[1]["Na26"].ToString(); string dataPoint357 = graphDataSet.Tables["data"].Rows[1]["Na27"].ToString(); string dataPoint358 = graphDataSet.Tables["data"].Rows[1]["Na28"].ToString(); string dataPoint359 = graphDataSet.Tables["data"].Rows[1]["Na29"].ToString(); string dataPoint360 = graphDataSet.Tables["data"].Rows[1]["Na30"].ToString();
                        string dataPoint361 = graphDataSet.Tables["data"].Rows[1]["Na31"].ToString(); string dataPoint362 = graphDataSet.Tables["data"].Rows[1]["Na32"].ToString(); string dataPoint363 = graphDataSet.Tables["data"].Rows[1]["Na33"].ToString(); string dataPoint364 = graphDataSet.Tables["data"].Rows[1]["Na34"].ToString(); string dataPoint365 = graphDataSet.Tables["data"].Rows[1]["Na35"].ToString(); string dataPoint366 = graphDataSet.Tables["data"].Rows[1]["Na36"].ToString(); string dataPoint367 = graphDataSet.Tables["data"].Rows[1]["Na37"].ToString(); string dataPoint368 = graphDataSet.Tables["data"].Rows[1]["Na38"].ToString(); string dataPoint369 = graphDataSet.Tables["data"].Rows[1]["Na39"].ToString(); string dataPoint370 = graphDataSet.Tables["data"].Rows[1]["Na40"].ToString();
                        string dataPoint371 = graphDataSet.Tables["data"].Rows[1]["Na41"].ToString(); string dataPoint372 = graphDataSet.Tables["data"].Rows[1]["Na42"].ToString(); string dataPoint373 = graphDataSet.Tables["data"].Rows[1]["Na43"].ToString(); string dataPoint374 = graphDataSet.Tables["data"].Rows[1]["Na44"].ToString(); string dataPoint375 = graphDataSet.Tables["data"].Rows[1]["Na45"].ToString(); string dataPoint376 = graphDataSet.Tables["data"].Rows[1]["Na46"].ToString(); string dataPoint377 = graphDataSet.Tables["data"].Rows[1]["Na47"].ToString(); string dataPoint378 = graphDataSet.Tables["data"].Rows[1]["Na48"].ToString(); string dataPoint379 = graphDataSet.Tables["data"].Rows[1]["Na49"].ToString(); string dataPoint380 = graphDataSet.Tables["data"].Rows[1]["Na50"].ToString();
                        string dataPoint381 = graphDataSet.Tables["data"].Rows[1]["Na51"].ToString(); string dataPoint382 = graphDataSet.Tables["data"].Rows[1]["Na52"].ToString(); string dataPoint383 = graphDataSet.Tables["data"].Rows[1]["Na53"].ToString(); string dataPoint384 = graphDataSet.Tables["data"].Rows[1]["Na54"].ToString(); string dataPoint385 = graphDataSet.Tables["data"].Rows[1]["Na55"].ToString(); string dataPoint386 = graphDataSet.Tables["data"].Rows[1]["Na56"].ToString(); string dataPoint387 = graphDataSet.Tables["data"].Rows[1]["Na57"].ToString(); string dataPoint388 = graphDataSet.Tables["data"].Rows[1]["Na58"].ToString(); string dataPoint389 = graphDataSet.Tables["data"].Rows[1]["Na59"].ToString(); string dataPoint390 = graphDataSet.Tables["data"].Rows[1]["Na60"].ToString();
                        string dataPoint391 = graphDataSet.Tables["data"].Rows[1]["Na61"].ToString(); string dataPoint392 = graphDataSet.Tables["data"].Rows[1]["Na62"].ToString(); string dataPoint393 = graphDataSet.Tables["data"].Rows[1]["Na63"].ToString(); string dataPoint394 = graphDataSet.Tables["data"].Rows[1]["Na64"].ToString(); string dataPoint395 = graphDataSet.Tables["data"].Rows[1]["Na65"].ToString(); string dataPoint396 = graphDataSet.Tables["data"].Rows[1]["Na66"].ToString();

                        int aNa1; int aNa2; int aNa3; int aNa4; int aNa5; int aNa6; int aNa7; int aNa8; int aNa9; int aNa10; int aNa11; int aNa12; int aNa13; int aNa14; int aNa15; int aNa16; int aNa17; int aNa18; int aNa19; int aNa20; int aNa21; int aNa22; int aNa23; int aNa24; int aNa25; int aNa26; int aNa27; int aNa28; int aNa29; int aNa30; int aNa31; int aNa32; int aNa33; int aNa34; int aNa35; int aNa36; int aNa37; int aNa38; int aNa39; int aNa40; int aNa41; int aNa42; int aNa43; int aNa44; int aNa45; int aNa46; int aNa47; int aNa48; int aNa49; int aNa50; int aNa51; int aNa52; int aNa53; int aNa54; int aNa55; int aNa56; int aNa57; int aNa58; int aNa59; int aNa60; int aNa61; int aNa62; int aNa63; int aNa64; int aNa65; int aNa66;

                        if (dataPoint331 == "True") { aNa1 = 1; } else { aNa1 = 0; } if (dataPoint332 == "True") { aNa2 = 1; } else { aNa2 = 0; } if (dataPoint333 == "True") { aNa3 = 1; } else { aNa3 = 0; } if (dataPoint334 == "True") { aNa4 = 1; } else { aNa4 = 0; } if (dataPoint335 == "True") { aNa5 = 1; } else { aNa5 = 0; } if (dataPoint336 == "True") { aNa6 = 1; } else { aNa6 = 0; } if (dataPoint337 == "True") { aNa7 = 1; } else { aNa7 = 0; } if (dataPoint338 == "True") { aNa8 = 1; } else { aNa8 = 0; } if (dataPoint339 == "True") { aNa9 = 1; } else { aNa9 = 0; } if (dataPoint340 == "True") { aNa10 = 1; } else { aNa10 = 0; }
                        if (dataPoint341 == "True") { aNa11 = 1; } else { aNa11 = 0; } if (dataPoint342 == "True") { aNa12 = 1; } else { aNa12 = 0; } if (dataPoint343 == "True") { aNa13 = 1; } else { aNa13 = 0; } if (dataPoint344 == "True") { aNa14 = 1; } else { aNa14 = 0; } if (dataPoint345 == "True") { aNa15 = 1; } else { aNa15 = 0; } if (dataPoint346 == "True") { aNa16 = 1; } else { aNa16 = 0; } if (dataPoint347 == "True") { aNa17 = 1; } else { aNa17 = 0; } if (dataPoint348 == "True") { aNa18 = 1; } else { aNa18 = 0; } if (dataPoint349 == "True") { aNa19 = 1; } else { aNa19 = 0; } if (dataPoint350 == "True") { aNa20 = 1; } else { aNa20 = 0; }
                        if (dataPoint351 == "True") { aNa21 = 1; } else { aNa21 = 0; } if (dataPoint352 == "True") { aNa22 = 1; } else { aNa22 = 0; } if (dataPoint353 == "True") { aNa23 = 1; } else { aNa23 = 0; } if (dataPoint354 == "True") { aNa24 = 1; } else { aNa24 = 0; } if (dataPoint355 == "True") { aNa25 = 1; } else { aNa25 = 0; } if (dataPoint356 == "True") { aNa26 = 1; } else { aNa26 = 0; } if (dataPoint357 == "True") { aNa27 = 1; } else { aNa27 = 0; } if (dataPoint358 == "True") { aNa28 = 1; } else { aNa28 = 0; } if (dataPoint359 == "True") { aNa29 = 1; } else { aNa29 = 0; } if (dataPoint360 == "True") { aNa30 = 1; } else { aNa30 = 0; }
                        if (dataPoint361 == "True") { aNa31 = 1; } else { aNa31 = 0; } if (dataPoint362 == "True") { aNa32 = 1; } else { aNa32 = 0; } if (dataPoint363 == "True") { aNa33 = 1; } else { aNa33 = 0; } if (dataPoint364 == "True") { aNa34 = 1; } else { aNa34 = 0; } if (dataPoint365 == "True") { aNa35 = 1; } else { aNa35 = 0; } if (dataPoint366 == "True") { aNa36 = 1; } else { aNa36 = 0; } if (dataPoint367 == "True") { aNa37 = 1; } else { aNa37 = 0; } if (dataPoint368 == "True") { aNa38 = 1; } else { aNa38 = 0; } if (dataPoint369 == "True") { aNa39 = 1; } else { aNa39 = 0; } if (dataPoint370 == "True") { aNa40 = 1; } else { aNa40 = 0; }
                        if (dataPoint371 == "True") { aNa41 = 1; } else { aNa41 = 0; } if (dataPoint372 == "True") { aNa42 = 1; } else { aNa42 = 0; } if (dataPoint373 == "True") { aNa43 = 1; } else { aNa43 = 0; } if (dataPoint374 == "True") { aNa44 = 1; } else { aNa44 = 0; } if (dataPoint375 == "True") { aNa45 = 1; } else { aNa45 = 0; } if (dataPoint376 == "True") { aNa46 = 1; } else { aNa46 = 0; } if (dataPoint377 == "True") { aNa47 = 1; } else { aNa47 = 0; } if (dataPoint378 == "True") { aNa48 = 1; } else { aNa48 = 0; } if (dataPoint379 == "True") { aNa49 = 1; } else { aNa49 = 0; } if (dataPoint380 == "True") { aNa50 = 1; } else { aNa50 = 0; }
                        if (dataPoint381 == "True") { aNa51 = 1; } else { aNa51 = 0; } if (dataPoint382 == "True") { aNa52 = 1; } else { aNa52 = 0; } if (dataPoint383 == "True") { aNa53 = 1; } else { aNa53 = 0; } if (dataPoint384 == "True") { aNa54 = 1; } else { aNa54 = 0; } if (dataPoint385 == "True") { aNa55 = 1; } else { aNa55 = 0; } if (dataPoint386 == "True") { aNa56 = 1; } else { aNa56 = 0; } if (dataPoint387 == "True") { aNa57 = 1; } else { aNa57 = 0; } if (dataPoint388 == "True") { aNa58 = 1; } else { aNa58 = 0; } if (dataPoint389 == "True") { aNa59 = 1; } else { aNa59 = 0; } if (dataPoint390 == "True") { aNa60 = 1; } else { aNa60 = 0; }
                        if (dataPoint391 == "True") { aNa61 = 1; } else { aNa61 = 0; } if (dataPoint392 == "True") { aNa62 = 1; } else { aNa62 = 0; } if (dataPoint393 == "True") { aNa63 = 1; } else { aNa63 = 0; } if (dataPoint394 == "True") { aNa64 = 1; } else { aNa64 = 0; } if (dataPoint395 == "True") { aNa65 = 1; } else { aNa65 = 0; } if (dataPoint396 == "True") { aNa66 = 1; } else { aNa66 = 0; }

                        int atotalNa = aNa1 + aNa2 + aNa3 + aNa4 + aNa5 + aNa6 + aNa7 + aNa8 + aNa9 + aNa10 + aNa11 + aNa12 + aNa13 + aNa14 + aNa15 + aNa16 + aNa17 + aNa18 + aNa19 + aNa20 + aNa21 + aNa22 + aNa23 + aNa24 + aNa25 + aNa26 + aNa27 + aNa28 + aNa29 + aNa30 + aNa31 + aNa32 + aNa33 + aNa34 + aNa35 + aNa36 + aNa37 + aNa38 + aNa39 + aNa40 + aNa41 + aNa42 + aNa43 + aNa44 + aNa45 + aNa46 + aNa47 + aNa48 + aNa49 + aNa50 + aNa51 + aNa52 + aNa53 + aNa54 + aNa55 + aNa56 + aNa57 + aNa58 + aNa59 + aNa60 + aNa61 + aNa62 + aNa63 + aNa64 + aNa65 + aNa66;

                        string dataPoint397 = graphDataSet.Tables["data"].Rows[2]["Yes1"].ToString(); string dataPoint398 = graphDataSet.Tables["data"].Rows[2]["Yes2"].ToString(); string dataPoint399 = graphDataSet.Tables["data"].Rows[2]["Yes3"].ToString(); string dataPoint400 = graphDataSet.Tables["data"].Rows[2]["Yes4"].ToString(); string dataPoint401 = graphDataSet.Tables["data"].Rows[2]["Yes5"].ToString(); string dataPoint402 = graphDataSet.Tables["data"].Rows[2]["Yes6"].ToString(); string dataPoint403 = graphDataSet.Tables["data"].Rows[2]["Yes7"].ToString(); string dataPoint404 = graphDataSet.Tables["data"].Rows[2]["Yes8"].ToString(); string dataPoint405 = graphDataSet.Tables["data"].Rows[2]["Yes9"].ToString(); string dataPoint406 = graphDataSet.Tables["data"].Rows[2]["Yes10"].ToString();
                        string dataPoint407 = graphDataSet.Tables["data"].Rows[2]["Yes11"].ToString(); string dataPoint408 = graphDataSet.Tables["data"].Rows[2]["Yes12"].ToString(); string dataPoint409 = graphDataSet.Tables["data"].Rows[2]["Yes13"].ToString(); string dataPoint410 = graphDataSet.Tables["data"].Rows[2]["Yes14"].ToString(); string dataPoint411 = graphDataSet.Tables["data"].Rows[2]["Yes15"].ToString(); string dataPoint412 = graphDataSet.Tables["data"].Rows[2]["Yes16"].ToString(); string dataPoint413 = graphDataSet.Tables["data"].Rows[2]["Yes17"].ToString(); string dataPoint414 = graphDataSet.Tables["data"].Rows[2]["Yes18"].ToString(); string dataPoint415 = graphDataSet.Tables["data"].Rows[2]["Yes19"].ToString(); string dataPoint416 = graphDataSet.Tables["data"].Rows[2]["Yes20"].ToString();
                        string dataPoint417 = graphDataSet.Tables["data"].Rows[2]["Yes21"].ToString(); string dataPoint418 = graphDataSet.Tables["data"].Rows[2]["Yes22"].ToString(); string dataPoint419 = graphDataSet.Tables["data"].Rows[2]["Yes23"].ToString(); string dataPoint420 = graphDataSet.Tables["data"].Rows[2]["Yes24"].ToString(); string dataPoint421 = graphDataSet.Tables["data"].Rows[2]["Yes25"].ToString(); string dataPoint422 = graphDataSet.Tables["data"].Rows[2]["Yes26"].ToString(); string dataPoint423 = graphDataSet.Tables["data"].Rows[2]["Yes27"].ToString(); string dataPoint424 = graphDataSet.Tables["data"].Rows[2]["Yes28"].ToString(); string dataPoint425 = graphDataSet.Tables["data"].Rows[2]["Yes29"].ToString(); string dataPoint426 = graphDataSet.Tables["data"].Rows[2]["Yes30"].ToString();
                        string dataPoint427 = graphDataSet.Tables["data"].Rows[2]["Yes31"].ToString(); string dataPoint428 = graphDataSet.Tables["data"].Rows[2]["Yes32"].ToString(); string dataPoint429 = graphDataSet.Tables["data"].Rows[2]["Yes33"].ToString(); string dataPoint430 = graphDataSet.Tables["data"].Rows[2]["Yes34"].ToString(); string dataPoint431 = graphDataSet.Tables["data"].Rows[2]["Yes35"].ToString(); string dataPoint432 = graphDataSet.Tables["data"].Rows[2]["Yes36"].ToString(); string dataPoint433 = graphDataSet.Tables["data"].Rows[2]["Yes37"].ToString(); string dataPoint434 = graphDataSet.Tables["data"].Rows[2]["Yes38"].ToString(); string dataPoint435 = graphDataSet.Tables["data"].Rows[2]["Yes39"].ToString(); string dataPoint436 = graphDataSet.Tables["data"].Rows[2]["Yes40"].ToString();
                        string dataPoint437 = graphDataSet.Tables["data"].Rows[2]["Yes41"].ToString(); string dataPoint438 = graphDataSet.Tables["data"].Rows[2]["Yes42"].ToString(); string dataPoint439 = graphDataSet.Tables["data"].Rows[2]["Yes43"].ToString(); string dataPoint440 = graphDataSet.Tables["data"].Rows[2]["Yes44"].ToString(); string dataPoint441 = graphDataSet.Tables["data"].Rows[2]["Yes45"].ToString(); string dataPoint442 = graphDataSet.Tables["data"].Rows[2]["Yes46"].ToString(); string dataPoint443 = graphDataSet.Tables["data"].Rows[2]["Yes47"].ToString(); string dataPoint444 = graphDataSet.Tables["data"].Rows[2]["Yes48"].ToString(); string dataPoint445 = graphDataSet.Tables["data"].Rows[2]["Yes49"].ToString(); string dataPoint446 = graphDataSet.Tables["data"].Rows[2]["Yes50"].ToString();
                        string dataPoint447 = graphDataSet.Tables["data"].Rows[2]["Yes51"].ToString(); string dataPoint448 = graphDataSet.Tables["data"].Rows[2]["Yes52"].ToString(); string dataPoint449 = graphDataSet.Tables["data"].Rows[2]["Yes53"].ToString(); string dataPoint450 = graphDataSet.Tables["data"].Rows[2]["Yes54"].ToString(); string dataPoint451 = graphDataSet.Tables["data"].Rows[2]["Yes55"].ToString(); string dataPoint452 = graphDataSet.Tables["data"].Rows[2]["Yes56"].ToString(); string dataPoint453 = graphDataSet.Tables["data"].Rows[2]["Yes57"].ToString(); string dataPoint454 = graphDataSet.Tables["data"].Rows[2]["Yes58"].ToString(); string dataPoint455 = graphDataSet.Tables["data"].Rows[2]["Yes59"].ToString(); string dataPoint456 = graphDataSet.Tables["data"].Rows[2]["Yes60"].ToString();
                        string dataPoint457 = graphDataSet.Tables["data"].Rows[2]["Yes61"].ToString(); string dataPoint458 = graphDataSet.Tables["data"].Rows[2]["Yes62"].ToString(); string dataPoint459 = graphDataSet.Tables["data"].Rows[2]["Yes63"].ToString(); string dataPoint460 = graphDataSet.Tables["data"].Rows[2]["Yes64"].ToString(); string dataPoint461 = graphDataSet.Tables["data"].Rows[2]["Yes65"].ToString(); string dataPoint462 = graphDataSet.Tables["data"].Rows[2]["Yes66"].ToString();

                        int bYes1; int bYes2; int bYes3; int bYes4; int bYes5; int bYes6; int bYes7; int bYes8; int bYes9; int bYes10; int bYes11; int bYes12; int bYes13; int bYes14; int bYes15; int bYes16; int bYes17; int bYes18; int bYes19; int bYes20; int bYes21; int bYes22; int bYes23; int bYes24; int bYes25; int bYes26; int bYes27; int bYes28; int bYes29; int bYes30; int bYes31; int bYes32; int bYes33; int bYes34; int bYes35; int bYes36; int bYes37; int bYes38; int bYes39; int bYes40; int bYes41; int bYes42; int bYes43; int bYes44; int bYes45; int bYes46; int bYes47; int bYes48; int bYes49; int bYes50; int bYes51; int bYes52; int bYes53; int bYes54; int bYes55; int bYes56; int bYes57; int bYes58; int bYes59; int bYes60; int bYes61; int bYes62; int bYes63; int bYes64; int bYes65; int bYes66;

                        if (dataPoint397 == "True") { bYes1 = 1; } else { bYes1 = 0; } if (dataPoint398 == "True") { bYes2 = 1; } else { bYes2 = 0; } if (dataPoint399 == "True") { bYes3 = 1; } else { bYes3 = 0; } if (dataPoint400 == "True") { bYes4 = 1; } else { bYes4 = 0; } if (dataPoint401 == "True") { bYes5 = 1; } else { bYes5 = 0; } if (dataPoint402 == "True") { bYes6 = 1; } else { bYes6 = 0; } if (dataPoint403 == "True") { bYes7 = 1; } else { bYes7 = 0; } if (dataPoint404 == "True") { bYes8 = 1; } else { bYes8 = 0; } if (dataPoint405 == "True") { bYes9 = 1; } else { bYes9 = 0; } if (dataPoint406 == "True") { bYes10 = 1; } else { bYes10 = 0; }
                        if (dataPoint407 == "True") { bYes11 = 1; } else { bYes11 = 0; } if (dataPoint408 == "True") { bYes12 = 1; } else { bYes12 = 0; } if (dataPoint409 == "True") { bYes13 = 1; } else { bYes13 = 0; } if (dataPoint410 == "True") { bYes14 = 1; } else { bYes14 = 0; } if (dataPoint411 == "True") { bYes15 = 1; } else { bYes15 = 0; } if (dataPoint412 == "True") { bYes16 = 1; } else { bYes16 = 0; } if (dataPoint413 == "True") { bYes17 = 1; } else { bYes17 = 0; } if (dataPoint414 == "True") { bYes18 = 1; } else { bYes18 = 0; } if (dataPoint415 == "True") { bYes19 = 1; } else { bYes19 = 0; } if (dataPoint416 == "True") { bYes20 = 1; } else { bYes20 = 0; }
                        if (dataPoint417 == "True") { bYes21 = 1; } else { bYes21 = 0; } if (dataPoint418 == "True") { bYes22 = 1; } else { bYes22 = 0; } if (dataPoint419 == "True") { bYes23 = 1; } else { bYes23 = 0; } if (dataPoint420 == "True") { bYes24 = 1; } else { bYes24 = 0; } if (dataPoint421 == "True") { bYes25 = 1; } else { bYes25 = 0; } if (dataPoint422 == "True") { bYes26 = 1; } else { bYes26 = 0; } if (dataPoint423 == "True") { bYes27 = 1; } else { bYes27 = 0; } if (dataPoint424 == "True") { bYes28 = 1; } else { bYes28 = 0; } if (dataPoint425 == "True") { bYes29 = 1; } else { bYes29 = 0; } if (dataPoint426 == "True") { bYes30 = 1; } else { bYes30 = 0; }
                        if (dataPoint427 == "True") { bYes31 = 1; } else { bYes31 = 0; } if (dataPoint428 == "True") { bYes32 = 1; } else { bYes32 = 0; } if (dataPoint429 == "True") { bYes33 = 1; } else { bYes33 = 0; } if (dataPoint430 == "True") { bYes34 = 1; } else { bYes34 = 0; } if (dataPoint431 == "True") { bYes35 = 1; } else { bYes35 = 0; } if (dataPoint432 == "True") { bYes36 = 1; } else { bYes36 = 0; } if (dataPoint433 == "True") { bYes37 = 1; } else { bYes37 = 0; } if (dataPoint434 == "True") { bYes38 = 1; } else { bYes38 = 0; } if (dataPoint435 == "True") { bYes39 = 1; } else { bYes39 = 0; } if (dataPoint436 == "True") { bYes40 = 1; } else { bYes40 = 0; }
                        if (dataPoint437 == "True") { bYes41 = 1; } else { bYes41 = 0; } if (dataPoint438 == "True") { bYes42 = 1; } else { bYes42 = 0; } if (dataPoint439 == "True") { bYes43 = 1; } else { bYes43 = 0; } if (dataPoint440 == "True") { bYes44 = 1; } else { bYes44 = 0; } if (dataPoint441 == "True") { bYes45 = 1; } else { bYes45 = 0; } if (dataPoint442 == "True") { bYes46 = 1; } else { bYes46 = 0; } if (dataPoint443 == "True") { bYes47 = 1; } else { bYes47 = 0; } if (dataPoint444 == "True") { bYes48 = 1; } else { bYes48 = 0; } if (dataPoint445 == "True") { bYes49 = 1; } else { bYes49 = 0; } if (dataPoint446 == "True") { bYes50 = 1; } else { bYes50 = 0; }
                        if (dataPoint447 == "True") { bYes51 = 1; } else { bYes51 = 0; } if (dataPoint448 == "True") { bYes52 = 1; } else { bYes52 = 0; } if (dataPoint449 == "True") { bYes53 = 1; } else { bYes53 = 0; } if (dataPoint450 == "True") { bYes54 = 1; } else { bYes54 = 0; } if (dataPoint451 == "True") { bYes55 = 1; } else { bYes55 = 0; } if (dataPoint452 == "True") { bYes56 = 1; } else { bYes56 = 0; } if (dataPoint453 == "True") { bYes57 = 1; } else { bYes57 = 0; } if (dataPoint454 == "True") { bYes58 = 1; } else { bYes58 = 0; } if (dataPoint455 == "True") { bYes59 = 1; } else { bYes59 = 0; } if (dataPoint456 == "True") { bYes60 = 1; } else { bYes60 = 0; }
                        if (dataPoint457 == "True") { bYes61 = 1; } else { bYes61 = 0; } if (dataPoint458 == "True") { bYes62 = 1; } else { bYes62 = 0; } if (dataPoint459 == "True") { bYes63 = 1; } else { bYes63 = 0; } if (dataPoint460 == "True") { bYes64 = 1; } else { bYes64 = 0; } if (dataPoint461 == "True") { bYes65 = 1; } else { bYes65 = 0; } if (dataPoint462 == "True") { bYes66 = 1; } else { bYes66 = 0; }

                        int btotalYes = bYes1 + bYes2 + bYes3 + bYes4 + bYes5 + bYes6 + bYes7 + bYes8 + bYes9 + bYes10 + bYes11 + bYes12 + bYes13 + bYes14 + bYes15 + bYes16 + bYes17 + bYes18 + bYes19 + bYes20 + bYes21 + bYes22 + bYes23 + bYes24 + bYes25 + bYes26 + bYes27 + bYes28 + bYes29 + bYes30 + bYes31 + bYes32 + bYes33 + bYes34 + bYes35 + bYes36 + bYes37 + bYes38 + bYes39 + bYes40 + bYes41 + bYes42 + bYes43 + bYes44 + bYes45 + bYes46 + bYes47 + bYes48 + bYes49 + bYes50 + bYes51 + bYes52 + bYes53 + bYes54 + bYes55 + bYes56 + bYes57 + bYes58 + bYes59 + bYes60 + bYes61 + bYes62 + bYes63 + bYes64 + bYes65 + bYes66;

                        string dataPoint463 = graphDataSet.Tables["data"].Rows[2]["No1"].ToString(); string dataPoint464 = graphDataSet.Tables["data"].Rows[2]["No2"].ToString(); string dataPoint465 = graphDataSet.Tables["data"].Rows[2]["No3"].ToString(); string dataPoint466 = graphDataSet.Tables["data"].Rows[2]["No4"].ToString(); string dataPoint467 = graphDataSet.Tables["data"].Rows[2]["No5"].ToString(); string dataPoint468 = graphDataSet.Tables["data"].Rows[2]["No6"].ToString(); string dataPoint469 = graphDataSet.Tables["data"].Rows[2]["No7"].ToString(); string dataPoint470 = graphDataSet.Tables["data"].Rows[2]["No8"].ToString(); string dataPoint471 = graphDataSet.Tables["data"].Rows[2]["No9"].ToString(); string dataPoint472 = graphDataSet.Tables["data"].Rows[2]["No10"].ToString();
                        string dataPoint473 = graphDataSet.Tables["data"].Rows[2]["No11"].ToString(); string dataPoint474 = graphDataSet.Tables["data"].Rows[2]["No12"].ToString(); string dataPoint475 = graphDataSet.Tables["data"].Rows[2]["No13"].ToString(); string dataPoint476 = graphDataSet.Tables["data"].Rows[2]["No14"].ToString(); string dataPoint477 = graphDataSet.Tables["data"].Rows[2]["No15"].ToString(); string dataPoint478 = graphDataSet.Tables["data"].Rows[2]["No16"].ToString(); string dataPoint479 = graphDataSet.Tables["data"].Rows[2]["No17"].ToString(); string dataPoint480 = graphDataSet.Tables["data"].Rows[2]["No18"].ToString(); string dataPoint481 = graphDataSet.Tables["data"].Rows[2]["No19"].ToString(); string dataPoint482 = graphDataSet.Tables["data"].Rows[2]["No20"].ToString();
                        string dataPoint483 = graphDataSet.Tables["data"].Rows[2]["No21"].ToString(); string dataPoint484 = graphDataSet.Tables["data"].Rows[2]["No22"].ToString(); string dataPoint485 = graphDataSet.Tables["data"].Rows[2]["No23"].ToString(); string dataPoint486 = graphDataSet.Tables["data"].Rows[2]["No24"].ToString(); string dataPoint487 = graphDataSet.Tables["data"].Rows[2]["No25"].ToString(); string dataPoint488 = graphDataSet.Tables["data"].Rows[2]["No26"].ToString(); string dataPoint489 = graphDataSet.Tables["data"].Rows[2]["No27"].ToString(); string dataPoint490 = graphDataSet.Tables["data"].Rows[2]["No28"].ToString(); string dataPoint491 = graphDataSet.Tables["data"].Rows[2]["No29"].ToString(); string dataPoint492 = graphDataSet.Tables["data"].Rows[2]["No30"].ToString();
                        string dataPoint493 = graphDataSet.Tables["data"].Rows[2]["No31"].ToString(); string dataPoint494 = graphDataSet.Tables["data"].Rows[2]["No32"].ToString(); string dataPoint495 = graphDataSet.Tables["data"].Rows[2]["No33"].ToString(); string dataPoint496 = graphDataSet.Tables["data"].Rows[2]["No34"].ToString(); string dataPoint497 = graphDataSet.Tables["data"].Rows[2]["No35"].ToString(); string dataPoint498 = graphDataSet.Tables["data"].Rows[2]["No36"].ToString(); string dataPoint499 = graphDataSet.Tables["data"].Rows[2]["No37"].ToString(); string dataPoint500 = graphDataSet.Tables["data"].Rows[2]["No38"].ToString(); string dataPoint501 = graphDataSet.Tables["data"].Rows[2]["No39"].ToString(); string dataPoint502 = graphDataSet.Tables["data"].Rows[2]["No40"].ToString();
                        string dataPoint503 = graphDataSet.Tables["data"].Rows[2]["No41"].ToString(); string dataPoint504 = graphDataSet.Tables["data"].Rows[2]["No42"].ToString(); string dataPoint505 = graphDataSet.Tables["data"].Rows[2]["No43"].ToString(); string dataPoint506 = graphDataSet.Tables["data"].Rows[2]["No44"].ToString(); string dataPoint507 = graphDataSet.Tables["data"].Rows[2]["No45"].ToString(); string dataPoint508 = graphDataSet.Tables["data"].Rows[2]["No46"].ToString(); string dataPoint509 = graphDataSet.Tables["data"].Rows[2]["No47"].ToString(); string dataPoint510 = graphDataSet.Tables["data"].Rows[2]["No48"].ToString(); string dataPoint511 = graphDataSet.Tables["data"].Rows[2]["No49"].ToString(); string dataPoint512 = graphDataSet.Tables["data"].Rows[2]["No50"].ToString();
                        string dataPoint513 = graphDataSet.Tables["data"].Rows[2]["No51"].ToString(); string dataPoint514 = graphDataSet.Tables["data"].Rows[2]["No52"].ToString(); string dataPoint515 = graphDataSet.Tables["data"].Rows[2]["No53"].ToString(); string dataPoint516 = graphDataSet.Tables["data"].Rows[2]["No54"].ToString(); string dataPoint517 = graphDataSet.Tables["data"].Rows[2]["No55"].ToString(); string dataPoint518 = graphDataSet.Tables["data"].Rows[2]["No56"].ToString(); string dataPoint519 = graphDataSet.Tables["data"].Rows[2]["No57"].ToString(); string dataPoint520 = graphDataSet.Tables["data"].Rows[2]["No58"].ToString(); string dataPoint521 = graphDataSet.Tables["data"].Rows[2]["No59"].ToString(); string dataPoint522 = graphDataSet.Tables["data"].Rows[2]["No60"].ToString();
                        string dataPoint523 = graphDataSet.Tables["data"].Rows[2]["No61"].ToString(); string dataPoint524 = graphDataSet.Tables["data"].Rows[2]["No62"].ToString(); string dataPoint525 = graphDataSet.Tables["data"].Rows[2]["No63"].ToString(); string dataPoint526 = graphDataSet.Tables["data"].Rows[2]["No64"].ToString(); string dataPoint527 = graphDataSet.Tables["data"].Rows[2]["No65"].ToString(); string dataPoint528 = graphDataSet.Tables["data"].Rows[2]["No66"].ToString();

                        int bNo1; int bNo2; int bNo3; int bNo4; int bNo5; int bNo6; int bNo7; int bNo8; int bNo9; int bNo10; int bNo11; int bNo12; int bNo13; int bNo14; int bNo15; int bNo16; int bNo17; int bNo18; int bNo19; int bNo20; int bNo21; int bNo22; int bNo23; int bNo24; int bNo25; int bNo26; int bNo27; int bNo28; int bNo29; int bNo30; int bNo31; int bNo32; int bNo33; int bNo34; int bNo35; int bNo36; int bNo37; int bNo38; int bNo39; int bNo40; int bNo41; int bNo42; int bNo43; int bNo44; int bNo45; int bNo46; int bNo47; int bNo48; int bNo49; int bNo50; int bNo51; int bNo52; int bNo53; int bNo54; int bNo55; int bNo56; int bNo57; int bNo58; int bNo59; int bNo60; int bNo61; int bNo62; int bNo63; int bNo64; int bNo65; int bNo66;

                        if (dataPoint463 == "True") { bNo1 = 1; } else { bNo1 = 0; } if (dataPoint464 == "True") { bNo2 = 1; } else { bNo2 = 0; } if (dataPoint465 == "True") { bNo3 = 1; } else { bNo3 = 0; } if (dataPoint466 == "True") { bNo4 = 1; } else { bNo4 = 0; } if (dataPoint467 == "True") { bNo5 = 1; } else { bNo5 = 0; } if (dataPoint468 == "True") { bNo6 = 1; } else { bNo6 = 0; } if (dataPoint469 == "True") { bNo7 = 1; } else { bNo7 = 0; } if (dataPoint470 == "True") { bNo8 = 1; } else { bNo8 = 0; } if (dataPoint471 == "True") { bNo9 = 1; } else { bNo9 = 0; } if (dataPoint472 == "True") { bNo10 = 1; } else { bNo10 = 0; }
                        if (dataPoint473 == "True") { bNo11 = 1; } else { bNo11 = 0; } if (dataPoint474 == "True") { bNo12 = 1; } else { bNo12 = 0; } if (dataPoint475 == "True") { bNo13 = 1; } else { bNo13 = 0; } if (dataPoint476 == "True") { bNo14 = 1; } else { bNo14 = 0; } if (dataPoint477 == "True") { bNo15 = 1; } else { bNo15 = 0; } if (dataPoint478 == "True") { bNo16 = 1; } else { bNo16 = 0; } if (dataPoint479 == "True") { bNo17 = 1; } else { bNo17 = 0; } if (dataPoint480 == "True") { bNo18 = 1; } else { bNo18 = 0; } if (dataPoint481 == "True") { bNo19 = 1; } else { bNo19 = 0; } if (dataPoint482 == "True") { bNo20 = 1; } else { bNo20 = 0; }
                        if (dataPoint483 == "True") { bNo21 = 1; } else { bNo21 = 0; } if (dataPoint484 == "True") { bNo22 = 1; } else { bNo22 = 0; } if (dataPoint485 == "True") { bNo23 = 1; } else { bNo23 = 0; } if (dataPoint486 == "True") { bNo24 = 1; } else { bNo24 = 0; } if (dataPoint487 == "True") { bNo25 = 1; } else { bNo25 = 0; } if (dataPoint488 == "True") { bNo26 = 1; } else { bNo26 = 0; } if (dataPoint489 == "True") { bNo27 = 1; } else { bNo27 = 0; } if (dataPoint490 == "True") { bNo28 = 1; } else { bNo28 = 0; } if (dataPoint491 == "True") { bNo29 = 1; } else { bNo29 = 0; } if (dataPoint492 == "True") { bNo30 = 1; } else { bNo30 = 0; }
                        if (dataPoint493 == "True") { bNo31 = 1; } else { bNo31 = 0; } if (dataPoint494 == "True") { bNo32 = 1; } else { bNo32 = 0; } if (dataPoint495 == "True") { bNo33 = 1; } else { bNo33 = 0; } if (dataPoint496 == "True") { bNo34 = 1; } else { bNo34 = 0; } if (dataPoint497 == "True") { bNo35 = 1; } else { bNo35 = 0; } if (dataPoint498 == "True") { bNo36 = 1; } else { bNo36 = 0; } if (dataPoint499 == "True") { bNo37 = 1; } else { bNo37 = 0; } if (dataPoint500 == "True") { bNo38 = 1; } else { bNo38 = 0; } if (dataPoint501 == "True") { bNo39 = 1; } else { bNo39 = 0; } if (dataPoint502 == "True") { bNo40 = 1; } else { bNo40 = 0; }
                        if (dataPoint503 == "True") { bNo41 = 1; } else { bNo41 = 0; } if (dataPoint504 == "True") { bNo42 = 1; } else { bNo42 = 0; } if (dataPoint505 == "True") { bNo43 = 1; } else { bNo43 = 0; } if (dataPoint506 == "True") { bNo44 = 1; } else { bNo44 = 0; } if (dataPoint507 == "True") { bNo45 = 1; } else { bNo45 = 0; } if (dataPoint508 == "True") { bNo46 = 1; } else { bNo46 = 0; } if (dataPoint509 == "True") { bNo47 = 1; } else { bNo47 = 0; } if (dataPoint510 == "True") { bNo48 = 1; } else { bNo48 = 0; } if (dataPoint511 == "True") { bNo49 = 1; } else { bNo49 = 0; } if (dataPoint512 == "True") { bNo50 = 1; } else { bNo50 = 0; }
                        if (dataPoint513 == "True") { bNo51 = 1; } else { bNo51 = 0; } if (dataPoint514 == "True") { bNo52 = 1; } else { bNo52 = 0; } if (dataPoint515 == "True") { bNo53 = 1; } else { bNo53 = 0; } if (dataPoint516 == "True") { bNo54 = 1; } else { bNo54 = 0; } if (dataPoint517 == "True") { bNo55 = 1; } else { bNo55 = 0; } if (dataPoint518 == "True") { bNo56 = 1; } else { bNo56 = 0; } if (dataPoint519 == "True") { bNo57 = 1; } else { bNo57 = 0; } if (dataPoint520 == "True") { bNo58 = 1; } else { bNo58 = 0; } if (dataPoint521 == "True") { bNo59 = 1; } else { bNo59 = 0; } if (dataPoint522 == "True") { bNo60 = 1; } else { bNo60 = 0; }
                        if (dataPoint523 == "True") { bNo61 = 1; } else { bNo61 = 0; } if (dataPoint524 == "True") { bNo62 = 1; } else { bNo62 = 0; } if (dataPoint525 == "True") { bNo63 = 1; } else { bNo63 = 0; } if (dataPoint526 == "True") { bNo64 = 1; } else { bNo64 = 0; } if (dataPoint527 == "True") { bNo65 = 1; } else { bNo65 = 0; } if (dataPoint528 == "True") { bNo66 = 1; } else { bNo66 = 0; }

                        int btotalNo = bNo1 + bNo2 + bNo3 + bNo4 + bNo5 + bNo6 + bNo7 + bNo8 + bNo9 + bNo10 + bNo11 + bNo12 + bNo13 + bNo14 + bNo15 + bNo16 + bNo17 + bNo18 + bNo19 + bNo20 + bNo21 + bNo22 + bNo23 + bNo24 + bNo25 + bNo26 + bNo27 + bNo28 + bNo29 + bNo30 + bNo31 + bNo32 + bNo33 + bNo34 + bNo35 + bNo36 + bNo37 + bNo38 + bNo39 + bNo40 + bNo41 + bNo42 + bNo43 + bNo44 + bNo45 + bNo46 + bNo47 + bNo48 + bNo49 + bNo50 + bNo51 + bNo52 + bNo53 + bNo54 + bNo55 + bNo56 + bNo57 + bNo58 + bNo59 + bNo60 + bNo61 + bNo62 + bNo63 + bNo64 + bNo65 + bNo66;

                        string dataPoint529 = graphDataSet.Tables["data"].Rows[2]["Na1"].ToString(); string dataPoint530 = graphDataSet.Tables["data"].Rows[2]["Na2"].ToString(); string dataPoint531 = graphDataSet.Tables["data"].Rows[2]["Na3"].ToString(); string dataPoint532 = graphDataSet.Tables["data"].Rows[2]["Na4"].ToString(); string dataPoint533 = graphDataSet.Tables["data"].Rows[2]["Na5"].ToString(); string dataPoint534 = graphDataSet.Tables["data"].Rows[2]["Na6"].ToString(); string dataPoint535 = graphDataSet.Tables["data"].Rows[2]["Na7"].ToString(); string dataPoint536 = graphDataSet.Tables["data"].Rows[2]["Na8"].ToString(); string dataPoint537 = graphDataSet.Tables["data"].Rows[2]["Na9"].ToString(); string dataPoint538 = graphDataSet.Tables["data"].Rows[2]["Na10"].ToString();
                        string dataPoint539 = graphDataSet.Tables["data"].Rows[2]["Na11"].ToString(); string dataPoint540 = graphDataSet.Tables["data"].Rows[2]["Na12"].ToString(); string dataPoint541 = graphDataSet.Tables["data"].Rows[2]["Na13"].ToString(); string dataPoint542 = graphDataSet.Tables["data"].Rows[2]["Na14"].ToString(); string dataPoint543 = graphDataSet.Tables["data"].Rows[2]["Na15"].ToString(); string dataPoint544 = graphDataSet.Tables["data"].Rows[2]["Na16"].ToString(); string dataPoint545 = graphDataSet.Tables["data"].Rows[2]["Na17"].ToString(); string dataPoint546 = graphDataSet.Tables["data"].Rows[2]["Na18"].ToString(); string dataPoint547 = graphDataSet.Tables["data"].Rows[2]["Na19"].ToString(); string dataPoint548 = graphDataSet.Tables["data"].Rows[2]["Na20"].ToString();
                        string dataPoint549 = graphDataSet.Tables["data"].Rows[2]["Na21"].ToString(); string dataPoint550 = graphDataSet.Tables["data"].Rows[2]["Na22"].ToString(); string dataPoint551 = graphDataSet.Tables["data"].Rows[2]["Na23"].ToString(); string dataPoint552 = graphDataSet.Tables["data"].Rows[2]["Na24"].ToString(); string dataPoint553 = graphDataSet.Tables["data"].Rows[2]["Na25"].ToString(); string dataPoint554 = graphDataSet.Tables["data"].Rows[2]["Na26"].ToString(); string dataPoint555 = graphDataSet.Tables["data"].Rows[2]["Na27"].ToString(); string dataPoint556 = graphDataSet.Tables["data"].Rows[2]["Na28"].ToString(); string dataPoint557 = graphDataSet.Tables["data"].Rows[2]["Na29"].ToString(); string dataPoint558 = graphDataSet.Tables["data"].Rows[2]["Na30"].ToString();
                        string dataPoint559 = graphDataSet.Tables["data"].Rows[2]["Na31"].ToString(); string dataPoint560 = graphDataSet.Tables["data"].Rows[2]["Na32"].ToString(); string dataPoint561 = graphDataSet.Tables["data"].Rows[2]["Na33"].ToString(); string dataPoint562 = graphDataSet.Tables["data"].Rows[2]["Na34"].ToString(); string dataPoint563 = graphDataSet.Tables["data"].Rows[2]["Na35"].ToString(); string dataPoint564 = graphDataSet.Tables["data"].Rows[2]["Na36"].ToString(); string dataPoint565 = graphDataSet.Tables["data"].Rows[2]["Na37"].ToString(); string dataPoint566 = graphDataSet.Tables["data"].Rows[2]["Na38"].ToString(); string dataPoint567 = graphDataSet.Tables["data"].Rows[2]["Na39"].ToString(); string dataPoint568 = graphDataSet.Tables["data"].Rows[2]["Na40"].ToString();
                        string dataPoint569 = graphDataSet.Tables["data"].Rows[2]["Na41"].ToString(); string dataPoint570 = graphDataSet.Tables["data"].Rows[2]["Na42"].ToString(); string dataPoint571 = graphDataSet.Tables["data"].Rows[2]["Na43"].ToString(); string dataPoint572 = graphDataSet.Tables["data"].Rows[2]["Na44"].ToString(); string dataPoint573 = graphDataSet.Tables["data"].Rows[2]["Na45"].ToString(); string dataPoint574 = graphDataSet.Tables["data"].Rows[2]["Na46"].ToString(); string dataPoint575 = graphDataSet.Tables["data"].Rows[2]["Na47"].ToString(); string dataPoint576 = graphDataSet.Tables["data"].Rows[2]["Na48"].ToString(); string dataPoint577 = graphDataSet.Tables["data"].Rows[2]["Na49"].ToString(); string dataPoint578 = graphDataSet.Tables["data"].Rows[2]["Na50"].ToString();
                        string dataPoint579 = graphDataSet.Tables["data"].Rows[2]["Na51"].ToString(); string dataPoint580 = graphDataSet.Tables["data"].Rows[2]["Na52"].ToString(); string dataPoint581 = graphDataSet.Tables["data"].Rows[2]["Na53"].ToString(); string dataPoint582 = graphDataSet.Tables["data"].Rows[2]["Na54"].ToString(); string dataPoint583 = graphDataSet.Tables["data"].Rows[2]["Na55"].ToString(); string dataPoint584 = graphDataSet.Tables["data"].Rows[2]["Na56"].ToString(); string dataPoint585 = graphDataSet.Tables["data"].Rows[2]["Na57"].ToString(); string dataPoint586 = graphDataSet.Tables["data"].Rows[2]["Na58"].ToString(); string dataPoint587 = graphDataSet.Tables["data"].Rows[2]["Na59"].ToString(); string dataPoint588 = graphDataSet.Tables["data"].Rows[2]["Na60"].ToString();
                        string dataPoint589 = graphDataSet.Tables["data"].Rows[2]["Na61"].ToString(); string dataPoint590 = graphDataSet.Tables["data"].Rows[2]["Na62"].ToString(); string dataPoint591 = graphDataSet.Tables["data"].Rows[2]["Na63"].ToString(); string dataPoint592 = graphDataSet.Tables["data"].Rows[2]["Na64"].ToString(); string dataPoint593 = graphDataSet.Tables["data"].Rows[2]["Na65"].ToString(); string dataPoint594 = graphDataSet.Tables["data"].Rows[2]["Na66"].ToString();

                        int bNa1; int bNa2; int bNa3; int bNa4; int bNa5; int bNa6; int bNa7; int bNa8; int bNa9; int bNa10; int bNa11; int bNa12; int bNa13; int bNa14; int bNa15; int bNa16; int bNa17; int bNa18; int bNa19; int bNa20; int bNa21; int bNa22; int bNa23; int bNa24; int bNa25; int bNa26; int bNa27; int bNa28; int bNa29; int bNa30; int bNa31; int bNa32; int bNa33; int bNa34; int bNa35; int bNa36; int bNa37; int bNa38; int bNa39; int bNa40; int bNa41; int bNa42; int bNa43; int bNa44; int bNa45; int bNa46; int bNa47; int bNa48; int bNa49; int bNa50; int bNa51; int bNa52; int bNa53; int bNa54; int bNa55; int bNa56; int bNa57; int bNa58; int bNa59; int bNa60; int bNa61; int bNa62; int bNa63; int bNa64; int bNa65; int bNa66;

                        if (dataPoint529 == "True") { bNa1 = 1; } else { bNa1 = 0; } if (dataPoint530 == "True") { bNa2 = 1; } else { bNa2 = 0; } if (dataPoint531 == "True") { bNa3 = 1; } else { bNa3 = 0; } if (dataPoint532 == "True") { bNa4 = 1; } else { bNa4 = 0; } if (dataPoint533 == "True") { bNa5 = 1; } else { bNa5 = 0; } if (dataPoint534 == "True") { bNa6 = 1; } else { bNa6 = 0; } if (dataPoint535 == "True") { bNa7 = 1; } else { bNa7 = 0; } if (dataPoint536 == "True") { bNa8 = 1; } else { bNa8 = 0; } if (dataPoint537 == "True") { bNa9 = 1; } else { bNa9 = 0; } if (dataPoint538 == "True") { bNa10 = 1; } else { bNa10 = 0; }
                        if (dataPoint539 == "True") { bNa11 = 1; } else { bNa11 = 0; } if (dataPoint540 == "True") { bNa12 = 1; } else { bNa12 = 0; } if (dataPoint541 == "True") { bNa13 = 1; } else { bNa13 = 0; } if (dataPoint542 == "True") { bNa14 = 1; } else { bNa14 = 0; } if (dataPoint543 == "True") { bNa15 = 1; } else { bNa15 = 0; } if (dataPoint544 == "True") { bNa16 = 1; } else { bNa16 = 0; } if (dataPoint545 == "True") { bNa17 = 1; } else { bNa17 = 0; } if (dataPoint546 == "True") { bNa18 = 1; } else { bNa18 = 0; } if (dataPoint547 == "True") { bNa19 = 1; } else { bNa19 = 0; } if (dataPoint548 == "True") { bNa20 = 1; } else { bNa20 = 0; }
                        if (dataPoint549 == "True") { bNa21 = 1; } else { bNa21 = 0; } if (dataPoint550 == "True") { bNa22 = 1; } else { bNa22 = 0; } if (dataPoint551 == "True") { bNa23 = 1; } else { bNa23 = 0; } if (dataPoint552 == "True") { bNa24 = 1; } else { bNa24 = 0; } if (dataPoint553 == "True") { bNa25 = 1; } else { bNa25 = 0; } if (dataPoint554 == "True") { bNa26 = 1; } else { bNa26 = 0; } if (dataPoint555 == "True") { bNa27 = 1; } else { bNa27 = 0; } if (dataPoint556 == "True") { bNa28 = 1; } else { bNa28 = 0; } if (dataPoint557 == "True") { bNa29 = 1; } else { bNa29 = 0; } if (dataPoint558 == "True") { bNa30 = 1; } else { bNa30 = 0; }
                        if (dataPoint559 == "True") { bNa31 = 1; } else { bNa31 = 0; } if (dataPoint560 == "True") { bNa32 = 1; } else { bNa32 = 0; } if (dataPoint561 == "True") { bNa33 = 1; } else { bNa33 = 0; } if (dataPoint562 == "True") { bNa34 = 1; } else { bNa34 = 0; } if (dataPoint563 == "True") { bNa35 = 1; } else { bNa35 = 0; } if (dataPoint564 == "True") { bNa36 = 1; } else { bNa36 = 0; } if (dataPoint565 == "True") { bNa37 = 1; } else { bNa37 = 0; } if (dataPoint566 == "True") { bNa38 = 1; } else { bNa38 = 0; } if (dataPoint567 == "True") { bNa39 = 1; } else { bNa39 = 0; } if (dataPoint568 == "True") { bNa40 = 1; } else { bNa40 = 0; }
                        if (dataPoint569 == "True") { bNa41 = 1; } else { bNa41 = 0; } if (dataPoint570 == "True") { bNa42 = 1; } else { bNa42 = 0; } if (dataPoint571 == "True") { bNa43 = 1; } else { bNa43 = 0; } if (dataPoint572 == "True") { bNa44 = 1; } else { bNa44 = 0; } if (dataPoint573 == "True") { bNa45 = 1; } else { bNa45 = 0; } if (dataPoint574 == "True") { bNa46 = 1; } else { bNa46 = 0; } if (dataPoint575 == "True") { bNa47 = 1; } else { bNa47 = 0; } if (dataPoint576 == "True") { bNa48 = 1; } else { bNa48 = 0; } if (dataPoint577 == "True") { bNa49 = 1; } else { bNa49 = 0; } if (dataPoint578 == "True") { bNa50 = 1; } else { bNa50 = 0; }
                        if (dataPoint579 == "True") { bNa51 = 1; } else { bNa51 = 0; } if (dataPoint580 == "True") { bNa52 = 1; } else { bNa52 = 0; } if (dataPoint581 == "True") { bNa53 = 1; } else { bNa53 = 0; } if (dataPoint582 == "True") { bNa54 = 1; } else { bNa54 = 0; } if (dataPoint583 == "True") { bNa55 = 1; } else { bNa55 = 0; } if (dataPoint584 == "True") { bNa56 = 1; } else { bNa56 = 0; } if (dataPoint585 == "True") { bNa57 = 1; } else { bNa57 = 0; } if (dataPoint586 == "True") { bNa58 = 1; } else { bNa58 = 0; } if (dataPoint587 == "True") { bNa59 = 1; } else { bNa59 = 0; } if (dataPoint588 == "True") { bNa60 = 1; } else { bNa60 = 0; }
                        if (dataPoint589 == "True") { bNa61 = 1; } else { bNa61 = 0; } if (dataPoint590 == "True") { bNa62 = 1; } else { bNa62 = 0; } if (dataPoint591 == "True") { bNa63 = 1; } else { bNa63 = 0; } if (dataPoint592 == "True") { bNa64 = 1; } else { bNa64 = 0; } if (dataPoint593 == "True") { bNa65 = 1; } else { bNa65 = 0; } if (dataPoint594 == "True") { bNa66 = 1; } else { bNa66 = 0; }

                        int btotalNa = bNa1 + bNa2 + bNa3 + bNa4 + bNa5 + bNa6 + bNa7 + bNa8 + bNa9 + bNa10 + bNa11 + bNa12 + bNa13 + bNa14 + bNa15 + bNa16 + bNa17 + bNa18 + bNa19 + bNa20 + bNa21 + bNa22 + bNa23 + bNa24 + bNa25 + bNa26 + bNa27 + bNa28 + bNa29 + bNa30 + bNa31 + bNa32 + bNa33 + bNa34 + bNa35 + bNa36 + bNa37 + bNa38 + bNa39 + bNa40 + bNa41 + bNa42 + bNa43 + bNa44 + bNa45 + bNa46 + bNa47 + bNa48 + bNa49 + bNa50 + bNa51 + bNa52 + bNa53 + bNa54 + bNa55 + bNa56 + bNa57 + bNa58 + bNa59 + bNa60 + bNa61 + bNa62 + bNa63 + bNa64 + bNa65 + bNa66;

                        string dataPoint595 = graphDataSet.Tables["data"].Rows[3]["Yes1"].ToString(); string dataPoint596 = graphDataSet.Tables["data"].Rows[3]["Yes2"].ToString(); string dataPoint597 = graphDataSet.Tables["data"].Rows[3]["Yes3"].ToString(); string dataPoint598 = graphDataSet.Tables["data"].Rows[3]["Yes4"].ToString(); string dataPoint599 = graphDataSet.Tables["data"].Rows[3]["Yes5"].ToString(); string dataPoint600 = graphDataSet.Tables["data"].Rows[3]["Yes6"].ToString(); string dataPoint601 = graphDataSet.Tables["data"].Rows[3]["Yes7"].ToString(); string dataPoint602 = graphDataSet.Tables["data"].Rows[3]["Yes8"].ToString(); string dataPoint603 = graphDataSet.Tables["data"].Rows[3]["Yes9"].ToString(); string dataPoint604 = graphDataSet.Tables["data"].Rows[3]["Yes10"].ToString();
                        string dataPoint605 = graphDataSet.Tables["data"].Rows[3]["Yes11"].ToString(); string dataPoint606 = graphDataSet.Tables["data"].Rows[3]["Yes12"].ToString(); string dataPoint607 = graphDataSet.Tables["data"].Rows[3]["Yes13"].ToString(); string dataPoint608 = graphDataSet.Tables["data"].Rows[3]["Yes14"].ToString(); string dataPoint609 = graphDataSet.Tables["data"].Rows[3]["Yes15"].ToString(); string dataPoint610 = graphDataSet.Tables["data"].Rows[3]["Yes16"].ToString(); string dataPoint611 = graphDataSet.Tables["data"].Rows[3]["Yes17"].ToString(); string dataPoint612 = graphDataSet.Tables["data"].Rows[3]["Yes18"].ToString(); string dataPoint613 = graphDataSet.Tables["data"].Rows[3]["Yes19"].ToString(); string dataPoint614 = graphDataSet.Tables["data"].Rows[3]["Yes20"].ToString();
                        string dataPoint615 = graphDataSet.Tables["data"].Rows[3]["Yes21"].ToString(); string dataPoint616 = graphDataSet.Tables["data"].Rows[3]["Yes22"].ToString(); string dataPoint617 = graphDataSet.Tables["data"].Rows[3]["Yes23"].ToString(); string dataPoint618 = graphDataSet.Tables["data"].Rows[3]["Yes24"].ToString(); string dataPoint619 = graphDataSet.Tables["data"].Rows[3]["Yes25"].ToString(); string dataPoint620 = graphDataSet.Tables["data"].Rows[3]["Yes26"].ToString(); string dataPoint621 = graphDataSet.Tables["data"].Rows[3]["Yes27"].ToString(); string dataPoint622 = graphDataSet.Tables["data"].Rows[3]["Yes28"].ToString(); string dataPoint623 = graphDataSet.Tables["data"].Rows[3]["Yes29"].ToString(); string dataPoint624 = graphDataSet.Tables["data"].Rows[3]["Yes30"].ToString();
                        string dataPoint625 = graphDataSet.Tables["data"].Rows[3]["Yes31"].ToString(); string dataPoint626 = graphDataSet.Tables["data"].Rows[3]["Yes32"].ToString(); string dataPoint627 = graphDataSet.Tables["data"].Rows[3]["Yes33"].ToString(); string dataPoint628 = graphDataSet.Tables["data"].Rows[3]["Yes34"].ToString(); string dataPoint629 = graphDataSet.Tables["data"].Rows[3]["Yes35"].ToString(); string dataPoint630 = graphDataSet.Tables["data"].Rows[3]["Yes36"].ToString(); string dataPoint631 = graphDataSet.Tables["data"].Rows[3]["Yes37"].ToString(); string dataPoint632 = graphDataSet.Tables["data"].Rows[3]["Yes38"].ToString(); string dataPoint633 = graphDataSet.Tables["data"].Rows[3]["Yes39"].ToString(); string dataPoint634 = graphDataSet.Tables["data"].Rows[3]["Yes40"].ToString();
                        string dataPoint635 = graphDataSet.Tables["data"].Rows[3]["Yes41"].ToString(); string dataPoint636 = graphDataSet.Tables["data"].Rows[3]["Yes42"].ToString(); string dataPoint637 = graphDataSet.Tables["data"].Rows[3]["Yes43"].ToString(); string dataPoint638 = graphDataSet.Tables["data"].Rows[3]["Yes44"].ToString(); string dataPoint639 = graphDataSet.Tables["data"].Rows[3]["Yes45"].ToString(); string dataPoint640 = graphDataSet.Tables["data"].Rows[3]["Yes46"].ToString(); string dataPoint641 = graphDataSet.Tables["data"].Rows[3]["Yes47"].ToString(); string dataPoint642 = graphDataSet.Tables["data"].Rows[3]["Yes48"].ToString(); string dataPoint643 = graphDataSet.Tables["data"].Rows[3]["Yes49"].ToString(); string dataPoint644 = graphDataSet.Tables["data"].Rows[3]["Yes50"].ToString();
                        string dataPoint645 = graphDataSet.Tables["data"].Rows[3]["Yes51"].ToString(); string dataPoint646 = graphDataSet.Tables["data"].Rows[3]["Yes52"].ToString(); string dataPoint647 = graphDataSet.Tables["data"].Rows[3]["Yes53"].ToString(); string dataPoint648 = graphDataSet.Tables["data"].Rows[3]["Yes54"].ToString(); string dataPoint649 = graphDataSet.Tables["data"].Rows[3]["Yes55"].ToString(); string dataPoint650 = graphDataSet.Tables["data"].Rows[3]["Yes56"].ToString(); string dataPoint651 = graphDataSet.Tables["data"].Rows[3]["Yes57"].ToString(); string dataPoint652 = graphDataSet.Tables["data"].Rows[3]["Yes58"].ToString(); string dataPoint653 = graphDataSet.Tables["data"].Rows[3]["Yes59"].ToString(); string dataPoint654 = graphDataSet.Tables["data"].Rows[3]["Yes60"].ToString();
                        string dataPoint655 = graphDataSet.Tables["data"].Rows[3]["Yes61"].ToString(); string dataPoint656 = graphDataSet.Tables["data"].Rows[3]["Yes62"].ToString(); string dataPoint657 = graphDataSet.Tables["data"].Rows[3]["Yes63"].ToString(); string dataPoint658 = graphDataSet.Tables["data"].Rows[3]["Yes64"].ToString(); string dataPoint659 = graphDataSet.Tables["data"].Rows[3]["Yes65"].ToString(); string dataPoint660 = graphDataSet.Tables["data"].Rows[3]["Yes66"].ToString();

                        int cYes1; int cYes2; int cYes3; int cYes4; int cYes5; int cYes6; int cYes7; int cYes8; int cYes9; int cYes10; int cYes11; int cYes12; int cYes13; int cYes14; int cYes15; int cYes16; int cYes17; int cYes18; int cYes19; int cYes20; int cYes21; int cYes22; int cYes23; int cYes24; int cYes25; int cYes26; int cYes27; int cYes28; int cYes29; int cYes30; int cYes31; int cYes32; int cYes33; int cYes34; int cYes35; int cYes36; int cYes37; int cYes38; int cYes39; int cYes40; int cYes41; int cYes42; int cYes43; int cYes44; int cYes45; int cYes46; int cYes47; int cYes48; int cYes49; int cYes50; int cYes51; int cYes52; int cYes53; int cYes54; int cYes55; int cYes56; int cYes57; int cYes58; int cYes59; int cYes60; int cYes61; int cYes62; int cYes63; int cYes64; int cYes65; int cYes66;

                        if (dataPoint595 == "True") { cYes1 = 1; } else { cYes1 = 0; } if (dataPoint596 == "True") { cYes2 = 1; } else { cYes2 = 0; } if (dataPoint597 == "True") { cYes3 = 1; } else { cYes3 = 0; } if (dataPoint598 == "True") { cYes4 = 1; } else { cYes4 = 0; } if (dataPoint599 == "True") { cYes5 = 1; } else { cYes5 = 0; } if (dataPoint600 == "True") { cYes6 = 1; } else { cYes6 = 0; } if (dataPoint601 == "True") { cYes7 = 1; } else { cYes7 = 0; } if (dataPoint602 == "True") { cYes8 = 1; } else { cYes8 = 0; } if (dataPoint603 == "True") { cYes9 = 1; } else { cYes9 = 0; } if (dataPoint604 == "True") { cYes10 = 1; } else { cYes10 = 0; }
                        if (dataPoint605 == "True") { cYes11 = 1; } else { cYes11 = 0; } if (dataPoint606 == "True") { cYes12 = 1; } else { cYes12 = 0; } if (dataPoint607 == "True") { cYes13 = 1; } else { cYes13 = 0; } if (dataPoint608 == "True") { cYes14 = 1; } else { cYes14 = 0; } if (dataPoint609 == "True") { cYes15 = 1; } else { cYes15 = 0; } if (dataPoint610 == "True") { cYes16 = 1; } else { cYes16 = 0; } if (dataPoint611 == "True") { cYes17 = 1; } else { cYes17 = 0; } if (dataPoint612 == "True") { cYes18 = 1; } else { cYes18 = 0; } if (dataPoint613 == "True") { cYes19 = 1; } else { cYes19 = 0; } if (dataPoint614 == "True") { cYes20 = 1; } else { cYes20 = 0; }
                        if (dataPoint615 == "True") { cYes21 = 1; } else { cYes21 = 0; } if (dataPoint616 == "True") { cYes22 = 1; } else { cYes22 = 0; } if (dataPoint617 == "True") { cYes23 = 1; } else { cYes23 = 0; } if (dataPoint618 == "True") { cYes24 = 1; } else { cYes24 = 0; } if (dataPoint619 == "True") { cYes25 = 1; } else { cYes25 = 0; } if (dataPoint620 == "True") { cYes26 = 1; } else { cYes26 = 0; } if (dataPoint621 == "True") { cYes27 = 1; } else { cYes27 = 0; } if (dataPoint622 == "True") { cYes28 = 1; } else { cYes28 = 0; } if (dataPoint623 == "True") { cYes29 = 1; } else { cYes29 = 0; } if (dataPoint624 == "True") { cYes30 = 1; } else { cYes30 = 0; }
                        if (dataPoint625 == "True") { cYes31 = 1; } else { cYes31 = 0; } if (dataPoint626 == "True") { cYes32 = 1; } else { cYes32 = 0; } if (dataPoint627 == "True") { cYes33 = 1; } else { cYes33 = 0; } if (dataPoint628 == "True") { cYes34 = 1; } else { cYes34 = 0; } if (dataPoint233 == "True") { cYes35 = 1; } else { cYes35 = 0; } if (dataPoint630 == "True") { cYes36 = 1; } else { cYes36 = 0; } if (dataPoint631 == "True") { cYes37 = 1; } else { cYes37 = 0; } if (dataPoint632 == "True") { cYes38 = 1; } else { cYes38 = 0; } if (dataPoint633 == "True") { cYes39 = 1; } else { cYes39 = 0; } if (dataPoint634 == "True") { cYes40 = 1; } else { cYes40 = 0; }
                        if (dataPoint635 == "True") { cYes41 = 1; } else { cYes41 = 0; } if (dataPoint636 == "True") { cYes42 = 1; } else { cYes42 = 0; } if (dataPoint637 == "True") { cYes43 = 1; } else { cYes43 = 0; } if (dataPoint638 == "True") { cYes44 = 1; } else { cYes44 = 0; } if (dataPoint639 == "True") { cYes45 = 1; } else { cYes45 = 0; } if (dataPoint640 == "True") { cYes46 = 1; } else { cYes46 = 0; } if (dataPoint641 == "True") { cYes47 = 1; } else { cYes47 = 0; } if (dataPoint642 == "True") { cYes48 = 1; } else { cYes48 = 0; } if (dataPoint643 == "True") { cYes49 = 1; } else { cYes49 = 0; } if (dataPoint644 == "True") { cYes50 = 1; } else { cYes50 = 0; }
                        if (dataPoint645 == "True") { cYes51 = 1; } else { cYes51 = 0; } if (dataPoint646 == "True") { cYes52 = 1; } else { cYes52 = 0; } if (dataPoint647 == "True") { cYes53 = 1; } else { cYes53 = 0; } if (dataPoint648 == "True") { cYes54 = 1; } else { cYes54 = 0; } if (dataPoint649 == "True") { cYes55 = 1; } else { cYes55 = 0; } if (dataPoint650 == "True") { cYes56 = 1; } else { cYes56 = 0; } if (dataPoint651 == "True") { cYes57 = 1; } else { cYes57 = 0; } if (dataPoint652 == "True") { cYes58 = 1; } else { cYes58 = 0; } if (dataPoint653 == "True") { cYes59 = 1; } else { cYes59 = 0; } if (dataPoint654 == "True") { cYes60 = 1; } else { cYes60 = 0; }
                        if (dataPoint655 == "True") { cYes61 = 1; } else { cYes61 = 0; } if (dataPoint656 == "True") { cYes62 = 1; } else { cYes62 = 0; } if (dataPoint657 == "True") { cYes63 = 1; } else { cYes63 = 0; } if (dataPoint658 == "True") { cYes64 = 1; } else { cYes64 = 0; } if (dataPoint659 == "True") { cYes65 = 1; } else { cYes65 = 0; } if (dataPoint660 == "True") { cYes66 = 1; } else { cYes66 = 0; }

                        int ctotalYes = cYes1 + cYes2 + cYes3 + cYes4 + cYes5 + cYes6 + cYes7 + cYes8 + cYes9 + cYes10 + cYes11 + cYes12 + cYes13 + cYes14 + cYes15 + cYes16 + cYes17 + cYes18 + cYes19 + cYes20 + cYes21 + cYes22 + cYes23 + cYes24 + cYes25 + cYes26 + cYes27 + cYes28 + cYes29 + cYes30 + cYes31 + cYes32 + cYes33 + cYes34 + cYes35 + cYes36 + cYes37 + cYes38 + cYes39 + cYes40 + cYes41 + cYes42 + cYes43 + cYes44 + cYes45 + cYes46 + cYes47 + cYes48 + cYes49 + cYes50 + cYes51 + cYes52 + cYes53 + cYes54 + cYes55 + cYes56 + cYes57 + cYes58 + cYes59 + cYes60 + cYes61 + cYes62 + cYes63 + cYes64 + cYes65 + cYes66;

                        string dataPoint661 = graphDataSet.Tables["data"].Rows[3]["No1"].ToString(); string dataPoint662 = graphDataSet.Tables["data"].Rows[3]["No2"].ToString(); string dataPoint663 = graphDataSet.Tables["data"].Rows[3]["No3"].ToString(); string dataPoint664 = graphDataSet.Tables["data"].Rows[3]["No4"].ToString(); string dataPoint665 = graphDataSet.Tables["data"].Rows[3]["No5"].ToString(); string dataPoint666 = graphDataSet.Tables["data"].Rows[3]["No6"].ToString(); string dataPoint667 = graphDataSet.Tables["data"].Rows[3]["No7"].ToString(); string dataPoint668 = graphDataSet.Tables["data"].Rows[3]["No8"].ToString(); string dataPoint669 = graphDataSet.Tables["data"].Rows[3]["No9"].ToString(); string dataPoint670 = graphDataSet.Tables["data"].Rows[3]["No10"].ToString();
                        string dataPoint671 = graphDataSet.Tables["data"].Rows[3]["No11"].ToString(); string dataPoint672 = graphDataSet.Tables["data"].Rows[3]["No12"].ToString(); string dataPoint673 = graphDataSet.Tables["data"].Rows[3]["No13"].ToString(); string dataPoint674 = graphDataSet.Tables["data"].Rows[3]["No14"].ToString(); string dataPoint675 = graphDataSet.Tables["data"].Rows[3]["No15"].ToString(); string dataPoint676 = graphDataSet.Tables["data"].Rows[3]["No16"].ToString(); string dataPoint677 = graphDataSet.Tables["data"].Rows[3]["No17"].ToString(); string dataPoint678 = graphDataSet.Tables["data"].Rows[3]["No18"].ToString(); string dataPoint679 = graphDataSet.Tables["data"].Rows[3]["No19"].ToString(); string dataPoint680 = graphDataSet.Tables["data"].Rows[3]["No20"].ToString();
                        string dataPoint681 = graphDataSet.Tables["data"].Rows[3]["No21"].ToString(); string dataPoint682 = graphDataSet.Tables["data"].Rows[3]["No22"].ToString(); string dataPoint683 = graphDataSet.Tables["data"].Rows[3]["No23"].ToString(); string dataPoint684 = graphDataSet.Tables["data"].Rows[3]["No24"].ToString(); string dataPoint685 = graphDataSet.Tables["data"].Rows[3]["No25"].ToString(); string dataPoint686 = graphDataSet.Tables["data"].Rows[3]["No26"].ToString(); string dataPoint687 = graphDataSet.Tables["data"].Rows[3]["No27"].ToString(); string dataPoint688 = graphDataSet.Tables["data"].Rows[3]["No28"].ToString(); string dataPoint689 = graphDataSet.Tables["data"].Rows[3]["No29"].ToString(); string dataPoint690 = graphDataSet.Tables["data"].Rows[3]["No30"].ToString();
                        string dataPoint691 = graphDataSet.Tables["data"].Rows[3]["No31"].ToString(); string dataPoint692 = graphDataSet.Tables["data"].Rows[3]["No32"].ToString(); string dataPoint693 = graphDataSet.Tables["data"].Rows[3]["No33"].ToString(); string dataPoint694 = graphDataSet.Tables["data"].Rows[3]["No34"].ToString(); string dataPoint695 = graphDataSet.Tables["data"].Rows[3]["No35"].ToString(); string dataPoint696 = graphDataSet.Tables["data"].Rows[3]["No36"].ToString(); string dataPoint697 = graphDataSet.Tables["data"].Rows[3]["No37"].ToString(); string dataPoint698 = graphDataSet.Tables["data"].Rows[3]["No38"].ToString(); string dataPoint699 = graphDataSet.Tables["data"].Rows[3]["No39"].ToString(); string dataPoint700 = graphDataSet.Tables["data"].Rows[3]["No40"].ToString();
                        string dataPoint701 = graphDataSet.Tables["data"].Rows[3]["No41"].ToString(); string dataPoint702 = graphDataSet.Tables["data"].Rows[3]["No42"].ToString(); string dataPoint703 = graphDataSet.Tables["data"].Rows[3]["No43"].ToString(); string dataPoint704 = graphDataSet.Tables["data"].Rows[3]["No44"].ToString(); string dataPoint705 = graphDataSet.Tables["data"].Rows[3]["No45"].ToString(); string dataPoint706 = graphDataSet.Tables["data"].Rows[3]["No46"].ToString(); string dataPoint707 = graphDataSet.Tables["data"].Rows[3]["No47"].ToString(); string dataPoint708 = graphDataSet.Tables["data"].Rows[3]["No48"].ToString(); string dataPoint709 = graphDataSet.Tables["data"].Rows[3]["No49"].ToString(); string dataPoint710 = graphDataSet.Tables["data"].Rows[3]["No50"].ToString();
                        string dataPoint711 = graphDataSet.Tables["data"].Rows[3]["No51"].ToString(); string dataPoint712 = graphDataSet.Tables["data"].Rows[3]["No52"].ToString(); string dataPoint713 = graphDataSet.Tables["data"].Rows[3]["No53"].ToString(); string dataPoint714 = graphDataSet.Tables["data"].Rows[3]["No54"].ToString(); string dataPoint715 = graphDataSet.Tables["data"].Rows[3]["No55"].ToString(); string dataPoint716 = graphDataSet.Tables["data"].Rows[3]["No56"].ToString(); string dataPoint717 = graphDataSet.Tables["data"].Rows[3]["No57"].ToString(); string dataPoint718 = graphDataSet.Tables["data"].Rows[3]["No58"].ToString(); string dataPoint719 = graphDataSet.Tables["data"].Rows[3]["No59"].ToString(); string dataPoint720 = graphDataSet.Tables["data"].Rows[3]["No60"].ToString();
                        string dataPoint721 = graphDataSet.Tables["data"].Rows[3]["No61"].ToString(); string dataPoint722 = graphDataSet.Tables["data"].Rows[3]["No62"].ToString(); string dataPoint723 = graphDataSet.Tables["data"].Rows[3]["No63"].ToString(); string dataPoint724 = graphDataSet.Tables["data"].Rows[3]["No64"].ToString(); string dataPoint725 = graphDataSet.Tables["data"].Rows[3]["No65"].ToString(); string dataPoint726 = graphDataSet.Tables["data"].Rows[3]["No66"].ToString();

                        int cNo1; int cNo2; int cNo3; int cNo4; int cNo5; int cNo6; int cNo7; int cNo8; int cNo9; int cNo10; int cNo11; int cNo12; int cNo13; int cNo14; int cNo15; int cNo16; int cNo17; int cNo18; int cNo19; int cNo20; int cNo21; int cNo22; int cNo23; int cNo24; int cNo25; int cNo26; int cNo27; int cNo28; int cNo29; int cNo30; int cNo31; int cNo32; int cNo33; int cNo34; int cNo35; int cNo36; int cNo37; int cNo38; int cNo39; int cNo40; int cNo41; int cNo42; int cNo43; int cNo44; int cNo45; int cNo46; int cNo47; int cNo48; int cNo49; int cNo50; int cNo51; int cNo52; int cNo53; int cNo54; int cNo55; int cNo56; int cNo57; int cNo58; int cNo59; int cNo60; int cNo61; int cNo62; int cNo63; int cNo64; int cNo65; int cNo66;

                        if (dataPoint661 == "True") { cNo1 = 1; } else { cNo1 = 0; } if (dataPoint662 == "True") { cNo2 = 1; } else { cNo2 = 0; } if (dataPoint663 == "True") { cNo3 = 1; } else { cNo3 = 0; } if (dataPoint664 == "True") { cNo4 = 1; } else { cNo4 = 0; } if (dataPoint665 == "True") { cNo5 = 1; } else { cNo5 = 0; } if (dataPoint666 == "True") { cNo6 = 1; } else { cNo6 = 0; } if (dataPoint667 == "True") { cNo7 = 1; } else { cNo7 = 0; } if (dataPoint668 == "True") { cNo8 = 1; } else { cNo8 = 0; } if (dataPoint669 == "True") { cNo9 = 1; } else { cNo9 = 0; } if (dataPoint670 == "True") { cNo10 = 1; } else { cNo10 = 0; }
                        if (dataPoint671 == "True") { cNo11 = 1; } else { cNo11 = 0; } if (dataPoint672 == "True") { cNo12 = 1; } else { cNo12 = 0; } if (dataPoint673 == "True") { cNo13 = 1; } else { cNo13 = 0; } if (dataPoint674 == "True") { cNo14 = 1; } else { cNo14 = 0; } if (dataPoint675 == "True") { cNo15 = 1; } else { cNo15 = 0; } if (dataPoint676 == "True") { cNo16 = 1; } else { cNo16 = 0; } if (dataPoint677 == "True") { cNo17 = 1; } else { cNo17 = 0; } if (dataPoint678 == "True") { cNo18 = 1; } else { cNo18 = 0; } if (dataPoint679 == "True") { cNo19 = 1; } else { cNo19 = 0; } if (dataPoint680 == "True") { cNo20 = 1; } else { cNo20 = 0; }
                        if (dataPoint681 == "True") { cNo21 = 1; } else { cNo21 = 0; } if (dataPoint682 == "True") { cNo22 = 1; } else { cNo22 = 0; } if (dataPoint683 == "True") { cNo23 = 1; } else { cNo23 = 0; } if (dataPoint684 == "True") { cNo24 = 1; } else { cNo24 = 0; } if (dataPoint685 == "True") { cNo25 = 1; } else { cNo25 = 0; } if (dataPoint686 == "True") { cNo26 = 1; } else { cNo26 = 0; } if (dataPoint687 == "True") { cNo27 = 1; } else { cNo27 = 0; } if (dataPoint688 == "True") { cNo28 = 1; } else { cNo28 = 0; } if (dataPoint689 == "True") { cNo29 = 1; } else { cNo29 = 0; } if (dataPoint690 == "True") { cNo30 = 1; } else { cNo30 = 0; }
                        if (dataPoint691 == "True") { cNo31 = 1; } else { cNo31 = 0; } if (dataPoint692 == "True") { cNo32 = 1; } else { cNo32 = 0; } if (dataPoint693 == "True") { cNo33 = 1; } else { cNo33 = 0; } if (dataPoint694 == "True") { cNo34 = 1; } else { cNo34 = 0; } if (dataPoint695 == "True") { cNo35 = 1; } else { cNo35 = 0; } if (dataPoint696 == "True") { cNo36 = 1; } else { cNo36 = 0; } if (dataPoint697 == "True") { cNo37 = 1; } else { cNo37 = 0; } if (dataPoint698 == "True") { cNo38 = 1; } else { cNo38 = 0; } if (dataPoint699 == "True") { cNo39 = 1; } else { cNo39 = 0; } if (dataPoint700 == "True") { cNo40 = 1; } else { cNo40 = 0; }
                        if (dataPoint701 == "True") { cNo41 = 1; } else { cNo41 = 0; } if (dataPoint702 == "True") { cNo42 = 1; } else { cNo42 = 0; } if (dataPoint703 == "True") { cNo43 = 1; } else { cNo43 = 0; } if (dataPoint704 == "True") { cNo44 = 1; } else { cNo44 = 0; } if (dataPoint705 == "True") { cNo45 = 1; } else { cNo45 = 0; } if (dataPoint706 == "True") { cNo46 = 1; } else { cNo46 = 0; } if (dataPoint707 == "True") { cNo47 = 1; } else { cNo47 = 0; } if (dataPoint708 == "True") { cNo48 = 1; } else { cNo48 = 0; } if (dataPoint709 == "True") { cNo49 = 1; } else { cNo49 = 0; } if (dataPoint710 == "True") { cNo50 = 1; } else { cNo50 = 0; }
                        if (dataPoint711 == "True") { cNo51 = 1; } else { cNo51 = 0; } if (dataPoint712 == "True") { cNo52 = 1; } else { cNo52 = 0; } if (dataPoint713 == "True") { cNo53 = 1; } else { cNo53 = 0; } if (dataPoint714 == "True") { cNo54 = 1; } else { cNo54 = 0; } if (dataPoint715 == "True") { cNo55 = 1; } else { cNo55 = 0; } if (dataPoint716 == "True") { cNo56 = 1; } else { cNo56 = 0; } if (dataPoint717 == "True") { cNo57 = 1; } else { cNo57 = 0; } if (dataPoint718 == "True") { cNo58 = 1; } else { cNo58 = 0; } if (dataPoint719 == "True") { cNo59 = 1; } else { cNo59 = 0; } if (dataPoint720 == "True") { cNo60 = 1; } else { cNo60 = 0; }
                        if (dataPoint721 == "True") { cNo61 = 1; } else { cNo61 = 0; } if (dataPoint722 == "True") { cNo62 = 1; } else { cNo62 = 0; } if (dataPoint723 == "True") { cNo63 = 1; } else { cNo63 = 0; } if (dataPoint724 == "True") { cNo64 = 1; } else { cNo64 = 0; } if (dataPoint725 == "True") { cNo65 = 1; } else { cNo65 = 0; } if (dataPoint726 == "True") { cNo66 = 1; } else { cNo66 = 0; }

                        int ctotalNo = cNo1 + cNo2 + cNo3 + cNo4 + cNo5 + cNo6 + cNo7 + cNo8 + cNo9 + cNo10 + cNo11 + cNo12 + cNo13 + cNo14 + cNo15 + cNo16 + cNo17 + cNo18 + cNo19 + cNo20 + cNo21 + cNo22 + cNo23 + cNo24 + cNo25 + cNo26 + cNo27 + cNo28 + cNo29 + cNo30 + cNo31 + cNo32 + cNo33 + cNo34 + cNo35 + cNo36 + cNo37 + cNo38 + cNo39 + cNo40 + cNo41 + cNo42 + cNo43 + cNo44 + cNo45 + cNo46 + cNo47 + cNo48 + cNo49 + cNo50 + cNo51 + cNo52 + cNo53 + cNo54 + cNo55 + cNo56 + cNo57 + cNo58 + cNo59 + cNo60 + cNo61 + cNo62 + cNo63 + cNo64 + cNo65 + cNo66;

                        string dataPoint727 = graphDataSet.Tables["data"].Rows[3]["Na1"].ToString(); string dataPoint728 = graphDataSet.Tables["data"].Rows[3]["Na2"].ToString(); string dataPoint729 = graphDataSet.Tables["data"].Rows[3]["Na3"].ToString(); string dataPoint730 = graphDataSet.Tables["data"].Rows[3]["Na4"].ToString(); string dataPoint731 = graphDataSet.Tables["data"].Rows[3]["Na5"].ToString(); string dataPoint732 = graphDataSet.Tables["data"].Rows[3]["Na6"].ToString(); string dataPoint733 = graphDataSet.Tables["data"].Rows[3]["Na7"].ToString(); string dataPoint734 = graphDataSet.Tables["data"].Rows[3]["Na8"].ToString(); string dataPoint735 = graphDataSet.Tables["data"].Rows[3]["Na9"].ToString(); string dataPoint736 = graphDataSet.Tables["data"].Rows[3]["Na10"].ToString();
                        string dataPoint737 = graphDataSet.Tables["data"].Rows[3]["Na11"].ToString(); string dataPoint738 = graphDataSet.Tables["data"].Rows[3]["Na12"].ToString(); string dataPoint739 = graphDataSet.Tables["data"].Rows[3]["Na13"].ToString(); string dataPoint740 = graphDataSet.Tables["data"].Rows[3]["Na14"].ToString(); string dataPoint741 = graphDataSet.Tables["data"].Rows[3]["Na15"].ToString(); string dataPoint742 = graphDataSet.Tables["data"].Rows[3]["Na16"].ToString(); string dataPoint743 = graphDataSet.Tables["data"].Rows[3]["Na17"].ToString(); string dataPoint744 = graphDataSet.Tables["data"].Rows[3]["Na18"].ToString(); string dataPoint745 = graphDataSet.Tables["data"].Rows[3]["Na19"].ToString(); string dataPoint746 = graphDataSet.Tables["data"].Rows[3]["Na20"].ToString();
                        string dataPoint747 = graphDataSet.Tables["data"].Rows[3]["Na21"].ToString(); string dataPoint748 = graphDataSet.Tables["data"].Rows[3]["Na22"].ToString(); string dataPoint749 = graphDataSet.Tables["data"].Rows[3]["Na23"].ToString(); string dataPoint750 = graphDataSet.Tables["data"].Rows[3]["Na24"].ToString(); string dataPoint751 = graphDataSet.Tables["data"].Rows[3]["Na25"].ToString(); string dataPoint752 = graphDataSet.Tables["data"].Rows[3]["Na26"].ToString(); string dataPoint753 = graphDataSet.Tables["data"].Rows[3]["Na27"].ToString(); string dataPoint754 = graphDataSet.Tables["data"].Rows[3]["Na28"].ToString(); string dataPoint755 = graphDataSet.Tables["data"].Rows[3]["Na29"].ToString(); string dataPoint756 = graphDataSet.Tables["data"].Rows[3]["Na30"].ToString();
                        string dataPoint757 = graphDataSet.Tables["data"].Rows[3]["Na31"].ToString(); string dataPoint758 = graphDataSet.Tables["data"].Rows[3]["Na32"].ToString(); string dataPoint759 = graphDataSet.Tables["data"].Rows[3]["Na33"].ToString(); string dataPoint760 = graphDataSet.Tables["data"].Rows[3]["Na34"].ToString(); string dataPoint761 = graphDataSet.Tables["data"].Rows[3]["Na35"].ToString(); string dataPoint762 = graphDataSet.Tables["data"].Rows[3]["Na36"].ToString(); string dataPoint763 = graphDataSet.Tables["data"].Rows[3]["Na37"].ToString(); string dataPoint764 = graphDataSet.Tables["data"].Rows[3]["Na38"].ToString(); string dataPoint765 = graphDataSet.Tables["data"].Rows[3]["Na39"].ToString(); string dataPoint766 = graphDataSet.Tables["data"].Rows[3]["Na40"].ToString();
                        string dataPoint767 = graphDataSet.Tables["data"].Rows[3]["Na41"].ToString(); string dataPoint768 = graphDataSet.Tables["data"].Rows[3]["Na42"].ToString(); string dataPoint769 = graphDataSet.Tables["data"].Rows[3]["Na43"].ToString(); string dataPoint770 = graphDataSet.Tables["data"].Rows[3]["Na44"].ToString(); string dataPoint771 = graphDataSet.Tables["data"].Rows[3]["Na45"].ToString(); string dataPoint772 = graphDataSet.Tables["data"].Rows[3]["Na46"].ToString(); string dataPoint773 = graphDataSet.Tables["data"].Rows[3]["Na47"].ToString(); string dataPoint774 = graphDataSet.Tables["data"].Rows[3]["Na48"].ToString(); string dataPoint775 = graphDataSet.Tables["data"].Rows[3]["Na49"].ToString(); string dataPoint776 = graphDataSet.Tables["data"].Rows[3]["Na50"].ToString();
                        string dataPoint777 = graphDataSet.Tables["data"].Rows[3]["Na51"].ToString(); string dataPoint778 = graphDataSet.Tables["data"].Rows[3]["Na52"].ToString(); string dataPoint779 = graphDataSet.Tables["data"].Rows[3]["Na53"].ToString(); string dataPoint780 = graphDataSet.Tables["data"].Rows[3]["Na54"].ToString(); string dataPoint781 = graphDataSet.Tables["data"].Rows[3]["Na55"].ToString(); string dataPoint782 = graphDataSet.Tables["data"].Rows[3]["Na56"].ToString(); string dataPoint783 = graphDataSet.Tables["data"].Rows[3]["Na57"].ToString(); string dataPoint784 = graphDataSet.Tables["data"].Rows[3]["Na58"].ToString(); string dataPoint785 = graphDataSet.Tables["data"].Rows[3]["Na59"].ToString(); string dataPoint786 = graphDataSet.Tables["data"].Rows[3]["Na60"].ToString();
                        string dataPoint787 = graphDataSet.Tables["data"].Rows[3]["Na61"].ToString(); string dataPoint788 = graphDataSet.Tables["data"].Rows[3]["Na62"].ToString(); string dataPoint789 = graphDataSet.Tables["data"].Rows[3]["Na63"].ToString(); string dataPoint790 = graphDataSet.Tables["data"].Rows[3]["Na64"].ToString(); string dataPoint791 = graphDataSet.Tables["data"].Rows[3]["Na65"].ToString(); string dataPoint792 = graphDataSet.Tables["data"].Rows[3]["Na66"].ToString();

                        int cNa1; int cNa2; int cNa3; int cNa4; int cNa5; int cNa6; int cNa7; int cNa8; int cNa9; int cNa10; int cNa11; int cNa12; int cNa13; int cNa14; int cNa15; int cNa16; int cNa17; int cNa18; int cNa19; int cNa20; int cNa21; int cNa22; int cNa23; int cNa24; int cNa25; int cNa26; int cNa27; int cNa28; int cNa29; int cNa30; int cNa31; int cNa32; int cNa33; int cNa34; int cNa35; int cNa36; int cNa37; int cNa38; int cNa39; int cNa40; int cNa41; int cNa42; int cNa43; int cNa44; int cNa45; int cNa46; int cNa47; int cNa48; int cNa49; int cNa50; int cNa51; int cNa52; int cNa53; int cNa54; int cNa55; int cNa56; int cNa57; int cNa58; int cNa59; int cNa60; int cNa61; int cNa62; int cNa63; int cNa64; int cNa65; int cNa66;

                        if (dataPoint727 == "True") { cNa1 = 1; } else { cNa1 = 0; } if (dataPoint728 == "True") { cNa2 = 1; } else { cNa2 = 0; } if (dataPoint729 == "True") { cNa3 = 1; } else { cNa3 = 0; } if (dataPoint730 == "True") { cNa4 = 1; } else { cNa4 = 0; } if (dataPoint731 == "True") { cNa5 = 1; } else { cNa5 = 0; } if (dataPoint732 == "True") { cNa6 = 1; } else { cNa6 = 0; } if (dataPoint733 == "True") { cNa7 = 1; } else { cNa7 = 0; } if (dataPoint734 == "True") { cNa8 = 1; } else { cNa8 = 0; } if (dataPoint735 == "True") { cNa9 = 1; } else { cNa9 = 0; } if (dataPoint736 == "True") { cNa10 = 1; } else { cNa10 = 0; }
                        if (dataPoint737 == "True") { cNa11 = 1; } else { cNa11 = 0; } if (dataPoint738 == "True") { cNa12 = 1; } else { cNa12 = 0; } if (dataPoint739 == "True") { cNa13 = 1; } else { cNa13 = 0; } if (dataPoint740 == "True") { cNa14 = 1; } else { cNa14 = 0; } if (dataPoint741 == "True") { cNa15 = 1; } else { cNa15 = 0; } if (dataPoint742 == "True") { cNa16 = 1; } else { cNa16 = 0; } if (dataPoint743 == "True") { cNa17 = 1; } else { cNa17 = 0; } if (dataPoint744 == "True") { cNa18 = 1; } else { cNa18 = 0; } if (dataPoint745 == "True") { cNa19 = 1; } else { cNa19 = 0; } if (dataPoint746 == "True") { cNa20 = 1; } else { cNa20 = 0; }
                        if (dataPoint747 == "True") { cNa21 = 1; } else { cNa21 = 0; } if (dataPoint748 == "True") { cNa22 = 1; } else { cNa22 = 0; } if (dataPoint749 == "True") { cNa23 = 1; } else { cNa23 = 0; } if (dataPoint750 == "True") { cNa24 = 1; } else { cNa24 = 0; } if (dataPoint751 == "True") { cNa25 = 1; } else { cNa25 = 0; } if (dataPoint752 == "True") { cNa26 = 1; } else { cNa26 = 0; } if (dataPoint753 == "True") { cNa27 = 1; } else { cNa27 = 0; } if (dataPoint754 == "True") { cNa28 = 1; } else { cNa28 = 0; } if (dataPoint755 == "True") { cNa29 = 1; } else { cNa29 = 0; } if (dataPoint756 == "True") { cNa30 = 1; } else { cNa30 = 0; }
                        if (dataPoint757 == "True") { cNa31 = 1; } else { cNa31 = 0; } if (dataPoint758 == "True") { cNa32 = 1; } else { cNa32 = 0; } if (dataPoint759 == "True") { cNa33 = 1; } else { cNa33 = 0; } if (dataPoint760 == "True") { cNa34 = 1; } else { cNa34 = 0; } if (dataPoint761 == "True") { cNa35 = 1; } else { cNa35 = 0; } if (dataPoint762 == "True") { cNa36 = 1; } else { cNa36 = 0; } if (dataPoint763 == "True") { cNa37 = 1; } else { cNa37 = 0; } if (dataPoint764 == "True") { cNa38 = 1; } else { cNa38 = 0; } if (dataPoint765 == "True") { cNa39 = 1; } else { cNa39 = 0; } if (dataPoint766 == "True") { cNa40 = 1; } else { cNa40 = 0; }
                        if (dataPoint767 == "True") { cNa41 = 1; } else { cNa41 = 0; } if (dataPoint768 == "True") { cNa42 = 1; } else { cNa42 = 0; } if (dataPoint769 == "True") { cNa43 = 1; } else { cNa43 = 0; } if (dataPoint770 == "True") { cNa44 = 1; } else { cNa44 = 0; } if (dataPoint771 == "True") { cNa45 = 1; } else { cNa45 = 0; } if (dataPoint772 == "True") { cNa46 = 1; } else { cNa46 = 0; } if (dataPoint773 == "True") { cNa47 = 1; } else { cNa47 = 0; } if (dataPoint774 == "True") { cNa48 = 1; } else { cNa48 = 0; } if (dataPoint775 == "True") { cNa49 = 1; } else { cNa49 = 0; } if (dataPoint776 == "True") { cNa50 = 1; } else { cNa50 = 0; }
                        if (dataPoint777 == "True") { cNa51 = 1; } else { cNa51 = 0; } if (dataPoint778 == "True") { cNa52 = 1; } else { cNa52 = 0; } if (dataPoint779 == "True") { cNa53 = 1; } else { cNa53 = 0; } if (dataPoint780 == "True") { cNa54 = 1; } else { cNa54 = 0; } if (dataPoint781 == "True") { cNa55 = 1; } else { cNa55 = 0; } if (dataPoint782 == "True") { cNa56 = 1; } else { cNa56 = 0; } if (dataPoint783 == "True") { cNa57 = 1; } else { cNa57 = 0; } if (dataPoint784 == "True") { cNa58 = 1; } else { cNa58 = 0; } if (dataPoint785 == "True") { cNa59 = 1; } else { cNa59 = 0; } if (dataPoint786 == "True") { cNa60 = 1; } else { cNa60 = 0; }
                        if (dataPoint787 == "True") { cNa61 = 1; } else { cNa61 = 0; } if (dataPoint788 == "True") { cNa62 = 1; } else { cNa62 = 0; } if (dataPoint789 == "True") { cNa63 = 1; } else { cNa63 = 0; } if (dataPoint790 == "True") { cNa64 = 1; } else { cNa64 = 0; } if (dataPoint791 == "True") { cNa65 = 1; } else { cNa65 = 0; } if (dataPoint792 == "True") { cNa66 = 1; } else { cNa66 = 0; }

                        int ctotalNa = cNa1 + cNa2 + cNa3 + cNa4 + cNa5 + cNa6 + cNa7 + cNa8 + cNa9 + cNa10 + cNa11 + cNa12 + cNa13 + cNa14 + cNa15 + cNa16 + cNa17 + cNa18 + cNa19 + cNa20 + cNa21 + cNa22 + cNa23 + cNa24 + cNa25 + cNa26 + cNa27 + cNa28 + cNa29 + cNa30 + cNa31 + cNa32 + cNa33 + cNa34 + cNa35 + cNa36 + cNa37 + cNa38 + cNa39 + cNa40 + cNa41 + cNa42 + cNa43 + cNa44 + cNa45 + cNa46 + cNa47 + cNa48 + cNa49 + cNa50 + cNa51 + cNa52 + cNa53 + cNa54 + cNa55 + cNa56 + cNa57 + cNa58 + cNa59 + cNa60 + cNa61 + cNa62 + cNa63 + cNa64 + cNa65 + cNa66;

                        string dataPoint793 = graphDataSet.Tables["data"].Rows[4]["Yes1"].ToString(); string dataPoint794 = graphDataSet.Tables["data"].Rows[4]["Yes2"].ToString(); string dataPoint795 = graphDataSet.Tables["data"].Rows[4]["Yes3"].ToString(); string dataPoint796 = graphDataSet.Tables["data"].Rows[4]["Yes4"].ToString(); string dataPoint797 = graphDataSet.Tables["data"].Rows[4]["Yes5"].ToString(); string dataPoint798 = graphDataSet.Tables["data"].Rows[4]["Yes6"].ToString(); string dataPoint799 = graphDataSet.Tables["data"].Rows[4]["Yes7"].ToString(); string dataPoint800 = graphDataSet.Tables["data"].Rows[4]["Yes8"].ToString(); string dataPoint801 = graphDataSet.Tables["data"].Rows[4]["Yes9"].ToString(); string dataPoint802 = graphDataSet.Tables["data"].Rows[4]["Yes10"].ToString();
                        string dataPoint803 = graphDataSet.Tables["data"].Rows[4]["Yes11"].ToString(); string dataPoint804 = graphDataSet.Tables["data"].Rows[4]["Yes12"].ToString(); string dataPoint805 = graphDataSet.Tables["data"].Rows[4]["Yes13"].ToString(); string dataPoint806 = graphDataSet.Tables["data"].Rows[4]["Yes14"].ToString(); string dataPoint807 = graphDataSet.Tables["data"].Rows[4]["Yes15"].ToString(); string dataPoint808 = graphDataSet.Tables["data"].Rows[4]["Yes16"].ToString(); string dataPoint809 = graphDataSet.Tables["data"].Rows[4]["Yes17"].ToString(); string dataPoint810 = graphDataSet.Tables["data"].Rows[4]["Yes18"].ToString(); string dataPoint811 = graphDataSet.Tables["data"].Rows[4]["Yes19"].ToString(); string dataPoint812 = graphDataSet.Tables["data"].Rows[4]["Yes20"].ToString();
                        string dataPoint813 = graphDataSet.Tables["data"].Rows[4]["Yes21"].ToString(); string dataPoint814 = graphDataSet.Tables["data"].Rows[4]["Yes22"].ToString(); string dataPoint815 = graphDataSet.Tables["data"].Rows[4]["Yes23"].ToString(); string dataPoint816 = graphDataSet.Tables["data"].Rows[4]["Yes24"].ToString(); string dataPoint817 = graphDataSet.Tables["data"].Rows[4]["Yes25"].ToString(); string dataPoint818 = graphDataSet.Tables["data"].Rows[4]["Yes26"].ToString(); string dataPoint819 = graphDataSet.Tables["data"].Rows[4]["Yes27"].ToString(); string dataPoint820 = graphDataSet.Tables["data"].Rows[4]["Yes28"].ToString(); string dataPoint821 = graphDataSet.Tables["data"].Rows[4]["Yes29"].ToString(); string dataPoint822 = graphDataSet.Tables["data"].Rows[4]["Yes30"].ToString();
                        string dataPoint823 = graphDataSet.Tables["data"].Rows[4]["Yes31"].ToString(); string dataPoint824 = graphDataSet.Tables["data"].Rows[4]["Yes32"].ToString(); string dataPoint825 = graphDataSet.Tables["data"].Rows[4]["Yes33"].ToString(); string dataPoint826 = graphDataSet.Tables["data"].Rows[4]["Yes34"].ToString(); string dataPoint827 = graphDataSet.Tables["data"].Rows[4]["Yes35"].ToString(); string dataPoint828 = graphDataSet.Tables["data"].Rows[4]["Yes36"].ToString(); string dataPoint829 = graphDataSet.Tables["data"].Rows[4]["Yes37"].ToString(); string dataPoint830 = graphDataSet.Tables["data"].Rows[4]["Yes38"].ToString(); string dataPoint831 = graphDataSet.Tables["data"].Rows[4]["Yes39"].ToString(); string dataPoint832 = graphDataSet.Tables["data"].Rows[4]["Yes40"].ToString();
                        string dataPoint833 = graphDataSet.Tables["data"].Rows[4]["Yes41"].ToString(); string dataPoint834 = graphDataSet.Tables["data"].Rows[4]["Yes42"].ToString(); string dataPoint835 = graphDataSet.Tables["data"].Rows[4]["Yes43"].ToString(); string dataPoint836 = graphDataSet.Tables["data"].Rows[4]["Yes44"].ToString(); string dataPoint837 = graphDataSet.Tables["data"].Rows[4]["Yes45"].ToString(); string dataPoint838 = graphDataSet.Tables["data"].Rows[4]["Yes46"].ToString(); string dataPoint839 = graphDataSet.Tables["data"].Rows[4]["Yes47"].ToString(); string dataPoint840 = graphDataSet.Tables["data"].Rows[4]["Yes48"].ToString(); string dataPoint841 = graphDataSet.Tables["data"].Rows[4]["Yes49"].ToString(); string dataPoint842 = graphDataSet.Tables["data"].Rows[4]["Yes50"].ToString();
                        string dataPoint843 = graphDataSet.Tables["data"].Rows[4]["Yes51"].ToString(); string dataPoint844 = graphDataSet.Tables["data"].Rows[4]["Yes52"].ToString(); string dataPoint845 = graphDataSet.Tables["data"].Rows[4]["Yes53"].ToString(); string dataPoint846 = graphDataSet.Tables["data"].Rows[4]["Yes54"].ToString(); string dataPoint847 = graphDataSet.Tables["data"].Rows[4]["Yes55"].ToString(); string dataPoint848 = graphDataSet.Tables["data"].Rows[4]["Yes56"].ToString(); string dataPoint849 = graphDataSet.Tables["data"].Rows[4]["Yes57"].ToString(); string dataPoint850 = graphDataSet.Tables["data"].Rows[4]["Yes58"].ToString(); string dataPoint851 = graphDataSet.Tables["data"].Rows[4]["Yes59"].ToString(); string dataPoint852 = graphDataSet.Tables["data"].Rows[4]["Yes60"].ToString();
                        string dataPoint853 = graphDataSet.Tables["data"].Rows[4]["Yes61"].ToString(); string dataPoint854 = graphDataSet.Tables["data"].Rows[4]["Yes62"].ToString(); string dataPoint855 = graphDataSet.Tables["data"].Rows[4]["Yes63"].ToString(); string dataPoint856 = graphDataSet.Tables["data"].Rows[4]["Yes64"].ToString(); string dataPoint857 = graphDataSet.Tables["data"].Rows[4]["Yes65"].ToString(); string dataPoint858 = graphDataSet.Tables["data"].Rows[4]["Yes66"].ToString();

                        int dYes1; int dYes2; int dYes3; int dYes4; int dYes5; int dYes6; int dYes7; int dYes8; int dYes9; int dYes10; int dYes11; int dYes12; int dYes13; int dYes14; int dYes15; int dYes16; int dYes17; int dYes18; int dYes19; int dYes20; int dYes21; int dYes22; int dYes23; int dYes24; int dYes25; int dYes26; int dYes27; int dYes28; int dYes29; int dYes30; int dYes31; int dYes32; int dYes33; int dYes34; int dYes35; int dYes36; int dYes37; int dYes38; int dYes39; int dYes40; int dYes41; int dYes42; int dYes43; int dYes44; int dYes45; int dYes46; int dYes47; int dYes48; int dYes49; int dYes50; int dYes51; int dYes52; int dYes53; int dYes54; int dYes55; int dYes56; int dYes57; int dYes58; int dYes59; int dYes60; int dYes61; int dYes62; int dYes63; int dYes64; int dYes65; int dYes66;

                        if (dataPoint793 == "True") { dYes1 = 1; } else { dYes1 = 0; } if (dataPoint794 == "True") { dYes2 = 1; } else { dYes2 = 0; } if (dataPoint795 == "True") { dYes3 = 1; } else { dYes3 = 0; } if (dataPoint796 == "True") { dYes4 = 1; } else { dYes4 = 0; } if (dataPoint797 == "True") { dYes5 = 1; } else { dYes5 = 0; } if (dataPoint798 == "True") { dYes6 = 1; } else { dYes6 = 0; } if (dataPoint799 == "True") { dYes7 = 1; } else { dYes7 = 0; } if (dataPoint800 == "True") { dYes8 = 1; } else { dYes8 = 0; } if (dataPoint801 == "True") { dYes9 = 1; } else { dYes9 = 0; } if (dataPoint802 == "True") { dYes10 = 1; } else { dYes10 = 0; }
                        if (dataPoint803 == "True") { dYes11 = 1; } else { dYes11 = 0; } if (dataPoint804 == "True") { dYes12 = 1; } else { dYes12 = 0; } if (dataPoint805 == "True") { dYes13 = 1; } else { dYes13 = 0; } if (dataPoint806 == "True") { dYes14 = 1; } else { dYes14 = 0; } if (dataPoint807 == "True") { dYes15 = 1; } else { dYes15 = 0; } if (dataPoint808 == "True") { dYes16 = 1; } else { dYes16 = 0; } if (dataPoint809 == "True") { dYes17 = 1; } else { dYes17 = 0; } if (dataPoint810 == "True") { dYes18 = 1; } else { dYes18 = 0; } if (dataPoint811 == "True") { dYes19 = 1; } else { dYes19 = 0; } if (dataPoint812 == "True") { dYes20 = 1; } else { dYes20 = 0; }
                        if (dataPoint813 == "True") { dYes21 = 1; } else { dYes21 = 0; } if (dataPoint814 == "True") { dYes22 = 1; } else { dYes22 = 0; } if (dataPoint815 == "True") { dYes23 = 1; } else { dYes23 = 0; } if (dataPoint816 == "True") { dYes24 = 1; } else { dYes24 = 0; } if (dataPoint817 == "True") { dYes25 = 1; } else { dYes25 = 0; } if (dataPoint818 == "True") { dYes26 = 1; } else { dYes26 = 0; } if (dataPoint819 == "True") { dYes27 = 1; } else { dYes27 = 0; } if (dataPoint820 == "True") { dYes28 = 1; } else { dYes28 = 0; } if (dataPoint821 == "True") { dYes29 = 1; } else { dYes29 = 0; } if (dataPoint822 == "True") { dYes30 = 1; } else { dYes30 = 0; }
                        if (dataPoint823 == "True") { dYes31 = 1; } else { dYes31 = 0; } if (dataPoint824 == "True") { dYes32 = 1; } else { dYes32 = 0; } if (dataPoint825 == "True") { dYes33 = 1; } else { dYes33 = 0; } if (dataPoint826 == "True") { dYes34 = 1; } else { dYes34 = 0; } if (dataPoint233 == "True") { dYes35 = 1; } else { dYes35 = 0; } if (dataPoint828 == "True") { dYes36 = 1; } else { dYes36 = 0; } if (dataPoint829 == "True") { dYes37 = 1; } else { dYes37 = 0; } if (dataPoint830 == "True") { dYes38 = 1; } else { dYes38 = 0; } if (dataPoint831 == "True") { dYes39 = 1; } else { dYes39 = 0; } if (dataPoint832 == "True") { dYes40 = 1; } else { dYes40 = 0; }
                        if (dataPoint833 == "True") { dYes41 = 1; } else { dYes41 = 0; } if (dataPoint834 == "True") { dYes42 = 1; } else { dYes42 = 0; } if (dataPoint835 == "True") { dYes43 = 1; } else { dYes43 = 0; } if (dataPoint836 == "True") { dYes44 = 1; } else { dYes44 = 0; } if (dataPoint837 == "True") { dYes45 = 1; } else { dYes45 = 0; } if (dataPoint838 == "True") { dYes46 = 1; } else { dYes46 = 0; } if (dataPoint839 == "True") { dYes47 = 1; } else { dYes47 = 0; } if (dataPoint840 == "True") { dYes48 = 1; } else { dYes48 = 0; } if (dataPoint841 == "True") { dYes49 = 1; } else { dYes49 = 0; } if (dataPoint842 == "True") { dYes50 = 1; } else { dYes50 = 0; }
                        if (dataPoint843 == "True") { dYes51 = 1; } else { dYes51 = 0; } if (dataPoint844 == "True") { dYes52 = 1; } else { dYes52 = 0; } if (dataPoint845 == "True") { dYes53 = 1; } else { dYes53 = 0; } if (dataPoint846 == "True") { dYes54 = 1; } else { dYes54 = 0; } if (dataPoint847 == "True") { dYes55 = 1; } else { dYes55 = 0; } if (dataPoint848 == "True") { dYes56 = 1; } else { dYes56 = 0; } if (dataPoint849 == "True") { dYes57 = 1; } else { dYes57 = 0; } if (dataPoint850 == "True") { dYes58 = 1; } else { dYes58 = 0; } if (dataPoint851 == "True") { dYes59 = 1; } else { dYes59 = 0; } if (dataPoint852 == "True") { dYes60 = 1; } else { dYes60 = 0; }
                        if (dataPoint853 == "True") { dYes61 = 1; } else { dYes61 = 0; } if (dataPoint854 == "True") { dYes62 = 1; } else { dYes62 = 0; } if (dataPoint855 == "True") { dYes63 = 1; } else { dYes63 = 0; } if (dataPoint856 == "True") { dYes64 = 1; } else { dYes64 = 0; } if (dataPoint857 == "True") { dYes65 = 1; } else { dYes65 = 0; } if (dataPoint858 == "True") { dYes66 = 1; } else { dYes66 = 0; }

                        int dtotalYes = dYes1 + dYes2 + dYes3 + dYes4 + dYes5 + dYes6 + dYes7 + dYes8 + dYes9 + dYes10 + dYes11 + dYes12 + dYes13 + dYes14 + dYes15 + dYes16 + dYes17 + dYes18 + dYes19 + dYes20 + dYes21 + dYes22 + dYes23 + dYes24 + dYes25 + dYes26 + dYes27 + dYes28 + dYes29 + dYes30 + dYes31 + dYes32 + dYes33 + dYes34 + dYes35 + dYes36 + dYes37 + dYes38 + dYes39 + dYes40 + dYes41 + dYes42 + dYes43 + dYes44 + dYes45 + dYes46 + dYes47 + dYes48 + dYes49 + dYes50 + dYes51 + dYes52 + dYes53 + dYes54 + dYes55 + dYes56 + dYes57 + dYes58 + dYes59 + dYes60 + dYes61 + dYes62 + dYes63 + dYes64 + dYes65 + dYes66;

                        string dataPoint859 = graphDataSet.Tables["data"].Rows[4]["No1"].ToString(); string dataPoint860 = graphDataSet.Tables["data"].Rows[4]["No2"].ToString(); string dataPoint861 = graphDataSet.Tables["data"].Rows[4]["No3"].ToString(); string dataPoint862 = graphDataSet.Tables["data"].Rows[4]["No4"].ToString(); string dataPoint863 = graphDataSet.Tables["data"].Rows[4]["No5"].ToString(); string dataPoint864 = graphDataSet.Tables["data"].Rows[4]["No6"].ToString(); string dataPoint865 = graphDataSet.Tables["data"].Rows[4]["No7"].ToString(); string dataPoint866 = graphDataSet.Tables["data"].Rows[4]["No8"].ToString(); string dataPoint867 = graphDataSet.Tables["data"].Rows[4]["No9"].ToString(); string dataPoint868 = graphDataSet.Tables["data"].Rows[4]["No10"].ToString();
                        string dataPoint869 = graphDataSet.Tables["data"].Rows[4]["No11"].ToString(); string dataPoint870 = graphDataSet.Tables["data"].Rows[4]["No12"].ToString(); string dataPoint871 = graphDataSet.Tables["data"].Rows[4]["No13"].ToString(); string dataPoint872 = graphDataSet.Tables["data"].Rows[4]["No14"].ToString(); string dataPoint873 = graphDataSet.Tables["data"].Rows[4]["No15"].ToString(); string dataPoint874 = graphDataSet.Tables["data"].Rows[4]["No16"].ToString(); string dataPoint875 = graphDataSet.Tables["data"].Rows[4]["No17"].ToString(); string dataPoint876 = graphDataSet.Tables["data"].Rows[4]["No18"].ToString(); string dataPoint877 = graphDataSet.Tables["data"].Rows[4]["No19"].ToString(); string dataPoint878 = graphDataSet.Tables["data"].Rows[4]["No20"].ToString();
                        string dataPoint879 = graphDataSet.Tables["data"].Rows[4]["No21"].ToString(); string dataPoint880 = graphDataSet.Tables["data"].Rows[4]["No22"].ToString(); string dataPoint881 = graphDataSet.Tables["data"].Rows[4]["No23"].ToString(); string dataPoint882 = graphDataSet.Tables["data"].Rows[4]["No24"].ToString(); string dataPoint883 = graphDataSet.Tables["data"].Rows[4]["No25"].ToString(); string dataPoint884 = graphDataSet.Tables["data"].Rows[4]["No26"].ToString(); string dataPoint885 = graphDataSet.Tables["data"].Rows[4]["No27"].ToString(); string dataPoint886 = graphDataSet.Tables["data"].Rows[4]["No28"].ToString(); string dataPoint887 = graphDataSet.Tables["data"].Rows[4]["No29"].ToString(); string dataPoint888 = graphDataSet.Tables["data"].Rows[4]["No30"].ToString();
                        string dataPoint889 = graphDataSet.Tables["data"].Rows[4]["No31"].ToString(); string dataPoint890 = graphDataSet.Tables["data"].Rows[4]["No32"].ToString(); string dataPoint891 = graphDataSet.Tables["data"].Rows[4]["No33"].ToString(); string dataPoint892 = graphDataSet.Tables["data"].Rows[4]["No34"].ToString(); string dataPoint893 = graphDataSet.Tables["data"].Rows[4]["No35"].ToString(); string dataPoint894 = graphDataSet.Tables["data"].Rows[4]["No36"].ToString(); string dataPoint895 = graphDataSet.Tables["data"].Rows[4]["No37"].ToString(); string dataPoint896 = graphDataSet.Tables["data"].Rows[4]["No38"].ToString(); string dataPoint897 = graphDataSet.Tables["data"].Rows[4]["No39"].ToString(); string dataPoint898 = graphDataSet.Tables["data"].Rows[4]["No40"].ToString();
                        string dataPoint899 = graphDataSet.Tables["data"].Rows[4]["No41"].ToString(); string dataPoint900 = graphDataSet.Tables["data"].Rows[4]["No42"].ToString(); string dataPoint901 = graphDataSet.Tables["data"].Rows[4]["No43"].ToString(); string dataPoint902 = graphDataSet.Tables["data"].Rows[4]["No44"].ToString(); string dataPoint903 = graphDataSet.Tables["data"].Rows[4]["No45"].ToString(); string dataPoint904 = graphDataSet.Tables["data"].Rows[4]["No46"].ToString(); string dataPoint905 = graphDataSet.Tables["data"].Rows[4]["No47"].ToString(); string dataPoint906 = graphDataSet.Tables["data"].Rows[4]["No48"].ToString(); string dataPoint907 = graphDataSet.Tables["data"].Rows[4]["No49"].ToString(); string dataPoint908 = graphDataSet.Tables["data"].Rows[4]["No50"].ToString();
                        string dataPoint909 = graphDataSet.Tables["data"].Rows[4]["No51"].ToString(); string dataPoint910 = graphDataSet.Tables["data"].Rows[4]["No52"].ToString(); string dataPoint911 = graphDataSet.Tables["data"].Rows[4]["No53"].ToString(); string dataPoint912 = graphDataSet.Tables["data"].Rows[4]["No54"].ToString(); string dataPoint913 = graphDataSet.Tables["data"].Rows[4]["No55"].ToString(); string dataPoint914 = graphDataSet.Tables["data"].Rows[4]["No56"].ToString(); string dataPoint915 = graphDataSet.Tables["data"].Rows[4]["No57"].ToString(); string dataPoint916 = graphDataSet.Tables["data"].Rows[4]["No58"].ToString(); string dataPoint917 = graphDataSet.Tables["data"].Rows[4]["No59"].ToString(); string dataPoint918 = graphDataSet.Tables["data"].Rows[4]["No60"].ToString();
                        string dataPoint919 = graphDataSet.Tables["data"].Rows[4]["No61"].ToString(); string dataPoint920 = graphDataSet.Tables["data"].Rows[4]["No62"].ToString(); string dataPoint921 = graphDataSet.Tables["data"].Rows[4]["No63"].ToString(); string dataPoint922 = graphDataSet.Tables["data"].Rows[4]["No64"].ToString(); string dataPoint923 = graphDataSet.Tables["data"].Rows[4]["No65"].ToString(); string dataPoint924 = graphDataSet.Tables["data"].Rows[4]["No66"].ToString();

                        int dNo1; int dNo2; int dNo3; int dNo4; int dNo5; int dNo6; int dNo7; int dNo8; int dNo9; int dNo10; int dNo11; int dNo12; int dNo13; int dNo14; int dNo15; int dNo16; int dNo17; int dNo18; int dNo19; int dNo20; int dNo21; int dNo22; int dNo23; int dNo24; int dNo25; int dNo26; int dNo27; int dNo28; int dNo29; int dNo30; int dNo31; int dNo32; int dNo33; int dNo34; int dNo35; int dNo36; int dNo37; int dNo38; int dNo39; int dNo40; int dNo41; int dNo42; int dNo43; int dNo44; int dNo45; int dNo46; int dNo47; int dNo48; int dNo49; int dNo50; int dNo51; int dNo52; int dNo53; int dNo54; int dNo55; int dNo56; int dNo57; int dNo58; int dNo59; int dNo60; int dNo61; int dNo62; int dNo63; int dNo64; int dNo65; int dNo66;

                        if (dataPoint859 == "True") { dNo1 = 1; } else { dNo1 = 0; } if (dataPoint860 == "True") { dNo2 = 1; } else { dNo2 = 0; } if (dataPoint861 == "True") { dNo3 = 1; } else { dNo3 = 0; } if (dataPoint862 == "True") { dNo4 = 1; } else { dNo4 = 0; } if (dataPoint863 == "True") { dNo5 = 1; } else { dNo5 = 0; } if (dataPoint864 == "True") { dNo6 = 1; } else { dNo6 = 0; } if (dataPoint865 == "True") { dNo7 = 1; } else { dNo7 = 0; } if (dataPoint866 == "True") { dNo8 = 1; } else { dNo8 = 0; } if (dataPoint867 == "True") { dNo9 = 1; } else { dNo9 = 0; } if (dataPoint868 == "True") { dNo10 = 1; } else { dNo10 = 0; }
                        if (dataPoint869 == "True") { dNo11 = 1; } else { dNo11 = 0; } if (dataPoint870 == "True") { dNo12 = 1; } else { dNo12 = 0; } if (dataPoint871 == "True") { dNo13 = 1; } else { dNo13 = 0; } if (dataPoint872 == "True") { dNo14 = 1; } else { dNo14 = 0; } if (dataPoint873 == "True") { dNo15 = 1; } else { dNo15 = 0; } if (dataPoint874 == "True") { dNo16 = 1; } else { dNo16 = 0; } if (dataPoint875 == "True") { dNo17 = 1; } else { dNo17 = 0; } if (dataPoint876 == "True") { dNo18 = 1; } else { dNo18 = 0; } if (dataPoint877 == "True") { dNo19 = 1; } else { dNo19 = 0; } if (dataPoint878 == "True") { dNo20 = 1; } else { dNo20 = 0; }
                        if (dataPoint879 == "True") { dNo21 = 1; } else { dNo21 = 0; } if (dataPoint880 == "True") { dNo22 = 1; } else { dNo22 = 0; } if (dataPoint881 == "True") { dNo23 = 1; } else { dNo23 = 0; } if (dataPoint882 == "True") { dNo24 = 1; } else { dNo24 = 0; } if (dataPoint883 == "True") { dNo25 = 1; } else { dNo25 = 0; } if (dataPoint884 == "True") { dNo26 = 1; } else { dNo26 = 0; } if (dataPoint885 == "True") { dNo27 = 1; } else { dNo27 = 0; } if (dataPoint886 == "True") { dNo28 = 1; } else { dNo28 = 0; } if (dataPoint887 == "True") { dNo29 = 1; } else { dNo29 = 0; } if (dataPoint888 == "True") { dNo30 = 1; } else { dNo30 = 0; }
                        if (dataPoint889 == "True") { dNo31 = 1; } else { dNo31 = 0; } if (dataPoint890 == "True") { dNo32 = 1; } else { dNo32 = 0; } if (dataPoint891 == "True") { dNo33 = 1; } else { dNo33 = 0; } if (dataPoint892 == "True") { dNo34 = 1; } else { dNo34 = 0; } if (dataPoint893 == "True") { dNo35 = 1; } else { dNo35 = 0; } if (dataPoint894 == "True") { dNo36 = 1; } else { dNo36 = 0; } if (dataPoint895 == "True") { dNo37 = 1; } else { dNo37 = 0; } if (dataPoint896 == "True") { dNo38 = 1; } else { dNo38 = 0; } if (dataPoint897 == "True") { dNo39 = 1; } else { dNo39 = 0; } if (dataPoint898 == "True") { dNo40 = 1; } else { dNo40 = 0; }
                        if (dataPoint899 == "True") { dNo41 = 1; } else { dNo41 = 0; } if (dataPoint900 == "True") { dNo42 = 1; } else { dNo42 = 0; } if (dataPoint901 == "True") { dNo43 = 1; } else { dNo43 = 0; } if (dataPoint902 == "True") { dNo44 = 1; } else { dNo44 = 0; } if (dataPoint903 == "True") { dNo45 = 1; } else { dNo45 = 0; } if (dataPoint904 == "True") { dNo46 = 1; } else { dNo46 = 0; } if (dataPoint905 == "True") { dNo47 = 1; } else { dNo47 = 0; } if (dataPoint906 == "True") { dNo48 = 1; } else { dNo48 = 0; } if (dataPoint907 == "True") { dNo49 = 1; } else { dNo49 = 0; } if (dataPoint908 == "True") { dNo50 = 1; } else { dNo50 = 0; }
                        if (dataPoint909 == "True") { dNo51 = 1; } else { dNo51 = 0; } if (dataPoint910 == "True") { dNo52 = 1; } else { dNo52 = 0; } if (dataPoint911 == "True") { dNo53 = 1; } else { dNo53 = 0; } if (dataPoint912 == "True") { dNo54 = 1; } else { dNo54 = 0; } if (dataPoint913 == "True") { dNo55 = 1; } else { dNo55 = 0; } if (dataPoint914 == "True") { dNo56 = 1; } else { dNo56 = 0; } if (dataPoint915 == "True") { dNo57 = 1; } else { dNo57 = 0; } if (dataPoint916 == "True") { dNo58 = 1; } else { dNo58 = 0; } if (dataPoint917 == "True") { dNo59 = 1; } else { dNo59 = 0; } if (dataPoint918 == "True") { dNo60 = 1; } else { dNo60 = 0; }
                        if (dataPoint919 == "True") { dNo61 = 1; } else { dNo61 = 0; } if (dataPoint920 == "True") { dNo62 = 1; } else { dNo62 = 0; } if (dataPoint921 == "True") { dNo63 = 1; } else { dNo63 = 0; } if (dataPoint922 == "True") { dNo64 = 1; } else { dNo64 = 0; } if (dataPoint923 == "True") { dNo65 = 1; } else { dNo65 = 0; } if (dataPoint924 == "True") { dNo66 = 1; } else { dNo66 = 0; }

                        int dtotalNo = dNo1 + dNo2 + dNo3 + dNo4 + dNo5 + dNo6 + dNo7 + dNo8 + dNo9 + dNo10 + dNo11 + dNo12 + dNo13 + dNo14 + dNo15 + dNo16 + dNo17 + dNo18 + dNo19 + dNo20 + dNo21 + dNo22 + dNo23 + dNo24 + dNo25 + dNo26 + dNo27 + dNo28 + dNo29 + dNo30 + dNo31 + dNo32 + dNo33 + dNo34 + dNo35 + dNo36 + dNo37 + dNo38 + dNo39 + dNo40 + dNo41 + dNo42 + dNo43 + dNo44 + dNo45 + dNo46 + dNo47 + dNo48 + dNo49 + dNo50 + dNo51 + dNo52 + dNo53 + dNo54 + dNo55 + dNo56 + dNo57 + dNo58 + dNo59 + dNo60 + dNo61 + dNo62 + dNo63 + dNo64 + dNo65 + dNo66;

                        string dataPoint925 = graphDataSet.Tables["data"].Rows[4]["Na1"].ToString(); string dataPoint926 = graphDataSet.Tables["data"].Rows[4]["Na2"].ToString(); string dataPoint927 = graphDataSet.Tables["data"].Rows[4]["Na3"].ToString(); string dataPoint928 = graphDataSet.Tables["data"].Rows[4]["Na4"].ToString(); string dataPoint929 = graphDataSet.Tables["data"].Rows[4]["Na5"].ToString(); string dataPoint930 = graphDataSet.Tables["data"].Rows[4]["Na6"].ToString(); string dataPoint931 = graphDataSet.Tables["data"].Rows[4]["Na7"].ToString(); string dataPoint932 = graphDataSet.Tables["data"].Rows[4]["Na8"].ToString(); string dataPoint933 = graphDataSet.Tables["data"].Rows[4]["Na9"].ToString(); string dataPoint934 = graphDataSet.Tables["data"].Rows[4]["Na10"].ToString();
                        string dataPoint935 = graphDataSet.Tables["data"].Rows[4]["Na11"].ToString(); string dataPoint936 = graphDataSet.Tables["data"].Rows[4]["Na12"].ToString(); string dataPoint937 = graphDataSet.Tables["data"].Rows[4]["Na13"].ToString(); string dataPoint938 = graphDataSet.Tables["data"].Rows[4]["Na14"].ToString(); string dataPoint939 = graphDataSet.Tables["data"].Rows[4]["Na15"].ToString(); string dataPoint940 = graphDataSet.Tables["data"].Rows[4]["Na16"].ToString(); string dataPoint941 = graphDataSet.Tables["data"].Rows[4]["Na17"].ToString(); string dataPoint942 = graphDataSet.Tables["data"].Rows[4]["Na18"].ToString(); string dataPoint943 = graphDataSet.Tables["data"].Rows[4]["Na19"].ToString(); string dataPoint944 = graphDataSet.Tables["data"].Rows[4]["Na20"].ToString();
                        string dataPoint945 = graphDataSet.Tables["data"].Rows[4]["Na21"].ToString(); string dataPoint946 = graphDataSet.Tables["data"].Rows[4]["Na22"].ToString(); string dataPoint947 = graphDataSet.Tables["data"].Rows[4]["Na23"].ToString(); string dataPoint948 = graphDataSet.Tables["data"].Rows[4]["Na24"].ToString(); string dataPoint949 = graphDataSet.Tables["data"].Rows[4]["Na25"].ToString(); string dataPoint950 = graphDataSet.Tables["data"].Rows[4]["Na26"].ToString(); string dataPoint951 = graphDataSet.Tables["data"].Rows[4]["Na27"].ToString(); string dataPoint952 = graphDataSet.Tables["data"].Rows[4]["Na28"].ToString(); string dataPoint953 = graphDataSet.Tables["data"].Rows[4]["Na29"].ToString(); string dataPoint954 = graphDataSet.Tables["data"].Rows[4]["Na30"].ToString();
                        string dataPoint955 = graphDataSet.Tables["data"].Rows[4]["Na31"].ToString(); string dataPoint956 = graphDataSet.Tables["data"].Rows[4]["Na32"].ToString(); string dataPoint957 = graphDataSet.Tables["data"].Rows[4]["Na33"].ToString(); string dataPoint958 = graphDataSet.Tables["data"].Rows[4]["Na34"].ToString(); string dataPoint959 = graphDataSet.Tables["data"].Rows[4]["Na35"].ToString(); string dataPoint960 = graphDataSet.Tables["data"].Rows[4]["Na36"].ToString(); string dataPoint961 = graphDataSet.Tables["data"].Rows[4]["Na37"].ToString(); string dataPoint962 = graphDataSet.Tables["data"].Rows[4]["Na38"].ToString(); string dataPoint963 = graphDataSet.Tables["data"].Rows[4]["Na39"].ToString(); string dataPoint964 = graphDataSet.Tables["data"].Rows[4]["Na40"].ToString();
                        string dataPoint965 = graphDataSet.Tables["data"].Rows[4]["Na41"].ToString(); string dataPoint966 = graphDataSet.Tables["data"].Rows[4]["Na42"].ToString(); string dataPoint967 = graphDataSet.Tables["data"].Rows[4]["Na43"].ToString(); string dataPoint968 = graphDataSet.Tables["data"].Rows[4]["Na44"].ToString(); string dataPoint969 = graphDataSet.Tables["data"].Rows[4]["Na45"].ToString(); string dataPoint970 = graphDataSet.Tables["data"].Rows[4]["Na46"].ToString(); string dataPoint971 = graphDataSet.Tables["data"].Rows[4]["Na47"].ToString(); string dataPoint972 = graphDataSet.Tables["data"].Rows[4]["Na48"].ToString(); string dataPoint973 = graphDataSet.Tables["data"].Rows[4]["Na49"].ToString(); string dataPoint974 = graphDataSet.Tables["data"].Rows[4]["Na50"].ToString();
                        string dataPoint975 = graphDataSet.Tables["data"].Rows[4]["Na51"].ToString(); string dataPoint976 = graphDataSet.Tables["data"].Rows[4]["Na52"].ToString(); string dataPoint977 = graphDataSet.Tables["data"].Rows[4]["Na53"].ToString(); string dataPoint978 = graphDataSet.Tables["data"].Rows[4]["Na54"].ToString(); string dataPoint979 = graphDataSet.Tables["data"].Rows[4]["Na55"].ToString(); string dataPoint980 = graphDataSet.Tables["data"].Rows[4]["Na56"].ToString(); string dataPoint981 = graphDataSet.Tables["data"].Rows[4]["Na57"].ToString(); string dataPoint982 = graphDataSet.Tables["data"].Rows[4]["Na58"].ToString(); string dataPoint983 = graphDataSet.Tables["data"].Rows[4]["Na59"].ToString(); string dataPoint984 = graphDataSet.Tables["data"].Rows[4]["Na60"].ToString();
                        string dataPoint985 = graphDataSet.Tables["data"].Rows[4]["Na61"].ToString(); string dataPoint986 = graphDataSet.Tables["data"].Rows[4]["Na62"].ToString(); string dataPoint987 = graphDataSet.Tables["data"].Rows[4]["Na63"].ToString(); string dataPoint988 = graphDataSet.Tables["data"].Rows[4]["Na64"].ToString(); string dataPoint989 = graphDataSet.Tables["data"].Rows[4]["Na65"].ToString(); string dataPoint990 = graphDataSet.Tables["data"].Rows[4]["Na66"].ToString();

                        int dNa1; int dNa2; int dNa3; int dNa4; int dNa5; int dNa6; int dNa7; int dNa8; int dNa9; int dNa10; int dNa11; int dNa12; int dNa13; int dNa14; int dNa15; int dNa16; int dNa17; int dNa18; int dNa19; int dNa20; int dNa21; int dNa22; int dNa23; int dNa24; int dNa25; int dNa26; int dNa27; int dNa28; int dNa29; int dNa30; int dNa31; int dNa32; int dNa33; int dNa34; int dNa35; int dNa36; int dNa37; int dNa38; int dNa39; int dNa40; int dNa41; int dNa42; int dNa43; int dNa44; int dNa45; int dNa46; int dNa47; int dNa48; int dNa49; int dNa50; int dNa51; int dNa52; int dNa53; int dNa54; int dNa55; int dNa56; int dNa57; int dNa58; int dNa59; int dNa60; int dNa61; int dNa62; int dNa63; int dNa64; int dNa65; int dNa66;

                        if (dataPoint925 == "True") { dNa1 = 1; } else { dNa1 = 0; } if (dataPoint926 == "True") { dNa2 = 1; } else { dNa2 = 0; } if (dataPoint927 == "True") { dNa3 = 1; } else { dNa3 = 0; } if (dataPoint928 == "True") { dNa4 = 1; } else { dNa4 = 0; } if (dataPoint929 == "True") { dNa5 = 1; } else { dNa5 = 0; } if (dataPoint930 == "True") { dNa6 = 1; } else { dNa6 = 0; } if (dataPoint931 == "True") { dNa7 = 1; } else { dNa7 = 0; } if (dataPoint932 == "True") { dNa8 = 1; } else { dNa8 = 0; } if (dataPoint933 == "True") { dNa9 = 1; } else { dNa9 = 0; } if (dataPoint934 == "True") { dNa10 = 1; } else { dNa10 = 0; }
                        if (dataPoint935 == "True") { dNa11 = 1; } else { dNa11 = 0; } if (dataPoint936 == "True") { dNa12 = 1; } else { dNa12 = 0; } if (dataPoint937 == "True") { dNa13 = 1; } else { dNa13 = 0; } if (dataPoint938 == "True") { dNa14 = 1; } else { dNa14 = 0; } if (dataPoint939 == "True") { dNa15 = 1; } else { dNa15 = 0; } if (dataPoint940 == "True") { dNa16 = 1; } else { dNa16 = 0; } if (dataPoint941 == "True") { dNa17 = 1; } else { dNa17 = 0; } if (dataPoint942 == "True") { dNa18 = 1; } else { dNa18 = 0; } if (dataPoint943 == "True") { dNa19 = 1; } else { dNa19 = 0; } if (dataPoint944 == "True") { dNa20 = 1; } else { dNa20 = 0; }
                        if (dataPoint945 == "True") { dNa21 = 1; } else { dNa21 = 0; } if (dataPoint946 == "True") { dNa22 = 1; } else { dNa22 = 0; } if (dataPoint947 == "True") { dNa23 = 1; } else { dNa23 = 0; } if (dataPoint948 == "True") { dNa24 = 1; } else { dNa24 = 0; } if (dataPoint949 == "True") { dNa25 = 1; } else { dNa25 = 0; } if (dataPoint950 == "True") { dNa26 = 1; } else { dNa26 = 0; } if (dataPoint951 == "True") { dNa27 = 1; } else { dNa27 = 0; } if (dataPoint952 == "True") { dNa28 = 1; } else { dNa28 = 0; } if (dataPoint953 == "True") { dNa29 = 1; } else { dNa29 = 0; } if (dataPoint954 == "True") { dNa30 = 1; } else { dNa30 = 0; }
                        if (dataPoint955 == "True") { dNa31 = 1; } else { dNa31 = 0; } if (dataPoint956 == "True") { dNa32 = 1; } else { dNa32 = 0; } if (dataPoint957 == "True") { dNa33 = 1; } else { dNa33 = 0; } if (dataPoint958 == "True") { dNa34 = 1; } else { dNa34 = 0; } if (dataPoint959 == "True") { dNa35 = 1; } else { dNa35 = 0; } if (dataPoint960 == "True") { dNa36 = 1; } else { dNa36 = 0; } if (dataPoint961 == "True") { dNa37 = 1; } else { dNa37 = 0; } if (dataPoint962 == "True") { dNa38 = 1; } else { dNa38 = 0; } if (dataPoint963 == "True") { dNa39 = 1; } else { dNa39 = 0; } if (dataPoint964 == "True") { dNa40 = 1; } else { dNa40 = 0; }
                        if (dataPoint965 == "True") { dNa41 = 1; } else { dNa41 = 0; } if (dataPoint966 == "True") { dNa42 = 1; } else { dNa42 = 0; } if (dataPoint967 == "True") { dNa43 = 1; } else { dNa43 = 0; } if (dataPoint968 == "True") { dNa44 = 1; } else { dNa44 = 0; } if (dataPoint969 == "True") { dNa45 = 1; } else { dNa45 = 0; } if (dataPoint970 == "True") { dNa46 = 1; } else { dNa46 = 0; } if (dataPoint971 == "True") { dNa47 = 1; } else { dNa47 = 0; } if (dataPoint972 == "True") { dNa48 = 1; } else { dNa48 = 0; } if (dataPoint973 == "True") { dNa49 = 1; } else { dNa49 = 0; } if (dataPoint974 == "True") { dNa50 = 1; } else { dNa50 = 0; }
                        if (dataPoint975 == "True") { dNa51 = 1; } else { dNa51 = 0; } if (dataPoint976 == "True") { dNa52 = 1; } else { dNa52 = 0; } if (dataPoint977 == "True") { dNa53 = 1; } else { dNa53 = 0; } if (dataPoint978 == "True") { dNa54 = 1; } else { dNa54 = 0; } if (dataPoint979 == "True") { dNa55 = 1; } else { dNa55 = 0; } if (dataPoint980 == "True") { dNa56 = 1; } else { dNa56 = 0; } if (dataPoint981 == "True") { dNa57 = 1; } else { dNa57 = 0; } if (dataPoint982 == "True") { dNa58 = 1; } else { dNa58 = 0; } if (dataPoint983 == "True") { dNa59 = 1; } else { dNa59 = 0; } if (dataPoint984 == "True") { dNa60 = 1; } else { dNa60 = 0; }
                        if (dataPoint985 == "True") { dNa61 = 1; } else { dNa61 = 0; } if (dataPoint986 == "True") { dNa62 = 1; } else { dNa62 = 0; } if (dataPoint987 == "True") { dNa63 = 1; } else { dNa63 = 0; } if (dataPoint988 == "True") { dNa64 = 1; } else { dNa64 = 0; } if (dataPoint989 == "True") { dNa65 = 1; } else { dNa65 = 0; } if (dataPoint990 == "True") { dNa66 = 1; } else { dNa66 = 0; }

                        int dtotalNa = dNa1 + dNa2 + dNa3 + dNa4 + dNa5 + dNa6 + dNa7 + dNa8 + dNa9 + dNa10 + dNa11 + dNa12 + dNa13 + dNa14 + dNa15 + dNa16 + dNa17 + dNa18 + dNa19 + dNa20 + dNa21 + dNa22 + dNa23 + dNa24 + dNa25 + dNa26 + dNa27 + dNa28 + dNa29 + dNa30 + dNa31 + dNa32 + dNa33 + dNa34 + dNa35 + dNa36 + dNa37 + dNa38 + dNa39 + dNa40 + dNa41 + dNa42 + dNa43 + dNa44 + dNa45 + dNa46 + dNa47 + dNa48 + dNa49 + dNa50 + dNa51 + dNa52 + dNa53 + dNa54 + dNa55 + dNa56 + dNa57 + dNa58 + dNa59 + dNa60 + dNa61 + dNa62 + dNa63 + dNa64 + dNa65 + dNa66;

                        if (totalYes >= 0 && atotalYes >= 0 && btotalYes >= 0 && ctotalYes >= 0 && dtotalYes >= 0 && totalNo >= 0 && atotalNo >= 0 && btotalNo >= 0 && ctotalNo >= 0 && dtotalNo >= 0 && totalNa >= 0 && atotalNa >= 0 && btotalNa >= 0 && ctotalNa >= 0 && dtotalNa >= 0)
                        {

                            SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT Version FROM reviews WHERE Application = '" + appName.ToString() + "' ORDER BY Version DESC LIMIT 5", ObjConnection);
                            SQLiteDataAdapter myGraphAdapter2 = new SQLiteDataAdapter(ObjCommand2);

                            DataSet graphDataSet2 = new DataSet();
                            myGraphAdapter2.Fill(graphDataSet2, "Data2");

                            string secondDataPoint1 = graphDataSet2.Tables[0].Rows[4].ItemArray[0].ToString();
                            string secondDataPoint2 = graphDataSet2.Tables[0].Rows[3].ItemArray[0].ToString();
                            string secondDataPoint3 = graphDataSet2.Tables[0].Rows[2].ItemArray[0].ToString();
                            string secondDataPoint4 = graphDataSet2.Tables[0].Rows[1].ItemArray[0].ToString();
                            string secondDataPoint5 = graphDataSet2.Tables[0].Rows[0].ItemArray[0].ToString();

                            int totalYesAll = totalYes + atotalYes + btotalYes + ctotalYes + dtotalYes;

                            int avgYes = (totalYesAll / 5);

                            int totalNoAll = totalNo + atotalNo + btotalNo + ctotalNo + dtotalNo;

                            int avgNo = (totalNoAll / 5);

                            int totalNaAll = totalNa + atotalNa + btotalNa + ctotalNa + dtotalNa;

                            int avgNa = (totalNaAll / 5);

                            float[] data1X = new float[] { 0, 25, 50, 75, 100 };
                            float[] data1 = new float[] { dtotalYes, ctotalYes, btotalYes, atotalYes, totalYes };
                            float[] data2X = new float[] { 0, 25, 50, 75, 100 };
                            float[] data2 = new float[] { dtotalNo, ctotalNo, btotalNo, atotalNo, totalNo };
                            float[] data3X = new float[] { 0, 25, 50, 75, 100 };
                            float[] data3 = new float[] { dtotalNa, ctotalNa, btotalNa, atotalNa, totalNa };

                            List<float[]> datasets = new List<float[]>();
                            datasets.Add(data1X);
                            datasets.Add(data1);
                            datasets.Add(data2X);
                            datasets.Add(data2);
                            datasets.Add(data3X);
                            datasets.Add(data3);
                            
                            LineChart chart = new LineChart(734, 120, LineChartType.MultiDataSet);

                            ChartAxis bottomAxis = new ChartAxis(ChartAxisType.Bottom);
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint1, 0));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint2, 25));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint3, 50));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint4, 75));
                            bottomAxis.AddLabel(new ChartAxisLabel(secondDataPoint5, 100));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EEAD0E", 0, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EEAD0E", 0, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EEAD0E", 0, 2, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EEAD0E", 0, 3, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "EEAD0E", 0, 4, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "007FFF", 1, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "007FFF", 1, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "007FFF", 1, 2, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "007FFF", 1, 3, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "007FFF", 1, 4, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "00CD00", 2, 0, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "00CD00", 2, 1, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "00CD00", 2, 2, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "00CD00", 2, 3, 8));
                            chart.AddShapeMarker(new ShapeMarker(ShapeMarkerType.Circle, "00CD00", 2, 4, 8));
                            chart.SetDatasetColors(new string[] { "EEAD0E", "007FFF", "00CD00" });
                            chart.SetLegend(new string[] { "Yes", "No", "NA" });
                            chart.AddAxis(bottomAxis);

                            chart.SetData(datasets);

                            string imageUrl = chart.GetUrl();
  
                            webBrowser3.Url = new Uri(imageUrl);

                            appCText1.Visible = true;
                            appCText1.Text = "v" + secondDataPoint1.ToString() + "";
                            appCNoText1.Visible = true;
                            appCNoText1.Text = "Yes:" + dtotalYes.ToString() + "  No:" + dtotalNo.ToString() + "  NA:" + dtotalNa.ToString() + "";
                            appCText2.Visible = true;
                            appCText2.Text = "v" + secondDataPoint2.ToString() + "";
                            appCNoText2.Visible = true;
                            appCNoText2.Text = "Yes:" + ctotalYes.ToString() + "  No:" + ctotalNo.ToString() + "  NA:" + ctotalNa.ToString() + "";
                            appCText3.Visible = true;
                            appCText3.Text = "v" + secondDataPoint3.ToString() + "";
                            appCNoText3.Visible = true;
                            appCNoText3.Text = "Yes:" + btotalYes.ToString() + "  No:" + btotalNo.ToString() + "  NA:" + btotalNa.ToString() + "";
                            appCText4.Visible = true;
                            appCText4.Text = "v" + secondDataPoint4.ToString() + "";
                            appCNoText4.Visible = true;
                            appCNoText4.Text = "Yes:" + atotalYes.ToString() + "  No:" + atotalNo.ToString() + "  NA:" + atotalNa.ToString() + "";
                            appCText5.Visible = true;
                            appCText5.Text = "v" + secondDataPoint5.ToString() + "";
                            appCNoText5.Visible = true;
                            appCNoText5.Text = "Yes:" + totalYes.ToString() + "  No:" + totalNo.ToString() + "  NA:" + totalNa.ToString() + "";

                            int[] data = new int[] { avgYes, avgNo, avgNa };
                            PieChart pieChart = new PieChart(260, 135);
                            pieChart.SetData(data);
                            pieChart.SetDatasetColors(new string[] { "EEAD0E", "007FFF", "00CD00" });
                            string imageUrl2 = pieChart.GetUrl();

                            pieLeg1.Visible = true;
                            pieLeg1.BackColor = System.Drawing.Color.FromArgb(238, 173, 14);
                            pieLeg2.Visible = true;
                            pieLeg2.BackColor = System.Drawing.Color.FromArgb(0, 127, 255);
                            pieLeg3.Visible = true;
                            pieLeg3.BackColor = System.Drawing.Color.FromArgb(0, 205, 0);
                            pieLeg4.Visible = true;
                            pieLeg4.Text = "Yes:" + avgYes.ToString() + "";
                            pieLeg5.Visible = true;
                            pieLeg5.Text = "No:" + avgNo.ToString() + "";
                            pieLeg6.Visible = true;
                            pieLeg6.Text = "NA:" + avgNa.ToString() + "";

                            webBrowser4.Url = new Uri(imageUrl2);

                            appDText2.Visible = true;//has to stay the same
                            appDNoText2.Visible = true;
                            appDNoText2.Text = "" + dtotalYes.ToString() + "/"+ avgYes.ToString() +"";
                            appDNoText6.Visible = true;
                            appDNoText6.Text = "" + ctotalYes.ToString() + "/" + avgYes.ToString() + "";
                            appDNoText10.Visible = true;
                            appDNoText10.Text = "" + btotalYes.ToString() + "/" + avgYes.ToString() + "";
                            appDNoText14.Visible = true;
                            appDNoText14.Text = "" + atotalYes.ToString() + "/" + avgYes.ToString() + "";
                            appDNoText18.Visible = true;
                            appDNoText18.Text = "" + totalYes.ToString() + "/" + avgYes.ToString() + "";

                            appDText3.Visible = true;//has to stay the same
                            appDNoText3.Visible = true;
                            appDNoText3.Text = "" + dtotalNo.ToString() + "/" + avgNo.ToString() + "";
                            appDNoText7.Visible = true;
                            appDNoText7.Text = "" + ctotalNo.ToString() + "/" + avgNo.ToString() + "";
                            appDNoText11.Visible = true;
                            appDNoText11.Text = "" + btotalNo.ToString() + "/" + avgNo.ToString() + "";
                            appDNoText15.Visible = true;
                            appDNoText15.Text = "" + atotalNo.ToString() + "/" + avgNo.ToString() + "";
                            appDNoText19.Visible = true;
                            appDNoText19.Text = "" + totalNo.ToString() + "/" + avgNo.ToString() + "";

                            appDText4.Visible = true;//has to stay the same
                            appDNoText4.Visible = true;
                            appDNoText4.Text = "" + dtotalNa.ToString() + "/" + avgNa.ToString() + "";
                            appDNoText8.Visible = true;
                            appDNoText8.Text = "" + ctotalNa.ToString() + "/" + avgNa.ToString() + "";
                            appDNoText12.Visible = true;
                            appDNoText12.Text = "" + btotalNa.ToString() + "/" + avgNa.ToString() + "";
                            appDNoText16.Visible = true;
                            appDNoText16.Text = "" + atotalNa.ToString() + "/" + avgNa.ToString() + "";
                            appDNoText20.Visible = true;
                            appDNoText20.Text = "" + totalNa.ToString() + "/" + avgNa.ToString() + "";
                        }

                        else
                        {
                            DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create the graphs for this application, please try again");
                            return;
                        }
                    }

                    else
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("Unable to create the graphs for this application, please try again");
                        return;
                    }
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Unable to retrieve values from the database");
                }
            }
        }

        private void loadMetrics_Click(object sender, EventArgs e)
        {
            if (amAppProf.Text == "")
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Please select an application first");
                return;
            }

            if (amAppProf.Text != "")
            {
                int count = 0;

                try
                {
                    SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");

                    try
                    {
                        ObjConnection.Open();
                    }

                    catch
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the database");
                    }

                    try
                    {
                        SQLiteCommand countcommand = new SQLiteCommand("SELECT COUNT(Application) FROM reviews WHERE Application = '" + amAppProf.Text.ToString() + "' ", ObjConnection);
                        string rowCount = countcommand.ExecuteScalar().ToString();
                        count = Convert.ToInt32(rowCount);
                    }

                    catch
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the database");
                    }

                    finally
                    {
                        ObjConnection.Close();
                    }
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the database");
                    return;
                }

                if (count < 2)
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("At least two reviews need to be completed for this application");
                    return;
                }
            }
            loadGraph1();
            loadGraph2();
            loadGraph3();
        }

         /* ================================================
         * This is the start of the code for the principles
         * tab
         * ================================================
         */

        private void principleCombo_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void protectsTextBox_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_&.,\\\/\b\s]$"))
                e.Handled = true;
        }

        private void principleDescription_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_'.,*?¡¿%{}()\[\]\\\/$:;+&@|~#""!&=<>^\b\s]$"))
                e.Handled = true;
        }

        private void codeSample_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_'.,*?¡¿%{}()\[\]\\\/$:;+&@|~#""!&=<>^\b\s]$"))
                e.Handled = true;
        }

        private void loadPrinciples()
        {
            SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");

                try
                {
                    ObjConnection.Open(); //Open the SQL connection we defined above
                    SQLiteDataReader rdr = null;
                    principleCombo.Properties.Items.Clear(); //Clear combos if anything in them
                    SQLiteCommand cmd = new SQLiteCommand("SELECT principle FROM principles", ObjConnection); //The SQL query
                    rdr = cmd.ExecuteReader(); //Will retrieve the Application Names and stick them in the combo boxes
                    {
                        while (rdr.Read())
                        {
                            for (int i = 0; i < rdr.FieldCount; i++)
                            {
                                principleCombo.Properties.Items.Add(rdr.GetValue(i).ToString()); //Populate the combo boxes with the Application Names
                            }
                        }
                    }
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Unable to retrieve Principles from the database"); //If the above fails throw an error
                }

                finally
                {
                    ObjConnection.Close(); //When we are finished close the connection, if we don't do this we can run into problems with later SQLlite datareader usage
                }
        }

        private void prModify_Click(object sender, EventArgs e)
        {
            if (principleCombo.Text != "")
            {
                protectsTextBox.Properties.ReadOnly = false;
                principleDescription.Properties.ReadOnly = false;
                codeSample.Properties.ReadOnly = false;
            }

            else
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Select a principle from the dropdown box");
            }
        }

        private void prSave_Click(object sender, EventArgs e)
        {
            if (principleCombo.Text == "" || protectsTextBox.Text == "" || principleDescription.Text == "" || codeSample.Text == "")
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Please ensure that none of the fields on this tab are left blank");
            }

            else
            {
                try
                {
                    if (!Regex.IsMatch(principleCombo.Text, @"^[a-zA-Z&àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.\b\s]*$"))
                        throw new Exception("Invalid characters in principles dropdown");
                    if (!Regex.IsMatch(protectsTextBox.Text, @"^[a-zA-ZàáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_&.,\\\/\b\s]*$"))
                        throw new Exception("Invalid characters in protects against text box");
                    if (!Regex.IsMatch(principleDescription.Text, @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_'.,*?¡¿%{}()\[\]\\\/$:;+&@|~#""!&=<>^\b\s]*$"))
                        throw new Exception("Invalid characters in principles description text box");
                    if (!Regex.IsMatch(codeSample.Text, @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_'.,*?¡¿%{}()\[\]\\\/$:;+&@|~#""!&=<>^\b\s]*$"))
                        throw new Exception("Invalid characters in code sample text box");
                }
                   
                catch (Exception ex)
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show(ex.Message);
                    return;
                }

                    SQLiteConnection sqlite_conn;
                    SQLiteCommand sqlite_cmd;
                    SQLiteParameter protectsAgainst;
                    SQLiteParameter principleInfo;
                    SQLiteParameter codeSampleData;
                    sqlite_conn = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True;FailIfMissing=True");
                    sqlite_cmd = sqlite_conn.CreateCommand();
                    sqlite_cmd.CommandText = ("UPDATE principles SET protectsAgainst = @protectsAgainst, principleInfo = @principleInfo, sampleCode = @codeSampleData WHERE principle = '" + principleCombo.Text + "' ");

                    protectsAgainst = new SQLiteParameter();
                    protectsAgainst.ParameterName = "@protectsAgainst";
                    protectsAgainst.DbType = DbType.String;
                    protectsAgainst.Size = 5000;
                    protectsAgainst.Direction = ParameterDirection.Input;
                    protectsAgainst.Value = protectsTextBox.Text.ToString();

                    principleInfo = new SQLiteParameter();
                    principleInfo.ParameterName = "@principleInfo";
                    principleInfo.DbType = DbType.String;
                    principleInfo.Size = 10000;
                    principleInfo.Direction = ParameterDirection.Input;
                    principleInfo.Value = principleDescription.Text.ToString();

                    codeSampleData = new SQLiteParameter();
                    codeSampleData.ParameterName = "@codeSampleData";
                    codeSampleData.DbType = DbType.String;
                    codeSampleData.Size = 5000;
                    codeSampleData.Direction = ParameterDirection.Input;
                    codeSampleData.Value = codeSample.Text.ToString();

                    sqlite_cmd.Parameters.Add(protectsAgainst);
                    sqlite_cmd.Parameters.Add(principleInfo);
                    sqlite_cmd.Parameters.Add(codeSampleData);

                    try
                    {
                        sqlite_conn.Open();
                    }

                    catch
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the database");
                    }

                    int executed = 0;

                    try
                    {
                        executed = sqlite_cmd.ExecuteNonQuery();
                    }

                    catch
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("Unable to insert data into principles table");
                    }

                    sqlite_conn.Close();

                if (executed == 1)
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Principles table updated successfully");
                    protectsTextBox.Properties.ReadOnly = true;
                    principleDescription.Properties.ReadOnly = true;
                    codeSample.Properties.ReadOnly = true;
                }
            }
        }

        /* ================================================
         * This is the start of the code for the checklist
         * guidance tab
         * ================================================
         */

        private void questionsCombo_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void principlesBox_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[ ]$"))
                e.Handled = true;
        }

        private void questionExp_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_'.,*?¡¿%{}()\[\]\\\/$:;+&@|~#""!&=<>^\b\s]$"))
                e.Handled = true;
        }

        private void principleCombo_TextChanged(object sender, EventArgs e)
        {
            string p = principleCombo.Text.ToString();
            SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");

            try
            {
                ObjConnection.Open(); //Open the SQL connection we defined above
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the database");
            }

            try
            {
                SQLiteCommand ObjCommand = new SQLiteCommand("SELECT principleInfo FROM principles WHERE principle = '" + p.ToString() + "' ", ObjConnection);
                SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT sampleCode FROM principles WHERE principle = '" + p.ToString() + "' ", ObjConnection);
                SQLiteCommand ObjCommand3 = new SQLiteCommand("SELECT protectsAgainst FROM principles WHERE principle = '" + p.ToString() + "' ", ObjConnection);
                principleDescription.Text = ObjCommand.ExecuteScalar().ToString();
                codeSample.Text = ObjCommand2.ExecuteScalar().ToString();
                protectsTextBox.Text = ObjCommand3.ExecuteScalar().ToString();
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the database");
            }

            finally
            {
                ObjConnection.Close(); //When we are finished close the connection, if we don't do this we can run into problems with later SQLlite datareader usage
            }
        }

        public void loadQuestions()
        {
            SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");

            try
            {
                ObjConnection.Open(); //Open the SQL connection we defined above
                SQLiteDataReader rdr = null;
                questionsCombo.Properties.Items.Clear(); //Clear combos if anything in them
                SQLiteCommand cmd = new SQLiteCommand("SELECT question FROM questionInfo", ObjConnection); //The SQL query
                rdr = cmd.ExecuteReader(); //Will retrieve the Application Names and stick them in the combo boxes
                {
                    while (rdr.Read())
                    {
                        for (int i = 0; i < rdr.FieldCount; i++)
                        {
                            questionsCombo.Properties.Items.Add(rdr.GetValue(i).ToString()); //Populate the combo boxes with the Application Names
                        }
                    }
                }
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to retrieve Questions from the database"); //If the above fails throw an error
            }

            finally
            {
                ObjConnection.Close(); //When we are finished close the connection, if we don't do this we can run into problems with later SQLlite datareader usage
            }
        }

        private void cgModify_Click(object sender, EventArgs e)
        {
            if (questionsCombo.Text != "")
            {
                questionExp.Properties.ReadOnly = false;
            }

            else
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Select a question from the dropdown box");
            }
        }

        private void cgSave_Click(object sender, EventArgs e)
        {
            if (questionsCombo.Text == "" || questionExp.Text == "")
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Please ensure that none of the fields on this tab are left blank");
            }

            else
            {
                try
                {
                    if (!Regex.IsMatch(questionsCombo.Text, @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,*?¡¿%{}()\[\]\\\/$:;+&@|~#""!&=<>^\b\s]*$"))
                        throw new Exception("Invalid characters in questions dropdown");
                    if (!Regex.IsMatch(questionExp.Text, @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_'.,*?¡¿%{}()\[\]\\\/$:;+&@|~#""!&=<>^\b\s]*$"))
                        throw new Exception("Invalid characters in questions description text box");
                }

                catch (Exception ex)
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show(ex.Message);
                    return;
                }

                SQLiteConnection sqlite_conn;
                SQLiteCommand sqlite_cmd;
                SQLiteParameter question;
                SQLiteParameter questionsDesc;
                sqlite_conn = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True;FailIfMissing=True");
                sqlite_cmd = sqlite_conn.CreateCommand();
                sqlite_cmd.CommandText = ("UPDATE questionInfo SET info = @questionsDesc WHERE question = @question");

                question = new SQLiteParameter();
                question.ParameterName = "@question";
                question.DbType = DbType.String;
                question.Size = 5000;
                question.Direction = ParameterDirection.Input;
                question.Value = questionsCombo.Text;

                questionsDesc = new SQLiteParameter();
                questionsDesc.ParameterName = "@questionsDesc";
                questionsDesc.DbType = DbType.String;
                questionsDesc.Size = 5000;
                questionsDesc.Direction = ParameterDirection.Input;
                questionsDesc.Value = questionExp.Text.ToString();

                sqlite_cmd.Parameters.Add(question);
                sqlite_cmd.Parameters.Add(questionsDesc);

                try
                {
                    sqlite_conn.Open();
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the database");
                }

                int executed = 0;

                try
                {
                    executed = sqlite_cmd.ExecuteNonQuery();
                }

                catch
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Unable to insert data into questions information table");
                }

                sqlite_conn.Close();

                if (executed == 1)
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("Questions information table updated successfully");
                    questionExp.Properties.ReadOnly = true;
                }
            }
        }

        private void questionsCombo_TextChanged(object sender, EventArgs e)
        {
            string p = questionsCombo.Text.ToString();
            SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");

            try
            {
                ObjConnection.Open(); //Open the SQL connection we defined above
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the database");
            }

            try
            {
                SQLiteCommand ObjCommand = new SQLiteCommand("SELECT question FROM questionInfo WHERE question = '" + p.ToString() + "' ", ObjConnection);
                SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT info FROM questionInfo WHERE question = '" + p.ToString() + "' ", ObjConnection);
                questionsCombo.Text = ObjCommand.ExecuteScalar().ToString();
                questionExp.Text = ObjCommand2.ExecuteScalar().ToString();
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the database");
            }

            finally
            {
                ObjConnection.Close(); //When we are finished close the connection, if we don't do this we can run into problems with later SQLlite datareader usage
            }
        }

        /* ================================================
         * This is the start of the code for the static
         * analysis tab
         * ================================================
        */

        private void CodeTextBox_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[ ]$"))
                e.Handled = true;
        }

        private void findingsTextBox_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[ ]$"))
                e.Handled = true;
        }

        private void languageCombo_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^ . $"))
                e.Handled = true;
        }

        private void SALOCBox_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[ ]$"))
                e.Handled = true;
        }

        private void NameBox_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[ ]$"))
                e.Handled = true;
        }

        private void codeTree_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[ ]$"))
                e.Handled = true;
        }

        private void FilePath_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[ ]$"))
                e.Handled = true;
        }

        private void kryptonDataGridView2_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!Regex.IsMatch(e.KeyChar.ToString(), @"^[ ]$"))
                e.Handled = true;
        }

        private void languageCombo_Enter(object sender, EventArgs e)
        {
            SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");

            try
            {
                ObjConnection.Open();
                SQLiteDataReader rdr2 = null;
                languageCombo.Properties.Items.Clear();
                SQLiteCommand cmd2 = new SQLiteCommand("SELECT DISTINCT language FROM reviewrules", ObjConnection);
                rdr2 = cmd2.ExecuteReader();

                {
                    while (rdr2.Read())
                    {
                        for (int i = 0; i < rdr2.FieldCount; i++)
                        {
                            languageCombo.Properties.Items.Add(rdr2.GetValue(i).ToString());
                        }
                    }
                }
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to retrieve languages from the database");
            }

            finally
            {
                ObjConnection.Close(); //When we are finished close the connection, if we don't do this we can run into problems with later SQLlite datareader usage
            }
        }

        private void ReadFile()
        {
            if (codeTree.SelectedNode == null)
            {
                return;
            }

            else
            {
                var linecount = 0;
                string file = codeTree.SelectedNode.FullPath.ToString();
                string filename = "" + file + "";
                StreamReader objreader;
                objreader = new StreamReader(filename);
                CodeTextBox.Text = objreader.ReadToEnd();

                using (var reader = File.OpenText(@"" + file + ""))
                {
                    while (reader.ReadLine() != null)
                    {
                        linecount++;
                    }
                }

                SALOCBox.Text = linecount.ToString();
                objreader.Close();
            }
        }

        private void CodeTextBox_LinkClicked_1(object sender, LinkClickedEventArgs i)
        {
            string input = i.LinkText;
            string pattern = "#";
            string replacement = "";
            Regex rgx = new Regex(pattern);
            string result = rgx.Replace(input, replacement);

            SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");

            SQLiteCommand ObjCommand = new SQLiteCommand("SELECT info FROM reviewrules WHERE keyword = '" + result + "' AND language = '" + languageCombo.Text.ToString() + "' ", ObjConnection);

            List<string> linkedList = new List<string>();

            try
            {
                ObjConnection.Open();
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to connect to the database");
            }

            DataTable linkedTable = new DataTable();

            try
            {
                findingsTextBox.Text = ObjCommand.ExecuteScalar().ToString();

                DataColumn col0 = new DataColumn("question");
                col0.DataType = System.Type.GetType("System.String");

                linkedTable.Columns.Add(col0);

                int num = 10;

                for (int k = 1; k <= num; k++)
                {
                    DataRow row = linkedTable.NewRow();

                    string linked = "linked" + k + "";

                    SQLiteCommand cmd2 = new SQLiteCommand("SELECT "+linked+" FROM reviewrules WHERE keyword = '" + result + "' AND language = '" + languageCombo.Text.ToString() + "'", ObjConnection);

                    string linkedResult = cmd2.ExecuteScalar().ToString();

                    if (linkedResult.ToString() != "" || linkedResult.ToString() != null)
                    {
                        row[col0] = linkedResult;
                        linkedTable.Rows.Add(row);
                    }
                }

                kryptonDataGridView2.DataSource = linkedTable;
     
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to update findings box information");
            }

            ObjConnection.Close();
        }

        private void HighlightWord()
        {
            SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");
            SQLiteCommand ObjCommand = new SQLiteCommand("SELECT keyword FROM reviewrules WHERE language = '" + languageCombo.Text.ToString() + "' ", ObjConnection);

            try
            {
                ObjConnection.Open();
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to connect to the database");
            }

            ArrayList keywordArray = new ArrayList();

            try
            {
                SQLiteDataReader keywordReader = ObjCommand.ExecuteReader();

                while (keywordReader.Read())
                {
                    keywordArray.Add(keywordReader["keyword"].ToString());
                }
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to retrieve keywords from the database");
            }

            ObjConnection.Close();

            try
            {
                foreach (Object objReader in keywordArray)
                {
                    string i = objReader.ToString();
                    int index = -1;
                    int searchStart = 0;

                    while ((index = CodeTextBox.Find(i, searchStart, RichTextBoxFinds.None)) > -1)
                    {
                        CodeTextBox.Select(index, i.Length);
                        CodeTextBox.SelectionBackColor = System.Drawing.Color.FromArgb(255, 255, 26);
                        CodeTextBox.SelectionFont = new System.Drawing.Font("Microsoft Sans Serif", 8, System.Drawing.FontStyle.Bold);
                        CodeTextBox.InsertLink(i, "");
                        searchStart = index + i.Length;
                    }
                }
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to highlight keywords in the source code");
            }
        }

        private void SAbrowseButton_Click(object sender, EventArgs e)
        {
            FilePath.Text = "";
            try
            {
                if (folderBrowserDialog1.ShowDialog() == DialogResult.OK)
                {
                    FilePath.Text = folderBrowserDialog1.SelectedPath;
                }

                else
                {
                    FilePath.Text = "";
                }
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to open folder browser");
            }

            try
            {
                CodeTextBox.Focus();
                CodeTextBox.SelectionStart = 0;
                CodeTextBox.ScrollToCaret();

                codeTree.Nodes.Clear();

                String path = FilePath.Text.ToString();

                codeTree.Nodes.Add(path);
                fillCodeTree(path, codeTree.Nodes[0]);
            }

            catch
            {
                FilePath.Text = "";
            }
        }

        private void GetFileName()
        {
            string file = codeTree.SelectedNode.FullPath.ToString();
            FileInfo name = new FileInfo(@"" + file + "");

            string filename = name.Name;

            NameBox.Text = filename;
        }

        private void fillCodeTree(string directoryValue, TreeNode parentNode)
        {
            string[] directoryArray = Directory.GetDirectories(directoryValue);
            string[] filesArray = Directory.GetFiles(directoryValue);

            try
            {
                if (directoryArray.Length != 0)
                {
                    foreach (string directory in directoryArray)
                    {
                        string substringDirectory = directory.Substring(directory.LastIndexOf('\\') + 1, directory.Length - directory.LastIndexOf('\\') - 1);
                        
                        TreeNode myNode = new TreeNode(substringDirectory);

                        parentNode.Nodes.Add(myNode);

                        fillCodeTree(directory, myNode);
                    }
                }

                foreach (string files in filesArray)
                {
                    string substringFiles = files.Substring(files.LastIndexOf('\\') + 1, files.Length - files.LastIndexOf('\\') - 1);
                    parentNode.Nodes.Add(substringFiles);
                }
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Could not load source code, have you selected a file to load?");
            }
        }

        private void ScanButton_Click(object sender, EventArgs e)
        {
            try //all the code text box population, highlighting etc
            {
                GetFileName();
                CodeTextBox.Clear();
                ReadFile();
                HighlightWord();

                CodeTextBox.Focus();
                CodeTextBox.SelectionStart = 0;
                CodeTextBox.ScrollToCaret();
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Could not load source code, have you selected a file to load?");
            }
        }

        private void reportAndDBPathsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            configuration confWindow = new configuration();
            confWindow.ShowDialog();
        }

        private void helpMenu_Click(object sender, EventArgs e)
        {
            About aboutWindow = new About();
            aboutWindow.ShowDialog();
        }

        private void checklistEditorToolStripMenuItem_Click(object sender, EventArgs e)
        {
            checklistEditor editor = new checklistEditor();
            editor.ShowDialog();
        }

        private void ruleCreatoreditorToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Rules rulesEditor = new Rules();
            rulesEditor.ShowDialog();
        }

        private void xtraTabControl1_Click(object sender, EventArgs e)
        {
            loadQuestions();
        }
        }
    }
