﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SQLite;
using System.Text.RegularExpressions;

namespace Agnitio
{
    public partial class checklistEditor : Form
    {
        public checklistEditor()
        {
            InitializeComponent();
        }

        string dPath = "";
        string rPath = "";

        public void checklistEditor_Load(object sender, EventArgs e)
        {
            if (Form1.dPath.ToString() != "" && Form1.rPath.ToString() != "")
            {
                dPath = Form1.dPath.ToString();
                rPath = Form1.rPath.ToString();
            }

            else
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Database and report path must not be blank");
                return;
            }

            loadChecklist();
        }

        public void loadChecklist()
        {
            kryptonDataGridView2.Rows.Clear();

            kryptonDataGridView2.Columns[0].ReadOnly = true;
            kryptonDataGridView2.Columns[1].ReadOnly = true;
            kryptonDataGridView2.Columns[0].HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter;
            kryptonDataGridView2.Columns[0].DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;
            kryptonDataGridView2.Columns[1].HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter;
            kryptonDataGridView2.Columns[2].HeaderCell.Style.Alignment = DataGridViewContentAlignment.MiddleCenter;

            SQLiteConnection ObjConnection = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True");
            string commandtext = ("SELECT question, Principle, QNo FROM questions"); //SQLiteCommand ObjCommand2 = new SQLiteCommand("SELECT Principle FROM questions WHERE QNo = 1 ORDER BY QNO asc", ObjConnection); SQLiteCommand ObjCommand3 = new SQLiteCommand("SELECT question FROM questions WHERE QNo = 1 ORDER BY QNO asc", ObjConnection);

            try
            {
                ObjConnection.Open();
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to load questions from the database");
                return;
            }

            try
            {
                SQLiteDataAdapter dataAdapter = new SQLiteDataAdapter(commandtext, ObjConnection);
                DataSet ds = new DataSet();
                dataAdapter.Fill(ds);

                kryptonDataGridView2.DataSource = ds.Tables[0];
                kryptonDataGridView2.Columns["QNo"].DisplayIndex = 0;
                kryptonDataGridView2.Columns["Principle"].DisplayIndex = 1;
                kryptonDataGridView2.Columns["question"].DisplayIndex = 2;
            }

            catch
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Unable to populate the checklist grid");
                return;
            }
            ObjConnection.Close();
        }

        public void saveChecklist()
        {
            string dPath = Form1.dPath;

            int executed = 0;
            int executed2 = 0;
            int valFailure = 0;

            foreach (DataGridViewRow row in kryptonDataGridView2.Rows)
            {
                DataGridViewCell cell = row.Cells["QNo"];
                DataGridViewCell cell1 = row.Cells["Principle"];
                DataGridViewCell cell2 = row.Cells["question"];

                if (cell.Value.ToString() == "" || cell1.Value.ToString() == "" || cell2.Value.ToString() == "")
                {
                    DevExpress.XtraEditors.XtraMessageBox.Show("One or more questions have been left blank");
                    return;
                }

                if (!Regex.IsMatch(cell2.Value.ToString(), @"^[a-zA-Z0-9àáâãäåăćĉċčçèéêëēĕėěğĝġĥìíîïĩĭĵĺñńňòóôõöōŏőŕřśŝšşùúûüũūŭűŵŷýÿźżžÀÁÂÃÄÅĂßĆĈĊČÇÈÉÊËĒĔĖĚĞĜĠĤÌÍÎÏĨĬĹĴÑŃŇÒÓÔÕÖŌŎŐŔŘŚŜŠŞÙÚÛÜŨŪŬŰŴŶÝŸŹŻŽ\-_.,'*?¡¿%{}()\[\]\\\/$:;+&@|~#""!&=<>^\b\s]*$"))
                {
                    valFailure++;
                }

                else
                {
                    SQLiteConnection sqlite_conn;

                    SQLiteCommand sqlite_cmd;
                    SQLiteCommand sqlite_cmd2;

                    SQLiteParameter question;
                    SQLiteParameter questionNum;

                    sqlite_conn = new SQLiteConnection("Data Source=" + dPath + ";Version=3;New=False;Compress=True;FailIfMissing=True");

                    sqlite_cmd = sqlite_conn.CreateCommand();
                    sqlite_cmd2 = sqlite_conn.CreateCommand();

                    sqlite_cmd.CommandText = ("UPDATE questions SET question = @question WHERE QNo = @questionNum");
                    sqlite_cmd2.CommandText = ("UPDATE questionInfo SET question = @question WHERE QNo = @questionNum");

                    question = new SQLiteParameter();
                    question.ParameterName = "@question";
                    question.DbType = DbType.String;
                    question.Size = 5000;
                    question.Direction = ParameterDirection.Input;
                    question.Value = cell2.Value.ToString();

                    questionNum = new SQLiteParameter();
                    questionNum.ParameterName = "@questionNum";
                    questionNum.DbType = DbType.String;
                    questionNum.Size = 10;
                    questionNum.Direction = ParameterDirection.Input;
                    questionNum.Value = cell.Value.ToString();

                    sqlite_cmd.Parameters.Add(question);
                    sqlite_cmd2.Parameters.Add(question);
                    sqlite_cmd.Parameters.Add(questionNum);
                    sqlite_cmd2.Parameters.Add(questionNum);

                    try //Try to connect to the checklist DB, if we can't then let the user know
                    {
                        sqlite_conn.Open();
                    }

                    catch
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("Could not connect to the checklist database");
                        return;
                    }

                    try //Try to insert the profile data into the profiles table, if we can't then let the user know
                    {
                        executed = sqlite_cmd.ExecuteNonQuery();
                        executed2 = sqlite_cmd2.ExecuteNonQuery();
                    }

                    catch
                    {
                        DevExpress.XtraEditors.XtraMessageBox.Show("Unable to update data in the questions table");
                        return;
                    }

                    sqlite_conn.Close();
                }
            }

            if (valFailure > 0)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Invalid characters in one or more checklist question fields");
                return;
            }

            if (executed >= 1 && executed2 >= 1)
            {
                DevExpress.XtraEditors.XtraMessageBox.Show("Questions table updated");
                return;
            }
        }

        private void SaveChecklist_Click(object sender, EventArgs e)
        {
            saveChecklist();
        }
    }
}
